--  PHONE  DEPARTMENTS
IF COLUMNPROPERTY(object_id('[dbo].[DEPARTMENTS]'), 'PHONE', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[DEPARTMENTS] ADD [PHONE] varchar(254) NOT NULL CONSTRAINT [DF_DEPARTMENTS_PHONE] DEFAULT ('')
GO

--    . - --
EXEC dbo.X_SET_PROP
	@varKScOBJECT = 'BB_KL_REG',
	@varKScProperty	= 'S_TITLE_COLUMN_PROP',
	@varKScValue = '. .'
GO
--     (  ) --
DECLARE 
	@dDATE_BEGIN_O	DATETIME,
	@dDATE_END_O	DATETIME,
	@dDATE_BEGIN_N	DATETIME,
	@dDATE_END_N	DATETIME,
	@iSMETA			INT

--    --
SELECT 
	@dDATE_BEGIN_O	=	BEGINDATE,
	@dDATE_END_O	=	ENDDATE
FROM dbo.ADMIN_INFO

SELECT
	@iSMETA = LINK,
	@dDATE_BEGIN_N	= '17530101',
	@dDATE_END_N	= '21000101'
FROM dbo.S_OBJECTS
WHERE CODE = 'SMETA'

EXECUTE dbo.I_SET_ADMIN_DATE
	@iSMETA,
	@dDATE_BEGIN_N,
	@dDATE_BEGIN_N,
	@dDATE_END_N

-- 1.   P_KASSA    --
UPDATE SA
SET
	P_KASSA = T1.P_KASSA,
	AP_EKR	= T1.AP_EKR
FROM dbo.S_ACCOUNTS SA 	
INNER JOIN dbo.S_ACCOUNTS_NASTR T1 ON
	(SA.cSINTH = T1.SINTH
	AND SA.cANALIT = T1.ANALITH)
WHERE
	T1.P_KASSA = 1
	AND T1.ZABALANCE = 0
	AND ISNULL (T1.P_KASSA, 0) <> ISNULL (SA.P_KASSA, 0)

-- 2.   P_EKR    --
UPDATE SA
SET
	P_EKR = 1,
	ANALIT_EKR = SGU.LINK,
	AP_EKR = 1
FROM dbo.S_ACCOUNTS SA 	
INNER JOIN dbo.S_ACCOUNTS_NASTR T1 ON
	(SA.cSINTH = T1.SINTH
	AND SA.cANALIT = T1.ANALITH)
INNER JOIN dbo.KOSGU SGU ON 
	(SGU.CODE = T1.EKR0)
WHERE
	T1.EKR0 <> ''
	AND T1.ZABALANCE = 0
	AND ISNULL (SA.ANALIT_EKR, 0) <> ISNULL (SGU.LINK, 0)
	
--     --	
-- 3.     P_EKR 
UPDATE GAP1
SET EKR = SA.ANALIT_EKR
FROM dbo.G_PROV_AP GAP1
INNER JOIN dbo.S_ACCOUNTS SA ON
	(SA.ANALIT_EKR IS NOT NULL AND SA.p_EKR = 1
	AND SA.LINK = GAP1.ACCOUNT)
WHERE GAP1.EKR IS NULL
	OR ISNULL (GAP1.EKR, 0) <> ISNULL (SA.ANALIT_EKR, 0) 

UPDATE GAP1
SET EKR = SA.ANALIT_EKR
FROM dbo.SALDO GAP1
INNER JOIN dbo.S_ACCOUNTS SA ON
	(SA.ANALIT_EKR IS NOT NULL AND SA.p_EKR = 1
	AND SA.LINK = GAP1.ACCOUNT)
WHERE GAP1.EKR IS NULL
	OR ISNULL (GAP1.EKR, 0) <> ISNULL (SA.ANALIT_EKR, 0) 

-- 4.     P_KASSA 
-- 4.1.   
UPDATE GAP1
SET
	SGU = CASE
			WHEN GAP1.EKR IS NULL THEN GAP2.EKR
			ELSE GAP1.EKR
		END
FROM dbo.G_PROV_AP GAP1
INNER JOIN dbo.S_ACCOUNTS SA ON
	(SA.P_KASSA = 1	
	AND SA.LINK = GAP1.ACCOUNT)
INNER JOIN dbo.G_PROV_AP GAP2 ON
	(GAP2.LINK_UP = GAP1.LINK_UP
	AND (GAP1.DB_KR = 0 AND GAP2.DB_KR = 1
		OR GAP2.DB_KR = 0 AND GAP1.DB_KR = 1))
WHERE
	GAP1.SGU IS NULL 
		OR ISNULL (GAP1.SGU, 0) <> ISNULL (GAP1.EKR, 0) 

-- 4.2.   
UPDATE GAP1
SET
	EKR = CASE
			WHEN GAP1.SGU IS NULL THEN GAP2.EKR
			ELSE GAP1.SGU
		END
FROM dbo.G_PROV_AP GAP1
INNER JOIN dbo.S_ACCOUNTS SA ON
	(SA.P_KASSA = 1	
	AND SA.LINK = GAP1.ACCOUNT)
INNER JOIN dbo.G_PROV_AP GAP2 ON
	(GAP2.LINK_UP = GAP1.LINK_UP
	AND (GAP1.DB_KR = 0 AND GAP2.DB_KR = 1
		OR GAP2.DB_KR = 0 AND GAP1.DB_KR = 1))
WHERE
	GAP1.EKR IS NULL 
		OR ISNULL (GAP1.SGU, 0) <> ISNULL (GAP1.EKR, 0) 

-- 5.    	 --
UPDATE SA
SET
	S_ACTIVE = 1,
	S_PASSIVE = 0
FROM dbo.S_ACCOUNTS SA
WHERE SA.ZABALANS = 1

--    --
EXECUTE dbo.I_SET_ADMIN_DATE
	@iSMETA,
	@dDATE_BEGIN_O,
	@dDATE_BEGIN_O,
	@dDATE_END_O

GO

--   .  --
EXECUTE dbo.X_CREATE_ANALIT
EXECUTE dbo.X_CREATE_X_SELECT_PROV_AP
EXEC dbo.BX_CREATE_G_PROV_AP_EDIT_TABLE
GO

DECLARE @varKSModelLink INT,
	@varKSBlockLink INT
SELECT @varKSModelLink = LINK_MODEL FROM dbo.EXPORT_MODELS WHERE MODEL_VER = 'TXZS130701' AND CODE = 'ZS'
IF @varKSModelLink is null
begin
	INSERT INTO EXPORT_MODELS(CODE, NAME, MODEL_VER, ISONCE, NORM_DOC, FILE_NAME_MASK, FILE_NAME_PROC, PROC_EXP, PROC_DOP_PARAM, DEP_NAME, PROG_SAVE, DATE_END)
	SELECT 'ZS','    ','TXZS130701',0,'','XXXXXDNN.TTM','fb_file_name_doc','BB_EXPORT_ZS','','KOD_UBP','',NULL 
	SET @varKSModelLink = @@IDENTITY
end
else
	update EXPORT_MODELS
	set 	ISONCE = 0,
		NAME   = '    ',
		NORM_DOC   = '',
		FILE_NAME_MASK   = 'XXXXXDNN.TTM',
		FILE_NAME_PROC   = 'fb_file_name_doc',
		PROC_EXP   = 'BB_EXPORT_ZS',
		PROC_DOP_PARAM   = '',
		PROG_SAVE   = '',
		DEP_NAME   = 'KOD_UBP',
		DATE_END   = NULL
	where LINK_MODEL = @varKSModelLink
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FK'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FK',1,0,'',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 1,
			ISONCE = 0,
			NAME   = '',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NUM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NUM_VER','  ','STRING',10,0,1,1,'NUM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORMER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'FORMER','  ,  ','STRING',50,0,0,1,'FORMER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'FORM_VER','  ','STRING',10,0,0,1,'FORM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ,   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NORM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'NORM_DOC','  ,   ','STRING',250,0,0,0,'NORM_DOC','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FROM'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FROM',2,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 2,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BUDG_LEVEL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'BUDG_LEVEL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BUDG_LEVEL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'BUDG_LEVEL',' ','STRING',1,1,0,1,'BUDG_LEVEL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KOD_UBP',' ','STRING',5,1,1,1,'KOD_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'NAME_UBP',' ','STRING',254,0,1,1,'NAME_UBP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'TO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'TO',3,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 3,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 4,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_TOFK',' ','STRING',4,1,1,1,'KOD_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_TOFK',' ','STRING',2000,0,1,1,'NAME_TOFK','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'ZS'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'ZS',4,2,'',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 4,
			ISONCE = 2,
			NAME   = '',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 36,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GUID_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'GUID_FK','  ','STRING',36,0,0,0,'GUID_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZVK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NOM_ZVK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZVK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NOM_ZVK',' ','STRING',15,0,1,1,'NOM_ZVK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_ZVK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_ZVK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_ZVK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'DATE_ZVK',' ','DATE',0,1,1,1,'DATE_ZVK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_BUD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'NAME_BUD',' ','STRING',512,0,1,0,'NAME_BUD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_FO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_UBP_FO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_FO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'NAME_UBP_FO','  ','STRING',2000,0,1,0,'NAME_UBP_FO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_GRBS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= '  ()',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_GRBS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_GRBS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'NAME_GRBS','  ()','STRING',2000,0,1,0,'NAME_GRBS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GLAVA_GRBS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 3,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GLAVA_GRBS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GLAVA_GRBS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'GLAVA_GRBS','  ','STRING',3,1,1,0,'GLAVA_GRBS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'NAME_UBP_PAY',' ','STRING',2000,0,1,1,'NAME_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'KOD_UBP_PAY',' ','STRING',5,1,0,0,'KOD_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 10,
		NAME   		= '   .',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'LS_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 10,'LS_PAY','   .','STRING',11,1,1,1,'LS_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 11,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 11,'NAME_TOFK','  ','STRING',2000,0,1,1,'NAME_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 12,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 4,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 12,'KOD_TOFK','  ','STRING',4,1,1,1,'KOD_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_LIM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_LIM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_LIM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'DATE_LIM','  ','DATE',0,1,1,0,'DATE_LIM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_BO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 16,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOM_BO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_BO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'NOM_BO',' ','STRING',16,1,0,0,'NOM_BO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_RUK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= '  (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOL_RUK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_RUK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'DOL_RUK','  (  )','STRING',100,0,0,0,'DOL_RUK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RUK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= '  (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_RUK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RUK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'NAME_RUK','  (  )','STRING',50,0,0,1,'NAME_RUK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_BUH')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '   (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOL_BUH',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_BUH'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'DOL_BUH','   (  )','STRING',100,0,0,0,'DOL_BUH','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUH')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= '   (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_BUH',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUH'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'NAME_BUH','   (  )','STRING',50,0,0,0,'NAME_BUH','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_POD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_POD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_POD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'DATE_POD','  ','DATE',0,0,0,1,'DATE_POD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_ISP_DOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DOL_ISP_DOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_ISP_DOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'DOL_ISP_DOV','  ','STRING',100,0,0,1,'DOL_ISP_DOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_ISP_DOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_ISP_DOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_ISP_DOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'NAME_ISP_DOV','  ','STRING',50,0,0,1,'NAME_ISP_DOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_DOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= ' ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 255,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_DOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_DOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'NAME_DOV',' ,  ','STRING',255,0,0,1,'NAME_DOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= ' ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 45,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'NOM_DOC',' ,  ','STRING',45,0,0,0,'NOM_DOC','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ORG_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= '  ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ORG_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ORG_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'ORG_DOC','  ,  ','STRING',2000,0,0,0,'ORG_DOC','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= ' ,  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'DATE_DOC',' ,  ','DATE',0,1,0,0,'DATE_DOC','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_ITOG')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= ' ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_ITOG',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_ITOG'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'SUM_ITOG',' ','NUMBER2',0,1,1,0,'SUM_ITOG','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZS_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= ' ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOM_ZS_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZS_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'NOM_ZS_FK',' ,  ','STRING',15,0,0,0,'NOM_ZS_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= '    ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'DATE_FK','    ','STRING',10,0,0,0,'DATE_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_ISP_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 29,
		NAME   		= '    ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOL_ISP_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_ISP_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 29,'DOL_ISP_FK','    ','STRING',100,0,0,0,'DOL_ISP_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_ISP_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 30,
		NAME   		= '     ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_ISP_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_ISP_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 30,'NAME_ISP_FK','     ','STRING',50,0,0,0,'NAME_ISP_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TEL_ISP_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 31,
		NAME   		= '     ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TEL_ISP_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TEL_ISP_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 31,'TEL_ISP_FK','     ','STRING',10,0,0,0,'TEL_ISP_FK','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'ZSCH1'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'ZSCH1',5,2,' ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 5,
			ISONCE = 2,
			NAME   = ' ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUMR_ZVK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'SUMR_ZVK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUMR_ZVK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'SUMR_ZVK','','NUMBER2',0,0,1,1,'SUMR_ZVK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CHEK_NOM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'CHECK_NOM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CHEK_NOM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'CHEK_NOM',' ','STRING',15,0,0,1,'CHECK_NOM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CHECK_SER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 30,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'CHECK_SER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CHECK_SER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'CHECK_SER',' ','STRING',30,0,0,1,'CHECK_SER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_CHEK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_CHECK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_CHEK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'DATE_CHEK','  ','DATE',0,1,0,1,'DATE_CHECK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_CHEK_LIM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_CHECK_LIM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_CHEK_LIM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'DATE_CHEK_LIM','  ','DATE',0,1,0,1,'DATE_CHECK_LIM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CHECK_KAS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'CHECK_KAS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CHECK_KAS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'CHECK_KAS','  ','STRING',2,1,1,1,'CHECK_KAS','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'ZSCH2'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'ZSCH2',6,2,' ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 6,
			ISONCE = 2,
			NAME   = ' ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_IST')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_IST',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_IST'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_IST',' ','STRING',1,1,0,1,'KOD_IST','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KBK','  ','STRING',20,1,1,0,'KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TYPE_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'TYPE_KBK',' ','STRING',2,1,1,0,'TYPE_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'ADD_KLASS','  ','STRING',20,0,0,0,'ADD_KLASS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUMR_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUMR_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUMR_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'SUMR_KBK','  ','NUMBER2',0,1,1,0,'SUMR_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 210,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PURPOSE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'PURPOSE',' ','STRING',210,0,0,0,'PURPOSE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOTE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOTE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOTE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'NOTE','','STRING',254,0,0,0,'NOTE','',''
GO
--  .. RA_EXPORT_FORM_STRUCT. ( 17 2013  2:45:25:030PM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 0503121G (    )
--   : 20130101
--    :
--  : 2013-07-17 14:45:25.030
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '0503121G' AND [START_DATE] = '20130101'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2013-07-17 14:45:25.030',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '0503121G',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '0503121G'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20130101')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SMETA'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'    ',@vcNEW_FORM_CODE,@dNEW_START_DATE,3,1,1,1,18186,'RA_EXPORT_FORM_STANDART',0,0,'19000101',NULL,'191'
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, '','sv_0503121g_20130101.bas','','KirRepMakerMultiSheet.xls','sv_0503121g_20130101.xlt','',NULL,'RA_EXPORT_FORM_STANDART',0,'RTRIM(COL2) + ''|'' + RTRIM(COL3) + ''|'' + STR(COL4) + ''|'' + STR(COL5) + ''|'' + STR(COL6) + ''|'' + STR(COL7) + ''|''','C1+''|''+C2+''|''+C3+''|''+C4+''|''+C5+''|''+C6+''|''+C7',NULL,'221       ','REPORTS_FILTER_KBK',NULL,NULL,'|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' 1', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,0,1,1,0,100,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' .',@iLINK_TABLE,1,1,2,0,4,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  ',@iLINK_TABLE,1,1,3,0,3,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' ',@iLINK_TABLE,1,0,4,4,2,1,'','','','999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'   ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'',@iLINK_TABLE,1,0,6,6,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' 1', @iLINK_FORM,1, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

DECLARE @iError INT

--    .
IF OBJECT_ID('tempdb..#R') IS NOT NULL
BEGIN
   DROP TABLE #R
END

CREATE TABLE #R([ORDERS]      SMALLINT,
                [LINK_TABLE]  INT,
                [CALC_ORDERS] SMALLINT,
                [PRINT_NULL]  TINYINT)

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #R',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN
INSERT #R VALUES (1,1,16,1)
INSERT #R VALUES (2,1,2,1)
INSERT #R VALUES (3,1,3,1)
INSERT #R VALUES (4,1,4,1)
INSERT #R VALUES (5,1,5,1)
INSERT #R VALUES (6,1,10,1)
INSERT #R VALUES (7,1,7,1)
INSERT #R VALUES (8,1,8,1)
INSERT #R VALUES (9,1,9,1)
INSERT #R VALUES (10,1,10,1)
INSERT #R VALUES (11,1,15,1)
INSERT #R VALUES (12,1,12,1)
INSERT #R VALUES (13,1,13,1)
INSERT #R VALUES (14,1,14,1)
INSERT #R VALUES (15,1,15,1)
INSERT #R VALUES (16,1,16,1)
INSERT #R VALUES (17,1,47,1)
INSERT #R VALUES (18,1,21,1)
INSERT #R VALUES (19,1,19,1)
INSERT #R VALUES (20,1,20,1)
INSERT #R VALUES (21,1,20,1)
INSERT #R VALUES (22,1,28,1)
INSERT #R VALUES (23,1,22,1)
INSERT #R VALUES (24,1,23,1)
INSERT #R VALUES (25,1,24,1)
INSERT #R VALUES (26,1,25,1)
INSERT #R VALUES (27,1,26,1)
INSERT #R VALUES (28,1,27,1)
INSERT #R VALUES (29,1,31,1)
INSERT #R VALUES (30,1,29,1)
INSERT #R VALUES (31,1,30,1)
INSERT #R VALUES (32,1,34,1)
INSERT #R VALUES (33,1,32,1)
INSERT #R VALUES (34,1,33,1)
INSERT #R VALUES (35,1,38,1)
INSERT #R VALUES (36,1,35,1)
INSERT #R VALUES (37,1,36,1)
INSERT #R VALUES (38,1,37,1)
INSERT #R VALUES (39,1,42,1)
INSERT #R VALUES (40,1,39,1)
INSERT #R VALUES (41,1,40,1)
INSERT #R VALUES (42,1,41,1)
INSERT #R VALUES (43,1,46,1)
INSERT #R VALUES (44,1,43,1)
INSERT #R VALUES (45,1,44,1)
INSERT #R VALUES (46,1,45,1)
INSERT #R VALUES (47,1,46,1)
INSERT #R VALUES (48,1,94,1)
INSERT #R VALUES (49,1,51,1)
INSERT #R VALUES (50,1,50,1)
INSERT #R VALUES (51,1,50,1)
INSERT #R VALUES (52,1,62,1)
INSERT #R VALUES (53,1,60,1)
INSERT #R VALUES (54,1,50,1)
INSERT #R VALUES (55,1,51,1)
INSERT #R VALUES (56,1,60,1)
INSERT #R VALUES (57,1,53,1)
INSERT #R VALUES (58,1,54,1)
INSERT #R VALUES (59,1,60,1)
INSERT #R VALUES (60,1,56,1)
INSERT #R VALUES (61,1,57,1)
INSERT #R VALUES (62,1,61,1)
INSERT #R VALUES (63,1,59,1)
INSERT #R VALUES (64,1,60,1)
INSERT #R VALUES (65,1,95,1)
INSERT #R VALUES (66,1,97,1)
INSERT #R VALUES (67,1,98,1)
INSERT #R VALUES (68,1,101,1)
INSERT #R VALUES (69,1,91,1)
INSERT #R VALUES (70,1,81,1)
INSERT #R VALUES (71,1,64,1)
INSERT #R VALUES (72,1,65,1)
INSERT #R VALUES (73,1,81,1)
INSERT #R VALUES (74,1,67,1)
INSERT #R VALUES (75,1,68,1)
INSERT #R VALUES (76,1,81,1)
INSERT #R VALUES (77,1,70,1)
INSERT #R VALUES (78,1,71,1)
INSERT #R VALUES (79,1,81,1)
INSERT #R VALUES (80,1,73,1)
INSERT #R VALUES (81,1,74,1)
INSERT #R VALUES (82,1,94,1)
INSERT #R VALUES (83,1,92,1)
INSERT #R VALUES (84,1,93,1)
INSERT #R VALUES (85,1,81,1)
INSERT #R VALUES (86,1,76,1)
INSERT #R VALUES (87,1,77,1)
INSERT #R VALUES (88,1,91,1)
INSERT #R VALUES (89,1,89,1)
INSERT #R VALUES (90,1,79,1)
INSERT #R VALUES (91,1,80,1)
INSERT #R VALUES (92,1,89,1)
INSERT #R VALUES (93,1,82,1)
INSERT #R VALUES (94,1,83,1)
INSERT #R VALUES (95,1,89,1)
INSERT #R VALUES (96,1,85,1)
INSERT #R VALUES (97,1,86,1)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #R) <> 97
BEGIN
   INSERT #tabErrorLog VALUES ('     #R',0)
END

ALTER TABLE dbo.[REPORT_ROWS] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_ROWS] ([ORDERS],
                          [LINK_TABLE],
                          [CALC_ORDERS],
                          [PRINT_NULL])
SELECT [C].[ORDERS],
       [B].[LINK_TABLE],
       [C].[CALC_ORDERS],
       [C].[PRINT_NULL]
FROM #tabInfo            [A]
JOIN dbo.[REPORT_TABLES] [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN #R                  [C] ON [B].[ORDERS] = [C].[LINK_TABLE]

ALTER TABLE dbo.[REPORT_ROWS] ENABLE TRIGGER ALL

DROP TABLE #R

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

--  REPORT_FORMULA.
IF OBJECT_ID('tempdb..#F') IS NOT NULL
BEGIN
   DROP TABLE #F
END

CREATE TABLE #F([ORDER_TABLE] INT,
                [ORDER_ROW]   INT,
                [ORDER_COL]   INT,
                [FORMULA]  VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #F',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
INSERT #F VALUES (1,1,1,' (.020 + .030 + .040 + .050 + .060 + . 080 + .090 + .100 + .110)                                                                                                                                                         ')
INSERT #F VALUES (1,2,1,'                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,3,1,'                                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,4,1,'     ()                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,5,1,'                                                                                                                                                                                                                               ')
INSERT #F VALUES (1,6,1,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,7,1,' ..                                                                                                                                                                                      ')
INSERT #F VALUES (1,8,1,'      .                                                                                                                                                                               ')
INSERT #F VALUES (1,9,1,'                                                                                                                                                                                                           ')
INSERT #F VALUES (1,10,1,'                                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,11,1,'    ')
INSERT #F VALUES (1,12,1,' ..                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,13,1,'                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,14,1,'                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,15,1,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (1,16,1,'                                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,17,1,' (.160 + .170 + .190 + .210 + .230 + .240 + .260 + .270 + .280)                                                                                                                                                         ')
INSERT #F VALUES (1,18,1,'                                                                                                                                                                                                              ')
INSERT #F VALUES (1,19,1,' ..                                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,20,1,'                                                                                                                                                                                                                                             ')
INSERT #F VALUES (1,21,1,'                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,22,1,' ,                                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,23,1,' ..                                                                                                                                                                                                                                         ')
INSERT #F VALUES (1,24,1,'                                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,25,1,'                                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,26,1,'                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,27,1,',                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,28,1,' ,                                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,29,1,'   ()                                                                                                                                                                                                      ')
INSERT #F VALUES (1,30,1,' ..                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,31,1,'                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,32,1,'                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,33,1,' ..                                                                                                                                                                                  ')
INSERT #F VALUES (1,34,1,' ,                                                                                                                                                                          ')
INSERT #F VALUES (1,35,1,'                                                                                                                                                                                                                         ')
INSERT #F VALUES (1,36,1,' ..                                                                                                                                                                                       ')
INSERT #F VALUES (1,37,1,'                                                                                                                                                                               ')
INSERT #F VALUES (1,38,1,'                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,39,1,'                                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,40,1,',     ,                                                                                                                                                                     ')
INSERT #F VALUES (1,41,1,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,42,1,', ,                                                                                                                                                                               ')
INSERT #F VALUES (1,43,1,'    ')
INSERT #F VALUES (1,44,1,' ..                                                                                                                                                                                                    ')
INSERT #F VALUES (1,45,1,'                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,46,1,'                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,47,1,'                                                                                                                                                                                                                                             ')
INSERT #F VALUES (1,48,1,'                                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,49,1,'   (.291 - .292),  (.310 + .380)')
INSERT #F VALUES (1,50,1,'    (.010 - .150)')
INSERT #F VALUES (1,51,1,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (1,52,1,'    (.320 + .330 + .350 + .360+.370)                                                                                                                                                                         ')
INSERT #F VALUES (1,53,1,'                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,54,1,' . .                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,55,1,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,56,1,'                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,57,1,' . .                                                                                                                                                                                                           ')
INSERT #F VALUES (1,58,1,'                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,59,1,'                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,60,1,' . .                                                                                                                                                                                                          ')
INSERT #F VALUES (1,61,1,'                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,62,1,'                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,63,1,' . .                                                                                                                                                                                                             ')
INSERT #F VALUES (1,64,1,'                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,65,1,'      ,  ,                                                                                                                                                                         ')
INSERT #F VALUES (1,66,1,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (1,67,1,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (1,68,1,'      (.390 - .510)                                                                                                                                                                                     ')
INSERT #F VALUES (1,69,1,'    (. 410 + .420 + . 440 + . 460 + .470 + .480)                                                                                                                                                            ')
INSERT #F VALUES (1,70,1,'     ')
INSERT #F VALUES (1,71,1,' . .                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,72,1,'                                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,73,1,'   ,                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,74,1,' . .    ,                                                                                                                                                                                                          ')
INSERT #F VALUES (1,75,1,'   ,                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,76,1,'                                                                                                                                                                                                           ')
INSERT #F VALUES (1,77,1,'                                                                                                                                                                                                         ')
INSERT #F VALUES (1,78,1,'                                                                                                                                                                                                         ')
INSERT #F VALUES (1,79,1,'   ')
INSERT #F VALUES (1,80,1,' . .                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,81,1,'                                                                                                                                                                                                                                ')
INSERT #F VALUES (1,82,1,'                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,83,1,' ..                                                                                                                                                                                                            ')
INSERT #F VALUES (1,84,1,'                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,85,1,'     (  )                                                                                                                                                                             ')
INSERT #F VALUES (1,86,1,' . .                                                                                                                                                                                                           ')
INSERT #F VALUES (1,87,1,'                                                                                                                                                                                                                  ')
INSERT #F VALUES (1,88,1,'   (.520 + .530 + .540)')
INSERT #F VALUES (1,89,1,'      ()                                                                                                                                                                     ')
INSERT #F VALUES (1,90,1,' . .      ()                                                                                                                                                                    ')
INSERT #F VALUES (1,91,1,'     ()                                                                                                                                                                            ')
INSERT #F VALUES (1,92,1,'                                                                                                                                                                                              ')
INSERT #F VALUES (1,93,1,' . .                                                                                                                                                                                             ')
INSERT #F VALUES (1,94,1,'                                                                                                                                                                                                    ')
INSERT #F VALUES (1,95,1,'                                                                                                                                                                                                           ')
INSERT #F VALUES (1,96,1,' . .                                                                                                                                                                                                          ')
INSERT #F VALUES (1,97,1,'                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,1,2,'010')
INSERT #F VALUES (1,2,2,'020                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,3,2,'030                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,4,2,'040                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,5,2,'050                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,6,2,'060')
INSERT #F VALUES (1,7,2,'061                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,8,2,'062                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,9,2,'063                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,10,2,'080                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,11,2,'090')
INSERT #F VALUES (1,12,2,'091                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,13,2,'092                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,14,2,'093                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,15,2,'100                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,16,2,'110                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,17,2,'150                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,18,2,'160')
INSERT #F VALUES (1,19,2,'161                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,20,2,'162                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,21,2,'163                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,22,2,'170')
INSERT #F VALUES (1,23,2,'171                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,24,2,'172                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,25,2,'173                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,26,2,'174                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,27,2,'175                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,28,2,'176                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,29,2,'190')
INSERT #F VALUES (1,30,2,'191                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,31,2,'192                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,32,2,'210')
INSERT #F VALUES (1,33,2,'211                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,34,2,'212                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,35,2,'230')
INSERT #F VALUES (1,36,2,'231                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,37,2,'232                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,38,2,'233                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,39,2,'240')
INSERT #F VALUES (1,40,2,'241                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,41,2,'242                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,42,2,'243                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,43,2,'260')
INSERT #F VALUES (1,44,2,'261                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,45,2,'262                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,46,2,'263                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,47,2,'270                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,48,2,'280                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,49,2,'290')
INSERT #F VALUES (1,50,2,'291')
INSERT #F VALUES (1,51,2,'292')
INSERT #F VALUES (1,52,2,'310                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,53,2,'320')
INSERT #F VALUES (1,54,2,'321                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,55,2,'322                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,56,2,'330')
INSERT #F VALUES (1,57,2,'331                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,58,2,'332')
INSERT #F VALUES (1,59,2,'350')
INSERT #F VALUES (1,60,2,'351')
INSERT #F VALUES (1,61,2,'352                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,62,2,'360')
INSERT #F VALUES (1,63,2,'361')
INSERT #F VALUES (1,64,2,'362')
INSERT #F VALUES (1,65,2,'370                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,66,2,'371                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,67,2,'372                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,68,2,'380')
INSERT #F VALUES (1,69,2,'390')
INSERT #F VALUES (1,70,2,'410')
INSERT #F VALUES (1,71,2,'411')
INSERT #F VALUES (1,72,2,'412')
INSERT #F VALUES (1,73,2,'420                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,74,2,'421                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,75,2,'422                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,76,2,'440')
INSERT #F VALUES (1,77,2,'441')
INSERT #F VALUES (1,78,2,'442')
INSERT #F VALUES (1,79,2,'460')
INSERT #F VALUES (1,80,2,'461')
INSERT #F VALUES (1,81,2,'462')
INSERT #F VALUES (1,82,2,'470                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,83,2,'471                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,84,2,'472                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,85,2,'480')
INSERT #F VALUES (1,86,2,'481')
INSERT #F VALUES (1,87,2,'482')
INSERT #F VALUES (1,88,2,'510')
INSERT #F VALUES (1,89,2,'520')
INSERT #F VALUES (1,90,2,'521                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,91,2,'522')
INSERT #F VALUES (1,92,2,'530')
INSERT #F VALUES (1,93,2,'531')
INSERT #F VALUES (1,94,2,'532')
INSERT #F VALUES (1,95,2,'540')
INSERT #F VALUES (1,96,2,'541')
INSERT #F VALUES (1,97,2,'542')
INSERT #F VALUES (1,1,3,'100                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,2,3,'110                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,3,3,'120                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,4,3,'130                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,5,3,'140                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,6,3,'150                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,7,3,'151                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,8,3,'152                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,9,3,'153                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,10,3,'160                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,11,3,'170')
INSERT #F VALUES (1,12,3,'171                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,13,3,'172                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,14,3,'173                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,15,3,'180                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,16,3,'130                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,17,3,'200                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,18,3,'210                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,19,3,'211                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,20,3,'212                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,21,3,'213                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,22,3,'220                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,23,3,'221                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,24,3,'222                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,25,3,'223                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,26,3,'224                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,27,3,'225                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,28,3,'226                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,29,3,'230                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,30,3,'231                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,31,3,'232                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,32,3,'240                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,33,3,'241                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,34,3,'242                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,35,3,'250                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,36,3,'251                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,37,3,'252                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,38,3,'253                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,39,3,'260                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,40,3,'261                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,41,3,'262                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,42,3,'263                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,43,3,'270')
INSERT #F VALUES (1,44,3,'271                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,45,3,'272                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,46,3,'273                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,47,3,'290                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,49,3,'')
INSERT #F VALUES (1,50,3,'')
INSERT #F VALUES (1,51,3,'')
INSERT #F VALUES (1,54,3,'310                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,55,3,'410                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,57,3,'320                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,58,3,'420                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,60,3,'330                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,61,3,'430                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,63,3,'340                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,64,3,'440                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,66,3,'
                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,67,3,'                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (1,69,3,'')
INSERT #F VALUES (1,70,3,'')
INSERT #F VALUES (1,71,3,'510                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,72,3,'610                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,74,3,'520                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,75,3,'620                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,77,3,'530                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,78,3,'630                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,79,3,'')
INSERT #F VALUES (1,80,3,'540                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,81,3,'640                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,83,3,'550                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,84,3,'650                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,86,3,'560                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,87,3,'660                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,88,3,'')
INSERT #F VALUES (1,90,3,'710                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,91,3,'810                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,93,3,'720                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,94,3,'820                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,96,3,'730                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,97,3,'830                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,2,4,'("1.401.10,>=''110'', <''120''")')
INSERT #F VALUES (1,3,4,'("1.401.10,>=''120'', <''130''")')
INSERT #F VALUES (1,4,4,'("1.401.10,>=''130'', <''140''")')
INSERT #F VALUES (1,5,4,'("1.401.10,>=''140'', <''150''")')
INSERT #F VALUES (1,7,4,'("1.401.10,=''151''")')
INSERT #F VALUES (1,8,4,'("1.401.10,=''152''")')
INSERT #F VALUES (1,9,4,'("1.401.10,=''153''")')
INSERT #F VALUES (1,10,4,'("1.401.10,>=''160'', <''170''")')
INSERT #F VALUES (1,12,4,'("1.401.10,=''171''")')
INSERT #F VALUES (1,13,4,'("1.401.10,=''172''")')
INSERT #F VALUES (1,14,4,'("1.401.10,=''173''")')
INSERT #F VALUES (1,15,4,'("1.401.10,>=''180'', <''190''")')
INSERT #F VALUES (1,19,4,'("1.401.20,=''211''")')
INSERT #F VALUES (1,20,4,'("1.401.20,=''212''")')
INSERT #F VALUES (1,21,4,'("1.401.20,=''213''")')
INSERT #F VALUES (1,23,4,'("1.401.20,=''221''")')
INSERT #F VALUES (1,24,4,'("1.401.20,=''222''")')
INSERT #F VALUES (1,25,4,'("1.401.20,=''223''")')
INSERT #F VALUES (1,26,4,'("1.401.20,=''224''")')
INSERT #F VALUES (1,27,4,'("1.401.20,=''225''")')
INSERT #F VALUES (1,28,4,'("1.401.20,=''226''")')
INSERT #F VALUES (1,30,4,'("1.401.20,=''231''")')
INSERT #F VALUES (1,31,4,'("1.401.20,=''232''")')
INSERT #F VALUES (1,33,4,'("1.401.20,=''241''")')
INSERT #F VALUES (1,34,4,'("1.401.20,=''242''")')
INSERT #F VALUES (1,36,4,'("1.401.20,=''251''")')
INSERT #F VALUES (1,37,4,'("1.401.20,=''252''")')
INSERT #F VALUES (1,38,4,'("1.401.20,=''253''")')
INSERT #F VALUES (1,40,4,'("1.401.20,=''261''")')
INSERT #F VALUES (1,41,4,'("1.401.20,=''262''")')
INSERT #F VALUES (1,42,4,'("1.401.20,=''263''")')
INSERT #F VALUES (1,44,4,'("1.401.20,=''271''")')
INSERT #F VALUES (1,45,4,'("1.401.20,=''272''")')
INSERT #F VALUES (1,46,4,'("1.401.20,=''273''")')
INSERT #F VALUES (1,47,4,'("1.401.20,>=''280'', <=''290''")')
INSERT #F VALUES (1,48,4,'("1.401.50")')
INSERT #F VALUES (1,54,4,'("1.101:1.106._1:1.107._1:1.108.5_,=''310''"," =.")-("1.101:1.106._1:1.107._1:1.108.5_,=''310''"," =.")')
INSERT #F VALUES (1,55,4,'("1.101:1.106._1:1.107._1:1.104._[1-8],=''410''"," =.")-("1.101:1.106._1:1.107._1:1.104._[1-8],=''410''"," =.")')
INSERT #F VALUES (1,57,4,'("1.102:1.106._2:1.107._2:1.108.03,=''320''"," =.")-("1.102:1.106.02:1.107.02:1.108.03,=''320''"," =.")')
INSERT #F VALUES (1,58,4,'("1.102:1.104.09:1.106.02:1.107.02:1.108.03:1.104.12,=''420''"," =.")-("1.102:1.104.09:1.106.02:1.107.02:1.108.03:1.104.12,=''420''"," =.")')
INSERT #F VALUES (1,60,4,'("1.103:1.106.03:1.108.04,=''330''"," =.") - ("1.103:1.106.03:1.108.04,=''330''"," =.")')
INSERT #F VALUES (1,61,4,'("1.103:1.106.03:1.108.04,=''430''"," =.") - ("1.103:1.106.03:1.108.04,=''430''"," =.")')
INSERT #F VALUES (1,63,4,'("1.105:1.106.04:1.107.03:1.108.05,=''340''"," =.")-("1.105:1.106.04:1.107.03:1.108.05,=''340''"," =.")')
INSERT #F VALUES (1,64,4,'("1.105:1.106.04:1.107.03:1.108.05,=''440''"," =.")-("1.105:1.106.04:1.107.03:1.108.05,=''440''"," =.")')
INSERT #F VALUES (1,71,4,'("1.201.01:1.201.03:1.201.04:1.201.05:1.201.06:1.201.07,=''510''"," =.")-("1.201.01:1.201.03:1.201.04:1.201.05:1.201.06:1.201.07,=''510''''"," =.")+("1.210.02")                                                   ')
INSERT #F VALUES (1,72,4,'("1.201.01:1.201.03:1.201.04:1.201.05:1.201.06:1.201.07:1.204.01,=''610''"," =.")-("1.201.01:1.201.03:1.201.04:1.201.05:1.201.06:1.201.07:1.204.01,=''610''"," =.")+("1.304.05")                                  ')
INSERT #F VALUES (1,74,4,'("1.204.03,=''520''"," =.")-("1.204.03,=''520''"," =.")')
INSERT #F VALUES (1,75,4,'("1.204.03,=''620''"," =.")-("1.204.03,=''620''"," =.")')
INSERT #F VALUES (1,77,4,'("1.204.02:1.215,>=''530'',<''540''"," =.")-("1.204.02:1.215,>=''530'', <''540''"," =.")')
INSERT #F VALUES (1,78,4,'("1.204.02:1.215,>=''630'', <''640''"," =.")-("1.204.02:1.215,>=''630'', <''640''"," =.")')
INSERT #F VALUES (1,80,4,'("1.207,>=''540'', <''550''"," =.")-("1.207,>=''540'', <''550''"," =.")                                                                                                                                             ')
INSERT #F VALUES (1,81,4,'("1.207,>=''640'', <''650''"," =.")-("1.207,>=''640'', <''650''"," =.")                                                                                                                                             ')
INSERT #F VALUES (1,83,4,'("1.204.01,>=''550'', <''560''"," =.")-("1.204.01,>=''550'', <''560''"," =.")')
INSERT #F VALUES (1,84,4,'("1.204.01,>=''650'', <''660''"," =.")-("1.204.01,>=''650'', <''660''"," =.")')
INSERT #F VALUES (1,86,4,'("1.205:1.206:1.208:1.209:1.210.03,>=''560'', <''570''"," =.")-("1.205:1.206:1.208:1.209:1.210.03,>=''560'', <''570''"," =.")                                                                                       ')
INSERT #F VALUES (1,87,4,'("1.205:1.206:1.208:1.209:1.210.03,>=''660'', <''670''"," =.")-("1.205:1.206:1.208:1.209:1.210.03,>=''660'', <''670''"," =.")                                                                                       ')
INSERT #F VALUES (1,90,4,'("1.301.01,>=''710'', <''720''"," =.")-("1.301.01,>=''710'', <''720''"," =.")')
INSERT #F VALUES (1,91,4,'("1.301.01,>=''810'', <''820''"," =.")-("1.301.01,>=''810'', <''820''"," =.")')
INSERT #F VALUES (1,93,4,'("1.301.02,>=''720'', <''730''"," =.")-("1.301.02,>=''720'', <''730''"," =.")                                                                                                                                       ')
INSERT #F VALUES (1,94,4,'("1.301.02,>=''820'', <''830''"," =.")-("1.301.02,>=''820'', <''830''"," =.")                                                                                                                                       ')
INSERT #F VALUES (1,96,4,'("1.302:1.303:1.304.02:1.304.03,>=''730'',<''740''"," =.")-("1.302:1.303:1.304.02:1.304.03,>=''730'',<''740''"," =.")+("1.304.04"," =.")                                                            ')
INSERT #F VALUES (1,97,4,'("1.302:1.303:1.304.02:1.304.03,>=''830'',<''840''"," =.")-("1.302:1.303:1.304.02:1.304.03,>=''830'', <''840''"," =.")+("1.304.04"," =.")                                                           ')
INSERT #F VALUES (1,71,5,'("3.201.04:3.201.02,=''510''"," =.")-("3.201.02:3.201.04,=''510''''"," =.")                                                                                                                                            ')
INSERT #F VALUES (1,72,5,'("3.201.04:3.201.02,=''610''"," =.")-("3.201.04:3.201.02,=''610''"," =.")                                                                                                                                             ')
INSERT #F VALUES (1,86,5,'("3.210.03,>=''560'', <''570''"," =.")-("3.210.03,>=''560'', <''570''"," =.")                                                                                                                                       ')
INSERT #F VALUES (1,87,5,'("3.210.03,>=''660'', <''670''"," =.")-("3.210.03,>=''660'', <''670''"," =.")                                                                                                                                       ')
INSERT #F VALUES (1,96,5,'("3.304.01,>=''730'',<''740''"," =.")-("3.304.01,>=''730'', <''740''"," =.")                                                                                                                                        ')
INSERT #F VALUES (1,97,5,'("3.304.01,>=''830'',<''840''"," =.")-("3.304.01,>=''830'', <''840''"," =.")                                                                                                                                        ')

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #F) <> 344
BEGIN
   INSERT #tabErrorLog VALUES ('     #F',0)
END

ALTER TABLE dbo.[REPORT_FORMULA] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_FORMULA] ([LINK_ROW],
                             [LINK_COL],
                             [FORMULA])
SELECT [D].[LINK_ROW],
       [C].[LINK_COL],
       [E].[FORMULA]
FROM #tabInfo              [A]
JOIN dbo.[REPORT_TABLES]   [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN dbo.[REPORT_COLOUMNS] [C] ON [B].[LINK_TABLE] = [C].[LINK_TABLE]
JOIN dbo.[REPORT_ROWS]     [D] ON [B].[LINK_TABLE] = [D].[LINK_TABLE]
JOIN #F                    [E] ON [E].[ORDER_TABLE] = [B].[ORDERS] AND [E].[ORDER_COL] = [C].[ORDERS] AND [E].[ORDER_ROW] = [D].[ORDERS]

ALTER TABLE dbo.[REPORT_FORMULA] ENABLE TRIGGER ALL

DROP TABLE #F

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,1,7,0,0,0,'.1.170 =  .1.171 +  .1.172 +  .1.173 +  .1.174 +  .1.175 +  .1.176',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(2,NULL,0,NULL,2,7,0,0,0,'.1.010 =  .1.020 +  .1.030 +  .1.040 +  .1.050 +  .1.060 +  .1.080 +  .1.090 +  .1.100 +  .1.110',1,3,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(3,NULL,0,NULL,3,7,0,0,0,'.1.060 =  .1.061 +  .1.062 +  .1.063',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(4,NULL,0,NULL,4,7,0,0,0,'.1.090 =  .1.091 +  .1.092 +  .1.093',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(5,NULL,0,NULL,5,7,0,0,0,'.1.150 =  .1.160 +  .1.170 +  .1.190 +  .1.210 +  .1.230 +  .1.240 +  .1.260 +  .1.270 +  .1.280',1,3,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(6,NULL,0,NULL,6,7,0,0,0,'.1.160 =  .1.161 +  .1.162 +  .1.163',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(7,NULL,0,NULL,7,7,0,0,0,'.1.190 =  .1.191 +  .1.192',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(8,NULL,0,NULL,8,7,0,0,0,'.1.210 =  .1.211 +  .1.212',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(9,NULL,0,NULL,9,7,0,0,0,'.1.230 =  .1.231 +  .1.232 +  .1.233',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(10,NULL,0,NULL,10,7,0,0,0,'.1.240 =  .1.241 +  .1.242 +  .1.243',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(11,NULL,0,NULL,11,7,0,0,0,'.1.260 =  .1.261 +  .1.262 +  .1.263',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(12,NULL,0,NULL,12,7,0,0,0,'.1.291 =  .1.010 -  .1.150',1,4,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(13,NULL,0,NULL,13,7,0,0,0,'.1.310 =  .1.320 +  .1.330 +  .1.350 +  .1.360 +  .1.370',1,2,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(14,NULL,0,NULL,14,7,0,0,0,'.1.320 =  .1.321 -  .1.322',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(15,NULL,0,NULL,15,7,0,0,0,'.1.330 =  .1.331 -  .1.332',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(16,NULL,0,NULL,16,7,0,0,0,'.1.350 =  .1.351 -  .1.352',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(17,NULL,0,NULL,17,7,0,0,0,'.1.360 =  .1.361 -  .1.362',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(18,NULL,0,NULL,18,7,0,0,0,'.1.380 =  .1.390 -  .1.510',1,4,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(19,NULL,0,NULL,19,7,0,0,0,'.1.390 =  .1.410 +  .1.420 +  .1.440 +  .1.460 +  .1.470 +  .1.480',1,2,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(20,NULL,0,NULL,20,7,0,0,0,'.1.410 =  .1.411 -  .1.412',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(21,NULL,0,NULL,21,7,0,0,0,'.1.420 =  .1.421 -  .1.422',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(22,NULL,0,NULL,22,7,0,0,0,'.1.440 =  .1.441 -  .1.442',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(23,NULL,0,NULL,23,7,0,0,0,'.1.460 =  .1.461 -  .1.462',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(24,NULL,0,NULL,24,7,0,0,0,'.1.480 =  .1.481 -  .1.482',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(25,NULL,0,NULL,25,7,0,0,0,'.1.510 =  .1.520 +  .1.530 +  .1.540',1,2,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(26,NULL,0,NULL,26,7,0,0,0,'.1.520 =  .1.521 -  .1.522',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(27,NULL,0,NULL,27,7,0,0,0,'.1.530 =  .1.531 -  .1.532',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(28,NULL,0,NULL,28,7,0,0,0,'.1.540 =  .1.541 -  .1.542',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(29,NULL,0,NULL,29,7,0,0,0,'.1.290 =  .1.291 -  .1.292',1,5,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(30,NULL,0,NULL,30,7,0,0,0,'.1.290 =  .1.310 +  .1.380',0,5,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(31,NULL,0,NULL,31,7,0,0,0,'.1.470 =  .1.471 -  .1.472',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(32,NULL,0,NULL,33,7,0,0,0,'.1.370 =  .1.371 -  .1.372',1,1,1,'20130424','','','','0503121G','20130101','','=',2,'','')
INSERT #A VALUES(33,NULL,0,NULL,34,7,0,0,0,'.1.232 =  0 :             ( 252) -  ',0,7,1,'20130424','','','','0503121G','20130101','','=',2,'','            ( 252) -  ')
INSERT #A VALUES(34,NULL,0,NULL,35,7,0,0,0,'.1.233 =  0 :         ( 253) -  ',0,7,1,'20130424','','','','0503121G','20130101','','=',2,'','        ( 253) -  ')
INSERT #A VALUES(35,NULL,0,NULL,36,7,0,0,0,'.1.531 =  0 :            ( 720) -  ',0,7,1,'20130424','','','','0503121G','20130101','','=',2,'','           ( 720) -  ')
INSERT #A VALUES(36,NULL,0,NULL,37,7,0,0,0,'.1.532 =  0 :            ( 820) -  ',0,7,1,'20130424','','','','0503121G','20130101','','=',2,'','           ( 820) -  ')
INSERT #A VALUES(37,NULL,0,NULL,38,7,0,0,0,'.1.6 =  .1.4 +  .1.5',1,7,1,'20130424','','','','0503121G','20130101','','=',3,'','')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 37
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','170','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','171','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','172','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','173','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','174','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','175','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','176','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','010','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(2,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','020','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','040','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','050','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','080','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','090','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','100','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','110','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(3,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','061','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','062','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','063','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','090','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(4,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','091','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','092','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','093','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','150','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(5,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','160','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','170','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','190','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','210','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','230','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','240','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','260','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','270','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','280','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','160','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(6,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','161','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','162','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','163','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','190','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(7,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','191','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','192','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','210','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(8,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','211','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','212','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','230','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(9,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','231','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','232','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','233','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','240','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(10,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','241','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','242','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','243','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','260','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(11,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','261','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','262','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','263','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','291','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(12,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','010','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','150','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','310','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(13,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','320','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','330','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','350','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','360','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','370','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','320','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(14,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','321','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','322','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','330','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(15,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','331','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','332','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','350','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(16,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','351','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','352','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','360','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(17,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','361','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','362','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','380','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(18,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','390','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','510','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','390','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(19,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','410','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','420','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','440','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','460','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','470','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','480','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','410','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(20,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','411','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','412','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','420','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(21,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','421','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','422','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','440','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(22,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','441','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','442','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','460','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(23,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','461','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','462','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','480','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(24,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','481','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','482','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','510','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(25,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','520','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','530','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','540','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','520','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(26,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','521','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','522','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','530','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(27,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','531','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','532','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','540','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(28,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','541','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','542','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','290','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(29,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','291','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','292','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','290','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(30,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','310','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','380','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','470','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(31,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','471','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','472','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','370','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(32,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','371','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','372','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','232','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(33,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','233','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(34,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','531','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(35,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(36,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','532','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(36,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(37,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','','1',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 139
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '5         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'5',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '999999    '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'999999',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2013-07-17 14:45:25.030',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2013-07-17 14:45:25.030'
	BEGIN
		SELECT @vcMessage = ' 0503121G    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 0503121G    ' + @vcMessage + '       2013-07-17 14:45:25.030.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

--  .. RA_EXPORT_FORM_STRUCT. ( 17 2013  2:44:52:133PM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 0503130G (  ().,  . -)
--   : 20130101
--    :
--  : 2013-07-17 14:44:52.133
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '0503130G' AND [START_DATE] = '20130101'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2013-07-17 14:44:52.133',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '0503130G',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '0503130G'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20130101')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SMETA'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'  ().,  . -',@vcNEW_FORM_CODE,@dNEW_START_DATE,3,1,1,1,18186,'RA_EXPORT_FORM_STANDART',0,1,'19000101',NULL,'191'
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, '','SV_0503130G_20130101.bas','','KirRepMakerMultiSheet.xls','sv_0503130G_20130101.xlt','',NULL,'RA_EXPORT_FORM_STANDART',0,'RTRIM(COL2)+''|''+STR(COL3)+''|''+STR(COL4)+''|''+STR(COL5)+''|''+STR(COL6)+''|''+STR(COL7)+''|''+STR(COL8)+''|''#RTRIM(COL1)+''|''+RTRIM(COL3)+''|''+STR(COL4)+''|''+STR(COL5)+''|''','C1+''|''+C2+''|''+C3+''|''+C4+''|''+C5+''|''+C6+''|''+C7#C1+''|''+C2+''|''+C3+''|''+C4+''|''',NULL,'230       ','REPORTS_FILTER_KBK',NULL,NULL,'|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,', ',@iLINK_TABLE,0,1,1,0,160,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,4,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  .  ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'  .    ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'  . ',@iLINK_TABLE,1,0,5,5,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'   .  ',@iLINK_TABLE,1,0,6,6,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'   .    ',@iLINK_TABLE,1,0,7,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,'   . ',@iLINK_TABLE,1,0,8,8,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '', @iLINK_FORM,1, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'  ',@iLINK_TABLE,1,1,1,0,2,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'  , ',@iLINK_TABLE,0,1,2,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' ',@iLINK_TABLE,1,1,3,0,50,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'  ',@iLINK_TABLE,1,0,4,1,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'   ',@iLINK_TABLE,1,0,5,1,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '', @iLINK_FORM,2, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

DECLARE @iError INT

--    .
IF OBJECT_ID('tempdb..#R') IS NOT NULL
BEGIN
   DROP TABLE #R
END

CREATE TABLE #R([ORDERS]      SMALLINT,
                [LINK_TABLE]  INT,
                [CALC_ORDERS] SMALLINT,
                [PRINT_NULL]  TINYINT)

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #R',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN
INSERT #R VALUES (1,1,1,1)
INSERT #R VALUES (2,1,3,1)
INSERT #R VALUES (3,1,4,1)
INSERT #R VALUES (4,1,5,1)
INSERT #R VALUES (5,1,5,1)
INSERT #R VALUES (6,1,8,1)
INSERT #R VALUES (7,1,9,1)
INSERT #R VALUES (8,1,10,1)
INSERT #R VALUES (9,1,11,1)
INSERT #R VALUES (10,1,13,1)
INSERT #R VALUES (11,1,14,1)
INSERT #R VALUES (12,1,15,1)
INSERT #R VALUES (13,1,22,1)
INSERT #R VALUES (14,1,24,1)
INSERT #R VALUES (15,1,25,1)
INSERT #R VALUES (16,1,16,1)
INSERT #R VALUES (17,1,28,1)
INSERT #R VALUES (18,1,29,1)
INSERT #R VALUES (19,1,30,1)
INSERT #R VALUES (20,1,32,1)
INSERT #R VALUES (21,1,33,1)
INSERT #R VALUES (22,1,34,1)
INSERT #R VALUES (23,1,35,1)
INSERT #R VALUES (24,1,36,1)
INSERT #R VALUES (25,1,38,1)
INSERT #R VALUES (26,1,39,1)
INSERT #R VALUES (27,1,40,1)
INSERT #R VALUES (28,1,41,1)
INSERT #R VALUES (29,1,43,1)
INSERT #R VALUES (30,1,44,1)
INSERT #R VALUES (31,1,93,1)
INSERT #R VALUES (32,1,45,1)
INSERT #R VALUES (33,1,46,1)
INSERT #R VALUES (34,1,47,1)
INSERT #R VALUES (35,1,54,1)
INSERT #R VALUES (36,1,55,1)
INSERT #R VALUES (37,1,57,1)
INSERT #R VALUES (38,1,59,1)
INSERT #R VALUES (39,1,60,1)
INSERT #R VALUES (40,1,61,1)
INSERT #R VALUES (41,1,62,1)
INSERT #R VALUES (42,1,63,1)
INSERT #R VALUES (43,1,64,1)
INSERT #R VALUES (44,1,65,1)
INSERT #R VALUES (45,1,66,1)
INSERT #R VALUES (46,1,67,1)
INSERT #R VALUES (47,1,68,1)
INSERT #R VALUES (48,1,70,1)
INSERT #R VALUES (49,1,71,1)
INSERT #R VALUES (50,1,72,1)
INSERT #R VALUES (51,1,73,1)
INSERT #R VALUES (52,1,74,1)
INSERT #R VALUES (53,1,75,1)
INSERT #R VALUES (54,1,77,1)
INSERT #R VALUES (55,1,78,1)
INSERT #R VALUES (56,1,79,1)
INSERT #R VALUES (57,1,86,1)
INSERT #R VALUES (58,1,87,1)
INSERT #R VALUES (59,1,88,1)
INSERT #R VALUES (60,1,90,1)
INSERT #R VALUES (61,1,92,1)
INSERT #R VALUES (62,1,93,1)
INSERT #R VALUES (63,1,95,1)
INSERT #R VALUES (64,1,96,1)
INSERT #R VALUES (65,1,97,1)
INSERT #R VALUES (66,1,98,1)
INSERT #R VALUES (67,1,99,1)
INSERT #R VALUES (68,1,101,1)
INSERT #R VALUES (69,1,103,1)
INSERT #R VALUES (70,1,104,1)
INSERT #R VALUES (71,1,105,1)
INSERT #R VALUES (72,1,106,1)
INSERT #R VALUES (73,1,107,1)
INSERT #R VALUES (74,1,108,1)
INSERT #R VALUES (75,1,110,1)
INSERT #R VALUES (76,1,117,1)
INSERT #R VALUES (77,1,118,1)
INSERT #R VALUES (78,1,119,1)
INSERT #R VALUES (79,1,120,1)
INSERT #R VALUES (80,1,121,1)
INSERT #R VALUES (81,1,122,1)
INSERT #R VALUES (82,1,124,1)
INSERT #R VALUES (83,1,125,1)
INSERT #R VALUES (84,1,126,1)
INSERT #R VALUES (85,1,127,1)
INSERT #R VALUES (86,1,129,1)
INSERT #R VALUES (87,1,131,1)
INSERT #R VALUES (88,1,133,1)
INSERT #R VALUES (89,1,134,1)
INSERT #R VALUES (90,1,135,1)
INSERT #R VALUES (91,1,136,1)
INSERT #R VALUES (1,2,1,1)
INSERT #R VALUES (2,2,2,1)
INSERT #R VALUES (3,2,3,1)
INSERT #R VALUES (4,2,4,1)
INSERT #R VALUES (5,2,4,1)
INSERT #R VALUES (6,2,5,1)
INSERT #R VALUES (7,2,6,1)
INSERT #R VALUES (8,2,7,1)
INSERT #R VALUES (9,2,8,1)
INSERT #R VALUES (10,2,9,1)
INSERT #R VALUES (11,2,10,1)
INSERT #R VALUES (12,2,11,1)
INSERT #R VALUES (13,2,12,1)
INSERT #R VALUES (14,2,13,1)
INSERT #R VALUES (15,2,14,1)
INSERT #R VALUES (16,2,15,1)
INSERT #R VALUES (17,2,16,1)
INSERT #R VALUES (18,2,17,1)
INSERT #R VALUES (19,2,18,1)
INSERT #R VALUES (20,2,19,1)
INSERT #R VALUES (21,2,20,1)
INSERT #R VALUES (22,2,21,1)
INSERT #R VALUES (23,2,22,1)
INSERT #R VALUES (24,2,23,1)
INSERT #R VALUES (25,2,24,1)
INSERT #R VALUES (26,2,25,1)
INSERT #R VALUES (27,2,26,1)
INSERT #R VALUES (28,2,27,1)
INSERT #R VALUES (29,2,28,1)
INSERT #R VALUES (30,2,29,1)
INSERT #R VALUES (31,2,30,1)
INSERT #R VALUES (32,2,31,1)
INSERT #R VALUES (33,2,32,1)
INSERT #R VALUES (34,2,33,1)
INSERT #R VALUES (35,2,34,1)
INSERT #R VALUES (36,2,35,1)
INSERT #R VALUES (37,2,36,1)
INSERT #R VALUES (38,2,37,1)
INSERT #R VALUES (39,2,38,1)
INSERT #R VALUES (40,2,39,1)
INSERT #R VALUES (41,2,40,1)
INSERT #R VALUES (42,2,41,1)
INSERT #R VALUES (43,2,42,1)
INSERT #R VALUES (44,2,43,1)
INSERT #R VALUES (45,2,44,1)
INSERT #R VALUES (46,2,48,1)
INSERT #R VALUES (47,2,49,1)
INSERT #R VALUES (48,2,48,1)
INSERT #R VALUES (49,2,50,1)
INSERT #R VALUES (50,2,45,1)
INSERT #R VALUES (51,2,51,1)
INSERT #R VALUES (52,2,53,1)
INSERT #R VALUES (53,2,55,1)
INSERT #R VALUES (54,2,54,1)
INSERT #R VALUES (55,2,46,1)
INSERT #R VALUES (56,2,56,1)
INSERT #R VALUES (57,2,58,1)
INSERT #R VALUES (58,2,59,1)
INSERT #R VALUES (59,2,60,1)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #R) <> 150
BEGIN
   INSERT #tabErrorLog VALUES ('     #R',0)
END

ALTER TABLE dbo.[REPORT_ROWS] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_ROWS] ([ORDERS],
                          [LINK_TABLE],
                          [CALC_ORDERS],
                          [PRINT_NULL])
SELECT [C].[ORDERS],
       [B].[LINK_TABLE],
       [C].[CALC_ORDERS],
       [C].[PRINT_NULL]
FROM #tabInfo            [A]
JOIN dbo.[REPORT_TABLES] [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN #R                  [C] ON [B].[ORDERS] = [C].[LINK_TABLE]

ALTER TABLE dbo.[REPORT_ROWS] ENABLE TRIGGER ALL

DROP TABLE #R

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

--  REPORT_FORMULA.
IF OBJECT_ID('tempdb..#F') IS NOT NULL
BEGIN
   DROP TABLE #F
END

CREATE TABLE #F([ORDER_TABLE] INT,
                [ORDER_ROW]   INT,
                [ORDER_COL]   INT,
                [FORMULA]  VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #F',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
INSERT #F VALUES (1,1,1,'  ( , 010100000),                                                                                                                                                                                                     ')
INSERT #F VALUES (1,2,1,'    :    (010110000)                                                                                                                                                                                                    ')
INSERT #F VALUES (1,3,1,'      (010130000)                                                                                                                                                                                                              ')
INSERT #F VALUES (1,4,1,'    (010140000)                                                                                                                                                                                                                                ')
INSERT #F VALUES (1,5,1,'  ,    :                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,6,1,'      (010410000)                                                                                                                                                                                                    ')
INSERT #F VALUES (1,7,1,'       (010430000)                                                                                                                                                                                                ')
INSERT #F VALUES (1,8,1,'     (010440000)                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,9,1,'  ( , .010 -  .020)')
INSERT #F VALUES (1,10,1,'   :    ( , .011 -  .021)                                                                                                                                                                      ')
INSERT #F VALUES (1,11,1,'      ( , .013 -  .023)                                                                                                                                                                           ')
INSERT #F VALUES (1,12,1,'    ( , .014 -  .024)                                                                                                                                                                                             ')
INSERT #F VALUES (1,13,1,'  ( , 010200000)  *,                                                                                                                                                                                              ')
INSERT #F VALUES (1,14,1,'   :     (010230000) *                                                                                                                                                                                                    ')
INSERT #F VALUES (1,15,1,'     (010240000) *                                                                                                                                                                                                                             ')
INSERT #F VALUES (1,16,1,'   *                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,17,1,'   :     (010439000) *                                                                                                                                                                                                  ')
INSERT #F VALUES (1,18,1,'     (010449000) *                                                                                                                                                                                                                            ')
INSERT #F VALUES (1,19,1,'  ( , . 040 -  .050)')
INSERT #F VALUES (1,20,1,'   :     ( , . 042 -  .052)                                                                                                                                                                  ')
INSERT #F VALUES (1,21,1,'    ( , . 043 -  .053)                                                                                                                                                                                            ')
INSERT #F VALUES (1,22,1,'  ( , 010300000)                                                                                                                                                                                                      ')
INSERT #F VALUES (1,23,1,'  (010500000)                                                                                                                                                                                                                               ')
INSERT #F VALUES (1,24,1,'    (010600000)                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,25,1,'   :     (010610000)                                                                                                                                                                                                       ')
INSERT #F VALUES (1,26,1,'       (010630000)                                                                                                                                                                                                            ')
INSERT #F VALUES (1,27,1,'     (010640000)                                                                                                                                                                                                                              ')
INSERT #F VALUES (1,28,1,'    (010700000)                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,29,1,'   :      (010710000)                                                                                                                                                                                                  ')
INSERT #F VALUES (1,30,1,'        (010730000)                                                                                                                                                                                                       ')
INSERT #F VALUES (1,31,1,'      (010740000)                                                                                                                                                                                                                         ')
INSERT #F VALUES (1,32,1,'    ( , 010800000)*                                                                                                                                                                                        ')
INSERT #F VALUES (1,33,1,' ,    (010450000) *                                                                                                                                                                                                     ')
INSERT #F VALUES (1,34,1,'    ( , . 110 - . 120)')
INSERT #F VALUES (1,35,1,'    ,  ,  (010900000)                                                                                                                                                                                ')
INSERT #F VALUES (1,36,1,'   I (.030 + .060 + .070 + .080 + .090 + .100 + .130 + . 140)')
INSERT #F VALUES (1,37,1,'   (020100000)                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,38,1,'           (020111000)                                                                                                                                                                            ')
INSERT #F VALUES (1,39,1,'          (020113000)                                                                                                                                                                                       ')
INSERT #F VALUES (1,40,1,'          (020121000)                                                                                                                                                                                  ')
INSERT #F VALUES (1,41,1,'          (020123000)                                                                                                                                                                                     ')
INSERT #F VALUES (1,42,1,'         (020126000)                                                                                                                                                                                        ')
INSERT #F VALUES (1,43,1,'             (020127000)                                                                                                                                                             ')
INSERT #F VALUES (1,44,1,'   (020134000)                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,45,1,'    (020135000)                                                                                                                                                                                                                              ')
INSERT #F VALUES (1,46,1,'    ,       (020122000)                                                                                                                                                                   ')
INSERT #F VALUES (1,47,1,'  (020400000)                                                                                                                                                                                                                               ')
INSERT #F VALUES (1,48,1,'   ,    (020420000)                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,49,1,'         (020430000)                                                                                                                                                                                                           ')
INSERT #F VALUES (1,50,1,'     (020450000)                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,51,1,'   (020500000)                                                                                                                                                                                                                                ')
INSERT #F VALUES (1,52,1,'    (020600000)                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,53,1,'  ,  () (020700000)                                                                                                                                                                                                              ')
INSERT #F VALUES (1,54,1,'    ,  () (020710000)                                                                                                                                                                                                     ')
INSERT #F VALUES (1,55,1,'       () (020720000)                                                                                                                                                                                           ')
INSERT #F VALUES (1,56,1,'      ()  (020730000)                                                                                                                                                                                       ')
INSERT #F VALUES (1,57,1,'    (020800000)                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,58,1,'    (020900000)                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,59,1,'    (021000000)                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,60,1,'        , ,  (021001000)                                                                                                                                                                        ')
INSERT #F VALUES (1,61,1,'          (021003000)                                                                                                                                                                                     ')
INSERT #F VALUES (1,62,1,'    (021500000)                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,63,1,'   ,    (021520000)                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,64,1,'         (021530000)                                                                                                                                                                                                           ')
INSERT #F VALUES (1,65,1,'     (021550000)                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,66,1,'   II (.170  + .210 + .230 + .260 + .290 + .310 + .320 + . 330 + .370 )')
INSERT #F VALUES (1,67,1,' (.150 + . 400)')
INSERT #F VALUES (1,68,1,'      (030100000)                                                                                                                                                                                                  ')
INSERT #F VALUES (1,69,1,'       (030110000)                                                                                                                                                                                                             ')
INSERT #F VALUES (1,70,1,'         () (030120000)                                                                                                                                                                     ')
INSERT #F VALUES (1,71,1,'    ()  (03013000)                                                                                                                                                                                                     ')
INSERT #F VALUES (1,72,1,'        (030140000)                                                                                                                                                                                                 ')
INSERT #F VALUES (1,73,1,'    (030200000)                                                                                                                                                                                                                ')
INSERT #F VALUES (1,74,1,'     (030300000)                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,75,1,'         (030301000)                                                                                                                                                                                                      ')
INSERT #F VALUES (1,76,1,'          (030302000, 030306000)                                                                                                                                                                  ')
INSERT #F VALUES (1,77,1,'        (030303000)                                                                                                                                                                                                        ')
INSERT #F VALUES (1,78,1,'        (030304000)                                                                                                                                                                                                      ')
INSERT #F VALUES (1,79,1,'        (030305000, 030312000, 030313000)                                                                                                                                                                                         ')
INSERT #F VALUES (1,80,1,'           (030307000, 030308000, 030309000, 030310000, 030311000)                                                                                                                                ')
INSERT #F VALUES (1,81,1,'    (030400000)                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,82,1,'    ,     (030401000)                                                                                                                                                                                      ')
INSERT #F VALUES (1,83,1,'     (030402000)                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,84,1,'          (030403000)                                                                                                                                                                                                 ')
INSERT #F VALUES (1,85,1,'     (030404000)                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,86,1,'   III (.470+ .490 + . 510 + .530)')
INSERT #F VALUES (1,87,1,'    (040100000)                                                                                                                                                                                                      ')
INSERT #F VALUES (1,88,1,'     (040130000)                                                                                                                                                                                                    ')
INSERT #F VALUES (1,89,1,'   (040140000)                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,90,1,'   (040150000)                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,91,1,' (.600 + . 620)')
INSERT #F VALUES (1,1,2,'010                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,2,2,'011                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,3,2,'013                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,4,2,'014                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,5,2,'020                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,6,2,'021                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,7,2,'023                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,8,2,'024                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,9,2,'030')
INSERT #F VALUES (1,10,2,'031                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,11,2,'033                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,12,2,'034                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,13,2,'040                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,14,2,'042                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,15,2,'043                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,16,2,'050                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,17,2,'052                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,18,2,'053                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,19,2,'060')
INSERT #F VALUES (1,20,2,'062                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,21,2,'063                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,22,2,'070                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,23,2,'080                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,24,2,'090                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,25,2,'091                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,26,2,'093                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,27,2,'094                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,28,2,'100                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,29,2,'101                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,30,2,'103                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,31,2,'104                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,32,2,'110                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,33,2,'120                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,34,2,'130')
INSERT #F VALUES (1,35,2,'140                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,36,2,'150')
INSERT #F VALUES (1,37,2,'170                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,38,2,'171                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,39,2,'172                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,40,2,'173                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,41,2,'174                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,42,2,'175                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,43,2,'176                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,44,2,'177                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,45,2,'178                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,46,2,'179                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,47,2,'210                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,48,2,'211                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,49,2,'212                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,50,2,'213                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,51,2,'230                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,52,2,'260                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,53,2,'290                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,54,2,'291                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,55,2,'292                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,56,2,'293                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,57,2,'310                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,58,2,'320                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,59,2,'330                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,60,2,'331                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,61,2,'333                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,62,2,'370                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,63,2,'371                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,64,2,'372                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,65,2,'373                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,66,2,'400')
INSERT #F VALUES (1,67,2,'410')
INSERT #F VALUES (1,68,2,'470                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,69,2,'471                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,70,2,'472                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,71,2,'473                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,72,2,'474                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,73,2,'490                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,74,2,'510                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,75,2,'511                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,76,2,'512                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,77,2,'513                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,78,2,'514                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,79,2,'515                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,80,2,'516                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,81,2,'530                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,82,2,'531                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,83,2,'532                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,84,2,'533                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,85,2,'534                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,86,2,'600')
INSERT #F VALUES (1,87,2,'620                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,88,2,'623                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,89,2,'624                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,90,2,'625                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,91,2,'900')
INSERT #F VALUES (2,1,1,'01')
INSERT #F VALUES (2,2,1,'01                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,3,1,'01                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,4,1,'01                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,5,1,'02')
INSERT #F VALUES (2,6,1,'03')
INSERT #F VALUES (2,7,1,'04                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,8,1,'05')
INSERT #F VALUES (2,9,1,'05                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,10,1,'05                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,11,1,'06')
INSERT #F VALUES (2,12,1,'07                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,13,1,'07                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,14,1,'07                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,15,1,'08')
INSERT #F VALUES (2,16,1,'09')
INSERT #F VALUES (2,17,1,'10')
INSERT #F VALUES (2,18,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,19,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,20,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,21,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,22,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,23,1,'11')
INSERT #F VALUES (2,24,1,'11                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,25,1,'11                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,26,1,'12')
INSERT #F VALUES (2,27,1,'13')
INSERT #F VALUES (2,28,1,'14')
INSERT #F VALUES (2,29,1,'15                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,30,1,'16                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,31,1,'17                                                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,32,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,33,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,34,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,35,1,'18                                                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,36,1,'18                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,37,1,'18                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,38,1,'19')
INSERT #F VALUES (2,39,1,'20                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,40,1,'21')
INSERT #F VALUES (2,41,1,'22')
INSERT #F VALUES (2,42,1,'22                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,43,1,'22                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,44,1,'23')
INSERT #F VALUES (2,45,1,'24')
INSERT #F VALUES (2,46,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,47,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,48,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,49,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,50,1,'25')
INSERT #F VALUES (2,51,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,52,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,53,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,54,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,55,1,'26')
INSERT #F VALUES (2,56,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,57,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,58,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,59,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,1,2,'   , ')
INSERT #F VALUES (2,2,2,' :                                                                                                                                                                                                                                             ')
INSERT #F VALUES (2,3,2,' :                                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,4,2,'                                                                                                                                                                                                                                                      ')
INSERT #F VALUES (2,5,2,' ,   , ')
INSERT #F VALUES (2,6,2,'  , ')
INSERT #F VALUES (2,7,2,'  ,                                                                                                                                                                                                              ')
INSERT #F VALUES (2,8,2,' ,    , ')
INSERT #F VALUES (2,9,2,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,10,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,11,2,'       ')
INSERT #F VALUES (2,12,2,', ,    , ,                                                                                                                                                                                                        ')
INSERT #F VALUES (2,13,2,'                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,14,2,'                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,15,2,' ')
INSERT #F VALUES (2,16,2,'    ,   ')
INSERT #F VALUES (2,17,2,'  , ')
INSERT #F VALUES (2,18,2,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,19,2,'                                                                                                                                                                                                                                                         ')
INSERT #F VALUES (2,20,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,21,2,'                                                                                                                                                                                                                                                ')
INSERT #F VALUES (2,22,2,'                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,23,2,'   , ')
INSERT #F VALUES (2,24,2,'                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,25,2,'                                                                                                                                                                                                                                         ')
INSERT #F VALUES (2,26,2,'   -     , ')
INSERT #F VALUES (2,27,2,' ')
INSERT #F VALUES (2,28,2,'   ')
INSERT #F VALUES (2,29,2,' ,     -      ()                                                                                                                                        ')
INSERT #F VALUES (2,30,2,'          ,                                                                                                                                              ')
INSERT #F VALUES (2,31,2,'     ,                                                                                                                                                                                                        ')
INSERT #F VALUES (2,32,2,'                                                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,33,2,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,34,2,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,35,2,'     ,                                                                                                                                                                                                           ')
INSERT #F VALUES (2,36,2,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,37,2,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,38,2,'    ')
INSERT #F VALUES (2,39,2,',  ,                                                                                                                                                                                                             ')
INSERT #F VALUES (2,40,2,'    3000    ')
INSERT #F VALUES (2,41,2,' ,    , ')
INSERT #F VALUES (2,42,2,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,43,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,44,2,'   , ')
INSERT #F VALUES (2,45,2,',    ')
INSERT #F VALUES (2,46,2,'  :                                                                                                                                                                                                                                  ')
INSERT #F VALUES (2,47,2,' :                                                                                                                                                                                                                                    ')
INSERT #F VALUES (2,48,2,'                                                                                                                                                                                                                                          ')
INSERT #F VALUES (2,49,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,50,2,',     ()')
INSERT #F VALUES (2,51,2,'  :                                                                                                                                                                                                                                  ')
INSERT #F VALUES (2,52,2,' :                                                                                                                                                                                                                                    ')
INSERT #F VALUES (2,53,2,'                                                                                                                                                                                                                                          ')
INSERT #F VALUES (2,54,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,55,2,',    ')
INSERT #F VALUES (2,56,2,'  :                                                                                                                                                                                                                                  ')
INSERT #F VALUES (2,57,2,' :                                                                                                                                                                                                                                    ')
INSERT #F VALUES (2,58,2,'                                                                                                                                                                                                                                          ')
INSERT #F VALUES (2,59,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,1,3,'010')
INSERT #F VALUES (2,2,3,'011                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,3,3,'012                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,4,3,'015                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,5,3,'020')
INSERT #F VALUES (2,6,3,'030')
INSERT #F VALUES (2,7,3,'040                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,8,3,'050')
INSERT #F VALUES (2,9,3,'051                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,10,3,'052                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,11,3,'060')
INSERT #F VALUES (2,12,3,'070                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,13,3,'071                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,14,3,'072                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,15,3,'080')
INSERT #F VALUES (2,16,3,'090')
INSERT #F VALUES (2,17,3,'100')
INSERT #F VALUES (2,18,3,'101                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,19,3,'102                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,20,3,'103                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,21,3,'104                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,22,3,'105                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,23,3,'110')
INSERT #F VALUES (2,24,3,'111                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,25,3,'112                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,26,3,'120')
INSERT #F VALUES (2,27,3,'130')
INSERT #F VALUES (2,28,3,'140')
INSERT #F VALUES (2,29,3,'150                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,30,3,'160                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,31,3,'170                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,32,3,'171                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,33,3,'172                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,34,3,'173                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,35,3,'180                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,36,3,'181                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,37,3,'182                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,38,3,'190')
INSERT #F VALUES (2,39,3,'200                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,40,3,'210')
INSERT #F VALUES (2,41,3,'220')
INSERT #F VALUES (2,42,3,'221                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,43,3,'222                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,44,3,'230')
INSERT #F VALUES (2,45,3,'240')
INSERT #F VALUES (2,46,3,'241                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,47,3,'242                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,48,3,'244                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,49,3,'246                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,50,3,'250')
INSERT #F VALUES (2,51,3,'251                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,52,3,'252                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,53,3,'254                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,54,3,'256                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,55,3,'260')
INSERT #F VALUES (2,56,3,'261                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,57,3,'262                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,58,3,'264                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,59,3,'266                                                                                                                                                                                                                                                           ')

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #F) <> 359
BEGIN
   INSERT #tabErrorLog VALUES ('     #F',0)
END

ALTER TABLE dbo.[REPORT_FORMULA] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_FORMULA] ([LINK_ROW],
                             [LINK_COL],
                             [FORMULA])
SELECT [D].[LINK_ROW],
       [C].[LINK_COL],
       [E].[FORMULA]
FROM #tabInfo              [A]
JOIN dbo.[REPORT_TABLES]   [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN dbo.[REPORT_COLOUMNS] [C] ON [B].[LINK_TABLE] = [C].[LINK_TABLE]
JOIN dbo.[REPORT_ROWS]     [D] ON [B].[LINK_TABLE] = [D].[LINK_TABLE]
JOIN #F                    [E] ON [E].[ORDER_TABLE] = [B].[ORDERS] AND [E].[ORDER_COL] = [C].[ORDERS] AND [E].[ORDER_ROW] = [D].[ORDERS]

ALTER TABLE dbo.[REPORT_FORMULA] ENABLE TRIGGER ALL

DROP TABLE #F

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,1,7,0,0,0,'.1.600 =  .1.470 +  .1.490 +  .1.510 +  .1.530',1,4,1,'20111220','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(2,NULL,0,NULL,2,7,0,0,0,'.1.020 =  .1.021 +  .1.023 +  .1.024',1,1,1,'20111229','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(3,NULL,0,NULL,3,7,0,0,0,'.1.040 =  .1.042 +  .1.043',1,1,1,'20120111','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(4,NULL,0,NULL,4,7,0,0,0,'.1.050 =  .1.052 +  .1.053',1,1,1,'20120111','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(5,NULL,0,NULL,5,7,0,0,0,'.1.090 =  .1.091 +  .1.093 +  .1.094',1,1,1,'20120111','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(6,NULL,0,NULL,6,7,0,0,0,'.1.100 =  .1.101 +  .1.103 +  .1.104',1,1,1,'20120111','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(7,NULL,0,NULL,7,7,0,0,0,'.1.290 =  .1.291 +  .1.292 +  .1.293',1,2,1,'20111220','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(8,NULL,0,NULL,8,7,0,0,0,'.1.530 =  .1.531 +  .1.532 +  .1.533 +  .1.534',1,3,1,'20111220','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(9,NULL,0,NULL,11,7,0,0,0,'.1.010 =  .1.011 +  .1.013 +  .1.014',1,1,1,'20111125','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(10,NULL,0,NULL,12,7,0,0,0,'.1.031 =  .1.011 -  .1.021',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(11,NULL,0,NULL,13,7,0,0,0,'.1.033 =  .1.013 -  .1.023',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(12,NULL,0,NULL,14,7,0,0,0,'.1.034 =  .1.014 -  .1.024',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(13,NULL,0,NULL,15,7,0,0,0,'.1.030 =  .1.010 -  .1.020',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(14,NULL,0,NULL,16,7,0,0,0,'.1.060 =  .1.040 -  .1.050',1,3,1,'20120125','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(15,NULL,0,NULL,17,7,0,0,0,'.1.062 =  .1.042 -  .1.052',1,3,1,'20120125','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(16,NULL,0,NULL,18,7,0,0,0,'.1.063 =  .1.043 -  .1.053',1,3,1,'20120125','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(17,NULL,0,NULL,19,7,0,0,0,'.1.130 =  .1.110 -  .1.120',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(18,NULL,0,NULL,20,7,0,0,0,'.1.150 =  .1.030 +  .1.060 +  .1.070 +  .1.080 +  .1.090 +  .1.100 +  .1.130 +  .1.140',1,4,1,'20120125','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(19,NULL,0,NULL,21,7,0,0,0,'.1.170 =  .1.171 +  .1.172 +  .1.173 +  .1.174 +  .1.175 +  .1.176 +  .1.177 +  .1.178 +  .1.179',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(20,NULL,0,NULL,22,7,0,0,0,'.1.210 =  .1.211 +  .1.212 +  .1.213',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(21,NULL,0,NULL,23,7,0,0,0,'.1.370 =  .1.371 +  .1.372 +  .1.373',1,2,1,'20110415','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(22,NULL,0,NULL,24,7,0,0,0,'.1.400 =  .1.170 +  .1.210 +  .1.230 +  .1.260 +  .1.290 +  .1.310 +  .1.320 +  .1.330 +  .1.370',1,4,1,'20111227','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(23,NULL,0,NULL,25,7,0,0,0,'.1.410 =  .1.400 +  .1.150',1,5,1,'20111226','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(24,NULL,0,NULL,26,7,0,0,0,'.1.470 =  .1.471 +  .1.472 +  .1.473 +  .1.474',1,2,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(25,NULL,0,NULL,27,7,0,0,0,'.1.900 =  .1.600 +  .1.620',1,5,1,'20111226','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(26,NULL,0,NULL,28,7,0,0,0,'.1.410 =  .1.900',0,0,1,'20110224','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(27,NULL,0,NULL,31,7,0,0,0,'.1.4 =  0 :     191  29.12.2011  1.15',0,0,1,'20120918','CODE IN (''470'',''471'',''472'',''473'',''474'',''490'',''510'',''511'',''512'',''513'',''514'',''515'',''516'',''532'',''533'',''534'')','','','0503130G','20130101','','=',4,'','    191  29.12.2011  1.15')
INSERT #A VALUES(28,NULL,0,NULL,32,7,0,0,0,'.1.7 =  0 :     191  29.12.2011  1.15',0,0,1,'20120918','CODE IN (''470'',''471'',''472'',''473'',''474'',''490'',''510'',''511'',''512'',''513'',''514'',''515'',''516'',''532'',''533'',''534'')','','','0503130G','20130101','','=',4,'','    191  29.12.2011  1.15')
INSERT #A VALUES(29,NULL,0,NULL,33,7,0,0,0,'.1.620 =  .1.624 +  .1.625 +  .1.623',1,4,1,'20121109','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(30,NULL,0,NULL,34,7,0,0,0,'.1.510 =  .1.511 +  .1.512 +  .1.513 +  .1.514 +  .1.515 +  .1.516',1,3,1,'20121126','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(31,NULL,0,NULL,35,7,0,0,0,'.1.260 >=  0',0,0,1,'20130109','','','','0503130G','20130101','','>=',2,'','')
INSERT #A VALUES(32,NULL,0,NULL,36,7,0,0,0,'.1.490 >=  0',0,0,1,'20130109','','','','0503130G','20130101','','>=',2,'','')
INSERT #A VALUES(33,NULL,0,NULL,37,7,0,0,0,'.1.030 =  .1.031 +  .1.033 +  .1.034',0,1,1,'20130109','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(34,NULL,0,NULL,38,7,0,0,0,'.1.060 =  .1.062 +  .1.063',0,3,1,'20130109','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(35,NULL,0,NULL,39,7,0,0,0,'.1.330 =  .1.331 +  .1.333',1,2,1,'20130304','','','','0503130G','20130101','','=',2,'','')
INSERT #A VALUES(36,NULL,0,NULL,40,7,0,0,0,'.1.5 =  .1.3 +  .1.4',1,0,1,'20130425','','','','0503130G','20130101','','=',3,'','')
INSERT #A VALUES(37,NULL,0,NULL,41,7,0,0,0,'.1.8 =  .1.6 +  .1.7',1,0,1,'20130425','','','','0503130G','20130101','','=',3,'','')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 37
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','600','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','470','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','490','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','510','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','530','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','020','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(2,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','021','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','023','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','024','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','040','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(3,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','042','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','043','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','050','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(4,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','052','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','053','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','090','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(5,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','091','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','093','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','094','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','100','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(6,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','101','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','103','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','104','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','290','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(7,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','291','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','292','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','293','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','530','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(8,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','531','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','532','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','533','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','534','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','010','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(9,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','011','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','013','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','014','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','031','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(10,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','011','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','021','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','033','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(11,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','013','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','023','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','034','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(12,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','014','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','024','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(13,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','010','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','020','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(14,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','040','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','050','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','062','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(15,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','042','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','052','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','063','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(16,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','043','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','053','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','130','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(17,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','110','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','120','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','150','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(18,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','070','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','080','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','090','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','100','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','130','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','140','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','170','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(19,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','171','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','172','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','173','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','174','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','175','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','176','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','177','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','178','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','179','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','210','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(20,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','211','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','212','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','213','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','370','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(21,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','371','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','372','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','373','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','400','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(22,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','170','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','210','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','230','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','260','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','290','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','310','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','320','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','330','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','370','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','410','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(23,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','400','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','150','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','470','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(24,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','471','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','472','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','473','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','474','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','900','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(25,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','600','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','620','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','410','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(26,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','900','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(27,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(28,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','620','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(29,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','624','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','625','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','623','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','510','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(30,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','511','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','512','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','513','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','514','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','515','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','516','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','260','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(31,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','490','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(32,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(33,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','031','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','033','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','034','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(34,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','062','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','063','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','330','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(35,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','331','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','333','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(36,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(36,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(36,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','8','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(37,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','','1',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 145
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '3         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'3',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '5         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'5',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '999999    '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'999999',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2013-07-17 14:44:52.133',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2013-07-17 14:44:52.133'
	BEGIN
		SELECT @vcMessage = ' 0503130G    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 0503130G    ' + @vcMessage + '       2013-07-17 14:44:52.133.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

--  .. RA_EXPORT_FORM_STRUCT. ( 17 2013  2:45:49:400PM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 0503230G ( ()  ().,  . -)
--   : 20130101
--    :
--  : 2013-07-17 14:45:49.400
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '0503230G' AND [START_DATE] = '20130101'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2013-07-17 14:45:49.400',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '0503230G',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '0503230G'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20130101')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SMETA'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,' ()  ().,  . -',@vcNEW_FORM_CODE,@dNEW_START_DATE,7,1,1,1,18186,'RA_EXPORT_FORM_STANDART',0,0,'19000101',NULL,'191'
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, '','sv_0503230g_20130101.bas','','KirRepMakerMultiSheet.xls','sv_0503230G_20130101.xlt','',NULL,'RA_EXPORT_FORM_STANDART',0,'RTRIM(COL2)+''|''+STR(COL3)+''|''+STR(COL4)+''|''+STR(COL5)+''|''+STR(COL6)+''|''+STR(COL7)+''|''+STR(COL8)+''|''#RTRIM(COL1)+''|''+RTRIM(COL3)+''|''+STR(COL4)+''|''+STR(COL5)+''|''','C1+''|''+C2+''|''+C3+''|''+C4+''|''+C5+''|''+C6+''|''+C7#C1+''|''+C2+''|''+C3+''|''+C4+''|''',NULL,'230r      ','REPORTS_FILTER_KBK',NULL,NULL,'|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,', ',@iLINK_TABLE,0,1,1,0,160,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,4,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  .  ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'  .    ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'  . ',@iLINK_TABLE,1,0,5,5,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'   ().  ',@iLINK_TABLE,1,0,6,6,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'   ().    ',@iLINK_TABLE,1,0,7,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,'   (). ',@iLINK_TABLE,1,0,8,8,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '', @iLINK_FORM,1, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'  ',@iLINK_TABLE,1,1,1,0,2,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'  , ',@iLINK_TABLE,0,1,2,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' ',@iLINK_TABLE,1,1,3,0,50,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'  ',@iLINK_TABLE,1,0,4,1,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'    ',@iLINK_TABLE,1,0,5,1,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '', @iLINK_FORM,2, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

DECLARE @iError INT

--    .
IF OBJECT_ID('tempdb..#R') IS NOT NULL
BEGIN
   DROP TABLE #R
END

CREATE TABLE #R([ORDERS]      SMALLINT,
                [LINK_TABLE]  INT,
                [CALC_ORDERS] SMALLINT,
                [PRINT_NULL]  TINYINT)

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #R',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN
INSERT #R VALUES (1,1,1,1)
INSERT #R VALUES (2,1,3,1)
INSERT #R VALUES (3,1,4,1)
INSERT #R VALUES (4,1,5,1)
INSERT #R VALUES (5,1,5,1)
INSERT #R VALUES (6,1,8,1)
INSERT #R VALUES (7,1,9,1)
INSERT #R VALUES (8,1,10,1)
INSERT #R VALUES (9,1,11,1)
INSERT #R VALUES (10,1,13,1)
INSERT #R VALUES (11,1,14,1)
INSERT #R VALUES (12,1,15,1)
INSERT #R VALUES (13,1,22,1)
INSERT #R VALUES (14,1,24,1)
INSERT #R VALUES (15,1,25,1)
INSERT #R VALUES (16,1,16,1)
INSERT #R VALUES (17,1,28,1)
INSERT #R VALUES (18,1,29,1)
INSERT #R VALUES (19,1,30,1)
INSERT #R VALUES (20,1,32,1)
INSERT #R VALUES (21,1,33,1)
INSERT #R VALUES (22,1,34,1)
INSERT #R VALUES (23,1,35,1)
INSERT #R VALUES (24,1,36,1)
INSERT #R VALUES (25,1,38,1)
INSERT #R VALUES (26,1,39,1)
INSERT #R VALUES (27,1,40,1)
INSERT #R VALUES (28,1,41,1)
INSERT #R VALUES (29,1,43,1)
INSERT #R VALUES (30,1,32,1)
INSERT #R VALUES (31,1,95,1)
INSERT #R VALUES (32,1,45,1)
INSERT #R VALUES (33,1,30,1)
INSERT #R VALUES (35,1,47,1)
INSERT #R VALUES (36,1,54,1)
INSERT #R VALUES (37,1,55,1)
INSERT #R VALUES (38,1,57,1)
INSERT #R VALUES (39,1,59,1)
INSERT #R VALUES (40,1,60,1)
INSERT #R VALUES (41,1,61,1)
INSERT #R VALUES (42,1,62,1)
INSERT #R VALUES (43,1,63,1)
INSERT #R VALUES (44,1,64,1)
INSERT #R VALUES (45,1,65,1)
INSERT #R VALUES (46,1,66,1)
INSERT #R VALUES (47,1,67,1)
INSERT #R VALUES (48,1,68,1)
INSERT #R VALUES (49,1,70,1)
INSERT #R VALUES (50,1,71,1)
INSERT #R VALUES (51,1,72,1)
INSERT #R VALUES (52,1,73,1)
INSERT #R VALUES (53,1,74,1)
INSERT #R VALUES (54,1,75,1)
INSERT #R VALUES (55,1,77,1)
INSERT #R VALUES (56,1,78,1)
INSERT #R VALUES (57,1,79,1)
INSERT #R VALUES (58,1,86,1)
INSERT #R VALUES (59,1,87,1)
INSERT #R VALUES (60,1,88,1)
INSERT #R VALUES (61,1,90,1)
INSERT #R VALUES (62,1,91,1)
INSERT #R VALUES (63,1,92,1)
INSERT #R VALUES (64,1,95,1)
INSERT #R VALUES (65,1,93,1)
INSERT #R VALUES (66,1,95,1)
INSERT #R VALUES (67,1,96,1)
INSERT #R VALUES (68,1,97,1)
INSERT #R VALUES (69,1,98,1)
INSERT #R VALUES (70,1,99,1)
INSERT #R VALUES (71,1,101,1)
INSERT #R VALUES (72,1,103,1)
INSERT #R VALUES (73,1,104,1)
INSERT #R VALUES (74,1,105,1)
INSERT #R VALUES (75,1,106,1)
INSERT #R VALUES (76,1,107,1)
INSERT #R VALUES (77,1,108,1)
INSERT #R VALUES (78,1,110,1)
INSERT #R VALUES (79,1,117,1)
INSERT #R VALUES (80,1,118,1)
INSERT #R VALUES (81,1,119,1)
INSERT #R VALUES (82,1,120,1)
INSERT #R VALUES (83,1,121,1)
INSERT #R VALUES (84,1,122,1)
INSERT #R VALUES (85,1,124,1)
INSERT #R VALUES (86,1,125,1)
INSERT #R VALUES (87,1,126,1)
INSERT #R VALUES (88,1,127,1)
INSERT #R VALUES (89,1,128,1)
INSERT #R VALUES (90,1,129,1)
INSERT #R VALUES (91,1,131,1)
INSERT #R VALUES (92,1,93,1)
INSERT #R VALUES (93,1,94,1)
INSERT #R VALUES (94,1,133,1)
INSERT #R VALUES (95,1,134,1)
INSERT #R VALUES (96,1,135,1)
INSERT #R VALUES (97,1,136,1)
INSERT #R VALUES (1,2,1,1)
INSERT #R VALUES (2,2,2,1)
INSERT #R VALUES (3,2,3,1)
INSERT #R VALUES (4,2,4,1)
INSERT #R VALUES (5,2,4,1)
INSERT #R VALUES (6,2,5,1)
INSERT #R VALUES (7,2,6,1)
INSERT #R VALUES (8,2,7,1)
INSERT #R VALUES (9,2,8,1)
INSERT #R VALUES (10,2,9,1)
INSERT #R VALUES (11,2,10,1)
INSERT #R VALUES (12,2,11,1)
INSERT #R VALUES (13,2,12,1)
INSERT #R VALUES (14,2,13,1)
INSERT #R VALUES (15,2,14,1)
INSERT #R VALUES (16,2,15,1)
INSERT #R VALUES (17,2,16,1)
INSERT #R VALUES (18,2,17,1)
INSERT #R VALUES (19,2,18,1)
INSERT #R VALUES (20,2,19,1)
INSERT #R VALUES (21,2,20,1)
INSERT #R VALUES (22,2,21,1)
INSERT #R VALUES (23,2,22,1)
INSERT #R VALUES (24,2,23,1)
INSERT #R VALUES (25,2,24,1)
INSERT #R VALUES (26,2,25,1)
INSERT #R VALUES (27,2,26,1)
INSERT #R VALUES (28,2,27,1)
INSERT #R VALUES (29,2,28,1)
INSERT #R VALUES (30,2,29,1)
INSERT #R VALUES (31,2,30,1)
INSERT #R VALUES (32,2,31,1)
INSERT #R VALUES (33,2,32,1)
INSERT #R VALUES (34,2,33,1)
INSERT #R VALUES (35,2,34,1)
INSERT #R VALUES (36,2,35,1)
INSERT #R VALUES (37,2,36,1)
INSERT #R VALUES (38,2,37,1)
INSERT #R VALUES (39,2,38,1)
INSERT #R VALUES (40,2,39,1)
INSERT #R VALUES (41,2,40,1)
INSERT #R VALUES (42,2,41,1)
INSERT #R VALUES (43,2,42,1)
INSERT #R VALUES (44,2,43,1)
INSERT #R VALUES (45,2,44,1)
INSERT #R VALUES (46,2,48,1)
INSERT #R VALUES (47,2,50,1)
INSERT #R VALUES (48,2,52,1)
INSERT #R VALUES (49,2,51,1)
INSERT #R VALUES (50,2,45,1)
INSERT #R VALUES (51,2,53,1)
INSERT #R VALUES (52,2,54,1)
INSERT #R VALUES (53,2,55,1)
INSERT #R VALUES (54,2,56,1)
INSERT #R VALUES (55,2,46,1)
INSERT #R VALUES (56,2,57,1)
INSERT #R VALUES (57,2,58,1)
INSERT #R VALUES (58,2,59,1)
INSERT #R VALUES (59,2,60,1)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #R) <> 155
BEGIN
   INSERT #tabErrorLog VALUES ('     #R',0)
END

ALTER TABLE dbo.[REPORT_ROWS] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_ROWS] ([ORDERS],
                          [LINK_TABLE],
                          [CALC_ORDERS],
                          [PRINT_NULL])
SELECT [C].[ORDERS],
       [B].[LINK_TABLE],
       [C].[CALC_ORDERS],
       [C].[PRINT_NULL]
FROM #tabInfo            [A]
JOIN dbo.[REPORT_TABLES] [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN #R                  [C] ON [B].[ORDERS] = [C].[LINK_TABLE]

ALTER TABLE dbo.[REPORT_ROWS] ENABLE TRIGGER ALL

DROP TABLE #R

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

--  REPORT_FORMULA.
IF OBJECT_ID('tempdb..#F') IS NOT NULL
BEGIN
   DROP TABLE #F
END

CREATE TABLE #F([ORDER_TABLE] INT,
                [ORDER_ROW]   INT,
                [ORDER_COL]   INT,
                [FORMULA]  VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #F',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
INSERT #F VALUES (1,1,1,'  ( , 010100000)')
INSERT #F VALUES (1,2,1,'   (010110000)')
INSERT #F VALUES (1,3,1,'    (010130000)')
INSERT #F VALUES (1,4,1,'  (010140000)')
INSERT #F VALUES (1,5,1,'  ,    :                                                                                                                                                                                                               ')
INSERT #F VALUES (1,6,1,'    (010410000)')
INSERT #F VALUES (1,7,1,'     (010430000)')
INSERT #F VALUES (1,8,1,'   (010440000)')
INSERT #F VALUES (1,9,1,'  ( , .010 -  .020)')
INSERT #F VALUES (1,10,1,'   ( , .011 -  .021)')
INSERT #F VALUES (1,11,1,'    ( , .013 -  .023)')
INSERT #F VALUES (1,12,1,'  ( , .014 -  .024)')
INSERT #F VALUES (1,13,1,'  ( , 010200000)  *')
INSERT #F VALUES (1,14,1,'    (010230000) *')
INSERT #F VALUES (1,15,1,'   (010240000) *')
INSERT #F VALUES (1,16,1,'   *                                                                                                                                                                                                                      ')
INSERT #F VALUES (1,17,1,'    (010439000) *')
INSERT #F VALUES (1,18,1,'   (010449000) *')
INSERT #F VALUES (1,19,1,'  ( , . 040 -  .050)')
INSERT #F VALUES (1,20,1,'    ( , . 042 -  .052)')
INSERT #F VALUES (1,21,1,'  ( , . 043 -  .053)')
INSERT #F VALUES (1,22,1,'  ( , 010300000)')
INSERT #F VALUES (1,23,1,'  (010500000)')
INSERT #F VALUES (1,24,1,'    (010600000)')
INSERT #F VALUES (1,25,1,'    (010610000)')
INSERT #F VALUES (1,26,1,'     (010630000)')
INSERT #F VALUES (1,27,1,'   (010640000)')
INSERT #F VALUES (1,28,1,'    (010700000)')
INSERT #F VALUES (1,29,1,'     (010710000)')
INSERT #F VALUES (1,30,1,'      (010730000)                                                                                                                                                                                                         ')
INSERT #F VALUES (1,31,1,'    (010740000)                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,32,1,'    ( , 010800000)*')
INSERT #F VALUES (1,33,1,' ,    (010450000) *')
INSERT #F VALUES (1,35,1,'    ( , . 110 - . 120)')
INSERT #F VALUES (1,36,1,'    ,  ,  (010900000)')
INSERT #F VALUES (1,37,1,'   I (.030 + .060 + .070 + .080 + .090 + .100 + .130 + . 140)')
INSERT #F VALUES (1,38,1,'   (020100000)')
INSERT #F VALUES (1,39,1,'         (020111000)')
INSERT #F VALUES (1,40,1,'        (020113000)')
INSERT #F VALUES (1,41,1,'        (020121000)')
INSERT #F VALUES (1,42,1,'        (020123000)')
INSERT #F VALUES (1,43,1,'       (020126000)')
INSERT #F VALUES (1,44,1,'           (020127000)')
INSERT #F VALUES (1,45,1,' (020134000)')
INSERT #F VALUES (1,46,1,'  (020135000)')
INSERT #F VALUES (1,47,1,'  ,       (020122000)')
INSERT #F VALUES (1,48,1,'  (020400000)')
INSERT #F VALUES (1,49,1,' ,    (020420000)')
INSERT #F VALUES (1,50,1,'       (020430000)')
INSERT #F VALUES (1,51,1,'   (020450000)')
INSERT #F VALUES (1,52,1,'   (020500000)')
INSERT #F VALUES (1,53,1,'    (020600000)')
INSERT #F VALUES (1,54,1,'  ,  () (020700000)                                                                                                                                                                                                          ')
INSERT #F VALUES (1,55,1,'  ,  () (020710000)                                                                                                                                                                                                       ')
INSERT #F VALUES (1,56,1,'     () (020720000)')
INSERT #F VALUES (1,57,1,'    ()  (020730000)')
INSERT #F VALUES (1,58,1,'    (020800000)')
INSERT #F VALUES (1,59,1,'    (020900000)')
INSERT #F VALUES (1,60,1,'    (021000000)')
INSERT #F VALUES (1,61,1,'      , ,  (021001000)')
INSERT #F VALUES (1,62,1,'        (021002000)')
INSERT #F VALUES (1,63,1,'        (021003000)')
INSERT #F VALUES (1,64,1,'       (021004000)                                                                                                                                                                                   ')
INSERT #F VALUES (1,65,1,'    (021500000)')
INSERT #F VALUES (1,66,1,' ,    (021520000)')
INSERT #F VALUES (1,67,1,'       (021530000)')
INSERT #F VALUES (1,68,1,'   (021550000)')
INSERT #F VALUES (1,69,1,'   II (.170  + .210 + .230 + .260 + .290 + .310 + .320 + . 330 + .370 )')
INSERT #F VALUES (1,70,1,' (.150 + . 400)')
INSERT #F VALUES (1,71,1,'      (030100000)')
INSERT #F VALUES (1,72,1,'     (030110000)')
INSERT #F VALUES (1,73,1,'       () (030120000)')
INSERT #F VALUES (1,74,1,'  ()  (03013000)')
INSERT #F VALUES (1,75,1,'      (030140000)')
INSERT #F VALUES (1,76,1,'    (030200000)')
INSERT #F VALUES (1,77,1,'     (030300000)')
INSERT #F VALUES (1,78,1,'       (030301000)')
INSERT #F VALUES (1,79,1,'        (030302000, 030306000)                                                                                                                                                                    ')
INSERT #F VALUES (1,80,1,'      (030303000)')
INSERT #F VALUES (1,81,1,'      (030304000)')
INSERT #F VALUES (1,82,1,'      (030305000, 030312000, 030313000)                                                                                                                                                                                           ')
INSERT #F VALUES (1,83,1,'         (030307000, 030308000, 030309000, 030310000, 030311000)                                                                                                                                  ')
INSERT #F VALUES (1,84,1,'    (030400000)')
INSERT #F VALUES (1,85,1,'  ,     (030401000)                                                                                                                                                                                    ')
INSERT #F VALUES (1,86,1,'   (030402000)')
INSERT #F VALUES (1,87,1,'        (030403000)')
INSERT #F VALUES (1,88,1,'   (030404000)')
INSERT #F VALUES (1,89,1,'        (030405000)')
INSERT #F VALUES (1,90,1,'   III (.470+ .490 + . 510 + .530)')
INSERT #F VALUES (1,91,1,'    (040100000)')
INSERT #F VALUES (1,92,1,'    (040110000)                                                                                                                                                                                                              ')
INSERT #F VALUES (1,93,1,'    (040120000)                                                                                                                                                                                                             ')
INSERT #F VALUES (1,94,1,'     (040130000)')
INSERT #F VALUES (1,95,1,'   (040140000)')
INSERT #F VALUES (1,96,1,'   (040150000)')
INSERT #F VALUES (1,97,1,' (.600 + . 620)')
INSERT #F VALUES (1,1,2,'010')
INSERT #F VALUES (1,2,2,'011')
INSERT #F VALUES (1,3,2,'013')
INSERT #F VALUES (1,4,2,'014')
INSERT #F VALUES (1,5,2,'020                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,6,2,'021')
INSERT #F VALUES (1,7,2,'023')
INSERT #F VALUES (1,8,2,'024')
INSERT #F VALUES (1,9,2,'030')
INSERT #F VALUES (1,10,2,'031')
INSERT #F VALUES (1,11,2,'033')
INSERT #F VALUES (1,12,2,'034')
INSERT #F VALUES (1,13,2,'040')
INSERT #F VALUES (1,14,2,'042')
INSERT #F VALUES (1,15,2,'043')
INSERT #F VALUES (1,16,2,'050                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,17,2,'052')
INSERT #F VALUES (1,18,2,'053')
INSERT #F VALUES (1,19,2,'060')
INSERT #F VALUES (1,20,2,'062')
INSERT #F VALUES (1,21,2,'063')
INSERT #F VALUES (1,22,2,'070')
INSERT #F VALUES (1,23,2,'080')
INSERT #F VALUES (1,24,2,'090')
INSERT #F VALUES (1,25,2,'091')
INSERT #F VALUES (1,26,2,'093')
INSERT #F VALUES (1,27,2,'094')
INSERT #F VALUES (1,28,2,'100')
INSERT #F VALUES (1,29,2,'101')
INSERT #F VALUES (1,30,2,'103                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,31,2,'104                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,32,2,'110')
INSERT #F VALUES (1,33,2,'120')
INSERT #F VALUES (1,35,2,'130')
INSERT #F VALUES (1,36,2,'140')
INSERT #F VALUES (1,37,2,'150')
INSERT #F VALUES (1,38,2,'170')
INSERT #F VALUES (1,39,2,'171')
INSERT #F VALUES (1,40,2,'172')
INSERT #F VALUES (1,41,2,'173')
INSERT #F VALUES (1,42,2,'174')
INSERT #F VALUES (1,43,2,'175')
INSERT #F VALUES (1,44,2,'176')
INSERT #F VALUES (1,45,2,'177')
INSERT #F VALUES (1,46,2,'178')
INSERT #F VALUES (1,47,2,'179')
INSERT #F VALUES (1,48,2,'210')
INSERT #F VALUES (1,49,2,'211')
INSERT #F VALUES (1,50,2,'212')
INSERT #F VALUES (1,51,2,'213')
INSERT #F VALUES (1,52,2,'230')
INSERT #F VALUES (1,53,2,'260')
INSERT #F VALUES (1,54,2,'290                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,55,2,'291                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,56,2,'292')
INSERT #F VALUES (1,57,2,'293')
INSERT #F VALUES (1,58,2,'310')
INSERT #F VALUES (1,59,2,'320')
INSERT #F VALUES (1,60,2,'330')
INSERT #F VALUES (1,61,2,'331')
INSERT #F VALUES (1,62,2,'332')
INSERT #F VALUES (1,63,2,'333')
INSERT #F VALUES (1,64,2,'334                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,65,2,'370')
INSERT #F VALUES (1,66,2,'371')
INSERT #F VALUES (1,67,2,'372')
INSERT #F VALUES (1,68,2,'373')
INSERT #F VALUES (1,69,2,'400')
INSERT #F VALUES (1,70,2,'410')
INSERT #F VALUES (1,71,2,'470')
INSERT #F VALUES (1,72,2,'471')
INSERT #F VALUES (1,73,2,'472')
INSERT #F VALUES (1,74,2,'473')
INSERT #F VALUES (1,75,2,'474')
INSERT #F VALUES (1,76,2,'490')
INSERT #F VALUES (1,77,2,'510')
INSERT #F VALUES (1,78,2,'511')
INSERT #F VALUES (1,79,2,'512                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,80,2,'513')
INSERT #F VALUES (1,81,2,'514')
INSERT #F VALUES (1,82,2,'515                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,83,2,'516                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,84,2,'530')
INSERT #F VALUES (1,85,2,'531                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,86,2,'532')
INSERT #F VALUES (1,87,2,'533')
INSERT #F VALUES (1,88,2,'534')
INSERT #F VALUES (1,89,2,'535')
INSERT #F VALUES (1,90,2,'600')
INSERT #F VALUES (1,91,2,'620')
INSERT #F VALUES (1,92,2,'621                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,93,2,'622                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (1,94,2,'623')
INSERT #F VALUES (1,95,2,'624')
INSERT #F VALUES (1,96,2,'625')
INSERT #F VALUES (1,97,2,'900')
INSERT #F VALUES (2,1,1,'01')
INSERT #F VALUES (2,2,1,'01                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,3,1,'01                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,4,1,'01                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,5,1,'02')
INSERT #F VALUES (2,6,1,'03')
INSERT #F VALUES (2,7,1,'04                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,8,1,'05')
INSERT #F VALUES (2,9,1,'05                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,10,1,'05                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,11,1,'06')
INSERT #F VALUES (2,12,1,'07                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,13,1,'07                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,14,1,'07                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,15,1,'08')
INSERT #F VALUES (2,16,1,'09')
INSERT #F VALUES (2,17,1,'10')
INSERT #F VALUES (2,18,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,19,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,20,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,21,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,22,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,23,1,'11')
INSERT #F VALUES (2,24,1,'11                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,25,1,'11                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,26,1,'12')
INSERT #F VALUES (2,27,1,'13')
INSERT #F VALUES (2,28,1,'14')
INSERT #F VALUES (2,29,1,'15                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,30,1,'16')
INSERT #F VALUES (2,31,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,32,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,33,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,34,1,'17                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,35,1,'18                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,36,1,'18                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,37,1,'18                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,38,1,'19')
INSERT #F VALUES (2,39,1,'20                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,40,1,'21')
INSERT #F VALUES (2,41,1,'22')
INSERT #F VALUES (2,42,1,'22                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,43,1,'22                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,44,1,'23')
INSERT #F VALUES (2,45,1,'24')
INSERT #F VALUES (2,46,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,47,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,48,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,49,1,'24                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,50,1,'25')
INSERT #F VALUES (2,51,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,52,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,53,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,54,1,'25                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,55,1,'26')
INSERT #F VALUES (2,56,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,57,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,58,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,59,1,'26                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,1,2,'   , ')
INSERT #F VALUES (2,2,2,'                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,3,2,' :                                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,4,2,'                                                                                                                                                                                                                                                      ')
INSERT #F VALUES (2,5,2,' ,   , ')
INSERT #F VALUES (2,6,2,'  , ')
INSERT #F VALUES (2,7,2,'  ,                                                                                                                                                                                                              ')
INSERT #F VALUES (2,8,2,' ,    , ')
INSERT #F VALUES (2,9,2,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,10,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,11,2,'       ')
INSERT #F VALUES (2,12,2,', ,    , ,                                                                                                                                                                                                        ')
INSERT #F VALUES (2,13,2,'                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,14,2,'                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,15,2,' ')
INSERT #F VALUES (2,16,2,'    ,   ')
INSERT #F VALUES (2,17,2,'  , ')
INSERT #F VALUES (2,18,2,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,19,2,'                                                                                                                                                                                                                                                         ')
INSERT #F VALUES (2,20,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,21,2,'                                                                                                                                                                                                                                                ')
INSERT #F VALUES (2,22,2,'                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,23,2,'   , ')
INSERT #F VALUES (2,24,2,'                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,25,2,'                                                                                                                                                                                                                                         ')
INSERT #F VALUES (2,26,2,'   -     , ')
INSERT #F VALUES (2,27,2,' ')
INSERT #F VALUES (2,28,2,'   ')
INSERT #F VALUES (2,29,2,' ,     -      ()                                                                                                                                       ')
INSERT #F VALUES (2,30,2,'          ,  ')
INSERT #F VALUES (2,31,2,'     ,                                                                                                                                                                                                        ')
INSERT #F VALUES (2,32,2,'                                                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,33,2,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,34,2,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,35,2,'     ,                                                                                                                                                                                                           ')
INSERT #F VALUES (2,36,2,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (2,37,2,'                                                                                                                                                                                                                        ')
INSERT #F VALUES (2,38,2,'    ')
INSERT #F VALUES (2,39,2,',  ,                                                                                                                                                                                                             ')
INSERT #F VALUES (2,40,2,'    3000    ')
INSERT #F VALUES (2,41,2,' ,    , ')
INSERT #F VALUES (2,42,2,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,43,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,44,2,'   , ')
INSERT #F VALUES (2,45,2,',    ')
INSERT #F VALUES (2,46,2,'  :                                                                                                                                                                                                                                  ')
INSERT #F VALUES (2,47,2,' :                                                                                                                                                                                                                                    ')
INSERT #F VALUES (2,48,2,'                                                                                                                                                                                                                                          ')
INSERT #F VALUES (2,49,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,50,2,',     ()')
INSERT #F VALUES (2,51,2,'  :                                                                                                                                                                                                                                  ')
INSERT #F VALUES (2,52,2,' :                                                                                                                                                                                                                                    ')
INSERT #F VALUES (2,53,2,'                                                                                                                                                                                                                                          ')
INSERT #F VALUES (2,54,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,55,2,',    ')
INSERT #F VALUES (2,56,2,'  :                                                                                                                                                                                                                                  ')
INSERT #F VALUES (2,57,2,' :                                                                                                                                                                                                                                    ')
INSERT #F VALUES (2,58,2,'                                                                                                                                                                                                                                          ')
INSERT #F VALUES (2,59,2,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (2,1,3,'010')
INSERT #F VALUES (2,2,3,'011                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,3,3,'012                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,4,3,'015                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,5,3,'020')
INSERT #F VALUES (2,6,3,'030')
INSERT #F VALUES (2,7,3,'040                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,8,3,'050')
INSERT #F VALUES (2,9,3,'051                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,10,3,'054                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,11,3,'060')
INSERT #F VALUES (2,12,3,'070                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,13,3,'071                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,14,3,'072                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,15,3,'080')
INSERT #F VALUES (2,16,3,'090')
INSERT #F VALUES (2,17,3,'100')
INSERT #F VALUES (2,18,3,'101                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,19,3,'102                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,20,3,'103                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,21,3,'104                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,22,3,'105                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,23,3,'110')
INSERT #F VALUES (2,24,3,'111                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,25,3,'112                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,26,3,'120')
INSERT #F VALUES (2,27,3,'130')
INSERT #F VALUES (2,28,3,'140')
INSERT #F VALUES (2,29,3,'150                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,30,3,'160')
INSERT #F VALUES (2,31,3,'170                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,32,3,'171                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,33,3,'172                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,34,3,'173                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,35,3,'180                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,36,3,'181                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,37,3,'182                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,38,3,'190')
INSERT #F VALUES (2,39,3,'200                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,40,3,'210')
INSERT #F VALUES (2,41,3,'220')
INSERT #F VALUES (2,42,3,'221                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,43,3,'224                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,44,3,'230')
INSERT #F VALUES (2,45,3,'240')
INSERT #F VALUES (2,46,3,'241                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,47,3,'242                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,48,3,'244                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,49,3,'246                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,50,3,'250')
INSERT #F VALUES (2,51,3,'251                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,52,3,'252                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,53,3,'254                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,54,3,'256                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,55,3,'260')
INSERT #F VALUES (2,56,3,'261                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,57,3,'262                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,58,3,'264                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,59,3,'266                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,31,4,'()')
INSERT #F VALUES (2,32,4,'()')
INSERT #F VALUES (2,33,4,'()')
INSERT #F VALUES (2,34,4,'()')
INSERT #F VALUES (2,35,4,'()')
INSERT #F VALUES (2,36,4,'()')
INSERT #F VALUES (2,37,4,'()')

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #F) <> 376
BEGIN
   INSERT #tabErrorLog VALUES ('     #F',0)
END

ALTER TABLE dbo.[REPORT_FORMULA] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_FORMULA] ([LINK_ROW],
                             [LINK_COL],
                             [FORMULA])
SELECT [D].[LINK_ROW],
       [C].[LINK_COL],
       [E].[FORMULA]
FROM #tabInfo              [A]
JOIN dbo.[REPORT_TABLES]   [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN dbo.[REPORT_COLOUMNS] [C] ON [B].[LINK_TABLE] = [C].[LINK_TABLE]
JOIN dbo.[REPORT_ROWS]     [D] ON [B].[LINK_TABLE] = [D].[LINK_TABLE]
JOIN #F                    [E] ON [E].[ORDER_TABLE] = [B].[ORDERS] AND [E].[ORDER_COL] = [C].[ORDERS] AND [E].[ORDER_ROW] = [D].[ORDERS]

ALTER TABLE dbo.[REPORT_FORMULA] ENABLE TRIGGER ALL

DROP TABLE #F

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,3,7,0,0,0,'.1.010 =  .1.011 +  .1.013 +  .1.014',1,1,1,'20111125','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(2,NULL,0,NULL,4,7,0,0,0,'.1.031 =  .1.011 -  .1.021',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(3,NULL,0,NULL,5,7,0,0,0,'.1.033 =  .1.013 -  .1.023',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(4,NULL,0,NULL,6,7,0,0,0,'.1.034 =  .1.014 -  .1.024',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(5,NULL,0,NULL,7,7,0,0,0,'.1.030 =  .1.010 -  .1.020',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(6,NULL,0,NULL,8,7,0,0,0,'.1.060 =  .1.040 -  .1.050',1,3,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(7,NULL,0,NULL,9,7,0,0,0,'.1.062 =  .1.042 -  .1.052',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(8,NULL,0,NULL,10,7,0,0,0,'.1.063 =  .1.043 -  .1.053',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(9,NULL,0,NULL,11,7,0,0,0,'.1.130 =  .1.110 -  .1.120',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(10,NULL,0,NULL,12,7,0,0,0,'.1.150 =  .1.030 +  .1.060 +  .1.070 +  .1.080 +  .1.090 +  .1.100 +  .1.130 +  .1.140',1,4,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(11,NULL,0,NULL,13,7,0,0,0,'.1.170 =  .1.171 +  .1.172 +  .1.173 +  .1.174 +  .1.175 +  .1.176 +  .1.177 +  .1.178 +  .1.179',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(12,NULL,0,NULL,14,7,0,0,0,'.1.210 =  .1.211 +  .1.212 +  .1.213',1,2,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(13,NULL,0,NULL,15,7,0,0,0,'.1.330 =  .1.331 +  .1.333 +  .1.332 +  .1.334',1,2,1,'20111012','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(14,NULL,0,NULL,16,7,0,0,0,'.1.370 =  .1.371 +  .1.372 +  .1.373',1,2,1,'20110415','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(15,NULL,0,NULL,17,7,0,0,0,'.1.530 =  .1.531 +  .1.532 +  .1.533 +  .1.534 +  .1.535',1,3,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(16,NULL,0,NULL,18,7,0,0,0,'.1.400 =  .1.170 +  .1.210 +  .1.230 +  .1.260 +  .1.290 +  .1.310 +  .1.320 +  .1.330 +  .1.370',1,4,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(17,NULL,0,NULL,19,7,0,0,0,'.1.410 =  .1.400 +  .1.150',1,5,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(18,NULL,0,NULL,20,7,0,0,0,'.1.470 =  .1.471 +  .1.472 +  .1.473 +  .1.474',1,3,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(19,NULL,0,NULL,21,7,0,0,0,'.1.600 =  .1.470 +  .1.490 +  .1.510 +  .1.530',1,4,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(20,NULL,0,NULL,22,7,0,0,0,'.1.900 =  .1.600 +  .1.620',1,5,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(21,NULL,0,NULL,23,7,0,0,0,'.1.410 =  .1.900',0,0,1,'20110224','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(22,NULL,0,NULL,26,7,0,0,0,'.1.620 =  .1.623 +  .1.624 +  .1.625 +  .1.621 +  .1.622',1,4,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(23,NULL,0,NULL,27,7,0,0,0,'.1.090 =  .1.091 +  .1.093 +  .1.094',1,1,1,'20130121','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(24,NULL,0,NULL,28,7,0,0,0,'.1.100 =  .1.101 +  .1.104 +  .1.103',1,1,1,'20130121','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(25,NULL,0,NULL,29,7,0,0,0,'.1.260 >=  0',0,0,1,'20130109','','','','0503230G','20130101','','>=',2,'','')
INSERT #A VALUES(26,NULL,0,NULL,30,7,0,0,0,'.1.490 >=  0',0,0,1,'20130109','','','','0503230G','20130101','','>=',2,'','')
INSERT #A VALUES(27,NULL,0,NULL,31,7,0,0,0,'.1.020 =  .1.021 +  .1.023 +  .1.024',1,1,1,'20130109','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(28,NULL,0,NULL,32,7,0,0,0,'.1.030 =  .1.031 +  .1.033 +  .1.034',0,1,1,'20130109','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(29,NULL,0,NULL,33,7,0,0,0,'.1.060 =  .1.062 +  .1.063',0,2,1,'20130109','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(30,NULL,0,NULL,34,7,0,0,0,'.1.040 =  .1.042 +  .1.043',1,2,1,'20130109','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(31,NULL,0,NULL,35,7,0,0,0,'.1.050 =  .1.052 +  .1.053',1,2,1,'20130109','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(32,NULL,0,NULL,36,7,0,0,0,'.1.290 =  .1.291 +  .1.292 +  .1.293',1,2,1,'20130109','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(33,NULL,0,NULL,37,7,0,0,0,'.1.510 =  .1.511 +  .1.512 +  .1.513 +  .1.514 +  .1.515 +  .1.516',1,3,1,'20130211','','','','0503230G','20130101','','=',2,'','')
INSERT #A VALUES(34,NULL,0,NULL,38,7,0,0,0,'.1.5 =  .1.3 +  .1.4',1,10,1,'20130603','','','','0503230G','20130101','','=',3,'','')
INSERT #A VALUES(35,NULL,0,NULL,39,7,0,0,0,'.1.8 =  .1.6 +  .1.7',1,10,1,'20130603','','','','0503230G','20130101','','=',3,'','')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 35
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','010','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','011','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','013','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','014','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','031','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(2,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','011','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','021','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','033','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(3,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','013','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','023','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','034','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(4,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','014','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','024','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(5,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','010','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','020','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(6,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','040','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','050','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','062','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(7,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','042','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','052','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','063','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(8,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','043','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','053','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','130','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(9,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','110','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','120','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','150','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(10,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','070','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','080','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','090','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','100','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','130','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','140','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','170','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(11,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','171','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','172','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','173','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','174','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','175','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','176','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','177','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','178','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','179','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','210','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(12,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','211','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','212','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','213','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','330','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(13,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','331','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','333','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','332','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','334','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','370','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(14,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','371','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','372','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','373','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','530','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(15,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','531','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','532','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','533','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','534','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','535','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','400','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(16,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','170','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','210','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','230','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','260','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','290','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','310','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','320','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','330','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','370','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','410','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(17,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','400','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','150','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','470','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(18,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','471','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','472','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','473','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','474','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','600','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(19,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','470','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','490','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','510','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','530','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','900','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(20,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','600','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','620','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','410','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(21,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','900','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','620','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(22,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','623','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','624','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','625','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','621','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','622','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','090','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(23,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','091','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','093','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','094','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','100','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(24,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','101','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','104','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','103','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','260','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(25,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','490','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(26,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','020','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(27,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','021','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','023','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','024','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','030','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(28,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','031','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','033','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','034','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','060','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(29,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','062','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','063','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','040','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(30,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','042','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','043','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','050','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(31,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','052','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','053','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','290','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(32,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','291','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','292','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','293','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','510','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(33,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','511','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','512','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','513','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','514','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','515','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','516','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(34,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','8','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(35,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','','1',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 146
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '3         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'3',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '5         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'5',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '999999    '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'999999',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2013-07-17 14:45:49.400',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2013-07-17 14:45:49.400'
	BEGIN
		SELECT @vcMessage = ' 0503230G    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 0503230G    ' + @vcMessage + '       2013-07-17 14:45:49.400.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

--  .. RA_EXPORT_FORM_STRUCT. ( 22 2013  9:15:55:747AM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 0503769M_D (    )
--   : 20121231
--    :
--  : 2013-07-22 09:15:55.743
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '0503769M_D' AND [START_DATE] = '20121231'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2013-07-22 09:15:55.743',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '0503769M_D',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '0503769M_D'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20121231')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SMETA'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'    ',@vcNEW_FORM_CODE,@dNEW_START_DATE,4,1,1,1,18186,'RO_EXPORT_FORM_33#RA_IMPORT_FORM_769',0,0,'19000101',NULL,'33'
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, 'svodprint_new_gen()','sv_0503769g_20121231.bas','','KirRepMakerMultiSheet.xls','SV_0503769GD_20121231.XLT','',NULL,'RO_EXPORT_FORM_33#RA_IMPORT_FORM_769',0,NULL,NULL,NULL,'359       ','REPORTS_ATR_TYPE_ORG,REPORTS_ATR_VID,REPORTS_ATR_VID_NAME',NULL,NULL,'RO_PRINT_769_2012|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '   ', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,0,0,8,1,'R_SPR_ACC_769D_2012','COL1','CODE',NULL,4,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' , .-    - ',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' , .-    -      ,  ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' , . -     - ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' , . -     -      ,  ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '   ', @iLINK_FORM,1, @iLINK_CODE_COL,1,'CALC_SKELET=sql.call("dbo.RO_CALC_SKELET",m.cAlias,0x0,''0503769G_D'',1,''20121231'')',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '    -  ', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,8,1,'R_SPR_ACC_769DI_2012','COL1','CODE',NULL,6,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' , .-    - ',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' , . -    -        ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' , . -     - ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' , . -     -      ,  ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '    -  ', @iLINK_FORM,2, @iLINK_CODE_COL,1,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '    -   ', @iLINK_FORM,3
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,8,1,'R_SPR_ACC_769DI_2012','COL1','CODE',NULL,6,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' , .-    - ',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' , . -    -        ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' , . -     - ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' , . -     -      ,  ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '    -   ', @iLINK_FORM,3, @iLINK_CODE_COL,1,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '       ', @iLINK_FORM,4
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,0,0,9,1,'R_SPR_ACC_769D_2012','COL1','CODE',NULL,4,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,', .',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' ',@iLINK_TABLE,1,1,3,0,4,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' () - ',@iLINK_TABLE,1,1,4,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' () - ',@iLINK_TABLE,1,1,5,0,2000,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,' ',@iLINK_TABLE,1,1,6,0,8000,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'',@iLINK_TABLE,1,1,1,0,0,1,NULL,NULL,NULL,NULL,1,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '       ', @iLINK_FORM,4, @iLINK_CODE_COL,1,'KEY_FOX=PADR(RTRIM(COL1),8,''0'')+PADR(RTRIM(COL3),4,''0'')+PADR(RTRIM(COL4),10,'' '')
KEY_WEB=LEFT(RTRIM(isnull(COL1,''''))+''00000000000000'',8)+LEFT(RTRIM(isnull(COL3,''''))+''    '',4)+LEFT(RTRIM(isnull(COL4,''''))+''          '',10)
SPLIT=COL1=SUBSTRING(RTRIM(CODE_ROW)+''00000000000000000000'',1,8)#COL3=SUBSTRING(RTRIM(CODE_ROW)+''                        '',9,4)#COL4=SUBSTRING(RTRIM(CODE_ROW)+''                                                 '',13,10)



',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,1,7,0,0,0,'.1: =  .1:  ',1,0,1,'20130613','','','','0503769M_D','20121231','','=',0,'','')
INSERT #A VALUES(2,NULL,0,NULL,2,7,0,0,0,'.1:   =  .1: ',1,0,1,'20130613','','','','0503769M_D','20121231','','=',0,'','')
INSERT #A VALUES(3,NULL,0,NULL,3,7,0,0,0,'.2:   =  .2: ',1,0,1,'20130613','','','','0503769M_D','20121231','','=',0,'','')
INSERT #A VALUES(4,NULL,0,NULL,4,7,0,0,0,'.3:   =  .3: ',1,0,1,'20130613','','','','0503769M_D','20121231','','=',0,'','')
INSERT #A VALUES(5,NULL,0,NULL,5,7,0,0,0,'|.1.5| >= | .4.2|',16,0,1,'20130613','','','','0503769M_D','20121231','','>=',0,'','')
INSERT #A VALUES(6,NULL,0,NULL,6,7,0,0,0,'.1 =  0 :      .',0,0,1,'20130613','','','','0503769M_D','20121231','','=',0,'','     .')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 6
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE=''88888888''','','CODE','','','','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)<>''00000''','  ','''88888888''','','','','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)=''00000''','  ','CODE','','','','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(2,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)<>''00000''',' ','SUBSTRING(CODE,1,3) + ''00000''','','','','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE = ''88888888''','  ','CODE','','','','','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(3,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE <>  ''88888888''',' ','''88888888''','','','','','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE = ''88888888''','  ','CODE','','','','','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(4,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE <>  ''88888888''',' ','''88888888''','','','','','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)<>''00000''','','CODE','','','5','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(5,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','1=1','','LEFT(CODE,8)','','','2','','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','SUBSTRING(CODE,4,1)<>''0'' and SUBSTRING(CODE,5,1)=''0''','','CODE','','','','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(6,2,1,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 12
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '2         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'2',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '447       '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'447',' ,    33',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '999999    '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'999999',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2013-07-22 09:15:55.743',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2013-07-22 09:15:55.743'
	BEGIN
		SELECT @vcMessage = ' 0503769M_D    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 0503769M_D    ' + @vcMessage + '       2013-07-22 09:15:55.743.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

--  .. RA_EXPORT_FORM_STRUCT. ( 22 2013  9:16:03:960AM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 0503769M_K (    )
--   : 20121231
--    :
--  : 2013-07-22 09:16:03.960
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '0503769M_K' AND [START_DATE] = '20121231'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2013-07-22 09:16:03.960',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '0503769M_K',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '0503769M_K'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20121231')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SMETA'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'    ',@vcNEW_FORM_CODE,@dNEW_START_DATE,4,1,1,1,18186,'RO_EXPORT_FORM_33#RA_IMPORT_FORM_769',0,0,'19000101',NULL,'33'
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, 'svodprint_new_gen()','sv_0503769g_20121231.bas','','KirRepMakerMultiSheet.xls','SV_0503769GK_20121231.XLT','',NULL,'RO_EXPORT_FORM_33#RA_IMPORT_FORM_769',0,NULL,NULL,NULL,'369       ','REPORTS_ATR_TYPE_ORG,REPORTS_ATR_VID,REPORTS_ATR_VID_NAME',NULL,NULL,'RO_PRINT_769_2012|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '   ', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,0,0,8,1,'R_SPR_ACC_769_DK','COL1','CODE',NULL,4,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' , .-    - ',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' , .-    -      ,  ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' , . -     - ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' , . -     -      ,  ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '   ', @iLINK_FORM,1, @iLINK_CODE_COL,1,'CALC_SKELET=sql.call("dbo.RO_CALC_SKELET",m.cAlias,0x0,''0503769G_K'',1,''20121231'')',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '    -  ', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,8,1,'R_SPR_ACC_769_KK','COL1','CODE',NULL,6,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' , .-    - ',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' , . -    -        ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' , . -     - ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' , . -     -      ,  ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '    -  ', @iLINK_FORM,2, @iLINK_CODE_COL,1,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '    -   ', @iLINK_FORM,3
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,8,1,'R_SPR_ACC_769_KK','COL1','CODE',NULL,6,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' , .-    - ',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' , . -    -        ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' , . -     - ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' , . -     -      ,  ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '    -   ', @iLINK_FORM,3, @iLINK_CODE_COL,1,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '       ', @iLINK_FORM,4
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,0,0,9,1,'R_SPR_ACC_769_DK','COL1','CODE',NULL,4,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,', .',@iLINK_TABLE,1,0,2,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' ',@iLINK_TABLE,1,1,3,0,4,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' () - ',@iLINK_TABLE,1,1,4,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' () - ',@iLINK_TABLE,1,1,5,0,2000,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,' ',@iLINK_TABLE,1,1,6,0,8000,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'',@iLINK_TABLE,1,1,1,0,0,1,NULL,NULL,NULL,NULL,1,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '       ', @iLINK_FORM,4, @iLINK_CODE_COL,1,'KEY_FOX=PADR(RTRIM(COL1),8,''0'')+PADR(RTRIM(COL3),4,''0'')+PADR(RTRIM(COL4),10,'' '')
KEY_WEB=LEFT(RTRIM(isnull(COL1,''''))+''00000000000000'',8)+LEFT(RTRIM(isnull(COL3,''''))+''    '',4)+LEFT(RTRIM(isnull(COL4,''''))+''          '',10)
SPLIT=COL1=SUBSTRING(RTRIM(CODE_ROW)+''00000000000000000000'',1,8)#COL3=SUBSTRING(RTRIM(CODE_ROW)+''                        '',9,4)#COL4=SUBSTRING(RTRIM(CODE_ROW)+''                                                 '',13,10)



',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,1,7,0,0,0,'.1: =  .1:  ',1,0,1,'20130613','','','','0503769M_K','20121231','','=',0,'','')
INSERT #A VALUES(2,NULL,0,NULL,2,7,0,0,0,'.1:   =  .1: ',1,0,1,'20130613','','','','0503769M_K','20121231','','=',0,'','')
INSERT #A VALUES(3,NULL,0,NULL,3,7,0,0,0,'.2:   =  .2: ',1,0,1,'20130613','','','','0503769M_K','20121231','','=',0,'','')
INSERT #A VALUES(4,NULL,0,NULL,4,7,0,0,0,'.3:   =  .3: ',1,0,1,'20130613','','','','0503769M_K','20121231','','=',0,'','')
INSERT #A VALUES(5,NULL,0,NULL,5,7,0,0,0,'|.1.5| >= | .4.2|',16,0,1,'20130613','','','','0503769M_K','20121231','','>=',0,'','')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 5
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE=''88888888''','','CODE','','','','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)<>''00000''','  ','''88888888''','','','','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)=''00000''','  ','CODE','','','','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(2,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)<>''00000''',' ','SUBSTRING(CODE,1,3) + ''00000''','','','','','1',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE = ''88888888''','  ','CODE','','','','','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(3,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE <>  ''88888888''',' ','''88888888''','','','','','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE = ''88888888''','  ','CODE','','','','','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(4,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE <>  ''88888888''',' ','''88888888''','','','','','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,1,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','CODE<>''88888888'' and SUBSTRING(CODE,4,5)<>''00000''','','CODE','','','5','','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(5,2,4,'+',NULL,NULL,NULL,NULL,0,0,'','','','1=1','','LEFT(CODE,8)','','','2','','4',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 10
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '2         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'2',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2013-07-22 09:16:03.960',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2013-07-22 09:16:03.960'
	BEGIN
		SELECT @vcMessage = ' 0503769M_K    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 0503769M_K    ' + @vcMessage + '       2013-07-22 09:16:03.960.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ARestCalcSaldoChanges]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[ARestCalcSaldoChanges]

GO

/*
  (Keysystems), 2005
*/
CREATE     FUNCTION dbo.ARestCalcSaldoChanges ()
RETURNS @RET_TABLE	TABLE
	(
	[D_SUMMA]	[NUMERIC] (28,2),
	[K_SUMMA]	[NUMERIC] (28,2),
	[R_SUMMA]	[NUMERIC] (28,2),
	[D_QUANTITY]	[NUMERIC] (28,4),
	[K_QUANTITY]	[NUMERIC] (28,4),
	[DATE_PROV]	[DATETIME],
	[ACCOUNT]	[INT],
	[KBK]		[INT],
	[EKR]		[INT],
	[DEP]	[INT],
	[SUB]	[INT],
	[EMP]	[INT],
	[NOMEN]	[INT],
	[INV]	[INT],
	[KAU]	[INT],
	[DEP_ACC]	[INT],
	[TMC]	[INT],
	[INDATE]	[DATETIME],
	[AP1]	[INT],
	[AP2]	[INT],
	[AP3]	[INT],
	[SGU]	[INT],
	[DEP_LINK]	[INT],
	[PRICE]	[NUMERIC] (28,6),
	[PRICE_TYPE] [TINYINT]
	)
AS
BEGIN
	DECLARE @intPRICE_TYPE	INT
	SET @intPRICE_TYPE = ISNULL (dbo.BK_GET_NASTR_PRICE_TYPE_MZ (), 0)

	DECLARE @tSaldoChanges	TABLE (date datetime, account int)
	insert into @tSaldoChanges
	select DATE, ACCOUNT from dbo.SALDO_CHANGES group by DATE, ACCOUNT

	INSERT INTO @RET_TABLE
	SELECT 
	D_SUMMA = SUM(D_SUMMA),
	K_SUMMA = SUM(K_SUMMA),
	R_SUMMA = SUM(R_SUMMA),
	D_QUANTITY = SUM(D_QUANTITY),
	K_QUANTITY = SUM(K_QUANTITY),
	AP.DATE_PROV, AP.ACCOUNT,
	AP.KBK, AP.EKR, AP.DEP, AP.SUB, AP.EMP, AP.NOMEN, AP.INV, AP.KAU, AP.DEP_ACC, AP.TMC, AP.INDATE, AP.AP1, AP.AP2, AP.AP3, AP.SGU, AP.DEP_LINK,
	PRICE, PRICE_TYPE
	FROM
	(
		SELECT G.DATE_PROV, AP.ACCOUNT,
		[D_SUMMA] = CASE 
				WHEN SA.s_active = 0 THEN 0
				WHEN AP.DB_KR = 0
				THEN dbo.ARestCalcDtSaldo(1, SA.s_passive, G2.SUMMA, default)
				ELSE dbo.ARestCalcDtSaldo(1, SA.s_passive, default, G2.SUMMA)
				END,
		[K_SUMMA] = CASE
				WHEN SA.s_passive = 0 THEN 0
				WHEN AP.DB_KR = 0
				THEN dbo.ARestCalcKtSaldo(SA.s_active, 1, G2.SUMMA, default)
				ELSE dbo.ARestCalcKtSaldo(SA.s_active, 1, default, G2.SUMMA)
				END,
		[R_SUMMA] = 0,
		[D_QUANTITY] = CASE
				WHEN SA.KSU = 0 OR SA.s_active = 0 THEN 0
				WHEN AP.DB_KR = 0 THEN G2.QUANTITY ELSE -G2.QUANTITY END,
		[K_QUANTITY] = CASE
				WHEN SA.KSU = 0 OR SA.s_passive = 0 THEN 0
				WHEN AP.DB_KR = 1 THEN G2.QUANTITY ELSE -G2.QUANTITY END,
		
		KBK	= CASE WHEN SA.ap_KBK = 1 AND SA.OB_KBK = 0 THEN AP.KBK ELSE NULL END,
		EKR	= CASE WHEN SA.ap_EKR = 1 AND SA.OB_EKR = 0 THEN AP.EKR ELSE NULL END,
		DEP	= CASE WHEN SA.ap_DEP = 1 AND SA.OB_DEP = 0 THEN AP.DEP ELSE NULL END,
		SUB	= CASE WHEN SA.ap_SUB = 1 AND SA.OB_SUB = 0 THEN SUB.LINK_UP ELSE NULL END,
		EMP	= CASE WHEN SA.ap_EMP = 1 AND SA.OB_EMP = 0 THEN AP.EMP ELSE NULL END,
		NOMEN	= CASE WHEN SA.ap_NOMEN  = 1 AND SA.OB_NOMEN = 0 THEN AP.NOMEN  ELSE NULL END,
		INV	= CASE WHEN SA.ap_INV = 1 AND SA.OB_INV = 0 THEN AP.INV ELSE NULL END,
		KAU	= CASE WHEN SA.ap_KAU = 1 AND SA.OB_KAU = 0 THEN AP.KAU ELSE NULL END,
		DEP_ACC	= CASE WHEN SA.ap_DEP_ACC = 1 AND SA.OB_DEP_ACC = 0 THEN AP.DEP_ACC ELSE NULL END,
		TMC	= CASE WHEN SA.ap_TMC = 1 AND SA.OB_TMC = 0 THEN AP.TMC ELSE NULL END,
		INDATE	= CASE WHEN SA.ap_INDATE = 1 AND SA.P_DATE = 0 THEN AP.INDATE ELSE NULL END,
		AP1	= CASE WHEN SA.ap_AP1 = 1  AND SA.OB_AP1 = 0 THEN AP.AP1 ELSE NULL END,
		AP2	= CASE WHEN SA.ap_AP2 = 1  AND SA.OB_AP2 = 0 THEN AP.AP2 ELSE NULL END,
		AP3	= CASE WHEN SA.ap_AP3 = 1  AND SA.OB_AP3 = 0 THEN AP.AP3 ELSE NULL END,
		SGU	= CASE WHEN SA.p_Kassa = 1 THEN AP.SGU ELSE NULL END,
		[DEP_LINK] = G.DEP,
		[PRICE]	= CASE
				WHEN @intPRICE_TYPE = 1 AND SA.ap_NOMEN  = 1 AND SA.KSU = 1
					AND ISNULL (N.PRICE_TYPE, 0) = 1 AND G2.QUANTITY <> 0
				THEN  CONVERT (NUMERIC (28,6), G2.SUMMA / G2.QUANTITY)
				ELSE 0
			END,
		[PRICE_TYPE] = CASE WHEN @intPRICE_TYPE = 1 THEN ISNULL (N.PRICE_TYPE, 0) ELSE 0 END
		FROM dbo.G_PROV G
		INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
		INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN dbo.G_PROV_AP AP ON AP.LINK_UP = G2.LINK
		INNER JOIN dbo.S_ACCOUNTS SA ON SA.LINK = AP.ACCOUNT
		INNER JOIN @tSaldoChanges SC on SC.[DATE] = G.DATE_PROV AND SC.ACCOUNT = AP.ACCOUNT
		LEFT MERGE JOIN dbo.NOMENCLATURE N ON (N.LINK = AP.NOMEN
				AND N.PRICE_TYPE = 1
				AND SA.ap_NOMEN  = 1)
		LEFT MERGE JOIN dbo.SUBDIV SUB ON SUB.LINK = AP.SUB
		) AP
	GROUP BY AP.DATE_PROV, AP.ACCOUNT,
		AP.KBK, AP.EKR, AP.DEP, AP.SUB, AP.EMP, AP.NOMEN, AP.INV, AP.KAU, AP.DEP_ACC, AP.TMC, AP.INDATE, AP.AP1, AP.AP2, AP.AP3, AP.SGU, AP.DEP_LINK, PRICE, PRICE_TYPE
	
	-- !!!   ,       1 !!! --
	UPDATE T1
	SET PRICE = T2.PRICE
	FROM @RET_TABLE	T1
	INNER JOIN @RET_TABLE T2 ON 
				(T2.D_QUANTITY > 0 AND T2.D_SUMMA > 0)
				AND ISNULL (T2.ACCOUNT, 0) = ISNULL (T1.ACCOUNT, 0)
				AND ISNULL (T2.KBK, 0) = ISNULL (T1.KBK, 0)
				AND ISNULL (T2.EKR, 0) = ISNULL (T1.EKR, 0)
				AND ISNULL (T2.DEP, 0) = ISNULL (T1.DEP, 0)
				AND ISNULL (T2.SUB, 0) = ISNULL (T1.SUB, 0)
				AND ISNULL (T2.EMP, 0) = ISNULL (T1.EMP, 0)
				AND ISNULL (T2.DEP_LINK, 0) = ISNULL (T1.DEP_LINK, 0)
				AND ISNULL (T2.NOMEN, 0) = ISNULL (T1.NOMEN, 0)
				AND ISNULL (T2.INV, 0) = ISNULL (T1.INV, 0)
				AND ISNULL (T2.KAU, 0) = ISNULL (T1.KAU, 0)
				AND ISNULL (T2.DEP_ACC, 0) = ISNULL (T1.DEP_ACC, 0)
				AND ISNULL (T2.TMC, 0) = ISNULL (T1.TMC, 0)
				AND ISNULL (T2.INDATE, '17530101') = ISNULL (T1.INDATE, '17530101')
				AND ISNULL (T2.AP1, 0) = ISNULL (T1.AP1, 0)
				AND ISNULL (T2.AP2, 0) = ISNULL (T1.AP2, 0)
				AND ISNULL (T2.AP3, 0) = ISNULL (T1.AP3, 0)
				AND CONVERT (NUMERIC (28,2), T2.PRICE) = CONVERT (NUMERIC (28,2), T1.PRICE)
	WHERE T1.PRICE_TYPE = 1
		AND (T1.D_QUANTITY < 0 OR T1.D_SUMMA < 0)

	RETURN 
END

GO


GRANT SELECT ON dbo.[ARestCalcSaldoChanges] TO PUBLIC

GO


-- --

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_REPORT_CARD_MZ]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_REPORT_CARD_MZ]

GO
--- : \   ---
CREATE PROCEDURE dbo.BK_REPORT_CARD_MZ
	@dDate_Open DATETIME,	--  .  --
	@dDate_Close DATETIME,	--  .  --
	@nOption1 INT,	--  --
	@cVal_Emp VARCHAR (1), @iEMP_OTBOR	INT
AS
BEGIN
	DECLARE
		@intACCT_105	INT,
		@varKSDEP_LINK INT,
		@intSVOD_ZB	INT,		
		@strORGNAME	VARCHAR (254),
		@strOKPO	VARCHAR (50),
		@dDATE_REST_END	DATETIME

	SELECT @intACCT_105 = LINK FROM dbo.S_ACCOUNTS WHERE CODE = '105'
--
	DECLARE @TAB_OBOROT TABLE (
		DOC_LINK INT, EMP INT, NOMEN INT,
		DEP_KOR INT, EMP_KOR INT,
		TYPE_KOR TINYINT, 	-- 1- -, 2 - 
		TYPE_PRICE TINYINT, PRICE NUMERIC (20, 6),
		D_QTY NUMERIC (28,4), D_SUMMA NUMERIC (28,4),
		K_QTY NUMERIC (28,4), K_SUMMA NUMERIC (28,4),
		DEP_LINK	INT)

	SELECT @intSVOD_ZB = 0	--    

	IF @intSVOD_ZB = 0	--     --
		SET @varKSDEP_LINK = ISNULL (dbo.BK_GetDepZB (), dbo.GetOwnDepLink ())

/*
	IF LEN(@varKScVal1)>0 BEGIN
		INSERT INTO @EMP
			SELECT OVR.RECORD, D.TAB, D.[NAME_EMPL], D.POST_NAME
			FROM OBJECT_VAR_EMPL OVR, KU_EMPL_PLACING D
			WHERE D.LINK=OVR.RECORD AND OVR.LINK_UP=@varKSnOtborLink1
	END
	ELSE
	BEGIN
		INSERT INTO @EMP
			SELECT D.LINK, D.TAB, D.[NAME_EMPL], D.POST_NAME FROM KU_EMPL_PLACING D
		INSERT INTO @EMP VALUES (0, '', ' ', '')
	END

*/
	--   --
	DECLARE @TAB_EMP TABLE
		(EMP INT,
		EMP_CODE  VARCHAR(20),
		EMP_NAME VARCHAR(254),
		EMP_POST VARCHAR (254))

	IF LEN (@cVal_Emp) > 0
		INSERT INTO @TAB_EMP
		SELECT
			D.LINK,
			D.TAB,
			D.NAME_EMPL,
			D.POST_NAME
		FROM dbo.KU_EMPL_PLACING D
		INNER JOIN dbo.OBJECT_VAR_EMPL OVR ON 
			(OVR.LINK_UP = @iEMP_OTBOR
			AND OVR.RECORD = D.LINK)
	ELSE
		INSERT INTO @TAB_EMP
		SELECT
			D.LINK,
			D.TAB,
			D.NAME_EMPL,
			D.POST_NAME
		FROM dbo.KU_EMPL_PLACING D

		UNION ALL
		
		SELECT 0, '', ' ', ''
	
--		WHERE OVR.

-- SELECT * FROM @TAB_EMP
		
--	@cVal_Emp VARCHAR (1), @iEMP_OTBOR	INT

	---  ---
	INSERT INTO @TAB_OBOROT
	SELECT
		T1.LINK_DOC,
		T1.EMP,
		T1.NOMEN,
		CASE WHEN SA_KOR.AP_DEP = 1 THEN GAP_KOR.DEP ELSE 0 END,
		CASE WHEN SA_KOR.AP_EMP = 1 THEN GAP_KOR.EMP ELSE 0 END,
		CASE
			WHEN SA_KOR.AP_EMP = 1 THEN 2
			WHEN SA_KOR.AP_DEP = 1 THEN 1
		ELSE 0 END,
		T1.PRICE_TYPE,
		T1.PRICE,
		CASE WHEN T1.DB_KR = 0 THEN T1.QTY ELSE 0 END,
		CASE WHEN T1.DB_KR = 0 THEN T1.SUMMA ELSE 0 END,
		CASE WHEN T1.DB_KR = 1 THEN T1.QTY ELSE 0 END,
		CASE WHEN T1.DB_KR = 1 THEN T1.SUMMA ELSE 0 END,
		T1.DEP_LINK
	FROM dbo.BK_GetTableOborotByDate1
				(@dDate_Open,
				@dDate_Close,
				DEFAULT,
				@intACCT_105,
				@varKSDEP_LINK) T1
	LEFT JOIN dbo.G_PROV_AP GAP_KOR ON (GAP_KOR.LINK_UP = T1.LINK_G2
		AND (T1.DB_KR = 0 AND GAP_KOR.DB_KR = 1
			OR T1.DB_KR = 1 AND GAP_KOR.DB_KR = 0)) 
	LEFT JOIN dbo.S_ACCOUNTS SA_KOR ON (SA_KOR.LINK = GAP_KOR.ACCOUNT)

	DECLARE @TAB_DEP TABLE (DEP_LINK INT)
	
	IF @varKSDEP_LINK IS NULL
		INSERT INTO @TAB_DEP
		SELECT LINK
		FROM dbo.DEPARTMENTS
		WHERE ZB = 1 OR TYPE = 4
	ELSE
		INSERT INTO @TAB_DEP
		SELECT @varKSDEP_LINK

	---  ---
	DECLARE @TAB_REST_IN TABLE
		(EMP INT,
		NOMEN INT,
		DEP_LINK	INT,
--		TYPE_PRICE TINYINT, PRICE NUMERIC (20, 6),
		QTY NUMERIC (28,4), SUMMA NUMERIC (28,4))

	INSERT INTO @TAB_REST_IN
	SELECT
		ISNULL (R.EMP, 0),
		ISNULL (R.NOMEN, 0),
		R.DEP_LINK,
		SUM (R.D_QUANTITY),
		SUM (R.D_SUMMA)
	FROM dbo.ARestTableByDate (@dDate_Open, @intACCT_105) R
	INNER JOIN @TAB_DEP D ON (D.DEP_LINK = R.DEP_LINK)
	GROUP BY
		ISNULL (R.EMP, 0),
		ISNULL (R.NOMEN, 0),
		R.DEP_LINK
	HAVING
		SUM (R.D_QUANTITY) <> 0
		OR SUM (R.D_SUMMA) <> 0
		
	DECLARE @TAB_REST_OUT TABLE
		(EMP INT,
		NOMEN INT,
		DEP_LINK	INT,
--		TYPE_PRICE TINYINT, PRICE NUMERIC (20, 6),
		QTY NUMERIC (28,4), SUMMA NUMERIC (28,4))

	SET @dDATE_REST_END = DATEADD (DAY, 1, @dDate_Close)

	INSERT INTO @TAB_REST_OUT
	SELECT
		ISNULL (R.EMP, 0),
		ISNULL (R.NOMEN, 0),
		R.DEP_LINK,
		SUM (R.D_QUANTITY),
		SUM (R.D_SUMMA)
	FROM dbo.ARestTableByDate (@dDATE_REST_END, @intACCT_105) R
	INNER JOIN @TAB_DEP D ON (D.DEP_LINK = R.DEP_LINK)
	GROUP BY
		ISNULL (R.EMP, 0),
		ISNULL (R.NOMEN, 0),
		R.DEP_LINK
	HAVING
		SUM (R.D_QUANTITY) <> 0
		OR SUM (R.D_SUMMA) <> 0

	IF @varKSDEP_LINK IS NULL
		SET @varKSDEP_LINK = dbo.GetOwnDepLink () 

	--   --
	DECLARE @TAB_GRP TABLE
		(EMP INT,
		NOMEN INT,
		DEP_LINK INT)

	INSERT INTO @TAB_GRP
		(EMP,
		NOMEN,
		DEP_LINK)
	SELECT
		EMP,
		NOMEN,
		DEP_LINK
	FROM @TAB_OBOROT

	UNION
	
	SELECT
		EMP,
		NOMEN,
		DEP_LINK
	FROM @TAB_REST_IN

	UNION
	
	SELECT
		EMP,
		NOMEN,
		DEP_LINK
	FROM @TAB_REST_OUT

	--  --
	SELECT @strORGNAME = RTRIM ([NAME]) +
			CASE
				WHEN @intSVOD_ZB = 1 THEN ' ().'
				ELSE ''
			END,
		@strOKPO = OKPO
	FROM dbo.DEPARTMENTS
	WHERE LINK = @varKSDEP_LINK

	SELECT
		CONVERT (VARCHAR (10), G.DATE_PROV, 104) AS DATE_PROV,
		CONVERT (VARCHAR (10), G.[DATE], 104) AS DOC_DATE,
		G.NUMBER AS DOC_NUM,
		NOMEN.CODE AS INV_CODE,
		NOMEN.[NAME] AS INV_NAME,
		UM.CODE AS UM_CODE,
		UM.[NAME] AS UM_NAME,
		OB.*,
		CASE 
			WHEN OB.TYPE_KOR = 1 THEN DEP_KOR.[NAME]
			WHEN OB.TYPE_KOR = 2 THEN EMP_KOR.[NAME_EMPL]
		END AS KORR_NAME,
		CONVERT (VARCHAR (10), @dDate_Open, 104) AS DATE_OPEN,
		CONVERT (VARCHAR (10), @dDate_Close, 104) AS DATE_CLOSE,
		EMP.TAB AS EMP_CODE,
		EMP.NAME_EMPL AS EMP_NAME,
		@strORGNAME AS ORGNAME,
		@strOKPO AS OKPO,
		CONVERT (VARCHAR (20), ISNULL (OB.EMP, 0))
		+ '#' + CONVERT (VARCHAR (20), ISNULL (OB.NOMEN, 0)) AS GRP_CARD,
		ISNULL (R_IN.QTY, 0.00) AS IN_QTY,
		ISNULL (R_IN.SUMMA, 0.00) AS IN_SUMMA,
		ISNULL (R_OUT.QTY, 0.00) AS OUT_QTY,
		ISNULL (R_OUT.SUMMA, 0.00) AS OUT_SUMMA
	FROM @TAB_GRP T1
	INNER JOIN @TAB_EMP E1 ON (E1.EMP = T1.EMP)
	LEFT JOIN @TAB_OBOROT OB ON 
		(OB.EMP = T1.EMP
		AND OB.NOMEN = T1.NOMEN
		AND OB.DEP_LINK = T1.DEP_LINK)
	LEFT JOIN dbo.G_PROV G ON (G.LINK = OB.DOC_LINK)
	INNER JOIN dbo.NOMENCLATURE NOMEN ON (NOMEN.LINK = T1.NOMEN)
	LEFT JOIN dbo.DEPARTMENTS DEP_KOR ON (OB.TYPE_KOR = 1
		AND DEP_KOR.LINK = OB.DEP_KOR)
	LEFT JOIN dbo.KU_EMPL_PLACING EMP_KOR ON (OB.TYPE_KOR = 2
		AND EMP_KOR.LINK = OB.EMP_KOR)
--		OR OB.TYPE_KOR = 2)
	LEFT JOIN dbo.DICTIONARY_DIGIT UM ON (UM.LINK = NOMEN.UM)
	LEFT JOIN dbo.KU_EMPL_PLACING EMP ON (EMP.LINK = OB.EMP)
	LEFT JOIN @TAB_REST_IN R_IN ON
		(R_IN.EMP = T1.EMP
		AND R_IN.NOMEN = T1.NOMEN
		AND R_IN.DEP_LINK = T1.DEP_LINK)
	LEFT JOIN @TAB_REST_OUT R_OUT ON
		(R_OUT.EMP = T1.EMP
		AND R_OUT.NOMEN = T1.NOMEN
		AND R_OUT.DEP_LINK = T1.DEP_LINK)
	ORDER BY
		OB.EMP,
		OB.NOMEN,
		G.[DATE]

	
-- EXEC dbo.BK_REPORT_CARD_MZ '20130101', '20131231', 0
END

GO


GRANT EXECUTE ON dbo.[BK_REPORT_CARD_MZ] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_REPORT_KSU_CARD]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_REPORT_KSU_CARD]

GO


/*
  (Keysystems), 2005
*/

CREATE PROCEDURE dbo.BK_REPORT_KSU_CARD
	@varKSWorkDate	DATETIME	,
	@varKSnSel_Empl	INT		,
	@varKSnSel_Acct	INT		,
	@varKScVal1 char(1), @varKSnOtborLink1 int,
	@codeKSReport	CHAR (30)	
AS
BEGIN
	DECLARE
		@varKSBEGIN_YEAR	DATETIME,
		@varKSDEP_LINK	INT,
		@varKSDEP_NAME	VARCHAR (254),
		@varKSDEP_OKPO	VARCHAR (20),

		@varKSEMP_LINK	INT,
		@varKSEMP_CODE	VARCHAR (20),
		@varKSEMP_NAME	VARCHAR (254),
		@varKSEMP_POST	VARCHAR (60),
	
		@varKSACCT_LINK	INT,
		@varKSACCT_CODE	VARCHAR (30),
		@varKSACCT_NAME	VARCHAR (254),

		@varKScBEGIN_YEAR	VARCHAR (10)
	
	SET @varKSBEGIN_YEAR		=	dbo.DateBeginOfYear (@varKSWorkDate)
	SET @varKScBEGIN_YEAR	=	CONVERT (VARCHAR (10), @varKSBEGIN_YEAR, 104) 
	
	SELECT
		@varKSDEP_LINK	=	LINK,
		@varKSDEP_NAME	=	[NAME],
		@varKSDEP_OKPO	=	[OKPO]
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = COALESCE (dbo.BK_GetDepZB (), dbo.GetOwnDepLink())

	SELECT
		@varKSEMP_LINK	=	LINK,
		@varKSEMP_CODE	=	TAB,
		@varKSEMP_NAME	=	NAME_EMPL,
		@varKSEMP_POST	=	POST_NAME
	FROM dbo.KU_EMPL_PLACING
	WHERE LINK = @varKSnSel_Empl
	
	SELECT	@varKSACCT_LINK	=	LINK,
		@varKSACCT_CODE	=	CODE,
		@varKSACCT_NAME	=	[NAME]
	FROM dbo.S_ACCOUNTS
	WHERE LINK = @varKSnSel_Acct

	CREATE TABLE #INVENTORY (INV INT, INV_CODE VARCHAR (20),
		INV_NAME VARCHAR (254), INV_PRICE NUMERIC (20,4))

	IF LEN (@varKScVal1) > 0
	BEGIN
		IF @codeKSReport = 'INVENTORY'
			INSERT INTO #INVENTORY
			SELECT OV.RECORD,
				INV.CODE,
				INV.[NAME],
				INV.BALANCE
			FROM OBJECT_VAR_INVENTORY OV, INVENTORY_CARD INV
			WHERE OV.LINK_UP = @varKSnOtborLink1
				AND INV.LINK = OV.RECORD

		IF @codeKSReport = 'NOMENCLATURE'
			INSERT INTO #INVENTORY
			SELECT OV.RECORD,
				INV.CODE,
				INV.[NAME],
				0
			FROM OBJECT_VAR_NOMENCLATURE OV, BV_NOMENCLATURE INV
			WHERE OV.LINK_UP = @varKSnOtborLink1
				AND INV.LINK = OV.RECORD

		IF @codeKSReport = 'DICTIONARY_TMC'
			INSERT INTO #INVENTORY
			SELECT OV.RECORD,
				INV.CODE,
				INV.[NAME],
				0
			FROM OBJECT_VAR_DICTION OV, DICTIONARY_TMC INV
			WHERE OV.LINK_UP = @varKSnOtborLink1
				AND INV.LINK = OV.RECORD
	END
	ELSE
	BEGIN
		IF @codeKSReport = 'INVENTORY'
			INSERT INTO #INVENTORY
			SELECT INV.LINK,
				INV.CODE,
				INV.[NAME],
				INV.BALANCE
			FROM INVENTORY_CARD INV

		IF @codeKSReport = 'NOMENCLATURE'
			INSERT INTO #INVENTORY
			SELECT INV.LINK,
				INV.CODE,
				INV.[NAME],
				0
			FROM BV_NOMENCLATURE INV

		IF @codeKSReport = 'DICTIONARY_TMC'
			INSERT INTO #INVENTORY
			SELECT INV.LINK,
				INV.CODE,
				INV.[NAME],
				0
			FROM DICTIONARY_TMC INV
	END

	CREATE TABLE #REST
		(INV INT,
		ACCOUNT	INT,
		EMP	INT,
		DEP_LINK INT,
		QTY NUMERIC (28, 4),
		SUMMA NUMERIC (28, 4))

	INSERT INTO #REST
	SELECT 
		CASE 
			WHEN @codeKSReport = 'INVENTORY' THEN ISNULL (T1.INV, 0)
			WHEN @codeKSReport = 'NOMENCLATURE' THEN ISNULL (T1.NOMEN, 0)
			WHEN @codeKSReport = 'DICTIONARY_TMC' THEN ISNULL (T1.TMC, 0)
		END,
		T1.ACCOUNT,
		T1.EMP,
		T1.DEP_LINK,
		SUM (T1.D_QUANTITY),
		SUM (T1.D_SUMMA)
	FROM dbo.ARestTableByDate (@varKSBEGIN_YEAR, @varKSACCT_LINK) T1
	WHERE (ISNULL (@varKSEMP_LINK, 0) = 0 OR T1.EMP = @varKSEMP_LINK)
		AND (T1.DEP_LINK = @varKSDEP_LINK)
	GROUP BY 
		CASE 
			WHEN @codeKSReport = 'INVENTORY' THEN ISNULL (T1.INV, 0)
			WHEN @codeKSReport = 'NOMENCLATURE' THEN ISNULL (T1.NOMEN, 0)
			WHEN @codeKSReport = 'DICTIONARY_TMC' THEN ISNULL (T1.TMC, 0)
		END,
		T1.ACCOUNT,
		T1.EMP,
		T1.DEP_LINK

	CREATE TABLE #TABLE_OBOROT
		(LINK_DOC INT,
		DATE_PROV DATETIME,
		INV INT,
		ACCOUNT	INT,
		EMP	INT,
		DEP_LINK INT,
		LINK_JO INT, COMMENT VARCHAR (254),
		DB_KR	TINYINT,
		D_QTY NUMERIC (28, 4), D_SUMMA NUMERIC (28, 4),
		K_QTY NUMERIC (28, 4), K_SUMMA NUMERIC (28, 4))

	INSERT INTO #TABLE_OBOROT
	SELECT
		T1.LINK_DOC,
		T1.DATE_PROV,
		CASE 
			WHEN @codeKSReport = 'INVENTORY' THEN ISNULL (T1.INV, 0)
			WHEN @codeKSReport = 'NOMENCLATURE' THEN ISNULL (T1.NOMEN, 0)
			WHEN @codeKSReport = 'DICTIONARY_TMC' THEN ISNULL (T1.TMC, 0)
		END,
		T1.ACCOUNT,
		T1.EMP,
		T1.DEP_LINK,
		XJ.JURN_LINK,
		T1.NAME_OPER,
		T1.DB_KR,
		CASE
			WHEN T1.DB_KR = 0 THEN T1.QTY
			ELSE 0
		END,	
		CASE
			WHEN T1.DB_KR = 0 THEN T1.SUMMA
			ELSE 0
		END,	
		CASE
			WHEN T1.DB_KR = 1 THEN T1.QTY
			ELSE 0
		END,	
		CASE
			WHEN T1.DB_KR = 1 THEN T1.SUMMA
			ELSE 0
		END
	FROM dbo.BK_GetTableOborotByDate1
			(@varKSBEGIN_YEAR,
			@varKSWorkDate,	
			DEFAULT,
			@varKSACCT_LINK,
			@varKSDEP_LINK)	T1
	LEFT JOIN dbo.XOZ_OPER_JURN XJ ON
		(XJ.XOZ_LINK = T1.XOZ_OPER
		AND XJ.GK = 1)
	WHERE
		ISNULL (@varKSEMP_LINK, 0) = 0 
		OR T1.EMP = @varKSEMP_LINK

 -- SELECT * FROM #TABLE_OBOROT

	--  --
	CREATE TABLE #TABLE_CARD
		(INV INT,
		ACCOUNT	INT,
		EMP	INT,
		DEP_LINK	INT
		)

	INSERT INTO #TABLE_CARD
		(INV,
		ACCOUNT,
		EMP,
		DEP_LINK)
	SELECT
		INV,
		ACCOUNT,
		EMP,
		DEP_LINK
	FROM #TABLE_OBOROT
	UNION
	SELECT
		INV,
		ACCOUNT,
		EMP,
		DEP_LINK
	FROM #REST

-- SELECT * FROM #REST

-- SELECT * FROM #TABLE_CARD
	
	CREATE TABLE #TABLE_RES (REC_NO INT IDENTITY, DEP INT, EMP INT, LINK_ACCT INT, INV INT,
		BEGIN_DATE VARCHAR (10),
		DEP_OKPO VARCHAR (20), DEP_NAME VARCHAR (254),
		EMP_CODE VARCHAR (20), EMP_NAME VARCHAR (254),
		EMP_POST VARCHAR (60),
		ACCT_CODE VARCHAR (30), ACCT_NAME VARCHAR (254),
		INV_CODE VARCHAR (20), INV_NAME VARCHAR (254),
		DATE_PROV DATETIME, cDATE_PROV VARCHAR (10),
		JO_NUM VARCHAR (20),
		OPER_COM VARCHAR (254), PRICE NUMERIC (20,4),
		DB_KR	TINYINT,
		IN_QTY NUMERIC (28, 4), IN_SUMMA NUMERIC (28, 4),
		D_QTY NUMERIC (28, 4), D_SUMMA NUMERIC (28, 4),
		K_QTY NUMERIC (28, 4), K_SUMMA NUMERIC (28, 4),
		OUT_QTY NUMERIC (28, 4), OUT_SUMMA NUMERIC (28, 4))

	INSERT INTO #TABLE_RES (DEP, EMP, LINK_ACCT, INV,
			BEGIN_DATE,
			DEP_OKPO, DEP_NAME,
			EMP_CODE, EMP_NAME,
			EMP_POST,
			ACCT_CODE, ACCT_NAME,
			INV_CODE, INV_NAME,
			DATE_PROV, cDATE_PROV,
			JO_NUM,
			OPER_COM, PRICE,
			DB_KR,
			IN_QTY, IN_SUMMA,
			D_QTY, D_SUMMA,
			K_QTY, K_SUMMA)

	SELECT
		@varKSDEP_LINK,
		@varKSEMP_LINK,
		@varKSACCT_LINK,
		T1.INV,

		@varKScBEGIN_YEAR,
		ISNULL (@varKSDEP_OKPO, ''),
		ISNULL (@varKSDEP_NAME, ''),
		ISNULL (@varKSEMP_CODE, ''),
		ISNULL (@varKSEMP_NAME, ''),
		ISNULL (@varKSEMP_POST, ''),
		ISNULL (@varKSACCT_CODE, ''),
		ISNULL (@varKSACCT_NAME, ''),
		INV.INV_CODE,
		INV.INV_NAME,
		T2.DATE_PROV,
		ISNULL (CONVERT (VARCHAR (10), T2.DATE_PROV, 104), ''),
		ISNULL (JO.CODE, ''),
		ISNULL (T2.COMMENT, ''),
		0,
		ISNULL (T2.DB_KR, 0),
		ISNULL (R1.QTY, 0), ISNULL (R1.SUMMA, 0),
		ISNULL (D_QTY, 0), ISNULL (D_SUMMA, 0),
		ISNULL (K_QTY, 0), ISNULL (K_SUMMA, 0)

	FROM #TABLE_CARD T1
	INNER JOIN #INVENTORY INV ON (INV.INV = T1.INV)
	LEFT OUTER JOIN #TABLE_OBOROT T2 ON (T2.INV = T1.INV)
	LEFT OUTER JOIN dbo.JOURNAL_OPERATION JO ON (JO.LINK = T2.LINK_JO)
	LEFT OUTER JOIN #REST R1 ON (R1.INV = T1.INV)
	ORDER BY 
		T2.DATE_PROV,
		ISNULL (T2.DB_KR, 0)

	UPDATE #TABLE_RES
	SET PRICE = CASE 
					WHEN D_QTY <> 0 THEN D_SUMMA / D_QTY
					WHEN K_QTY <> 0 THEN K_SUMMA / K_QTY
					ELSE 0
				END

	DECLARE #UPDATE_REST CURSOR LOCAL
		FOR
			SELECT
				REC_NO,
				INV,
				IN_QTY,
				IN_SUMMA
			FROM #TABLE_RES
			ORDER BY
				DATE_PROV,
				DB_KR

	DECLARE
		@varKSintREC_NO	INT,
		@varKSintINV		INT,
		@varKSnIN_QTY	NUMERIC (28,4),
		@varKSnIN_SUMMA	NUMERIC (28,4),
		@varKSnOBOROT_QTY	NUMERIC (28,4),
		@varKSnOBOROT_SUMMA	NUMERIC (28,4)

	OPEN #UPDATE_REST
	FETCH #UPDATE_REST
		INTO @varKSintREC_NO, @varKSintINV, @varKSnIN_QTY, @varKSnIN_SUMMA
	WHILE @@FETCH_STATUS = 0 BEGIN
		
		SELECT
			@varKSnOBOROT_QTY = SUM (D_QTY) - SUM (K_QTY),
			@varKSnOBOROT_SUMMA	= SUM (D_SUMMA) - SUM (K_SUMMA)
		FROM #TABLE_RES
		WHERE INV = @varKSintINV
			AND REC_NO <= @varKSintREC_NO

		SET @varKSnOBOROT_QTY = ISNULL (@varKSnOBOROT_QTY, 0) + @varKSnIN_QTY
		SET @varKSnOBOROT_SUMMA = ISNULL (@varKSnOBOROT_SUMMA, 0) + @varKSnIN_SUMMA

		UPDATE #TABLE_RES SET OUT_QTY = @varKSnOBOROT_QTY,
					OUT_SUMMA = @varKSnOBOROT_SUMMA
		WHERE REC_NO = @varKSintREC_NO
			
		FETCH #UPDATE_REST
			INTO @varKSintREC_NO, @varKSintINV, @varKSnIN_QTY, @varKSnIN_SUMMA
		
	END
	CLOSE #UPDATE_REST
	DEALLOCATE	#UPDATE_REST
	
	SELECT *
	FROM #TABLE_RES
	ORDER BY
		INV_CODE,
		DATE_PROV,
		JO_NUM
END




GO


GRANT EXECUTE ON dbo.[BK_REPORT_KSU_CARD] TO PUBLIC

GO


-- --

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_REPORT_SVOD_PROV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_REPORT_SVOD_PROV]

GO

/*
  (Keysystems), 2005
*/

CREATE PROCEDURE dbo.BK_REPORT_SVOD_PROV
	@varKSdDate1	DATETIME,
	@varKSdDate2	DATETIME,
	@varKSnPRN_KBK	INT,
	@varKSnPRN_SGU	INT,
	@intSVOD_PROV	INT,
	@varKScVal1 char(1), @varKSnOtborLink1 int /* --   -- */,
	@cVal_KBK char(1), @nOtborLinkKBK int	/*   */,
	@intSVOD_ZB INT
AS
BEGIN
	DECLARE	@varKSLINK_DEP	INT,
		@varKSDEP_CODE	VARCHAR (20),
		@varKSDEP_NAME	VARCHAR (254),
		@varKSDEP_OKPO	VARCHAR (20)

	---   --- 
	DECLARE @ACCT  TABLE (LINK_ACCT [INT])	
	IF LEN (@varKScVal1) > 0
		INSERT INTO @ACCT
		SELECT RECORD
		FROM dbo.OBJECT_VAR_ACCT
		WHERE LINK_UP = @varKSnOtborLink1
	ELSE
		INSERT INTO @ACCT
		SELECT LINK
		FROM dbo.AccountsTableWithNoChild()

	---   --- 
	DECLARE @TAB_KBK TABLE (LINK_KBK INT, KBK_CODE VARCHAR (20))
	IF LEN (@cVal_KBK) > 0
		INSERT INTO @TAB_KBK
		SELECT AP.LINK,
			AP.CODE
		FROM dbo.KL_KBK AP 
		INNER JOIN dbo.OBJECT_VAR_KBK OVR ON (OVR.RECORD = AP.LINK)
		WHERE OVR.LINK_UP = @nOtborLinkKBK
	ELSE
		INSERT INTO @TAB_KBK
		SELECT LINK_AP, AP_CODE
		FROM dbo.BK_GetTableDictionByAP ('KBK')

	--   -- 
	SET @intSVOD_ZB = ISNULL (@intSVOD_ZB, 0)
	SET @varKSLINK_DEP = dbo.BK_GetDepZB ()

	IF @intSVOD_ZB = 1 OR @varKSLINK_DEP IS NULL
		SET @varKSLINK_DEP = dbo.GetOwnDepLink()

	SELECT @varKSLINK_DEP = LINK,
		@varKSDEP_CODE = CODE,
		@varKSDEP_NAME = dbo.BK_GET_PRINT_DEP_NAME (LINK),
		@varKSDEP_OKPO = OKPO
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = @varKSLINK_DEP

	IF @intSVOD_ZB = 1
	BEGIN
		SET @varKSDEP_NAME = RTRIM (@varKSDEP_NAME) + ' ()'
		SET @varKSLINK_DEP = NULL
	END

	---    ---
	DECLARE @TABLE_OPER TABLE (LINK_DOC INT,
				LINK_G2 INT,
				XOZ_OPER INT
--				SUMMA NUMERIC (28,4),
--				QTY NUMERIC (28,4)
				)
	
	INSERT INTO @TABLE_OPER
	SELECT
		LINK_DOC,
		LINK_G2,
		XOZ_OPER
--		SUMMA
--		QTY
	FROM dbo.BK_GetTableOborotByDate1
		(@varKSdDate1, @varKSdDate2,
		DEFAULT, DEFAULT,
		@varKSLINK_DEP)
	GROUP BY
		LINK_DOC,
		LINK_G2,
		XOZ_OPER
--		SUMMA,
--		QTY

-- select * from @TABLE_OPER

	---  ---
	DECLARE @TABLE_PROV TABLE ([DOC_NUM] VARCHAR (60),
				[dDOC_DATE] DATETIME,
				[DOC_DATE] VARCHAR (10),
				[DOC_NAME] VARCHAR (254),
				[JO_CODE] VARCHAR (254),
				[DT_ACCT] VARCHAR (60),
				[KT_ACCT] VARCHAR (60),
				[SUMMA] NUMERIC (28,4))

	INSERT INTO @TABLE_PROV
	SELECT
		G.NUMBER,
		G.DATE, 
		CONVERT (VARCHAR (10), G.DATE, 104),
		dbo.JurnalProvGetDocKind (G.LINK, G.OBJECT),
		dbo.BX_XOZ_OPER_EnumJurnals (T_OP.XOZ_OPER),
		[DT_ACCT] = dbo.BK_GetAcctFullCode1 (GAP_D.ACCOUNT, GAP_D.KBK, GAP_D.SGU, @varKSnPRN_KBK, @varKSnPRN_SGU),
		[KT_ACCT] = dbo.BK_GetAcctFullCode1 (GAP_K.ACCOUNT, GAP_K.KBK, GAP_K.SGU, @varKSnPRN_KBK, @varKSnPRN_SGU),
		G2.SUMMA
	FROM @TABLE_OPER T_OP
	INNER JOIN dbo.G_PROV G ON (G.LINK = T_OP.LINK_DOC)
	INNER JOIN dbo.G_PROV2 G2 ON (G2.LINK = T_OP.LINK_G2)
	LEFT JOIN dbo.G_PROV_AP GAP_D ON (GAP_D.LINK_UP = T_OP.LINK_G2
		AND GAP_D.DB_KR = 0)
	LEFT JOIN dbo.G_PROV_AP GAP_K ON (GAP_K.LINK_UP = T_OP.LINK_G2
		AND GAP_K.DB_KR = 1)
	LEFT JOIN @ACCT AC_D ON (AC_D.LINK_ACCT = GAP_D.ACCOUNT)
	LEFT JOIN @ACCT AC_K ON (AC_K.LINK_ACCT = GAP_K.ACCOUNT)

	LEFT JOIN @TAB_KBK KBK_D ON (KBK_D.LINK_KBK = ISNULL (GAP_D.KBK, 0))
	LEFT JOIN @TAB_KBK KBK_K ON (KBK_K.LINK_KBK = ISNULL (GAP_K.KBK, 0))

	WHERE (AC_D.LINK_ACCT = GAP_D.ACCOUNT
		OR AC_K.LINK_ACCT = GAP_K.ACCOUNT)
		AND (KBK_D.LINK_KBK IS NOT NULL
			OR KBK_K.LINK_KBK IS NOT NULL)

	IF @intSVOD_PROV = 1
		SELECT @varKSDEP_NAME AS ORGNAME, DT_ACCT, KT_ACCT, JO_CODE, SUM (SUMMA) AS SUMMA
		FROM @TABLE_PROV 
		GROUP BY DT_ACCT, KT_ACCT, JO_CODE
	ELSE
		SELECT @varKSDEP_NAME AS ORGNAME, * FROM @TABLE_PROV ORDER BY dDOC_DATE, DOC_NAME, DOC_NUM
END

GO


GRANT EXECUTE ON dbo.[BK_REPORT_SVOD_PROV] TO PUBLIC

GO




IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]

GO
CREATE FUNCTION dbo.BK_VIEW_EXPORT_FORMAT_NALOG_FN (@YEAR INT = NULL)
RETURNS TABLE

RETURN

	--      --
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.02 ( 01.01.2009 .)', PROC_NAME = 'BK_EXPORT_F1151006', 
		PRG_SKRIPT = CONVERT(VARCHAR(100),''),
		DIR = 'IMNS',
		TEST_PROC = ''
--		TEST_PROC = 'BK_TEST_EXP_F1152027'
	UNION ALL
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.03 ( 01.01.2011 .)', PROC_NAME = 'BK_EXPORT_F1151006_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	UNION ALL
	--     --
	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)',
		PROC_NAME = 'BK_EXPORT_F1152004', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'
	WHERE @YEAR < 2012	

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.01 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_501', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2012

	UNION ALL

	SELECT FORM_CODE = 'AV_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)', PROC_NAME = 'BK_EXPORT_F1152027', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'

	UNION ALL

	---      ---
	SELECT FORM_CODE = 'AV_F1152028',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152028', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_ASS',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152026', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	--   01.01.2012 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'

	UNION ALL
	--   4 --
	SELECT FORM_CODE = '4FSS',
		FNAME = ',      06.11.2009 n 871', PROC_NAME = 'SA_4FSS_EXPORT', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR <= 2010	
	UNION ALL	
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.3 ( 19  12.02.2010  .  21.03.2011 (53)', PROC_NAME = 'SA_4FSS_EXPORT_v03', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2011
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.4 (   22.11.2011)', PROC_NAME = 'SA_4FSS_EXPORT_v04', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2012
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.5 ( 107  19.03.2013)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR >= 2013	
	UNION ALL
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 (2011)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2011', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2011	
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2012', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2012			
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2013', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR >= 2013
		
	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617005',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617005', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617004',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	-- -2 .  01.01.2011 --
	SELECT FORM_CODE = '0617004_11',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	--   -2  () --
	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR < 2012	

	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR >= 2012	

	UNION ALL
	--   -4 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR <= 2012	
	UNION ALL
	--   -4 c 01.01.2013 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010_13', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013		


	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1GS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2GS_GZ',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1MS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2MS',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1-() --
	SELECT FORM_CODE = '1T_GMS',
		FNAME = '   1-()  ', PROC_NAME = 'KJ_EXPORT_1T_GMS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '0607006',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '1_',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   11  () --
	SELECT FORM_CODE = '0602002',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	SELECT FORM_CODE = '_11',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2012		


GO


GRANT SELECT ON dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN] TO PUBLIC

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BV_SAVE_G_PROV2_AP_AO_REP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BV_SAVE_G_PROV2_AP_AO_REP]

GO

/*
  (Keysystems), 2005
*/

CREATE	PROCEDURE dbo.BV_SAVE_G_PROV2_AP_AO_REP
	@varKSnLINK_GP1  INT,		
	@varKSnDT_LINK INT,			
	@varKSnKT_LINK  INT,			
	@varKSnEKR_DT INT =0,
	@varKSnEKR_KT INT =0,
	@varKSnEMP INT =0,
	@varKSnOSNOV INT =0,
	@varKSnINV INT =0,
	@varKSnNOMEN INT =0,
	@varKSnSUMMA	NUMERIC(28,2) = 0.00,
	@varKSnQTY	NUMERIC(19,4) = 0.0000,
	@varKSnKBK INT,
	@varKSnDEP INT,
	@varKSnSUB INT,
	@intAO_EMPL INT
	
AS

DECLARE 
--	@varKSnNOMEN INT,
--	@varKSnINV INT,
	@varKSnKAU INT,
	@varKSnDEP_ACC INT,
	@varKSnTMC INT,
	@varKSnINDATE DATETIME,
	@varKSnAP1 INT,
	@varKSnAP2 INT,
	@varKSnAP3 INT,

	@varKSnG2_LINK  INT,
	@varKScG2_NAME  VARCHAR(254),
	@varKSnG2_ECON_OPER INT,
	@varKSnG2_ORDERS INT,
	@varKSnLINK_GP2 INT,
	@varKSnSGU_DT INT,
	@varKSnSGU_KT INT,
	@varKSxRet INT,
	@intP_KASSA	TINYINT,
	@cSINTH		CHAR (3),
	
	@iDB_KR	TINYINT,
	@intEKR	INT,
	@intSGU	INT,
	@intACCOUNT	INT,
	@iP_EKR	INT,
	@iANALIT_EKR	INT,
	@intEMP_AP	INT,
	
	@ROWCOUNT	INT
	
IF @varKSnLINK_GP1 IS NULL
	RETURN -1	

--   . ,            .
SELECT TOP 1 @varKSnG2_ECON_OPER = T.LINK, @varKScG2_NAME = RTRIM(CONVERT(VARCHAR(254), XO.NAME))
FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@varKSnDT_LINK,@varKSnKT_LINK) T, XOZ_OPER XO
WHERE XO.LINK = T.LINK
 
SET @varKSnG2_ORDERS = 1

SET @varKSnLINK_GP2 = NULL
EXEC @varKSxRet = dbo.X_UPDATE_G_PROV2 @varKSnLINK_GP2 OUTPUT, @varKSnLINK_GP1, NULL,
	@varKSnSumma, @varKSnQTY, 0, @varKScG2_NAME, @varKSnG2_ECON_OPER,  @varKSnG2_ORDERS
IF @varKSxRet <> 0
	RETURN @varKSxRet
IF @varKSnLINK_GP2 IS NULL
	RETURN -3	

SET @iDB_KR = 0

WHILE @iDB_KR < 2 
BEGIN
	IF @iDB_KR = 0 
		SELECT
			@intEKR = @varKSnEKR_DT,
			@intACCOUNT	= @varKSnDT_LINK
	ELSE
		SELECT
			@intEKR = @varKSnEKR_KT,
			@intACCOUNT	= @varKSnKT_LINK

	SELECT
		@intP_KASSA = p_KASSA,
		@cSINTH = cSINTH,
		@iP_EKR	= P_EKR,
		@iANALIT_EKR = ANALIT_EKR 
	FROM dbo.S_ACCOUNTS
	WHERE LINK = @intACCOUNT

	IF @@ROWCOUNT > 0
	BEGIN
		IF @intP_KASSA = 1 AND @intEKR <> 0
			SET @intSGU = @intEKR
		ELSE
			SELECT TOP 1
				@intSGU = SGU_LINK
			FROM dbo.PLAN_ACCOUNTS_SGU
			WHERE ACCOUNT = @intACCOUNT
				AND DB_KR = @iDB_KR

		IF @iP_EKR = 1
			SET @intEKR = @iANALIT_EKR
			
		IF @cSINTH = '208'
			SET @intEMP_AP = @intAO_EMPL
		ELSE	
			SET @intEMP_AP = @varKSnEMP 
		
		EXEC @varKSxRet = dbo.X_UPDATE_G_PROV_AP @varKSnLINK_GP2, @iDB_KR, @intACCOUNT, @varKSnKBK, @intEKR, @varKSnDEP,
					@varKSnSUB, @intEMP_AP, @varKSnNOMEN, @varKSnINV, 0, 0, 0, 0, @varKSnOSNOV, 0, 0, @intSGU
		IF @varKSxRet <> 0
			RETURN @varKSxRet

	END

/*
SELECT 
	@iDB_KR,
	(SELECT CODE FROM S_ACCOUNTS WHERE LINK = @intACCOUNT) AS ACCOUNT, 
	(SELECT CODE FROM KOSGU WHERE LINK = @intEKR) AS EKR, 
	(SELECT CODE FROM KOSGU WHERE LINK = @intSGU) AS SGU
*/
	SET @iDB_KR = @iDB_KR + 1
END


RETURN 0

GO


GRANT EXECUTE ON dbo.[BV_SAVE_G_PROV2_AP_AO_REP] TO PUBLIC

GO


-- --
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[CalcNalogBalanceOS]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[CalcNalogBalanceOS]
GO

/*
  (Keysystems), 2005
*/
---        ---
CREATE         FUNCTION dbo.CalcNalogBalanceOS (@dDate DATETIME = NULL, @intDepLink INT = NULL)
--  @intDepLink = NULL     DEP_LINK, ..   
RETURNS @varKSOUT_TABLE TABLE
	(	DEP_LINK	INT,
		[ACCOUNT] [INT],
		[GRP_CODE] [CHAR] (8) NOT NULL,
		[INV]	[INT] NOT NULL,
		[OST_SUM] [NUMERIC] (20,2) NULL,
		[BALANS] [NUMERIC] (20,2) NULL,
		[AMORT] [NUMERIC] (20,2) NULL,
		[NO_NALOG] BIT NOT NULL,
		[DATE_BEGIN] DATETIME NULL
	)
AS
BEGIN
	DECLARE
		@AMORT_FULL NUMERIC (28,2),
		@DATE_BEGIN	DATETIME,
		@intNOT_USE_NASTR	INT,
		@intACCOUNT	INT,
		@dDATE_REST	DATETIME

	IF @dDate IS NULL
		SELECT @dDate = WORKDATE FROM dbo.USER_INFO

	SET @intNOT_USE_NASTR = ISNULL (dbo.XK_GET_NASTR_INT ('XK_NASTR_ND_AV_ASS_ALL_OS'), 0)
	
	IF @intNOT_USE_NASTR = 0
	BEGIN
		SELECT @AMORT_FULL = dbo.BK_GET_AMORT_FULL_TAX (@dDate)

		SELECT @DATE_BEGIN = MAX (DATE_BEGIN) FROM dbo.AMORT_FULL_TAX T2
		WHERE T2.DATE_BEGIN <= @dDate
	END
		ELSE 
			SET @AMORT_FULL = 0

	SET @dDATE_REST = DATEADD (DAY, 1, @dDate)

	---	    2013 ---
	DECLARE @TAB_INPUT_INV TABLE
		(INV	INT,
		DEP_LINK	INT
		)
	
	IF YEAR (@dDate) >= 2013
		INSERT INTO @TAB_INPUT_INV
		SELECT
			T1.INV,
			T1.DEP_LINK
		FROM dbo.BK_GetOperationsByOS
			(DEFAULT,
			@dDate,
			'17.01#17.02#17.03#17.05#17.06#17.12#17.13') T1 --   
		INNER JOIN dbo.INVENTORY INV ON (INV.LINK = T1.INV)	
		INNER JOIN dbo.NOMENCLATURE NOMEN ON (NOMEN.LINK = INV.NOMENCLATURE)	
		INNER JOIN dbo.GROUP_INV GRI ON (GRI.LINK = NOMEN.GROUP_INV
			AND GRI.CODE LIKE '1013%')	
		WHERE
			(T1.DEP_LINK = @intDepLink OR @intDepLink IS NULL) 
			AND T1.DATE_OPER BETWEEN '20130101'	AND '20131231' 

	--- !!!!!! ---
	INSERT @varKSOUT_TABLE
	SELECT
		ART.DEP_LINK,
		[ACCOUNT] = ART.ACCOUNT_B,
		[GRP_CODE] = GRI.CODE,

		[INV] = ART.INV, 
		[OST_SUM] = ART.LAST_SUM,
		[BALANS] = ART.BALANS,
		[AMORT] = ART.AMORT,
		[NO_NALOG] = ISNULL(NO_TAX, 0),
		DATE_BEGIN = ASS.DATE_BEGIN
	FROM dbo.BK_GetTableRestINV	
		(@dDATE_REST,
		DEFAULT,
		@intDepLink) ART
	INNER JOIN dbo.S_ACCOUNTS SA ON (SA.LINK = ART.ACCOUNT_B
		AND SA.cSINTH = '101')
	INNER JOIN dbo.INVENTORY INV ON (INV.LINK = ART.INV)	
	INNER JOIN dbo.NOMENCLATURE NOMEN ON (NOMEN.LINK = INV.NOMENCLATURE)	
	INNER JOIN dbo.GROUP_INV GRI ON (GRI.LINK = NOMEN.GROUP_INV)	
	LEFT JOIN dbo.ASSETS ASS ON (ASS.LINK_UP = ART.INV)
	LEFT JOIN @TAB_INPUT_INV T1 ON (T1.INV = ART.INV)
	WHERE
		T1.INV IS NULL
		AND (@intNOT_USE_NASTR = 0
			AND ASS.DATE_BEGIN <= @dDate
			AND (ART.BALANS <> 0
				AND (ART.QTY = 0 AND ART.BALANS > @AMORT_FULL
					OR ART.QTY <> 0
						AND ABS (ART.BALANS) > ABS (ART.QTY) * @AMORT_FULL
					))
			OR @intNOT_USE_NASTR = 1)
			
	RETURN
END
GO


GRANT SELECT ON dbo.[CalcNalogBalanceOS] TO PUBLIC
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICTIONARY_DEPARTMENT]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICTIONARY_DEPARTMENT]

GO

CREATE VIEW dbo.DICTIONARY_DEPARTMENT

AS
SELECT 
    [LINK]    = D.LINK,
    [CODE]    = CONVERT(VARCHAR(10),D.CODE),
    [NAME]    = D.NAME,
    [FULL_NAME] = D.FULL_NAME,
    [F_NAME_CHAR] = CONVERT(VARCHAR(254),D.FULL_NAME),
    [INN]   = COALESCE (PERS.INN, D.INN),
    [INN_DOP] = D.INN_DOP,
    [INN_LONG]  = RTRIM(COALESCE (PERS.INN, D.INN)) + CASE WHEN D.INN_DOP = '' THEN '' ELSE '/' + D.INN_DOP END,
    [KPP]   = D.KPP,
    [OKPO]    = D.OKPO,
    [TYPE]    = D.TYPE,
    [TYPE_NAME] = (SELECT NAME FROM dbo.DICTIONARY_DEPARTMENT_TYPE WHERE NUMBER = D.TYPE),
    [ZB]    =   D.ZB,
    [REF_LINK_A]  = CASE
            WHEN D.TYPE = 3 THEN PERS.ADR_OFIC_LINK
            ELSE D.KLADR_LINK
          END,
    [VED_LINK]  = D.VED_LINK,
    [VED]   = CONVERT(VARCHAR(3), DIC1.CODE),
    [VED_NAME]  = CONVERT(VARCHAR(254), DIC1.NAME),
    [VED_BUDG]  = DIC1.LINK_BUDG,
    [HOUSE]   = CASE
            WHEN D.TYPE = 3 THEN PERS.HOUSE_OFIC
            ELSE D.HOUSE
          END,
    [CORP]   = CASE
            WHEN D.[TYPE] = 3 THEN PERS.CORP_OFIC
            ELSE D.CORP
          END,          
    [FLAT]    = CASE
            WHEN D.TYPE = 3 THEN PERS.FLAT_OFIC
            ELSE D.FLAT
          END,
    [MAIN_LINK] = D.MAIN_LINK,
    [REGCODE] = D.REGCODE,
    [OKATO]   = D.OKATO,
    [FIN_CODE]  = D.FIN_CODE,
    [TOFK_LINK] = D.TOFK_LINK,
    [TOFK]    = T.CODE,
    [TOFK_NAME] = T.NAME,
    [FO_LINK] = D.FO_LINK,
    [FO_CODE] = CONVERT(VARCHAR(10),FO.CODE),
    [FO_NAME] = FO.NAME,
    [UCHR_LINK] = D.UCHR_LINK,
    [UCHR_CODE] = CONVERT(VARCHAR(10),UCHR.CODE),
    [UCHR_NAME] = UCHR.NAME,
    [N_ACC_LINK] = D.N_ACC_LINK,
    [N_ACC_CODE] = NA.CODE,
    [N_ACC_NAME] = NA.ANAME,
--    [PFNUMBER]  = D.PFNUMBER,
    [PFNUMBER]  = COALESCE (PERS.INSUR_NUM, D.PFNUMBER),
    [BUDG]    = D.BUDG,
    [BRON]    = D.BRON,
    [PREFIX]  = D.PREFIX,
    [SONO_LINK] = D.LINK,
    [NALTYPE] = (SELECT MAX(FIN_IS_RBS) FROM WORKMODE),
    [NALOG]   = CONVERT(VARCHAR(10), D.CODE) ,
    [NALOG_NAME]  = CONVERT(VARCHAR(254), D.NAME),
    [OGRN]    = D.OGRN,
    [IMNS_LINK] = D.IMNS_LINK,
    [IMNS]    = CONVERT(VARCHAR(10),DD2.CODE),
    [IMNS_NAME] = DD2.NAME,
    [HIGH_LINK] = D.HIGH_LINK,
    [HIGH_CODE] = CONVERT(VARCHAR(10),(SELECT CODE FROM dbo.DEPARTMENTS WHERE LINK = D.HIGH_LINK)),
    [HIGH_NAME] = (SELECT NAME FROM dbo.DEPARTMENTS WHERE LINK = D.HIGH_LINK),
    [LIMIT]   = 0,
    [ORD_HEAD]  =   D.ORD_HEAD,
    [SBK_REGNUM]  = D.SBK_REGNUM,
    [SBK_DOCNUM]  =   D.SBK_DOCNUM,
    [SBK_DOCDATE]   =   D.SBK_DOCDATE,
    [SBK_LINK]  = D.SBK_LINK,
    [SBK_CODE]  =   CONVERT(VARCHAR(10), DD.CODE),
    [SBK_NAME]  = DD.NAME,
    [DEP_GROUPS]  =   dbo.xd_DepGroups(D.LINK),
    [PERS_LINK] = isnull(D.PERS_LINK,0),
    [PERS_FIO]  = CONVERT (VARCHAR (100), dbo.ku_GetPersFIO (PERS.LINK)),
    [IS_RBS]  =   D.IS_RBS,
    [DEP_TYPE2] =   D.DEP_TYPE2,
    [DEP_TYPE2_NAME]=   case D.DEP_TYPE2 when 1 then ' '
               when 2 then ' '
               when 3 then ' '
               else '' end,
	[OKVED]	= ISNULL (D.OKVED, ''),
	[EGRUL]	= ISNULL (D.EGRUL, ''),
	[IORUK_TASK] = ISNULL(D.IORUK_TASK,'00000'),
	D.FSS_REG_NUM, --  ()  -  ,    () ,     ()    .
	D.FSS_KOD_P, --  - ,    ,     ,       ;	
	D.FSS_KOD_DOP, --      
	D.OKOPF, ---    - ;
	D.OKFS ,---     ;
	D.CODE_UBP,
	D.TFOMS_REG_NUM, --   ,
	D.TFOMS_KT, --   -1 
	D.EMail,
	DBT.BUH_TYPE AS BUH_TYPE,
	DBT.BT_NAME AS NM_BUHTYPE,
	D.FSS_KP_P1, FSS_KP_PC1 = P1.CODE,
	D.FSS_KP_P2, FSS_KP_PC2 = P2.CODE,
	D.FSS_KP_P3, FSS_KP_PC3 = P3.CODE,
	D.ISUSED,
	ISUSED_COM = CASE D.ISUSED WHEN 1 THEN CONVERT (VARCHAR (3), '') ELSE CONVERT (VARCHAR (3), '') END,
	CONVERT (VARCHAR (40), D.PHONE) AS PHONE

FROM dbo.DEPARTMENTS D
LEFT OUTER JOIN dbo.TREASURY T ON D.TOFK_LINK = T.LINK
LEFT OUTER JOIN DEPARTMENTS DD ON D.SBK_LINK = DD.LINK
LEFT OUTER JOIN DEPARTMENTS DD2 ON DD2.LINK = D.IMNS_LINK
LEFT OUTER JOIN KL_ADMIN_BS  DIC1 ON DIC1.LINK = D.VED_LINK 
LEFT OUTER JOIN PERSON PERS ON (PERS.LINK = D.PERS_LINK)
LEFT OUTER JOIN DEPARTMENTS FO ON D.FO_LINK = FO.LINK
LEFT OUTER JOIN DEPARTMENTS UCHR ON D.UCHR_LINK = UCHR.LINK
LEFT OUTER JOIN dbo.DICTIONARY_ACCOUNTS NA ON D.N_ACC_LINK = NA.LINK
LEFT JOIN dbo.DICTIONARY_BUH_TYPE DBT ON (DBT.BUH_TYPE = D.BUH_TYPE)
LEFT JOIN dbo.[SA_4FSS_KATEG_PLAT_P1] P1 ON P1.LINK = D.FSS_KP_P1
LEFT JOIN dbo.[SA_4FSS_KATEG_PLAT_P2] P2 ON P2.LINK = D.FSS_KP_P2
LEFT JOIN dbo.[SA_4FSS_KATEG_PLAT_P3] P3 ON P3.LINK = D.FSS_KP_P3


GO


GRANT SELECT ON dbo.[DICTIONARY_DEPARTMENT] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[PK_REPORT_EXPENSE_FEEDING]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[PK_REPORT_EXPENSE_FEEDING]

GO

---       --- 
CREATE PROCEDURE dbo.PK_REPORT_EXPENSE_FEEDING
	@dDATE_WORK	DATETIME,
	@intLINK_MOL	INT,
	@cVal_KBK char(1), @nOtborLinkKBK int,	--   
	@cVal_DOP char(1), @nOtborLinkDOP int	--    .  
AS
BEGIN
	DECLARE
		@dDATE_BEGIN	DATETIME,
		@cMONTH_NAME	VARCHAR (20),
		@cDEP_NAME	VARCHAR (254),
		@cDEP_OKPO	VARCHAR (20),
		@intDEP_LINK	INT,
		@TAB_INVENTORY	VARCHAR (100),
		@strEXEC	VARCHAR (4000),
		@intCOUNTER		INT,
		@cCOUNTER		VARCHAR (10),
		@intMAX_REC		INT,
		@intCOUNT_COLROW	INT

	SET @dDATE_BEGIN = dbo.DateBeginOfMonth (@dDATE_WORK)
	SELECT @cMONTH_NAME = MON FROM dbo.MONTHS WHERE NUM = MONTH (@dDATE_WORK)

	SELECT @intDEP_LINK = LINK,
		@cDEP_NAME = [NAME],
		@cDEP_OKPO = OKPO 
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = COALESCE (dbo.BK_GetDepZB (), dbo.GetOwnDepLink())

	---   --- 
	DECLARE @TAB_KBK TABLE (LINK_KBK INT, KBK_CODE VARCHAR (20))
	IF LEN (@cVal_KBK) > 0
		INSERT INTO @TAB_KBK
		SELECT AP.LINK,
			AP.CODE
		FROM dbo.KL_KBK AP 
		INNER JOIN dbo.OBJECT_VAR_KBK OVR ON (OVR.RECORD = AP.LINK)
		WHERE OVR.LINK_UP = @nOtborLinkKBK
	ELSE
		INSERT INTO @TAB_KBK
		SELECT LINK_AP, AP_CODE
		FROM dbo.BK_GetTableDictionByAP ('KBK')

	---     --- 
	DECLARE @TAB_DOP TABLE (LINK_DOP INT, DOP_CODE VARCHAR (20))
	IF LEN (@cVal_DOP) > 0
		INSERT INTO @TAB_DOP
		SELECT AP.LINK,
			AP.CODE
		FROM dbo.DOP_CLASSIF AP 
		INNER JOIN dbo.OBJECT_VAR_DOP_CLASSIF OVR ON (OVR.RECORD = AP.LINK)
		WHERE OVR.LINK_UP = @nOtborLinkDOP
	ELSE
		INSERT INTO @TAB_DOP
		SELECT LINK_AP, AP_CODE
		FROM dbo.BK_GetTableDictionByAP ('AP2')

	DECLARE @TAB0 TABLE
		(LINK_DOC INT,
		QTY NUMERIC (28,4))
		
	INSERT INTO	@TAB0
	SELECT
		LINK_DOC,
		SUM (QTY)
	FROM dbo.PV_MENU_EATING
	GROUP BY LINK_DOC
		
	---   --- 
	CREATE TABLE #TABLE_PROV
		(DOC_PROV DATETIME,
		MDAY TINYINT,
		NDOC VARCHAR (30),
		PE NUMERIC (28, 4),
		EMP INT,
		NOMEN INT, 
		QTY NUMERIC (28,4),
		SUMMA NUMERIC (28,4))

	INSERT INTO #TABLE_PROV
	SELECT
		GP.DATE_PROV,
		DAY (GP.DATE_PROV),
		GP.NUMBER,
		ISNULL (T1.QTY, 0),
		GP.KT_EMP,
		GP.KT_NOMEN,
		GP.QUANTITY,
		GP.SUMMA
	FROM dbo.AProvByBufferConditionsShort (@dDATE_BEGIN, @dDATE_WORK, DEFAULT, DEFAULT) GP
	INNER JOIN dbo.BK_GetAcctTableByCode ('105', '02, 12, 22, 32, 42', DEFAULT, DEFAULT) AC
				ON (AC.LINK = GP.KT_ACCOUNT)
	INNER JOIN @TAB_KBK K ON (K.LINK_KBK = ISNULL (GP.KT_VKR, 0))
	INNER JOIN @TAB_DOP D ON (D.LINK_DOP = GP.KT_AP2)
	LEFT OUTER JOIN @TAB0 T1 ON (T1.LINK_DOC = GP.LINK)
	WHERE GP.KT_EMP = @intLINK_MOL
		AND GP.DEP_LINK = @intDEP_LINK

--SELECT * FROM #TABLE_PROV
--SELECT * FROM dbo.AProvByBufferConditionsShort (@dDATE_BEGIN, @dDATE_WORK, DEFAULT, DEFAULT) GP

	EXEC dbo.X_GET_TABLE_NAME @TAB_INVENTORY OUTPUT

	---  --- 
	EXEC dbo.M_CROSS_TABLE 'NOMEN', 'MDAY',
				'INT',
				'QTY, PE',
				'NUMERIC (28,4)#NUMERIC (28,4)',
				'SUM (QTY) AS QTY, SUM (PE) AS PE',
				'#TABLE_PROV',
				@TAB_INVENTORY

	---    --- 
	SET @intMAX_REC = 27
	SELECT @intCOUNTER = COUNT (*) FROM (SELECT MDAY, NDOC
						FROM #TABLE_PROV
						GROUP BY MDAY, NDOC) S1
	SET @intCOUNTER = ISNULL (@intCOUNTER, 0)
	SET @intCOUNT_COLROW = @intCOUNTER
	WHILE @intCOUNTER < @intMAX_REC
	BEGIN
		SET @intCOUNTER = @intCOUNTER + 1
		SET @cCOUNTER = LTRIM (STR (@intCOUNTER))
	
 		SET @strEXEC = 'ALTER TABLE ' + @TAB_INVENTORY		
			+ ' ADD MDAY_' + @cCOUNTER + ' INT '
			+ ', QTY_' + @cCOUNTER + ' [NUMERIC] (28,4)'
			+ ', PE_' + @cCOUNTER + ' [NUMERIC] (28,4)'
		EXECUTE (@strEXEC)
	END

	---   --- 
	CREATE TABLE #TAB_TOTAL (INV INT, PRICE NUMERIC (28,4), QTY NUMERIC (28,4), SUMMA NUMERIC (28,4))
	INSERT INTO #TAB_TOTAL 
	SELECT NOMEN,
		0,
		SUM (QTY),
		SUM (SUMMA)
	FROM #TABLE_PROV
	GROUP BY NOMEN 

	UPDATE #TAB_TOTAL SET PRICE = SUMMA / QTY
	WHERE QTY <> 0
--SELECT * FROM #TAB_TOTAL

	---   --- 
	SET @strEXEC = 'SELECT ISNULL (T2.CODE, '''') AS INV_CODE, ISNULL (T2.NAME, '''') AS INV_NAME, '
		+ 'ISNULL (T2.NAME_UM, '''') AS UM_NAME, '
		+ 'ISNULL (T3.PRICE, 0) AS PRICE, '
		+ 'ISNULL (T3.QTY, 0) AS TOTAL_QTY, '
		+ 'ISNULL (T3.SUMMA, 0) AS TOTAL_SUM, '
		+ ' T1.* FROM ' + @TAB_INVENTORY
		+ ' T1 LEFT OUTER JOIN BV_NOMENCLATURE T2 '
		+ ' ON (T2.LINK = T1.NOMEN)'
		+ ' LEFT OUTER JOIN #TAB_TOTAL T3 ON (T3.INV = T1.NOMEN) ORDER BY 2 '
	exec (@strEXEC)

	--   --- 
	SELECT ISNULL (@cDEP_NAME, '') AS DEP_NAME,
		ISNULL (@cDEP_OKPO, '') AS DEP_OKPO,
		ISNULL (@cMONTH_NAME, '') AS MONTH_NAME,
		ISNULL (YEAR (@dDATE_WORK), 0) AS DYEAR,
		ISNULL (dbo.SD_GetEmplName (@intLINK_MOL), '') AS EMP_NAME,
		ISNULL ((SELECT POST_NAME FROM KU_EMPL_PLACING WHERE LINK = @intLINK_MOL), '') AS EMP_POST

	EXEC ('DROP TABLE ' + @TAB_INVENTORY)
	
	DROP TABLE #TABLE_PROV
	DROP TABLE #TAB_TOTAL
END


GO


GRANT EXECUTE ON dbo.[PK_REPORT_EXPENSE_FEEDING] TO PUBLIC

GO


-- --


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RSV_1_13_PFR_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RSV_1_13_PFR_PREPARE]

GO

/*

 DECLARE @Res float
SET @Res = 0
 exec [dbo].RSA_RSV_1_13_PFR_PREPARE @Res output, '', '20130101', '20130331', 1, 0, 37368
 select @Res 	
 
 --SELECT * FROM REPORT_SAVED_FORMS ORDER BY Link_Saved_Form

*/

CREATE PROCEDURE dbo.RSA_RSV_1_13_PFR_PREPARE 
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20050101', @vardEnd datetime = '20051231', @variCol int, @variRow int, @variLSF int
AS 

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @TFOMS_KT int

DECLARE --  
	@C3S NUMERIC(18,6), @C4S NUMERIC(18,6), @C5S NUMERIC(18,6), @C6S NUMERIC(18,6),
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3SS NUMERIC(18,6), @C4SS NUMERIC(18,6), @C5SS NUMERIC(18,6), @C6SS NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)	

select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF

set @TFOMS_KT = (select  (case when TFOMS_KT = '' then '01' else TFOMS_KT end)  from dictionary_department where link = @DEP_LINK)

set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT 
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, FACE_GROUP TINYINT, I TINYINT, E TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E)
Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, 
	( CASE WHEN P.RESIDENT = 0 THEN 3 
		   WHEN YEAR(birthdate)<= 1966 THEN 1 
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP, 
	dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
	F.ENVD
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
	inner join PERSON P on S.REF_PHYS_PERS = P.link
	inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
WHERE  WAY_CALC not in (5)


--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	( CASE WHEN P.RESIDENT = 0  THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1 
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP , 
	dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
	F.ENVD
	
FROM 
	DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join PERSON P on GT.PERS_LINK = P.link
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  not in (5)
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0)


CREATE TABLE #RES2(CODE_STR VARCHAR(10), C1 NUMERIC(18,2), C2 NUMERIC(18,2),  C3 NUMERIC(18,2), C4 NUMERIC(18,2), C5 NUMERIC(18,2), C6 NUMERIC(18,2))
/*
   "  ",    ,
       ()    .
*/

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @C1_PERIOD_BEG DATETIME, @C1_PERIOD_END DATETIME
IF @nYEAR = 2010
	SELECT @C1_PERIOD_BEG = CASE WHEN @nMONTH3 <= 6 THEN '20100101' ELSE '20100701' END,
		   @C1_PERIOD_END = CASE WHEN @nMONTH3 <= 6 THEN '20100630' ELSE '20101231' END
ELSE
	SELECT @C1_PERIOD_BEG = @START_DATE,
		   @C1_PERIOD_END = @END_DATE
		   
--------------
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int
SELECT @NAvgCount = COUNT(pers_link) 
FROM
(
	SELECT DISTINCT E.pers_link
	FROM 
		dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE 
		P.DATE_BEGIN <= @C1_PERIOD_END
		and
		coalesce(U.DIS_DATE,'20990101') >= @C1_PERIOD_BEG
		And 
		E.DEP_LINK = @DEP_LINK
	UNION 
	Select DISTINCT
		DFG.link
	FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
	WHERE 
		DGH.DATE1 = (
			Select max(DATE1)  from SALARY_REESTR_DGH as DGH0 
					where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
						AND
						(
							ISNULL(DATE1, '19000101') between  @C1_PERIOD_BEG and @C1_PERIOD_END
							or ISNULL(DATE2, '20990101') between @C1_PERIOD_BEG and @C1_PERIOD_END
						)
					)
		And 
		DGH.DEP_LINK = @DEP_LINK
) AS T		


--
INSERT INTO #RES2(CODE_STR, C1)
SELECT '1', ISNULL(@NAvgCount,0)

/******** **********/
SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

/*      */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
--
UPDATE #RES2 SET C2 = ISNULL(@NAvgCount,0) WHERE CODE_STR = '1'
-- 2.     ,     
Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

--   
SELECT 
	GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
INTO #DGH_FAKT_BASE
FROM 
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  = 6
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK 
GROUP BY 
	GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
INTO #DGH_FAKT_BASE1
FROM #DGH_FAKT_BASE
GROUP BY PERS_LINK, MONTH_BASE

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

------
CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT)
INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc )
SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc 
FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
WHERE
	Year(period_begin) = @nYEAR 
	and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
GROUP BY
	cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC

------	      
SELECT DISTINCT PERS_LINK 
INTO #PERS_INV
FROM dbo.PERS_INVALID I
WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


--  #SALARY_SUM2
CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), FACE_GROUP TINYINT, SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT 
		--,SUMMA_ALL_D1 NUMERIC(18,2), SUMMA_NO_D1 NUMERIC(18,2), SUMMA_ALL_D2 NUMERIC(18,2), SUMMA_NO_D2 NUMERIC(18,2)
		)
--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, FACE_GROUP, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV 
		--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
		)
select
	E.PERS_LINK, 
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	(  CASE WHEN P1.RESIDENT = 0  THEN 3 
		   WHEN YEAR(p1.birthdate)<= 1966 THEN 1 
		   WHEN YEAR(p1.birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END

	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.way_calc = 10 THEN SUMMA ELSE 0 END),

	--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.way_calc = 11 THEN SUMMA ELSE 0 END)	

from 
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	INNER JOIN DBO.PERSON P1 ON P1.LINK = E.PERS_LINK
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
where 	
	P.[OBJECT] = 1
GROUP BY
	E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate 

--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, FACE_GROUP, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV 
		--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
		)
select
	CJ.PERS_LINK, 
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
	(  CASE WHEN P1.RESIDENT = 0  THEN 3 
		   WHEN YEAR(p1.birthdate)<= 1966 THEN 1 
		   WHEN YEAR(p1.birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END

	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D1 = 0, 

	--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D2 = 0
		
from 
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	--     
--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
	--   
--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
where 	
	P.[OBJECT] = 1
GROUP BY
	CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate


--    ,      
UPDATE D SET 
	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END), 
	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END), 
	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END), 
	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)

FROM #SALARY_SUM_DATA D
WHERE INV = 1 --    -  	



--   
SELECT MON = Month(PERIOD_BEGIN), FACE_GROUP,
	SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), 
	SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
	SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E)
INTO #SALARY_SUM2
FROM #SALARY_SUM_DATA
GROUP BY
	Month(PERIOD_BEGIN), FACE_GROUP

--
DROP TABLE #SALARY_SUM_DATA	

--  ר 303.09 (  )   
CREATE TABLE #REST_30309_KAU (LINK_KAU INT, REST NUMERIC(18,2))

DECLARE @Cur1 CURSOR, @LINK_ACC INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.09%'

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

		INSERT INTO #REST_30309_KAU (LINK_KAU, REST)
		SELECT KAU, REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) 
		FROM dbo.ARestGroupedTableByDate (@BYearDate, @LINK_ACC, DEFAULT)
		GROUP BY KAU

	END

	FETCH NEXT FROM @Cur1 INTO @LINK_ACC
END

CLOSE @Cur1
DEALLOCATE @Cur1

--          1
DECLARE @KAU_S1 INT, @KAU_S2 INT

SET @KAU_S1 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s1')
SET @KAU_S2 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s2')

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '100', 0, 0, 
	5 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S1),0), 
	6 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S2),0)

--    ,     ,  -  . 7    24  2009 .  212-
--  2012       ,     
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '201', 
			 
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					 
			END,			 
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		 
WHERE FACE_GROUP = 1

INSERT INTO #RES2(CODE_STR, C3,C4, C5, C6)
SELECT '202', 

			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					 
			END,
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)) 
FROM #SALARY_SUM2		 
WHERE FACE_GROUP = 2



INSERT INTO #RES2(CODE_STR, C3,C4, C5, C6)
SELECT '203', 

			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					 
			END,
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)) 
FROM #SALARY_SUM2		 
WHERE FACE_GROUP = 3


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '211',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0)) 
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH3),0))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '212',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6  AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND FACE_GROUP = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 12),0))			
	END,
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 2 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 2 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 2 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = @nMONTH3),0))
-----

----
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '213',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 12),0))			
	END,
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = @nMONTH3),0))

-----  ,   ,     7  8    24  2009  212- 
----- (       ,    , 
-----      ,        , , 
-----  ,   ,        , 
-----  ,    ,          )
-----    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '221',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '222',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
----
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '223',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
-----


--,        ,  . 8  
DECLARE @LIMIT NUMERIC(18,2)

SELECT @LIMIT = MAX(S.PREDEL)
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE 
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
	
SET @LIMIT = ISNULL(@LIMIT,0)

--  ,        (%)
--   
DECLARE 
	@PERCENT1 NUMERIC(18,2), @PERCENT2 NUMERIC(18,2), @PERCENT3 NUMERIC(18,2), 
	@PERCENT1_N NUMERIC(18,2), @PERCENT2_N NUMERIC(18,2), @PERCENT3_N NUMERIC(18,2),
	@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2) 
	
SELECT @PERCENT1 = S.PERCENT1,
	   @PERCENT2 = S.PERCENT2,
	   @PERCENT3 = S.PERCENT3
FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
	
SET @PERCENT1 = ISNULL(@PERCENT1,0)	
SET @PERCENT2 = ISNULL(@PERCENT2,0)
SET @PERCENT3 = ISNULL(@PERCENT3,0)

SELECT @PERCENT1_N = S.PERCENT1,
	   @PERCENT2_N = S.PERCENT2,
	   @PERCENT3_N = S.PERCENT3
FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 7 
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 7 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT3 > 0
	
SET @PERCENT1_N = ISNULL(@PERCENT1_N,0)	
SET @PERCENT2_N = ISNULL(@PERCENT2_N,0)
SET @PERCENT3_N = ISNULL(@PERCENT3_N,0)

--
SELECT @PERCENT_OMS = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

--
SELECT @IPERCENT_OMS = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT
	and tarif =3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0	

SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

--  
   ---   
DECLARE @IPERCENT1 NUMERIC(28,2), @IPERCENT2 NUMERIC(28,2), @IPERCENT3 NUMERIC(28,2)  
SELECT @IPERCENT1 = S.PERCENT1,
	   @IPERCENT2 = S.PERCENT2,
	   @IPERCENT3 = S.PERCENT3
FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 
WHERE
	predel = @LIMIT
	and tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
SET @IPERCENT1 = ISNULL(@IPERCENT1,0)
SET @IPERCENT2 = ISNULL(@IPERCENT2,0)
SET @IPERCENT3 = ISNULL(@IPERCENT3,0)
	
	---   
DECLARE @IPERCENT1_N NUMERIC(28,2), @IPERCENT2_N NUMERIC(28,2), @IPERCENT3_N NUMERIC(28,2)  
SELECT @IPERCENT1_N = S.PERCENT1,
	   @IPERCENT2_N = S.PERCENT2,
	   @IPERCENT3_N = S.PERCENT3
FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 7 
WHERE
	predel = @LIMIT
	and tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 7 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	(S.PERCENT1 > 0 or  S.PERCENT2 > 0 or  S.PERCENT3 > 0)
SET @IPERCENT1_N = ISNULL(@IPERCENT1_N,0)
SET @IPERCENT2_N = ISNULL(@IPERCENT2_N,0)
SET @IPERCENT3_N = ISNULL(@IPERCENT3_N,0) 
-----



SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP 
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS, FACE_GROUP

SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM 
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0

--1966 ..  
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '231',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 1 AND M = @nMONTH3) ,0))

--1967 ..  
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '232',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = 12) ,0))										
	END,	
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 2 AND M = @nMONTH3) ,0))

--  
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '233',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = 12) ,0))										
	END,
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE FACE_GROUP = 3 AND M = @nMONTH3) ,0))


--    -  
-- 

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '250',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 ) ,0)) 
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))

--- 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '251',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7  AND I = 1  ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7  AND I = 1  AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 1  AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 1  AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 1  AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 1  AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 1  AND MONTH_BASE = @nMONTH3) ,0))	


DECLARE @PERC1 NUMERIC(28,2), @IPERC1 NUMERIC(28,2)
--  
SELECT @PERC1 = S.PERCENT1

FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 
WHERE
	predel > @LIMIT
	and 
	tarif = 1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
SET @PERC1 = ISNULL(@PERC1,0)	
--  
SELECT @IPERC1 = S.PERCENT1

FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 
WHERE
	predel > @LIMIT
	and 
	tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
SET @IPERC1 = ISNULL(@IPERC1,0)	


---  ,    	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '252',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2) ,0)) * @PERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))) * @PERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0)) * @PERC1)/100	


update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '252' )) , 
	C4 = (c4 - (select c4 from #RES2 where code_str = '252' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '252' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '252' ))
 from #RES2 
 where code_str = '250'

--SELECT * FROM #SPR_ESN WHERE  MONTH_BASE >= @nMONTH1 AND I = 1
--SELECT * FROM #SPR_ESN WHERE  MONTH_BASE >= @nMONTH1 AND I = 2

--   ,   
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '260',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '261',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) ,0) 	
	
-----    
---     ,     ,     7    24  2009 .  212- 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '271', 
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					 
			END,			 
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		 


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '272',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))

----  ,   ,     7  8    24  2009  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '273',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)


SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1M FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS, FACE_GROUP 
INSERT INTO #SPR_ESN1M SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1M SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS, FACE_GROUP

SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2M 
FROM 
	#SPR_ESN1M T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1M T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1M T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '274',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH3) ,0))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '276',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  AND I = 1) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	


--    
/*
--   
 1.           -1       . 
 2.        ,   . 
 3.        ,   . 
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT6_1 INT 
SET @SALARY_OPTIONS_OPT6_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT6_1')

IF ISNULL(@PERCENT3_N,0) > 0
BEGIN
	--    	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C3 ELSE 0 END)
				) * @PERCENT3_N/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '251')
			) / (@PERCENT3_N/100)
		),

		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C3 ELSE 0 END)
				) * @PERCENT3_N/100
			)
		),
		
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C4 ELSE 0 END)
				) * @PERCENT3_N/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '251')
			) / (@PERCENT3_N/100)	
		),
		
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C4 ELSE 0 END)
				) * @PERCENT3_N/100
			)
		),		
		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C5 ELSE 0 END)
				) * @PERCENT3_N/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '251')
			) / (@PERCENT3_N/100)			
		),

		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C5 ELSE 0 END)
				) * @PERCENT3_N/100
			)
		),		
		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C6 ELSE 0 END)
				) * @PERCENT3_N/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '251')
			) / (@PERCENT3_N/100)						
		),

		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '202' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '222' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '232' THEN C6 ELSE 0 END)
				) * @PERCENT3_N/100
			)
		)
		
	FROM #RES2
	WHERE
		CODE_STR IN ('202', '212', '222', '232')

	IF ISNULL(@PERCENT1,0) > 0
	BEGIN
		--    	
		SELECT 
			@C3S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C3 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C3 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C3 ELSE 0 END)
					) - @C3N)) * @PERCENT3/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '250'))
				) / (@PERCENT1/100)	
			),

			@C3SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C3 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C3 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C3 ELSE 0 END)
					))) * @PERCENT3/100
				)
			),

			@C4S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C4 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C4 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C4 ELSE 0 END)
					) - @C4N)) * @PERCENT3/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '250'))
				) / (@PERCENT1/100)	
			),

			@C4SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C4 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C4 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C4 ELSE 0 END)
					))) * @PERCENT3/100
				)
			),			
			
			@C5S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C5 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C5 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C5 ELSE 0 END)
					) - @C5N)) * @PERCENT3/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '250'))
				) / (@PERCENT1/100)	
			),		

			@C5SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C5 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C5 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C5 ELSE 0 END)
					))) * @PERCENT3/100
				)
			),					

			@C6S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C6 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C6 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C6 ELSE 0 END)
						) - @C6N)) * @PERCENT3/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '250'))
				) / (@PERCENT1/100)						
			),

			@C6SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '201' THEN C6 ELSE 0 END)
						+(CASE WHEN CODE_STR = '203' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '211' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '213' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '221' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '231' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '233' THEN C6 ELSE 0 END)
					)) * @PERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '202' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '212' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '222' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '232' THEN C6 ELSE 0 END)
						))) * @PERCENT3/100
				)
			)	
			
		FROM #RES2
		WHERE
			CODE_STR IN ('201', '203', '211', '213', '221', '231', '233', '202', '212', '222', '232')

		IF @SALARY_OPTIONS_OPT6_1 = 1
		BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0) 
						ELSE ISNULL(@C3SS,0)
					END,			
				C4 = ISNULL(@C4SS,0),
				C5 = ISNULL(@C5SS,0),
				C6 = ISNULL(@C6SS,0)
			WHERE 
				CODE_STR = '250'
			
		END

		--     
		
		--   
		 
		IF @SALARY_OPTIONS_OPT6_1 = 3
		BEGIN
			UPDATE #RES2
			SET
				C3 = C3 + ISNULL(@C3S,0),
				C4 = C4 + ISNULL(@C4S,0),
				C5 = C5 + ISNULL(@C5S,0),
				C6 = C6 + ISNULL(@C6S,0)			 
			WHERE 
				CODE_STR = '211'
		END		
	
	END	

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
				C4 = ISNULL(@C4NS,0),
				C5 = ISNULL(@C5NS,0),
				C6 = ISNULL(@C6NS,0)
			WHERE 
				CODE_STR = '251'
	END


	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)			 
		WHERE 
			CODE_STR = '212'
	END		

END		


IF ISNULL(@PERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '276')
			) / (@PERCENT_OMS/100)
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '276')
			) / (@PERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '276')
			) / (@PERCENT_OMS/100)
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '276')
			) / (@PERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '271' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '272' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '273' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '274' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		)					
	FROM #RES2
	WHERE
		CODE_STR IN ('271', '272', '273', '274')

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE 
			CODE_STR = '276'
		
	END

	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)			 
		WHERE 
			CODE_STR = '272'
	END		
END		

--->>>--->>>>>>>
	-----  
--->>>--->>>>>>>
--    ,     ,  -  . 7    24  2009 .  212-
--  2012       ,     
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2010', 
			 
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL_I ELSE 0 END))	 					 	 					 			 					 
			END,			 
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL_I ELSE 0 END))
FROM #SALARY_SUM2		 
WHERE FACE_GROUP = 1

INSERT INTO #RES2(CODE_STR, C3,C4, C5, C6)
SELECT '2020', 

			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL_I ELSE 0 END))	 					 	 					 			 					 
			END,
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL_I ELSE 0 END)) 
FROM #SALARY_SUM2		 
WHERE FACE_GROUP = 2

INSERT INTO #RES2(CODE_STR, C3,C4, C5, C6)
SELECT '2030', 

			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL_I ELSE 0 END))	 					 	 					 			 					 
			END,
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL_I ELSE 0 END)) 
FROM #SALARY_SUM2		 
WHERE FACE_GROUP = 3

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2110',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND I = 1 AND E = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH3),0))


--	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH1),0)),
/* DECLARE @Res float
SET @Res = 0
 exec RSA_RSV_1_13_PFR_PREPARE @Res output, '', '20130401', '20130630', 2, 2, 170
 select @Res 	
*/


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2120',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6  AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND FACE_GROUP = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = 12),0))			
	END,
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 2 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 2 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 2 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 2 AND MON = @nMONTH3),0))

----

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2130',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = 12),0))			
	END,
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 3 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE FACE_GROUP = 3 AND MON = @nMONTH3),0))

-----  ,   ,     7  8    24  2009  212- 
----- (       ,    , 
-----      ,        , , 
-----  ,   ,        , 
-----  ,    ,          )
-----    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2210',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2220',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
----
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2230',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
-----


SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1I FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP 
INSERT INTO #SPR_ESN1I SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1I SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 2  GROUP BY REF_PHYS_PERS, FACE_GROUP

SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2I
FROM 
	#SPR_ESN1I T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1I T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1I T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0


--     
--1966 ..  
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2310',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 1 AND M = @nMONTH3) ,0))

--1967 ..  
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2320',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = 12) ,0))										
	END,	
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 2 AND M = @nMONTH3) ,0))

--  
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2330',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = 12) ,0))										
	END,
		
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE FACE_GROUP = 3 AND M = @nMONTH3) ,0))


--    -  
-- 
-- 

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2500',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 ) ,0)) 
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))




------------    
--- 

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2510',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7  AND I = 2  ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7  AND I = 2  AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 2  AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 2  AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 2  AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 2  AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 7 AND I = 2  AND MONTH_BASE = @nMONTH3) ,0))	


---  ,    	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2520',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I) ,0)) * @IPERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH3) ,0))) * @IPERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH1) ,0)) * @IPERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH2) ,0)) * @IPERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH3) ,0)) * @IPERC1)/100	


update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '2520' )) , 
	C4 = (c4 - (select c4 from #RES2 where code_str = '2520' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '2520' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '2520' ))
 from #RES2 
 where code_str = '2500'

--   ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2600',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH3) ,0) 		

--   ,   

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2610',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH3) ,0) 	
	
-----    
---     ,     ,     7    24  2009 .  212- 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2710', 
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL_I ELSE 0 END))
 					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL_I ELSE 0 END))	 					 	 					 			 					 
			END,			 
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL_I ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL_I ELSE 0 END))
FROM #SALARY_SUM2		 


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2720',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))

----  ,   ,     7  8    24  2009  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2730',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)


SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1IM FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS, FACE_GROUP 
INSERT INTO #SPR_ESN1IM SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1IM SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS, FACE_GROUP

SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2IM 
FROM 
	#SPR_ESN1IM T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1IM T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1IM T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2740',

	CASE @nMONTH3 
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = @nMONTH3) ,0))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2760',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  AND I = 2) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))	


--   
/*
--   
 1.           -1       . 
 2.        ,   . 
 3.        ,   . 
    ,      ,    .
*/
IF ISNULL(@IPERCENT3_N,0) > 0
BEGIN
	--    	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C3 ELSE 0 END)
				) * @IPERCENT3_N/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '2510')
			) / (@IPERCENT3_N/100)
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C3 ELSE 0 END)
				) * @IPERCENT3_N/100
			)
		),		
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C4 ELSE 0 END)
				) * @IPERCENT3_N/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '2510')
			) / (@IPERCENT3_N/100)	
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C4 ELSE 0 END)
				) * @IPERCENT3_N/100
			)
		),		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C5 ELSE 0 END)
				) * @IPERCENT3_N/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '2510')
			) / (@IPERCENT3_N/100)			
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C5 ELSE 0 END)
				) * @IPERCENT3_N/100
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C6 ELSE 0 END)
				) * @IPERCENT3_N/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '2510')
			) / (@IPERCENT3_N/100)						
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 241 = 
					(CASE WHEN CODE_STR = '2020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2220' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2320' THEN C6 ELSE 0 END)
				) * @IPERCENT3_N/100
			)					
		)		
	FROM #RES2
	WHERE
		CODE_STR IN ('2020', '2120', '2220', '2320')

	IF ISNULL(@IPERCENT1,0) > 0
	BEGIN
		--    	
		SELECT 
			@C3S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C3 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C3 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C3 ELSE 0 END)
					) - @C3N)) * @IPERCENT3/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '2500'))
				) / (@IPERCENT1/100)	
			),
			@C3SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C3 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C3 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C3 ELSE 0 END)
					))) * @IPERCENT3/100
				)
			),
			@C4S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C4 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C4 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C4 ELSE 0 END)
					) - @C4N)) * @IPERCENT3/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '2500'))
				) / (@IPERCENT1/100)	
			),
			@C4SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C4 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C4 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C4 ELSE 0 END)
					))) * @IPERCENT3/100
				)
			),			
			@C5S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C5 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C5 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C5 ELSE 0 END)
					) - @C5N)) * @IPERCENT3/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '2500'))
				) / (@IPERCENT1/100)	
			),		
			@C5SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C5 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C5 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6),(SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C5 ELSE 0 END)
					))) * @IPERCENT3/100
				)
			),
			@C6S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C6 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C6 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C6 ELSE 0 END)
						) - @C6N)) * @IPERCENT3/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '2500'))
				) / (@IPERCENT1/100)						
			),
			@C6SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 240 = 
						(CASE WHEN CODE_STR = '2010' THEN C6 ELSE 0 END)
						+(CASE WHEN CODE_STR = '2030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2110' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2130' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2210' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2310' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2330' THEN C6 ELSE 0 END)
					)) * @IPERCENT1/100
					+ 
					CONVERT(NUMERIC(18,6), (SUM( -- 241 = 
						(CASE WHEN CODE_STR = '2020' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2120' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2220' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '2320' THEN C6 ELSE 0 END)
						))) * @IPERCENT3/100
				)
			)			
		FROM #RES2
		WHERE
			CODE_STR IN ('2010', '2030', '2110', '2130', '2210', '2310', '2330', '2020', '2120', '2220', '2320')

		IF @SALARY_OPTIONS_OPT6_1 = 1
		BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0) ELSE ISNULL(@C3SS,0) END,
				C4 = ISNULL(@C4SS,0),
				C5 = ISNULL(@C5SS,0),
				C6 = ISNULL(@C6SS,0)
			WHERE 
				CODE_STR = '2500'
			
		END
		
		---     

		IF @SALARY_OPTIONS_OPT6_1 = 3
		BEGIN		
			UPDATE #RES2
			SET
				C3 = C3 + ISNULL(@C3S,0),
				C4 = C4 + ISNULL(@C4S,0),
				C5 = C5 + ISNULL(@C5S,0),
				C6 = C6 + ISNULL(@C6S,0)			 
			WHERE 
				CODE_STR = '2110'
				
			--UPDATE #RES2
			--SET
			--	C3 = C4 + C5 + C6
			--WHERE 
			--	CODE_STR = '2110'
	
		END	
		
	END	

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
				C4 = ISNULL(@C4NS,0),
				C5 = ISNULL(@C5NS,0),
				C6 = ISNULL(@C6NS,0)
			WHERE 
				CODE_STR = '2510'
	END

	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN	
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)			 
		WHERE 
			CODE_STR = '2120'
			
		--UPDATE #RES2
		--SET
		--	C3 = C4 + C5 + C6		 
		--WHERE 
		--	CODE_STR = '2120'	
	END	

END		


IF ISNULL(@IPERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C3 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '2760')
			) / (@IPERCENT_OMS/100)
		),

		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C3 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		),
		
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C4 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '2760')
			) / (@IPERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C4 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		),
		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C5 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '2760')
			) / (@IPERCENT_OMS/100)
		),

		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C5 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		),
				
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C6 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '2760')
			) / (@IPERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 276 = 
					(CASE WHEN CODE_STR = '2710' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2720' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2730' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2740' THEN C6 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		)			
	FROM #RES2
	WHERE
		CODE_STR IN ('2710', '2720', '2730', '2740')


	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE 
			CODE_STR = '2760'
		
	END

	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)			 
		WHERE 
			CODE_STR = '2720'
	END	

END		

---------------
/********         1  58.3    24  2009 .  212-**********/
/******* 2.1*********/
---     ,     ,     7    24  2009 .  212- 

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '280', 
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END))
			END,			 
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END))
 			 
FROM #SPR_ESN 
WHERE WAY_CALC = 10		 

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '281',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END))

FROM #SPR_ESN 
WHERE WAY_CALC = 10	

----  ,   ,     7  8    24  2009  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '282', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT 
	'284',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN 
WHERE WAY_CALC = 10

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '285',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and  MONTH_BASE = @nMONTH3) ,0) 


/********         2  58.3    24  2009 .  212-**********/
/******* 2.2*********/
---     ,     ,     7    24  2009 .  212- 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '290', 
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END))
			END,			 
			 
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)),
 			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END))
 			 
FROM #SPR_ESN 
WHERE WAY_CALC = 11	 	 

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '291',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END))

FROM #SPR_ESN 
WHERE WAY_CALC = 11	

----  ,   ,     7  8    24  2009  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '292', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT 
	'294',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN 
WHERE WAY_CALC = 11

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '295',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and  MONTH_BASE = @nMONTH3) ,0)

---------------
/******** **********/

DECLARE @Date1M datetime, @Date2M datetime, @Date3M datetime

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

if @nMONTH3 =3
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0101')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0201')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0301')
end
if @nMONTH3 =6
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0401')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0501')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0601')
end
if @nMONTH3 =9
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0701')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0801')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0901')
end
if @nMONTH3 =12
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1001')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1101')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1201')
end


/*    */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '331',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))	

/*     */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '332',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))	




/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferClear
EXEC dbo.BufferPush -116, @Table_Razd1

DROP TABLE #RES2









GO


GRANT EXECUTE ON dbo.[RSA_RSV_1_13_PFR_PREPARE] TO PUBLIC

GO



IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_4FSS_EXPORT_v05]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_4FSS_EXPORT_v05]

GO


CREATE      PROCEDURE [dbo].SA_4FSS_EXPORT_v05 ( @Link int /*  */ ) 
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, 
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT 
	@LINK_DEP = LINK_ORGANIZATION, 
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS 
WHERE LINK_SAVED_FORM = @link

DECLARE 
	@first_month_of_quarter TINYINT, 
	@second_month_of_quarter TINYINT, 
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)

SELECT top 1
	DD1.OKPO AS OKPO1, 
	DD1.INN AS INN1, DD1.KPP AS KPP1, 
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME, 
	DD2.NALOG AS SONO, 
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A))) 
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD), 
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1 
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = FSS_REG_NUM + '_' + CONVERT(VARCHAR(4),@YEAR)  + '_' +  (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
  SELECT @lcFNAME, 'OEM' -- 
  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.5"?>'
  UNION ALL SELECT @lcFNAME, SPACE(0) + '<F4REPORT>'
  
  /**  **/
  
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<TITLE' 
		+ ' REG_NUM="' + LTRIM(RTRIM(FSS_REG_NUM)) + '"'
		+ ' KPS_NUM="' + LTRIM(RTRIM(FSS_KOD_P)) + '"'
		+ ' DOP_NUM="' + LTRIM(RTRIM(FSS_KOD_DOP)) + '"'
		+ ' INN="' + LTRIM(RTRIM(INN1)) + '"'
		+ ' KPP="' + LTRIM(RTRIM(KPP1)) + '"'
		+ ' OGRN="' + LTRIM(RTRIM(OGRN)) + '"'
		--+ ' OKOPF="' + LTRIM(RTRIM(OKOPF)) + '"'
		+ ' OKATO="' + REPLACE(LTRIM(RTRIM(OKATO)),' ','') + '"'
		--+ ' OKPO="' + LTRIM(RTRIM(OKPO)) + '"'
		--+ ' OKFS="' + LTRIM(RTRIM(OKFS)) + '"'
		--+ ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"'
		+ ' QUART_NUM="' + (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '"'
		+ ' YEAR_NUM="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' NAME="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"','&quot;'))) + '"'
		+ ' CRE_DATE="' + convert(varchar(10),@modify_date,120) + '"'
		+ ' WRO="' + LEFT(FSS_REG_NUM,4) + '"'
		+ ' CEO="' + LTRIM(RTRIM(CHIEF_FIO)) + '"'
		+ ' CFO="' + LTRIM(RTRIM(GLBUH_FIO)) + '"'
		+ ' AUTHOR="' + ISNULL(dbo.AdminGetUserFIO(default),'') + '"'
		+ ' PHONE="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ' ') + '"'
		+ ' NumCorr="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' NumDot="' + LTRIM(RTRIM(CONVERT(VARCHAR(2),@NumDot))) + '"' -- 
		+ ' TaxType="' + LEFT(LTRIM(RTRIM(TaxType)),3) + '"' -- ( )
		+ ' TaxType2="' + LEFT(LTRIM(RTRIM(TaxType2)),2) + '"' -- ( )
		+ ' TaxType3="' + LEFT(LTRIM(RTRIM(TaxType3)),2) + '"' -- ( )		
		+ ' T1R1C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 1, 3)),0)))) + '"' -- 	
		+ ' T1R2C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 2, 3)),0)))) + '"' -- : 	
		+ ' T1R4C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 3, 3)),0)))) + '"' -- :  	
		+ ' T1R6C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 4, 3)),0)))) + '"' -- : ,       ()   	
		+ '/>'
		FROM #DEP_DATA
--  /**  I **/

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INF1 '

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA
		-- 1  1 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 1, 3) WHERE SUMMA2 <> 0				
		-- 1  2 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' Ch' + LTRIM(STR(ROW +1 - 5)) + '="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, 3) WHERE SUMMA2 <> 0 AND ROW IN (5,6,7)				
		-- 1  3 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' N0="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 9, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' N' + LTRIM(STR(ROW + 1 - 11)) + '="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, 3) WHERE SUMMA2 <> 0 AND ROW IN (11,12,13)				
		-- 1  4 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 3) WHERE SUMMA2 <> 0				
		-- 1  5 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NRe0="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NRe1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NRe2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R13="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 3) WHERE SUMMA2 <> 0				
		-- 1  6 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2F0="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 22, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2F1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2F2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R16="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 3) WHERE SUMMA2 <> 0				
		-- 1  7 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2N="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 27, 3) WHERE SUMMA2 <> 0				
		-- 1  9 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' FssDebt="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 3) WHERE SUMMA2 <> 0				
		-- 1  11 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R18="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 3) WHERE SUMMA2 <> 0				
		-- 1  12 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R19="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 32, 3) WHERE SUMMA2 <> 0				
		-- 1  14 
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R20="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 3) WHERE SUMMA2 <> 0				
		-- 1  15  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R21="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' Re' + LTRIM(STR(ROW + 1 - 38)) + '="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, 3) WHERE SUMMA2 <> 0 AND ROW IN (38,39,40)				
		-- 1  16  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R27="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 42, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R29="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R30="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R26="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 3) WHERE SUMMA2 <> 0
		-- 1  17  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R32="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 47, 3) WHERE SUMMA2 <> 0
		-- 1  19  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' InsDebt="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 49, 3) WHERE SUMMA2 <> 0
		-- 1  20  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' InsDelDebt="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 50, 3) WHERE SUMMA2 <> 0

		-- 2  1  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R1C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R1C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6) WHERE SUMMA2 <> 0				
		-- 2  2  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R2C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R2C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R2C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6) WHERE SUMMA2 <> 0				
		-- 2  3  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase4="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R4C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R4C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 6) WHERE SUMMA2 <> 0		
		-- 2  4  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R41C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R41C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R41C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 6) WHERE SUMMA2 <> 0				
		-- 2  5  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5) WHERE SUMMA2 <> 0		
		-- 2  6  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4) WHERE SUMMA2<> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5) WHERE SUMMA2 <> 0		
		-- 2  7  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3RCP7="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 3) WHERE SUMMA2 <> 0
		-- 2  8  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3RCP71="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R71C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R71C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R71C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 6) WHERE SUMMA2 <> 0				
		-- 2  9  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3RCP72="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R72C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R72C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R72C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6) WHERE SUMMA2 <> 0				
		-- 2  10  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R3C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6) WHERE SUMMA2 <> 0				
		-- 2  11  
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R8C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R8C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6) WHERE SUMMA2 <> 0				

		-- 3  1  
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S1' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  2  
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S2' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  3  
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S4' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  5  
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S3' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  6  
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S6' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  7  
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S7' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		
		
		-- 4  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6) WHERE SUMMA2 <> 0				
		-- 4  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6) WHERE SUMMA2 <> 0				
		
		-- 4.1  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6) WHERE SUMMA2 <> 0				
		-- 4.1  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6) WHERE SUMMA2 <> 0				
		-- 4.1  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6) WHERE SUMMA2 <> 0				
		-- 4.1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6) WHERE SUMMA2 <> 0				

		--  4.2  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_WRK_CNT="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT2WRK_CNT1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 6) WHERE SUMMA2 <> 0	
		--  4.2  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_PRF_ALL="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT2PRF_ALL="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 6) WHERE SUMMA <> 0				
		--  4.2  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_PRF_SPC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT2PRF_SPC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 6) WHERE SUMMA <> 0				
		--  4.2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_ACC_DT="' 
							+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
								WHEN 10 THEN 
									SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
								WHEN 8 THEN 
									'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
								ELSE
								''
							END	+ '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 4) WHERE ISNULL(STR_VAL,'') <> ''
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_ACC_NM="' + LEFT(STR_VAL,8) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5) WHERE ISNULL(STR_VAL,'') <> ''
	
		-- 4.3  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKV_S1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3) WHERE SUMMA <> 0				
		-- 4.3  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKV_S2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3) WHERE SUMMA <> 0				


		-- 4.4  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4) WHERE SUMMA <> 0				
		-- 4.4  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4) WHERE SUMMA <> 0				
		-- 4.4  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4) WHERE SUMMA <> 0				
		-- 4.4  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP4="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S4="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4) WHERE SUMMA <> 0				
	
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + ' >'

		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 4)

		--  
		CREATE TABLE #INVALID (
			LINK INT, FIO VARCHAR(254), FIO2 VARCHAR(254), NUM_SPR VARCHAR(30), DATE_SPR VARCHAR(10), 
			GRP VARCHAR(25), GRP2 VARCHAR(25), PER_BEG VARCHAR(10), PER_END VARCHAR(10), 
			SM_ALL 	NUMERIC(18,2), SM_QWART NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

		CREATE TABLE #TAB5 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
		INSERT INTO #TAB5 (ROW_CODE, COL, SUMMA, STR_VAL)
		SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

		INSERT INTO #INVALID (FIO2, DATE_SPR, PER_END, SM_ALL, SM1, SM2, SM3)
		SELECT DISTINCT 
			FIO2 = (SELECT TOP 1 REPLACE(STR_VAL,SPACE(1), ', ') FROM #TAB5 T WHERE T.COL = 2 AND T.ROW_CODE = T5.ROW_CODE),
			DATE_SPR = (SELECT TOP 1 STR_VAL FROM #TAB5 T WHERE T.COL = 3 AND T.ROW_CODE = T5.ROW_CODE),
			PER_END = (SELECT TOP 1 STR_VAL FROM #TAB5 T WHERE T.COL = 4 AND T.ROW_CODE = T5.ROW_CODE),
			SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 5 AND T.ROW_CODE = T5.ROW_CODE),
			SM1 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 6 AND T.ROW_CODE = T5.ROW_CODE),
			SM2 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 7 AND T.ROW_CODE = T5.ROW_CODE),
			SM3 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 8 AND T.ROW_CODE = T5.ROW_CODE)
		FROM
			#TAB5 T5

		DROP TABLE #TAB5

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, 
			SPACE(1) + ' <F4INVAL'  + 
				' LNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,1,','),'')))) + '"' +
				' FNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,2,','),'')))) + '"' +
				' MNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,3,','),'')))) + '"' +
				' MSEDATE="' + CASE LEN(LTRIM(RTRIM(ISNULL(DATE_SPR,''))))
									WHEN 10 THEN 
										SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),7,4)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),1,2)
									WHEN 8 THEN 
										'20' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),7,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),1,2)								
									ELSE
										''
								END + '"' +
				CASE WHEN ISNULL(PER_END,'') <> ''
				THEN 
					' MSEDATEF="' 
								+ CASE LEN(LTRIM(RTRIM(ISNULL(PER_END,''))))
									WHEN 10 THEN 
										SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),7,4)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),1,2)
									WHEN 8 THEN 
										'20' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),7,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),1,2)								
									ELSE
									''
								END + '"'
				ELSE
					''	
				END +
				' S="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM_ALL,0)))) + '"' +
				' S1="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM1,0)))) + '"' +
				' S2="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM2,0)))) + '"' +
				' S3="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM3,0)))) + '"' +
			' />' 
		FROM #INVALID 
		ORDER BY FIO2

		DROP TABLE #INVALID

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INF1>'

  /**  II **/
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(1)

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INFO '		
		-- 5  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C8="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 12) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C18="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 13) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C7="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 14) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 17) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C12="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 18) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C22="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 19) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C11="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 20) WHERE SUMMA2 <> 0				

		-- 5  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 17) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C12="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 18) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C22="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 19) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C11="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 20) WHERE SUMMA2 <> 0				

		-- 5  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R3C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R3C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R3C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3, 15) WHERE SUMMA2 <> 0				

		-- 5  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4, 17) WHERE SUMMA2 <> 0				

		-- 5  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5, 17) WHERE SUMMA2 <> 0				

		-- 5  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 6, 17) WHERE SUMMA2 <> 0				

		-- 6  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 5) WHERE SUMMA2 <> 0
		-- 6  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, 5) WHERE SUMMA2 <> 0
		-- 6  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 5) WHERE SUMMA2 <> 0
		-- 6  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 5) WHERE SUMMA2 <> 0
		-- 6  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_MIS="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,1),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 6) WHERE SUMMA2 <> 0
		-- 6  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_DEC="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 7) WHERE SUMMA2 <> 0
		-- 6  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' INC_DATE="' 
					+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
						WHEN 10 THEN 
							SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
						WHEN 8 THEN 
							'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
						ELSE
						''
					END + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 8) WHERE ISNULL(STR_VAL,'') <> ''

		-- 6  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 9) WHERE SUMMA2 <> 0

		-- 7  1 
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 1, 3) WHERE SUMMA2 <> 0
		-- 7  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 5, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 6, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 7, 3) WHERE SUMMA2 <> 0
		-- 7  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 8, 3) WHERE SUMMA2 <> 0
		-- 7  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R13C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 9, 3) WHERE SUMMA2 <> 0
		-- 7  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R11C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 10, 3) WHERE SUMMA2 <> 0
		-- 7  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R16C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 11, 3) WHERE SUMMA2 <> 0
		-- 7  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R17C61="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 12, 3) WHERE SUMMA2 <> 0
		-- 7  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R18C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 14, 3) WHERE SUMMA2 <> 0
		-- 7  10
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R19C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 15, 3) WHERE SUMMA2 <> 0
		-- 7  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R21C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 17, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R23C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 19, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R24C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 20, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R25C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 21, 3) WHERE SUMMA2 <> 0
		-- 7  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R27C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 23, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R29C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 25, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R30C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 26, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R31C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 27, 3) WHERE SUMMA2 <> 0
		-- 7  13
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R38C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 28, 3) WHERE SUMMA2 <> 0
		-- 7  15
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R34C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 30, 3) WHERE SUMMA2 <> 0
		-- 7  16
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R35C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 31, 3) WHERE SUMMA2 <> 0


		-- 8  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 1, 4) WHERE SUMMA2 <> 0
		-- 8  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 2, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 2, 4) WHERE SUMMA2 <> 0
		-- 8  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 3, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 3, 4) WHERE SUMMA2 <> 0
		-- 8  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 4, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 4, 4) WHERE SUMMA2 <> 0
		-- 8  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 5, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 5, 4) WHERE SUMMA2 <> 0
		-- 8  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 6, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 6, 4) WHERE SUMMA2 <> 0
		-- 8  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 7, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 7, 4) WHERE SUMMA2 <> 0
		-- 8  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 8, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 8, 4) WHERE SUMMA2 <> 0
		-- 8  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, 9, 4) WHERE SUMMA2 <> 0

		-- 9
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' M' + CONVERT(VARCHAR(2),ROW) + '="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, 3) WHERE ROW IN (1,2,3,5) AND SUMMA <> 0

		-- 10  1
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, 4) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL3="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, 5) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL4="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, 6) WHERE SUMMA <> 0

		-- 10  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 2, 7) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 2, 8) WHERE SUMMA <> 0
		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + ' >'

		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 25, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 25, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 25, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 26, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 26, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 26, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 27, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 27, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 27, 4)
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INFO>'
	
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, SPACE(0) + '</F4REPORT>'

SET NOCOUNT OFF

select * from #OUTPUT order by [ID]





GO


GRANT EXECUTE ON dbo.[SA_4FSS_EXPORT_v05] TO PUBLIC

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[sa_EmplExpirTable]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[sa_EmplExpirTable]

GO

CREATE       FUNCTION dbo.sa_EmplExpirTable (
	@empl_link int = -1,
	@Date datetime = null, 
	@mode int=0,
	@BUFF_ID VARCHAR(20) = NULL
)  
RETURNS @R TABLE (empl_link int, expir_link int, expir_code varchar(10), years INT, months INT, days INT)
AS  
BEGIN 

	DECLARE @result int, @nyears int, @nmonths int, @ndays int, @ndate datetime, @tdate datetime, @cstr varchar(7000), @fname varchar(20)
	DECLARE @T TABLE (empl_link int, expir_link int, expir_code varchar(10), date_begin datetime, date_end datetime, koeff numeric(4,1), years numeric(5,2), months numeric(5,2), days numeric(5,2), lastday int)
	DECLARE @R_TEMP TABLE (empl_link int, expir_link int, expir_code varchar(10), years numeric(5,2), months numeric(5,2), days numeric(8,2))
	DECLARE @DIS_DATE TABLE (empl_link int, date datetime)

	insert into @DIS_DATE (empl_link, date)
	SELECT empl_link, dis_date 
	FROM dbo.item_dis_face 
	WHERE 
		(
			(@empl_link = -1 
			AND 
			(	@BUFF_ID IS NULL
				OR 
				@BUFF_ID IS NOT NULL AND EMPL_LINK IN (SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFF_ID)
			))
			OR
			(@empl_link > 0 AND EMPL_LINK = @empl_link)
		)
		and active=1 and dis_date<@date
	
	SELECT @tdate = WORKDATE FROM USER_INFO

	IF @mode=1
		INSERT @T
		SELECT o.empl_link, e.link, e.code, o.date_begin, case when o.date_end<@Date then o.date_end else @Date end,
			o.koef, 0, 0, 0, 0
		FROM expir e
			left join (select ok.expir_link, ok.koef, eo.date_begin, eo.date_end, eo.empl_link
					from dbo.oldwork_koef ok left join dbo.empl_oldwork eo on ok.oldwork_link=eo.link
					where ok.KOEF <> 0 AND eo.date_begin<=@Date 
					and 
						(
							(@empl_link = -1 
							AND 
							(	@BUFF_ID IS NULL
								OR 
								@BUFF_ID IS NOT NULL AND eo.empl_link IN (SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFF_ID)
							))
							OR
							(@empl_link > 0 AND eo.empl_link = @empl_link)
						)
					) o
			on o.expir_link=e.link

	INSERT @T
	SELECT im.empl_link, mk.expir_link, e.code, date_begin, 
		case when date_end>@Date then @Date else date_end end,
		mk.koef, 0, 0, 0, 0
	FROM dbo.ku_only_moves im
		left join dbo.move_koef mk on mk.move_link=im.link
		left join dbo.expir e on mk.expir_link=e.link
	WHERE 
		(
			(@empl_link = -1 
			AND 
			(	@BUFF_ID IS NULL
				OR 
				@BUFF_ID IS NOT NULL AND im.empl_link IN (SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFF_ID)
			))
			OR
			(@empl_link > 0 AND im.empl_link = @empl_link)
		)
		and im.date_begin<=@Date --and im.active=1
		AND mk.KOEF <> 0

	UPDATE @T SET 
		years = year(date_end+1) - year(date_begin),
		months = month(date_end+1) - month(date_begin),
		days = day(date_end+1) - day(date_begin),
		lastday = 30/*datepart(day, dbo.DateBeginOfMonth(date_end+1) - 1)*/

	UPDATE @T SET years = convert(int, years), months = months + (years-convert(int, years)) * 12
	UPDATE @T SET months = convert(int, months), days = days + (months-convert(int, months)) * lastday
	UPDATE @T SET months = months - 1, days = days + lastday WHERE days<0
	UPDATE @T SET years = years - 1, months = months + 12 WHERE months<0

	IF @mode=0
		INSERT INTO @T (empl_link, expir_link, expir_code, years, months, days, koeff)
		SELECT empl_link, ee.expir_link, e.code, ee.years, ee.months, ee.days, 1
		FROM dbo.empl_expir ee LEFT JOIN dbo.expir e ON ee.expir_link=e.link
		WHERE 
			(
				(@empl_link = -1 
				AND 
				(	@BUFF_ID IS NULL
					OR 
					@BUFF_ID IS NOT NULL AND ee.empl_link IN (SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFF_ID)
				))
				OR
				(@empl_link > 0 AND ee.empl_link = @empl_link)
			)
			and (ee.YEARS + ee.MONTHS + ee.DAYS) <> 0

	INSERT @R_TEMP
	SELECT empl_link, expir_link, expir_code, isnull(sum(years*koeff), 0), isnull(sum(months*koeff), 0), isnull(sum(days*koeff), 0)
	FROM @T GROUP BY empl_link, expir_link, expir_code

	UPDATE @R_TEMP SET months = months + case when convert(int, years) != 0 then 12*(years - convert(int, years)) else 12*years end, years = convert(int, years)
	UPDATE @R_TEMP SET days = days + case when convert(int, months) != 0 then 30*(months - convert(int, months)) else 30*months end, months = convert(int, months)

	WHILE exists(SELECT * FROM @R_TEMP WHERE days>=30)
		UPDATE @R_TEMP SET days = days - 30, months = months + 1 WHERE days>=30

	WHILE exists(SELECT * FROM @R_TEMP WHERE months>=12)
		UPDATE @R_TEMP SET months = months - 12, years = years + 1 WHERE months>=12
	
	INSERT INTO @R
	SELECT * FROM @R_TEMP

	RETURN			
				
END



GO


GRANT SELECT ON dbo.[sa_EmplExpirTable] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_RSV1_EXPORT_0700_2013]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_RSV1_EXPORT_0700_2013]

GO
---- exec [dbo].SA_RSV1_EXPORT_0700_2013 142

CREATE      PROCEDURE [dbo].SA_RSV1_EXPORT_0700_2013 ( @Link int /*  */ ) 
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254), @WORK_END varchar(1)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, @Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT 
	@LINK_DEP = LINK_ORGANIZATION, 
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

SELECT top 1
	DD1.OKPO AS OKPO1, 
	RIGHT(REPLICATE('0',12) + LTRIM(RTRIM(DD1.INN)), 12) AS INN1, 
	DD1.KPP AS KPP1, 
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME, 
	DD2.NALOG AS SONO, 
	RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15) AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A))) 
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	OGRN = RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15),
	DD1.OKATO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD), 
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TFOMS_KTI = DD1.TFOMS_KT,
	WORK_END = '1'
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1 
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @Cur0 CURSOR, @CurD0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @TABD_NUM TINYINT, @TABD_NAME VARCHAR(254), @TAB1_NAME VARCHAR(254), @TAB1_NUM TINYINT, @Cur CURSOR, @Cur1 CURSOR , @Cur2 CURSOR  , @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254),
		@CurI0 CURSOR,@CurI CURSOR, @CurI1 CURSOR

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),@YEAR) + '-ORG-' + RTRIM(LTRIM(COALESCE(PFNUMBER,''))) + '-DCK-00001-DPT-000000-DCK-00000.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
  SELECT @lcFNAME, 'OEM' -- 
  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
  UNION ALL SELECT @lcFNAME, SPACE(0) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' + RTRIM(LTRIM(@lcFNAME)) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
	  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>07.00</>'
	  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></>'
	  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	    UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @NAME_PROG + '</>'
	    UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @VERS_PROG + '</>'
	  UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></> '
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '< =" ">'
	  UNION ALL SELECT @lcFNAME, SPACE(2) + '<_______________2013_>'
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>1</>'
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(PFNUMBER,''))) + '</>'  + CHAR(10) +
								  SPACE(3) + '<>' + CASE @Version WHEN 0 THEN '000' ELSE (REPLICATE('0',2) + ltrim(rtrim(CONVERT(varchar(3),@Version)))) END + '</>'  + CHAR(10) +
								  SPACE(3) + '<>' + CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END +'</>' + CHAR(10) +
								  SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),@YEAR),''))) + '</> ' + CHAR(10) +
							      CASE WHEN LTRIM(RTRIM(ISNULL(@WORK_END,''))) = '' THEN
										SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(1),WORK_END),''))) + '</> ' + CHAR(10)
								  ELSE '' END
	   FROM #DEP_DATA						   

	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(FULL_NAME,''))) + '</>' FROM #DEP_DATA
	   --UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(TFOMS_RNUM,''))) + '</>' FROM #DEP_DATA
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(INN1,''))) + '</>' FROM #DEP_DATA
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(KPP1,''))) + '</>' FROM #DEP_DATA
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(OGRN1,''))) + '</>' FROM #DEP_DATA 
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + REPLACE(LTRIM(RTRIM(ISNULL(OKATO,''))),SPACE(1),'') + '</>' FROM #DEP_DATA 
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(OKVED,''))) + '</>' FROM #DEP_DATA 
	   --UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(OKPO,''))) + '</>' FROM #DEP_DATA 
	   --UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(OKOPF,''))) + '</>' FROM #DEP_DATA 
	   --UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(OKFS,''))) + '</>' FROM #DEP_DATA 
	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(GL_PHONE,''))) + '</>' FROM #DEP_DATA 

	   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
		   UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>' 
		   UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'+ LTRIM(RTRIM(ISNULL(PINDEX,''))) + '</>' FROM #DEP_DATA   
		   UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + CHAR(10) +

											CASE WHEN LTRIM(RTRIM(ISNULL(REGION,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(Left(REGION,len(REGION)-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(REGION),1,' '))) ) )) + '</>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(REGION),1,' ')) )) + '</>' + CHAR(10) +
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +
											
											CASE WHEN LTRIM(RTRIM(ISNULL(RAION,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(Left(RAION,len(RAION)-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(RAION),1,' '))) ) )) + '</>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(RAION),1,' ')) )) + '</>' + CHAR(10) +
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +

											CASE WHEN LTRIM(RTRIM(ISNULL(GOROD,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(Left(GOROD,len(GOROD)-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(GOROD),1,' '))) ) )) + '</>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(GOROD),1,' ')) )) + '</>' + CHAR(10) +
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +

											CASE WHEN LTRIM(RTRIM(ISNULL(NASEL,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(Left(NASEL,len(NASEL)-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(NASEL),1,' '))) ) )) + '</>' + CHAR(10) + 
												SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(NASEL),1,' ')) )) + '</>' + CHAR(10) +
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +	

											CASE WHEN LTRIM(RTRIM(ISNULL(STREET,''))) <> '' THEN
											SPACE(5) + '<>' + CHAR(10)
												+ SPACE(6) + '<>'+ RTRIM(LTRIM(Left(STREET,len(STREET)-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(STREET),1,' '))) ) ))+'</>' + CHAR(10) 
												+ SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(STREET),1,' ')) ))+'</>' + CHAR(10) 
												+ SPACE(5) + '</>' + CHAR(10)
											ELSE '' END	+			

											CASE WHEN LTRIM(RTRIM(ISNULL(HOUSE,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<></>' + CHAR(10) +
												SPACE(6) + '<>'+ UPPER(LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),HOUSE),'')))) + '</>' + CHAR(10) + 
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +												

											CASE WHEN LTRIM(RTRIM(ISNULL(KORP,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<>.</>' + CHAR(10) +
												SPACE(6) + '<>'+ UPPER(LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),KORP),'')))) + '</>' + CHAR(10) + 
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +																

											CASE WHEN LTRIM(RTRIM(ISNULL(FLAT,''))) <> '' THEN
											 SPACE(5) + '<>' + CHAR(10) + 
												SPACE(6) + '<>.</>' + CHAR(10) +
												SPACE(6) + '<>'+ UPPER(LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),FLAT),'')))) + '</>' + CHAR(10) + 
											SPACE(5) + '</>' + CHAR(10) 
											ELSE '' END +				
											
									SPACE(4) + '</>' + CHAR(10) +
								SPACE(3) + '</>'
			FROM #DEP_DATA    

------ .1_2
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
select @lcFNAME, 
		CASE WHEN T.COL = 3 THEN
			SPACE(3) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
		ELSE
			SPACE(3) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
		END	
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 1, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)	
		  --SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) + '</>' FROM #DEP_DATA
/*UNION ALL*/ SELECT @lcFNAME, SPACE(3) + '<>6</>'
UNION ALL SELECT @lcFNAME, SPACE(3) + '<>0</>'

----- .2
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<1>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, CASE T.COL 
	WHEN 3 THEN SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
				SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN SPACE(6) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'	
	WHEN 6 THEN SPACE(6) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'
	WHEN 7 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'		
	--WHEN 6 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 1, DEFAULT) T WHERE T.COL IN (3,4,5,6,7) ORDER BY T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME,
	CASE T.COL 
	WHEN 3 THEN 
		 CASE T.ROW WHEN 2 THEN SPACE(5) + '<2013>' WHEN 6 THEN SPACE(5) + '<2013>' ELSE  SPACE(5) + '<' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.ROW - 2))) + '2013>' END + CHAR(10) +
				SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
				SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>' 
	WHEN 4 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>' 
	WHEN 5 THEN SPACE(6) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'	
	WHEN 6 THEN SPACE(6) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'		
	WHEN 7 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'	+ CHAR(10) +		
	--WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'  + CHAR(10) +	
		 CASE T.ROW WHEN 2 THEN SPACE(5) + '</2013>' WHEN 6 THEN SPACE(5) + '</2013>' ELSE  SPACE(5) + '</' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.ROW - 2))) + '2013>' END	
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 0, DEFAULT) T WHERE ROW IN (2,3,4,5,6) AND T.COL IN (3,4,5,6,7)  ORDER BY T.ROW, T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, CASE T.COL 
	WHEN 3 THEN SPACE(5) + '<2013>' + CHAR(10) +
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
					SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN		SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN		SPACE(6) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'	
	WHEN 6 THEN		SPACE(6) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'		
	WHEN 7 THEN		SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'	+ CHAR(10) +
				SPACE(5) + '</2013>'
	--WHEN 6 THEN sPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, DEFAULT) T WHERE T.COL IN (3,4,5,6,7) ORDER BY T.COL

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, CASE T.COL 
	WHEN 3 THEN	SPACE(5) + '<>' + CHAR(10) +	
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
					SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN		SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN		SPACE(6) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'	
	WHEN 6 THEN		SPACE(6) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'	
	WHEN 7 THEN		SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'	 + CHAR(10) +
				SPACE(5) + '</>'	
	--WHEN 6 THEN sPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 8, DEFAULT) T WHERE T.COL IN (3,4,5,6,7) ORDER BY T.COL


INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, CASE T.COL 
	WHEN 3 THEN	SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
	    		SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN	SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN	SPACE(5) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'		
	WHEN 6 THEN	SPACE(5) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'		
	WHEN 7 THEN	SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'	 
--	WHEN 6 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 10, DEFAULT) T WHERE T.COL IN (3,4,5,6,7) ORDER BY T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME,
	CASE T.COL 
	WHEN 3 THEN 
		 CASE T.ROW WHEN 11 THEN SPACE(5) + '<2013>' WHEN 15 THEN SPACE(5) + '<2013>' ELSE  SPACE(5) + '<' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.ROW - 11))) + '2013>' END + CHAR(10) +
				SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
				SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN	SPACE(6) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'		
	WHEN 6 THEN	SPACE(6) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'	
	WHEN 7 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>' + CHAR(10) +			

	--WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'  + CHAR(10) +	
		 CASE T.ROW WHEN 11 THEN SPACE(5) + '</2013>' WHEN 15 THEN SPACE(5) + '</2013>' ELSE  SPACE(5) + '</' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.ROW - 11))) + '2013>' END	
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 0, DEFAULT) T WHERE ROW IN (11,12,13,14,15) AND T.COL IN (3,4,5,6,7)  ORDER BY T.ROW, T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, CASE T.COL 
	WHEN 3 THEN SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
		 SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN	SPACE(6) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'		
	WHEN 6 THEN	SPACE(6) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'
	WHEN 7 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'		
	--WHEN 6 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, DEFAULT) T WHERE T.COL IN (3,4,5,6,7) ORDER BY T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'


INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2013>'
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, CASE T.COL 
	WHEN 3 THEN SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
		 SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 4 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
	WHEN 5 THEN	SPACE(5) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</1>'		
	WHEN 6 THEN	SPACE(5) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</2>'
	WHEN 7 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'		
	--WHEN 6 THEN SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
	END						
FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 17, DEFAULT) T WHERE T.COL IN (3,4,5,6,7) ORDER BY T.COL
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2013>'

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</1>'	


----- 2
CREATE TABLE #TABLES (NUM TINYINT, TAB_NAME VARCHAR(254))
INSERT INTO #TABLES 
		SELECT 3,'2'
		
CREATE TABLE #TABLES_1 (NUM1 TINYINT, TAB_NUM TINYINT, TAB1_NAME varchar(254))
INSERT INTO #TABLES_1 
		SELECT 4,3, '2_1_'

CREATE TABLE #STR_2_2R (NUM TINYINT, TAB_NUM TINYINT, RAZDEL_NAME VARCHAR(254))
INSERT INTO #STR_2_2R 
		SELECT 1,4,''
UNION	SELECT 2,4,''

--UNION	SELECT 2,4,''
--UNION	SELECT 3,4,'' WHERE @YEAR <= 2010
--UNION	SELECT 4,4,'' WHERE @YEAR <= 2010

CREATE TABLE #STR_2_2B (NUM TINYINT, RAZDEL_NUM TINYINT, BLOK_NAME VARCHAR(254))
INSERT INTO #STR_2_2B 
		SELECT 1,1,'_1966'
UNION	SELECT 2,1,'_1967'
UNION	SELECT 3,1,'_'
UNION	SELECT 4,1,'_1966'
UNION	SELECT 5,1,'_1967'
UNION	SELECT 6,1,'_'
UNION	SELECT 7,1,'_1966'
UNION	SELECT 8,1,'_1967'
UNION	SELECT 9,1,'_'
UNION	SELECT 11,1,'_1966'
UNION	SELECT 12,1,'_1967'
UNION	SELECT 13,1,'_'
--UNION	SELECT 14,1,'_1966'
--UNION	SELECT 15,1,'_1967'
UNION	SELECT 14,1,''
UNION	SELECT 15,1,''
UNION	SELECT 16,1,''
UNION	SELECT 17,1,''
UNION	SELECT 18,1,''
UNION	SELECT 19,1,''
--UNION	SELECT 19,1,''
--UNION	SELECT 20,2,''
--UNION	SELECT 21,2,''
--UNION	SELECT 22,2,''
--UNION	SELECT 23,2,''
--UNION	SELECT 24,2,''
--UNION	SELECT 25,2,''
UNION	SELECT 20,1,''
UNION	SELECT 22,2,''
UNION	SELECT 23,2,''
UNION	SELECT 24,2,''
UNION	SELECT 25,2,''
UNION	SELECT 26,2,''
UNION	SELECT 27,2,''
---  
CREATE TABLE #TABLES1 (NUM TINYINT, TAB_NAME VARCHAR(254))
INSERT INTO #TABLES1 
		SELECT 5,'2_2__1'
  union SELECT 6,'2_3__2'

CREATE TABLE #STR_2_2C (NUM TINYINT, TAB_NUM TINYINT, BLOK_NAME VARCHAR(254))
INSERT INTO #STR_2_2C
		SELECT 1,5,''
UNION	SELECT 2,5,''
UNION	SELECT 3,5,''
UNION	SELECT 4,5,''
UNION	SELECT 5,5,''
UNION	SELECT 6,5,''
UNION	SELECT 7,6,''
UNION	SELECT 8,6,''
UNION	SELECT 9,6,''
UNION	SELECT 10,6,''
UNION	SELECT 11,6,''
UNION	SELECT 12,6,''

--select @TAB_NAME= TAB_NAME from  #TABLES order by NUM

--INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<' + @TAB_NAME + '>'
--select * from DBO.SA_SAVED_REPORT_VIEW (37368, 3, 0, DEFAULT) T WHERE T.COL IN (3) ORDER BY T.COL


SET @Cur0 = CURSOR FORWARD_ONLY
FOR select NUM, TAB_NAME from #TABLES order by NUM
OPEN @Cur0
FETCH NEXT FROM @Cur0 INTO @TAB_NUM, @TAB_NAME
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN	
	
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<' + @TAB_NAME + '>'
		

		SET @Cur = CURSOR FORWARD_ONLY
		FOR select NUM1, TAB1_NAME from #TABLES_1 WHERE TAB_NUM = @TAB_NUM order by NUM1
		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @TAB1_NUM, @TAB1_NAME
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN	
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<' + @TAB1_NAME + '>'
					
			---    01
			IF @TAB1_NUM = 4
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) + '</>' FROM #DEP_DATA

				SET @Cur1 = CURSOR FORWARD_ONLY
				FOR select NUM, RAZDEL_NAME from #STR_2_2R WHERE TAB_NUM = @TAB1_NUM order by NUM
				OPEN @Cur1
				FETCH NEXT FROM @Cur1 INTO @RAZDEL_NUM, @RAZDEL_NAME
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN		

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<' + @RAZDEL_NAME + '>'
						
						SET @Cur2 = CURSOR FORWARD_ONLY
						FOR select NUM, BLOK_NAME from #STR_2_2B WHERE RAZDEL_NUM = @RAZDEL_NUM OR RAZDEL_NUM = @RAZDEL_NUM order by NUM
						OPEN @Cur2
						FETCH NEXT FROM @Cur2 INTO @NUM, @BLOK_NAME
						WHILE (@@fetch_status <> -1)
						BEGIN
							IF (@@fetch_status <> -2)
							BEGIN
								if @num = 19 or  @num = 20
								begin
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<' + @BLOK_NAME + '>'
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME, 
											CASE WHEN T.COL = 3 THEN SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
												 SPACE(7) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
											ELSE SPACE(7) + '<_' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + + '</_' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'
											END				
										FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, @NUM, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</' + @BLOK_NAME + '>'

								end
								else begin
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<' + @BLOK_NAME + '>'
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME, 
											CASE WHEN T.COL = 3 THEN SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
												 SPACE(7) + '<>' + CHAR(10) +
												 SPACE(8) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
											ELSE SPACE(8) + '<' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + + '</' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'
											END				
										FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, @NUM, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '</>'
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</' + @BLOK_NAME + '>'
								end
							END
							FETCH NEXT FROM @Cur2 INTO @NUM, @BLOK_NAME
						END
						CLOSE @Cur2
						DEALLOCATE @Cur2

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</' + @RAZDEL_NAME + '>'
					END
					FETCH NEXT FROM @Cur1 INTO @RAZDEL_NUM, @RAZDEL_NAME
				END
				CLOSE @Cur1
				DEALLOCATE @Cur1
			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</' + @TAB1_NAME + '>'
			end	
			FETCH NEXT FROM @Cur INTO @TAB1_NUM, @TAB1_NAME
			END
		CLOSE @Cur
		DEALLOCATE @Cur
		


		---    03
		if (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND SUMMA <> 0 ) > 0
		begin
			SET @CurI0 = CURSOR FORWARD_ONLY
			FOR select NUM1, TAB1_NAME from #TABLES_1 order by NUM1
			OPEN @CurI0
			FETCH NEXT FROM @CurI0 INTO @TAB1_NUM, @TAB1_NAME
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN	
				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<' + @TAB1_NAME + '>'


					---    03
					IF @TAB1_NUM = 4
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(TFOMS_KTI,''))) + '</>' FROM #DEP_DATA

					SET @CurI = CURSOR FORWARD_ONLY
					FOR select NUM, RAZDEL_NAME from #STR_2_2R WHERE TAB_NUM = @TAB1_NUM order by NUM
					OPEN @CurI
					FETCH NEXT FROM @CurI INTO @RAZDEL_NUM, @RAZDEL_NAME
					WHILE (@@fetch_status <> -1)
					BEGIN
						IF (@@fetch_status <> -2)
						BEGIN		

							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<' + @RAZDEL_NAME + '>'
					
							SET @CurI1 = CURSOR FORWARD_ONLY
							FOR select NUM, BLOK_NAME from #STR_2_2B WHERE RAZDEL_NUM = @RAZDEL_NUM OR RAZDEL_NUM = @RAZDEL_NUM order by NUM
							OPEN @CurI1
							FETCH NEXT FROM @CurI1 INTO @NUM, @BLOK_NAME
							WHILE (@@fetch_status <> -1)
							BEGIN
								IF (@@fetch_status <> -2)
								BEGIN
									if @num = 19 or  @num = 20
									begin
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<' + @BLOK_NAME + '>'
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,
												CASE WHEN T.COL = 3 THEN SPACE(7) + '<>' + substring(LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))),1,3) + '</>' + CHAR(10) +
													 SPACE(7) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
												ELSE SPACE(7) + '<_' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + + '</_' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'
												END				
											FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, @NUM, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</' + @BLOK_NAME + '>'
									end
									else begin
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<' + @BLOK_NAME + '>'
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME, 
												CASE WHEN T.COL = 3 THEN SPACE(7) + '<>' + substring(LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))),1,3) + '</>' + CHAR(10) +
													 SPACE(7) + '<>' + CHAR(10) +
													 SPACE(8) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
												ELSE SPACE(8) + '<' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + + '</' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'
												END				
											FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, @NUM, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '</>'
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</' + @BLOK_NAME + '>'

									end
								END
								FETCH NEXT FROM @CurI1 INTO @NUM, @BLOK_NAME
							END
							CLOSE @CurI1
							DEALLOCATE @CurI1

							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</' + @RAZDEL_NAME + '>'
						END
						FETCH NEXT FROM @CurI INTO @RAZDEL_NUM, @RAZDEL_NAME
					END
					CLOSE @CurI
					DEALLOCATE @CurI
						
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</' + @TAB1_NAME + '>'
				END
				FETCH NEXT FROM @CurI0 INTO @TAB1_NUM, @TAB1_NAME
			END
			CLOSE @CurI0
			DEALLOCATE @CurI0	
		end


		------------------------------------------------
		------------------------------------------------

		---  
		--- 2.2   2.3
		SET @CurD0 = CURSOR FORWARD_ONLY
		FOR select NUM, TAB_NAME from #TABLES1 order by NUM
		OPEN @CurD0
		FETCH NEXT FROM @CurD0 INTO @TABD_NUM, @TABD_NAME
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN	
			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<' + @TABD_NAME + '>'
				---   01
				--IF @TAB_NUM = 5
				--	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>' + LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) + '</>' FROM #DEP_DATA

				--SET @Cur = CURSOR FORWARD_ONLY
				--FOR select NUM, RAZDEL_NAME from #STR_2_2R WHERE TAB_NUM = @TAB_NUM order by NUM
				--OPEN @Cur
				--FETCH NEXT FROM @Cur INTO @RAZDEL_NUM, @RAZDEL_NAME
				--WHILE (@@fetch_status <> -1)
				--BEGIN
				--	IF (@@fetch_status <> -2)
				--	BEGIN		

				--		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<' + @RAZDEL_NAME + '>'
						
						SET @Cur = CURSOR FORWARD_ONLY
						FOR select NUM, BLOK_NAME from #STR_2_2C WHERE TAB_NUM = @TABD_NUM OR TAB_NUM = @TABD_NUM order by NUM
						OPEN @Cur
						FETCH NEXT FROM @Cur INTO @NUM, @BLOK_NAME
						WHILE (@@fetch_status <> -1)
						BEGIN
							IF (@@fetch_status <> -2)
							BEGIN
								if @num = 6 or  @num = 12
								begin
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<' + @BLOK_NAME + '>'
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME, 
											CASE WHEN T.COL = 3 THEN SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
												 SPACE(7) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
											ELSE SPACE(7) + '<_' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + + '</_' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'
											END				
										FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, @NUM, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</' + @BLOK_NAME + '>'

								end
								else begin
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<' + @BLOK_NAME + '>'
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME, 
											CASE WHEN T.COL = 3 THEN SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
												 SPACE(7) + '<>' + CHAR(10) +
												 SPACE(8) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + '</>'
											ELSE SPACE(8) + '<' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) + + '</' + LTRIM(RTRIM(CONVERT(VARCHAR(1),T.COL - 3))) + '>'
											END				
										FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, @NUM, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '</>'
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</' + @BLOK_NAME + '>'
								end
							END
							FETCH NEXT FROM @Cur INTO @NUM, @BLOK_NAME
						END
						CLOSE @Cur
						DEALLOCATE @Cur

				--		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</' + @RAZDEL_NAME + '>'
				--	END
				--	FETCH NEXT FROM @Cur INTO @RAZDEL_NUM, @RAZDEL_NAME
				--END
				--CLOSE @Cur
				--DEALLOCATE @Cur
			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</' + @TABD_NAME + '>'
			END
			FETCH NEXT FROM @CurD0 INTO @TABD_NUM, @TABD_NAME

		END
		CLOSE @CurD0
		DEALLOCATE @CurD0

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</' + @TAB_NAME + '>'

	END
	FETCH NEXT FROM @Cur0 INTO @TAB_NUM, @TAB_NAME
END
CLOSE @Cur0
DEALLOCATE @Cur0


----- 3
CREATE TABLE #INVALID (
	LINK INT, FIO VARCHAR(254), FIO2 VARCHAR(254), NUM_SPR VARCHAR(30), DATE_SPR VARCHAR(10), 
	GRP VARCHAR(25), GRP2 VARCHAR(25), PER_BEG VARCHAR(10), PER_END VARCHAR(10), 
	SM_ALL 	NUMERIC(18,2), SM_QWART NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

CREATE TABLE #TAB5 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
INSERT INTO #TAB5 (ROW_CODE, COL, SUMMA, STR_VAL)
SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

INSERT INTO #INVALID (FIO2, DATE_SPR, PER_END, SM_ALL, SM1, SM2, SM3)
SELECT DISTINCT 
	FIO2 = (SELECT TOP 1 REPLACE(STR_VAL,SPACE(1), ', ') FROM #TAB5 T WHERE T.COL = 2 AND T.ROW_CODE = T5.ROW_CODE),
	DATE_SPR = (SELECT TOP 1 STR_VAL FROM #TAB5 T WHERE T.COL = 3 AND T.ROW_CODE = T5.ROW_CODE),
	PER_END = (SELECT TOP 1 STR_VAL FROM #TAB5 T WHERE T.COL = 4 AND T.ROW_CODE = T5.ROW_CODE),
	SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 5 AND T.ROW_CODE = T5.ROW_CODE),
	SM1 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 6 AND T.ROW_CODE = T5.ROW_CODE),
	SM2 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 7 AND T.ROW_CODE = T5.ROW_CODE),
	SM3 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 8 AND T.ROW_CODE = T5.ROW_CODE)
FROM
	#TAB5 T5

DROP TABLE #TAB5

--  
DECLARE @NEXT_NUM INT
SET @NEXT_NUM = 0
UPDATE #INVALID SET @NEXT_NUM = @NEXT_NUM + 1, LINK = @NEXT_NUM

IF (SELECT COUNT(*) FROM #INVALID) > 0 -- 
	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 7, DEFAULT, DEFAULT) WHERE COL = 3 AND SUMMA <> 0) > 0 -- . .
BEGIN
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<3>'
---3_1	
	IF (SELECT COUNT(*) FROM #INVALID) > 0 -- 
	BEGIN
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_1_>'

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),(SELECT COUNT(*) FROM #INVALID)),''))) + '</>'
		UNION ALL SELECT @lcFNAME, 
			SPACE(5) + '<>'  + CHAR(10) +
				SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(LINK,0)))) + '</>' + CHAR(10) +			
				SPACE(6) + '<>'  + CHAR(10) + 
					SPACE(7) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,1,','),'  ')))) + '</>' + CHAR(10) + 		
					SPACE(7) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,2,','),'  ')))) + '</>' + CHAR(10) + 		
					SPACE(7) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,3,','),'  ')))) + '</>' + CHAR(10) + 										
				SPACE(6) + '</>'  + CHAR(10) + 
				SPACE(6) + '<>'  + CHAR(10) + 
					SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(DATE_SPR,'  '))) + '</>' + CHAR(10) +
					SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(PER_END,''))) + '</>' + CHAR(10) +
				SPACE(6) + '</>'  + CHAR(10) + 				
				SPACE(6) + '<>' + CHAR(10) +
					SPACE(7) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM_ALL,0)))) + '</>' + CHAR(10) +			
					SPACE(7) + '<1>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM1,0)))) + '</1>' + CHAR(10) +
					SPACE(7) + '<2>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM2,0)))) + '</2>' + CHAR(10) +
					SPACE(7) + '<3>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM3,0)))) + '</3>' + CHAR(10) +								
				SPACE(6) + '</>' + CHAR(10) +			
			SPACE(5) + '</>'
		FROM #INVALID
		UNION ALL SELECT @lcFNAME, 
			SPACE(5) + '<>'  + CHAR(10) + 
				SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM(SM_ALL),0)))) + '</>' + CHAR(10) +			
				SPACE(6) + '<1>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM(SM1),0)))) + '</1>' + CHAR(10) +
				SPACE(6) + '<2>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM(SM2),0)))) + '</2>' + CHAR(10) +
				SPACE(6) + '<3>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM(SM3),0)))) + '</3>' + CHAR(10) +								
			SPACE(5) + '</>'
		FROM #INVALID	

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_1_>'	

		
		---3_2---
		IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (1306, 7, DEFAULT, DEFAULT) WHERE SUMMA <> 0) > 0
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_2_>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
						 SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
					WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_1>'
					WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_2>'		
					WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_3>'
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
						 SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
					WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_1>'
					WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_2>'		
					WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_3>'
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
						 SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_>'
					WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_1>'
					WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_2>'		
					WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_3>'
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'			
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_2_>'
	END	--IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (1306, 6, 3, DEFAULT) WHERE SUMMA <> 0) > 0	

---3_3
	IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (1306, 8, DEFAULT, DEFAULT) WHERE SUMMA <> 0) > 0
	BEGIN

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_3_>'
					
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
							SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
				WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_1>'
				WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_2>'		
				WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_3>'
				END						
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
		   					SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_>'
				WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_1>'
				WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_2>'		
				WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</_3>'
				END						
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
							SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_>'
				WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_1>'
				WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_2>'		
				WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_3>'
			END						
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
					
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
							SPACE(6) + '<>' + CHAR(10) +
								SPACE(7) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 4 THEN SPACE(7) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</1>'
					WHEN 5 THEN SPACE(7) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</2>'		
					WHEN 6 THEN SPACE(7) + '<3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</3>'
				END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
		
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
		  					SPACE(6) + '<>' + CHAR(10) +
								SPACE(7) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 4 THEN SPACE(7) + '<1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</1>'
					WHEN 5 THEN SPACE(7) + '<2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</2>'		
					WHEN 6 THEN SPACE(7) + '<3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</3>'
				END						
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</>'			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>' + CHAR(10) +
							 SPACE(6) + '<_>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_>'
				WHEN 4 THEN SPACE(6) + '<_1>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_1>'
				WHEN 5 THEN SPACE(6) + '<_2>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_2>'		
				WHEN 6 THEN SPACE(6) + '<_3>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</_3>'
				END						
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, DEFAULT) T WHERE T.COL IN (3,4,5,6) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
						
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_3_>'
	END --IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (1306, 7, 3, DEFAULT) WHERE SUMMA <> 0) > 0
END --	IF (SELECT COUNT(*) FROM #INVALID) > 0 -- 
--3_4


	IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 9, DEFAULT, DEFAULT) WHERE COL = 3 AND SUMMA <> 0) > 0 -- . .
	BEGIN
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_4_>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) +
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10)
				+ SPACE(5) +'</>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3) T ORDER BY T.COL

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) +
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) 
				+ SPACE(5) +'</>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3) T ORDER BY T.COL

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,5),T.SUMMA)),''))) + '</>' + CHAR(10)
				+ SPACE(5) +'</>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 3) T ORDER BY T.COL

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) +
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10)
				+ SPACE(5) +'</>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 3) T ORDER BY T.COL

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, CASE T.COL 
				WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
				WHEN 4 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,'\  \.\  \.\    '))) + '</>'
				WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'		
				END						
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, DEFAULT) T WHERE T.COL IN (3,4,5) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_4_>'
	END	--(SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 7, D
----3_5	
	IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 10, DEFAULT, DEFAULT) WHERE COL = 4 AND SUMMA <> 0) > 0 -- . .
	BEGIN
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_5_>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, CASE T.COL 
					WHEN 1 THEN SPACE(6) + '<>' + LTRIM(RTRIM(T.ROW)) + '</>'
					WHEN 2 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'
							 + SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'
					WHEN 4 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 5 THEN	SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 20, DEFAULT, DEFAULT) T where T.ROW IN (1,2,3,4,5,6,7,8,9,10) and T.COL IN (1,2,4,5) ORDER BY T.ROW, t.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) +'</>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 6) T ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,'\  \.\  \.\    '))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, DEFAULT) T WHERE T.COL IN (3,6,7) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_5_>'
	END
----3_6	
	IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 11, DEFAULT, DEFAULT) WHERE COL = 3 AND SUMMA <> 0) > 0 -- . .
	BEGIN
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_6_>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<346_15>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) +
				+ SPACE(5) +'</346_15>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1, 3) T ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<58>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) +
				+ SPACE(5) +'</58>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2, 3) T ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(5) + 
				'<58>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ROW_CODE)) + '</>' + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>' + CHAR(10) +
				+ SPACE(5) +'</58>'
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3, 3) T ORDER BY T.COL

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_6_>'
	END
----3_7	
	IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 12, DEFAULT, DEFAULT) WHERE COL in (3,4) AND SUMMA <> 0) > 0 -- . .
	BEGIN
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_7_>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
	

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_7_>'
	END
--- 3_8
	IF (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 13, DEFAULT, DEFAULT) WHERE COL in (3,4) AND SUMMA <> 0) > 0 -- . .
	BEGIN
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3_8_>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 1, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 2, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 3, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 5, DEFAULT) T WHERE T.COL IN (3,4) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 3 THEN SPACE(6) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'
					WHEN 5 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'
					WHEN 6 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'		
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 6, DEFAULT) T WHERE T.COL IN (5,6) ORDER BY T.COL
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3_8_>'

	END
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</3>'

END --IF (SELECT COUNT(*) FROM #INVALID) > 0 OR -- . .

---_4  .12
CREATE TABLE #DONACHISL (
	LINK INT,OSN int, YEAR_D VARCHAR(4), MON int, SUM_STR NUMERIC(18,2), SUM_STR_LIM NUMERIC(18,2), SUM_NAK NUMERIC(18,2), SUM_STR_D1 NUMERIC(18,2), SUM_STR_D2 NUMERIC(18,2), SUM_MED_STR NUMERIC(18,2))

CREATE TABLE #TAB13 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
INSERT INTO #TAB13 (ROW_CODE, COL, SUMMA, STR_VAL)
SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

INSERT INTO #DONACHISL (OSN, YEAR_D, MON, SUM_STR, SUM_STR_LIM, SUM_NAK ,SUM_STR_D1 , SUM_STR_D2, SUM_MED_STR)
SELECT DISTINCT 
	OSN = (SELECT TOP 1 STR_VAL FROM #TAB13 T WHERE T.COL = 2 AND T.ROW_CODE = T13.ROW_CODE),
	YEAR_D = (SELECT TOP 1 STR_VAL FROM #TAB13 T WHERE T.COL = 3 AND T.ROW_CODE = T13.ROW_CODE),
	MON = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 4 AND T.ROW_CODE = T13.ROW_CODE),
	SUM_STR = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 5 AND T.ROW_CODE = T13.ROW_CODE),
	SUM_STR_LIM = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 6 AND T.ROW_CODE = T13.ROW_CODE),
	SUM_NAK = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 7 AND T.ROW_CODE = T13.ROW_CODE),
	SUM_STR_D1 = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 8 AND T.ROW_CODE = T13.ROW_CODE),
	SUM_STR_D2 = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 9 AND T.ROW_CODE = T13.ROW_CODE),
	SUM_MED_STR = (SELECT TOP 1 SUMMA FROM #TAB13 T WHERE T.COL = 10 AND T.ROW_CODE = T13.ROW_CODE)
FROM
	#TAB13 T13

DROP TABLE #TAB13

--  
DECLARE @NEXT_NUM1 INT
SET @NEXT_NUM1 = 0
UPDATE #DONACHISL SET @NEXT_NUM1 = @NEXT_NUM1 + 1, LINK = @NEXT_NUM1

--IF (SELECT COUNT(*) FROM #DONACHISL) > 0 -- 
--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 13, DEFAULT, DEFAULT) WHERE COL = 4 AND SUMMA <> 0) > 0 -- . .
--BEGIN

	IF (SELECT COUNT(*) FROM #DONACHISL) > 0 -- 
	BEGIN
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<4>'

		UNION ALL SELECT @lcFNAME, 
			SPACE(3) + '<>'  + CHAR(10) +
				SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(LINK,0)))) + '</>' + CHAR(10) +			
				SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(1),ISNULL(OSN,0)))) + '</>' + CHAR(10) +	
				SPACE(4) + '<>' + LTRIM(RTRIM(ISNULL(YEAR_D,''))) + '</>' + CHAR(10) + 		
				SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(2),ISNULL(MON,0)))) + '</>' + CHAR(10) + 	
				SPACE(4) +  '<>' + CHAR(10) +
					SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM_STR,0)))) + '</>' + CHAR(10) + 										
					SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM_STR_LIM,0)))) + '</>' + CHAR(10) + 										
					SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM_NAK,0)))) + '</>' + CHAR(10) +
					SPACE(5) + '<1>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM_STR_D1,0)))) + '</1>' + CHAR(10) +
					SPACE(5) + '<2>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM_STR_D2,0)))) + '</2>' + CHAR(10) +
					SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SUM_MED_STR,0)))) + '</>' + CHAR(10) +	
				SPACE(4) + '</>'  + CHAR(10) +
			SPACE(3) + '</>'
		FROM #DONACHISL				


		UNION ALL SELECT @lcFNAME, 
			SPACE(3) + '<>' + CHAR(10) +
					SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SUM_STR,0))))) + '</>' + CHAR(10) +			
					SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SUM_STR_LIM,0))))) + '</>' + CHAR(10) + 										
					SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SUM_NAK,0))))) + '</>' + CHAR(10) +
					SPACE(4) + '<1>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SUM_STR_D1,0))))) + '</1>' + CHAR(10) +
					SPACE(4) + '<2>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SUM_STR_D2,0))))) + '</2>' + CHAR(10) +
					SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SUM_MED_STR,0))))) + '</>' + CHAR(10) +
			SPACE(3) + '</>' 
		FROM #DONACHISL	

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</4>'	
	END

--end



---_5  .13_1
CREATE TABLE #STUD (
	LINK INT, FIO VARCHAR(254), FIO2 VARCHAR(254), NUM_SPR1 VARCHAR(30), DATE_SPR1 VARCHAR(10),NUM_SPR2 VARCHAR(30), DATE_SPR2 VARCHAR(10), 
	SM_ALL 	NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

CREATE TABLE #TAB14 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
INSERT INTO #TAB14 (ROW_CODE, COL, SUMMA, STR_VAL)
SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

INSERT INTO #STUD (FIO2, NUM_SPR1, DATE_SPR1,NUM_SPR2, DATE_SPR2, 
	SM_ALL, SM1, SM2, SM3 )
SELECT DISTINCT 
	FIO2 = (SELECT TOP 1 REPLACE(STR_VAL,SPACE(1), ', ') FROM #TAB14 T WHERE T.COL = 2 AND T.ROW_CODE = T14.ROW_CODE),
	NUM_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB14 T WHERE T.COL = 3 AND T.ROW_CODE = T14.ROW_CODE),
	DATE_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,2,' '))),10) FROM #TAB14 T WHERE T.COL = 3 AND T.ROW_CODE = T14.ROW_CODE),
	NUM_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB14 T WHERE T.COL = 4 AND T.ROW_CODE = T14.ROW_CODE),
	DATE_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,2,' '))),10) FROM #TAB14 T WHERE T.COL = 4 AND T.ROW_CODE = T14.ROW_CODE),
	SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB14 T WHERE T.COL = 5 AND T.ROW_CODE = T14.ROW_CODE),
	SM1 = (SELECT TOP 1 SUMMA FROM #TAB14 T WHERE T.COL = 6 AND T.ROW_CODE = T14.ROW_CODE),
	SM2 = (SELECT TOP 1 SUMMA FROM #TAB14 T WHERE T.COL = 7 AND T.ROW_CODE = T14.ROW_CODE),
	SM3 = (SELECT TOP 1 SUMMA FROM #TAB14 T WHERE T.COL = 8 AND T.ROW_CODE = T14.ROW_CODE)
FROM
	#TAB14 T14

DROP TABLE #TAB14

--  
DECLARE @NEXT_NUM2 INT
SET @NEXT_NUM2 = 0
UPDATE #STUD SET @NEXT_NUM2 = @NEXT_NUM2 + 1, LINK = @NEXT_NUM2

-- 
DECLARE @COUNT_STUD INT
set @COUNT_STUD  =  (select count(*) from #STUD ) 


--IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 14, DEFAULT, DEFAULT) WHERE COL = 5 AND SUMMA <> 0) > 0 --  
--BEGIN

IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
BEGIN
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<5>'
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(5),ISNULL(@COUNT_STUD,0)))) + '</>' 			
		UNION ALL SELECT @lcFNAME, 
			SPACE(4) + '<>' + CHAR(10) +		
				SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(5),ISNULL(link,0)))) + '</>' + CHAR(10) + 		
				SPACE(5) + '<>'  + CHAR(10) + 
					SPACE(6) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,1,','),'')))) + '</>' + CHAR(10) + 		
					SPACE(6) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,2,','),'')))) + '</>' + CHAR(10) + 		
					SPACE(6) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,3,','),'')))) + '</>' + CHAR(10) + 										
				SPACE(5) + '</>'  + CHAR(10) + 
				SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(NUM_SPR1,''))) + '</>' + CHAR(10) + 										
				SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(DATE_SPR1,''))) + '</>' + CHAR(10) + 	
				SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(NUM_SPR2,''))) + '</>' + CHAR(10) + 										
				SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(DATE_SPR2,''))) + '</>' + CHAR(10) + 										
				SPACE(5) + '<>'  + CHAR(10) + 
					SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM_ALL,0)))) + '</>' + CHAR(10) +
					SPACE(6) + '<1>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM1,0)))) + '</1>' + CHAR(10) +	
					SPACE(6) + '<2>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM2,0)))) + '</2>' + CHAR(10) +	
					SPACE(6) + '<3>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM3,0)))) + '</3>' + CHAR(10) +	
				SPACE(5) + '</>'  + CHAR(10) + 
			SPACE(4) + '</>'
		FROM #STUD				


		UNION ALL SELECT @lcFNAME, 
			SPACE(4) + '<>' + CHAR(10) +
					SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SM_ALL,0))))) + '</>' + CHAR(10) +			
					SPACE(5) + '<1>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SM1,0))))) + '</1>' + CHAR(10) +
					SPACE(5) + '<2>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SM2,0))))) + '</2>' + CHAR(10) +
					SPACE(5) + '<3>' + LTRIM(RTRIM(CONVERT(VARCHAR(20),SUM(ISNULL(SM3,0))))) + '</3>' + CHAR(10) +
			SPACE(4) + '</>' 
		FROM #STUD	

	if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 16, 1, DEFAULT) WHERE COL = 3 and str_VAL <> '' ) > 0 
	begin
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, CASE T.COL 
					WHEN 2 THEN SPACE(5) + '<>' + LTRIM(RTRIM(ISNULL(T.ROW_CODE,''))) + '</>'  + CHAR(10) +
								SPACE(5) + '<>'
						WHEN 3 THEN SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>'
						WHEN 4 THEN	SPACE(6) + '<>'+ LTRIM(RTRIM(ISNULL(T.STR_VAL,''))) + '</>' + CHAR(10) +	
								SPACE(5) + '</>'
					END						
				FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, DEFAULT) T WHERE T.COL IN (2,3,4) ORDER BY T.COL
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'
	end

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</5>'	
END

--end

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
SELECT @lcFNAME, 
	SPACE(3) + '<>1</>' + CHAR(10) +
	SPACE(3) + '<>' + CHAR(10) +
		SPACE(4) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(O.FM,'')))) + '</>'  + CHAR(10) +
		SPACE(4) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(O.IM,'')))) + '</>'  + CHAR(10) +
		SPACE(4) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(O.OT,'')))) + '</>' + CHAR(10) +
	SPACE(3) + '</>' + CHAR(10) +
	SPACE(3) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(d.FULL_NAME,'')))) + '</>' + CHAR(10) +
	SPACE(3) + '<>' + CHAR(10) +
		SPACE(4) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(F.NAME,'')))) + '</>'  + CHAR(10) +
		SPACE(4) + '<>' + case when f.code='21' then substring(p.doc_num,1,2) else ' ' end + '</>'  + CHAR(10) +
		SPACE(4) + '<>' + case when f.code='21' then substring(p.doc_num,4,2) else ' ' end + '</>' + CHAR(10) +
		SPACE(4) + '<>' + case when f.code='21' then substring(p.doc_num,7,7) else ' ' end + '</>'  + CHAR(10) +
		SPACE(4) + '<>' + LTRIM(RTRIM(ISNULL(convert(varchar(10),p.doc_date,104),''))) + '</>' + CHAR(10) +
		SPACE(4) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(p.DOC_WHOM,'')))) + '</>' + CHAR(10) +
	SPACE(3) + '</>' 
FROM dbo.GetOtvFaceData(@LINK_DEP, '') O
inner join EMPL e on e.link = o.link_empl
inner join PERSON p on p.link = e.pers_link
inner join FACE_DOCUMENT f on f.link = p.doc_link
inner join DICTIONARY_DEPARTMENT d on d.link = @LINK_DEP


INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
SELECT @lcFNAME, SPACE(3) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),@modify_date,104),''))) + '</>'

--
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(2) + '</_______________2013_>'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
  UNION ALL SELECT @lcFNAME, SPACE(0) + '</>'	

SET NOCOUNT OFF

select * from #OUTPUT order by [ID]








GO


GRANT EXECUTE ON dbo.[SA_RSV1_EXPORT_0700_2013] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[sa_ssch_empls]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[sa_ssch_empls]

GO
CREATE FUNCTION dbo.sa_ssch_empls(
	@BDate datetime,
	@EDate	datetime,
	@DEP_LINK int = NULL,
	@sex tinyint = 0, -- 0 , 1 -  , 2 -  
	@status tinyint = 1, --0 -    , 1-  , 3 -   
	@invalid tinyint = 0, -- 0 , 1  , 2 -      
	@BUFFER_SUBDIV VARCHAR(20) = NULL -- ,   	
	)
/*  */
RETURNS numeric(18,2)
AS  
BEGIN 
	DECLARE @Res numeric(18,2) 

	SET @DEP_LINK = COALESCE(@DEP_LINK,(SELECT TOP 1 DEP_LINK FROM dbo.USER_DEP))
	
	DECLARE @INV TABLE (DATE DATETIME, PERS_LINK INT)

	IF @invalid = 0 
		Set @Res = --
		Coalesce(Round((
			SELECT (SUM(SSCH)/COUNT(SSCH))
			FROM
				(
					Select SSCH = sum(cnt_empl) / DAY(dbo.DATEENDOFMONTH(dbo.ConvertDMY2Date(1,M,Y)))
					from
					(	
						Select cnt_empl = sum( CONVERT(NUMERIC(18,2),ssch) ), Y = YEAR(DATE), M = MONTH(DATE)
						FROM 
							dbo.empl e
							inner join dbo.person p on p.link = e.pers_link					
							inner join (select * from dbo.ku_EmplsInPeriod0(@BDate,@EDate, @DEP_LINK, 0, 0) group by date, empl_link,status, sch,ssch,comment) s on  e.link = s.empl_link                                  
							INNER JOIN dbo.SA_EMPLS_INFO_PERIOD(@BDate,@EDate, DEFAULT, @DEP_LINK) EI ON S.EMPL_LINK = EI.EMPL_LINK AND S.[DATE] BETWEEN EI.PERIOD_BEG AND EI.PERIOD_END
						where
							(@sex = 0 or (@sex <> 0 and sex = @sex))
							and
							((@status = 0 and S.[status] <> 2) or (@status in (1,3) and S.[status] = @status))
							and
							e.dep_link = @DEP_LINK
							AND
							(
								@BUFFER_SUBDIV IS NULL
								OR 
								@BUFFER_SUBDIV IS NOT NULL AND EI.SUBDIV_LINK IN (SELECT B.LINK FROM dbo.BUFFER B WHERE B.ID = @BUFFER_SUBDIV)
							)
						group by
							s.date
					) as A
					GROUP BY Y, M
				) AS B
		),2),0)

	IF @invalid = 1 
		Set @Res = --   
		Coalesce(Round((
			SELECT (SUM(SSCH)/COUNT(SSCH))
			FROM
				(
					Select SSCH = sum(cnt_empl) / DAY(dbo.DATEENDOFMONTH(dbo.ConvertDMY2Date(1,M,Y)))
					from
					(	
						Select cnt_empl = sum( CONVERT(NUMERIC(18,2),ssch) ), Y = YEAR(DATE), M = MONTH(DATE)
						FROM 
							dbo.pers_invalid I
							inner join dbo.person p on I.pers_link = P.link
							inner join dbo.empl e on p.link = e.pers_link
							inner join dbo.ku_EmplsInPeriod0(@BDate,@EDate, @DEP_LINK, 0, 0) s on e.link = s.empl_link and s.[date] between I.DATE_BEGIN AND ISNULL(I.DATE_END,@EDate)
							INNER JOIN dbo.SA_EMPLS_INFO_PERIOD(@BDate,@EDate, DEFAULT, @DEP_LINK) EI ON S.EMPL_LINK = EI.EMPL_LINK AND S.DATE BETWEEN EI.PERIOD_BEG AND EI.PERIOD_END
						where
							(@sex = 0 or (@sex <> 0 and sex = @sex))
							and
							((@status = 0 and S.[status] <> 2) or (@status in (1,3) and S.[status] = @status))
							and
							e.dep_link = @DEP_LINK
							and
							I.DATE_BEGIN <= @EDate
							and isnull(I.DATE_END, @EDate) >= @BDate
							AND
							(
								@BUFFER_SUBDIV IS NULL
								OR 
								@BUFFER_SUBDIV IS NOT NULL AND EI.SUBDIV_LINK IN (SELECT B.LINK FROM dbo.BUFFER B WHERE B.ID = @BUFFER_SUBDIV)
							)					
						group by
							s.date
					) as A
					GROUP BY Y, M
				) AS B			
		),2),0)

	IF @invalid = 2 --    
	BEGIN
		DECLARE @FAKTOR TABLE (LINK INT)

		INSERT INTO @FAKTOR (LINK)
		SELECT DISTINCT EMPL_LINK
		FROM 
			dbo.STAFF_HEAD H
			INNER JOIN dbo.STAFF S ON S.LINK_UP = H.LINK
			INNER JOIN dbo.sa_item_move im ON H.LINK = IM.STAFF_LINK
		where
			H.DEP_LINK = @DEP_LINK
			AND
			(ISNULL(TERR_USL_TRUD,0) <> 0 OR ISNULL(TERR_RK,0) <> 0 OR ISNULL(OSOB_USL_TRUD,0) <> 0 OR ISNULL(COD_POS_SPISOK,0) <> 0 OR ISNULL(COD_POS_SPISOK2,0) <> 0 OR ISNULL(USL_DOSROCH_PENS,0) <> 0 OR ISNULL(STAVKA_PED_MED,0) <> 0)
			AND
			im.DATE_BEGIN <= @EDate and im.DATE_END3 >= @BDate
			and 
			S.DATE_BEGIN <= @EDate and S.DATE_END >= @BDate
	
		Set @Res = --     
		Coalesce(Round((
			SELECT (SUM(SSCH)/COUNT(SSCH))
			FROM
				(
					Select SSCH = sum(cnt_empl) / DAY(dbo.DATEENDOFMONTH(dbo.ConvertDMY2Date(1,M,Y)))
					from
					(	
						Select cnt_empl = sum( CONVERT(NUMERIC(18,2),ssch) ), Y = YEAR(DATE), M = MONTH(DATE)
						FROM 
							@FAKTOR F 	
							inner join dbo.empl e on F.LINK = e.LINK
							INNER JOIN dbo.PERSON P ON P.LINK = E.PERS_LINK
							inner join dbo.ku_EmplsInPeriod0(@BDate,@EDate, @DEP_LINK, 0, 0) s on e.link = s.empl_link
							INNER JOIN dbo.SA_EMPLS_INFO_PERIOD(@BDate,@EDate, DEFAULT, @DEP_LINK) EI ON S.EMPL_LINK = EI.EMPL_LINK AND S.DATE BETWEEN EI.PERIOD_BEG AND EI.PERIOD_END
						where
							(@sex = 0 or (@sex <> 0 and sex = @sex))
							and
							((@status = 0 and S.[status] <> 2) or (@status in (1,3) and S.[status] = @status))
							and
							e.dep_link = @DEP_LINK
							AND
							(
								@BUFFER_SUBDIV IS NULL
								OR 
								@BUFFER_SUBDIV IS NOT NULL AND EI.SUBDIV_LINK IN (SELECT B.LINK FROM dbo.BUFFER B WHERE B.ID = @BUFFER_SUBDIV)
							)					
						group by
							s.date
					) as A
					GROUP BY Y, M
				) AS B			
		),2),0)
	END					

	RETURN @Res
END




GO


GRANT EXECUTE ON dbo.[sa_ssch_empls] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_SVOD2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_SVOD2]

GO

/*
  (Keysystems), 2005
*/
--[dbo].SD_REP_SVOD2 '20081001', '20081031', 1, 0, '', 0, '', 0
CREATE    PROCEDURE dbo.SD_REP_SVOD2
	@varKSstart_date DATETIME, @varKSEND_DATE DATETIME,	
	@varKSnMode int,
	@varKSnMode1 int, --    	 ( ,    ..)						
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int	
AS
BEGIN

	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	CREATE TABLE #EMPLS(LINK_EMPL INT)
	IF LEN(@varKScVal1) <> 0 
		INSERT INTO #EMPLS
		SELECT RECORD FROM OBJECT_VAR_EMPL WHERE LINK_UP = @varKSnOtborLink1
	ELSE
		INSERT INTO #EMPLS
		SELECT E.LINK FROM dbo.EMPL E where E.DEP_LINK = @DEP_LINK
				

	SELECT -- 
		SJC.LINK_PAYS,
		SJC.TYP_OPER, 
		[CODE] = SJC.CODE_PAYS,
		[NAME] = SJC.NAME_PAYS,
		[HOURS] = SUM(SJC.HOURS),
		[DAYS] = SUM(SJC.DAYS),
		[SUM_PAY] = SUM(CASE WHEN SJC.TYP_OPER = 1 OR SJC.TYP_OPER = 3 THEN SJC.SUMMA ELSE 0 END),
		[SUM_TAX] = SUM(CASE WHEN SJC.TYP_OPER = 2 THEN SJC.SUMMA ELSE 0 END),
		COALESCE(EKR.CODE,'') as EKR_CODE,
		LINK_KAT = CASE when @varKSnMode1 = 1	then sp.link else  0 end,
		NAME_KAT = CASE when @varKSnMode1 = 1	then sp.NAME else  '' end,	
		CODE_KAT = CASE when @varKSnMode1 = 1	then sp.CODE else  '' end	
	INTO #TMP
	FROM dbo.S_J_C_Short SJC inner join #EMPLS E on SJC.LINK_EMPL = E.LINK_EMPL
		inner join dbo.kosgu EKR on EKR.link = LINK_EKR

		INNER JOIN dbo.SAL_SFIN F ON F.LINK = sjc.LINK_VKR
		LEFT JOIN dbo.pers_invalid I ON sjc.LINK_FACE = I.PERS_LINK AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,month(@varKSEND_DATE),year(@varKSEND_DATE))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
		left join dbo.SA_PFR_KATEG sp on  (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)	= sp.link2 	 and sp.yEND >= year(@varKSEND_DATE)	
	WHERE 
		SJC.LINK_DEP = @DEP_LINK
		AND SJC.PERIOD_BEGIN >= @varKSstart_date 
		AND SJC.PERIOD_END <= @varKSEND_DATE
		AND ( (@varKSnMode = 1 AND TYP_OPER <3 ) OR (@varKSnMode = 2 AND TYP_OPER = 3))
		AND (
			LEN(@varKScVal2) = 0
			OR SJC.LINK_VKR IN (SELECT RECORD FROM dbo.OBJECT_VAR_SAL_SFIN WHERE LINK_UP = @varKSnOtborLink2 )
		)
		
	GROUP BY LINK_PAYS, TYP_OPER, CODE_PAYS, NAME_PAYS, COALESCE(EKR.CODE,''), (case when @varKSnMode1 = 1 then sp.link else 0 end) , (case when @varKSnMode1 = 1 then sp.NAME else  '' end) ,(case when @varKSnMode1 = 1 then sp.CODE else  '' end)  
	UNION
	SELECT -- 
		LINK_PAYS,
		TYP_OPER, 
		[CODE] = CODE_PAYS,
		[NAME] = NAME_PAYS,
		[HOURS] = SUM(HOURS),
		[DAYS] = SUM(DAYS),
		[SUM_PAY] = SUM(CASE WHEN TYP_OPER = 1 OR TYP_OPER = 3 THEN SUMMA ELSE 0 END),
		[SUM_TAX] = SUM(CASE WHEN TYP_OPER = 2 THEN SUMMA ELSE 0 END),
		COALESCE(EKR.CODE,'') as EKR_CODE,
		LINK_KAT = (CASE when @varKSnMode1 = 1	then sp.link else  0 end),
		NAME_KAT = CASE when @varKSnMode1 = 1	then sp.NAME else  '' end,
		CODE_KAT = CASE when @varKSnMode1 = 1	then sp.CODE else  '' end		
	FROM S_J_C_Short SJC inner join dbo.kosgu EKR on EKR.link = LINK_EKR
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = sjc.LINK_VKR
		LEFT JOIN dbo.pers_invalid I ON sjc.LINK_FACE = I.PERS_LINK AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,SJC.MONTH_END,SJC.MONTH_END)) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
		left join dbo.SA_PFR_KATEG sp on  (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)	= sp.link2 	 and sp.yEND >= year(@varKSEND_DATE)	
	WHERE 
		SJC.LINK_DEP = @DEP_LINK
		AND COALESCE(SJC.LINK_EMPL,0) = 0 AND COALESCE(SJC.LINK_FACE,0) = 0 AND COALESCE(SJC.PERS_LINK,0) <> 0
		AND SJC.PERIOD_BEGIN >= @varKSstart_date 
		AND SJC.PERIOD_END <= @varKSEND_DATE
		AND ( (@varKSnMode = 1 AND TYP_OPER <3 ) OR (@varKSnMode = 2 AND TYP_OPER = 3))
		AND (
			LEN(@varKScVal2) = 0
			OR SJC.LINK_VKR IN (SELECT RECORD FROM dbo.OBJECT_VAR_SAL_SFIN WHERE LINK_UP = @varKSnOtborLink2 )
		)
		AND LEN(@varKScVal1) = 0 
	GROUP BY LINK_PAYS, TYP_OPER, CODE_PAYS, NAME_PAYS, COALESCE(EKR.CODE,''), (case when @varKSnMode1 = 1 then sp.link else 0 end) , (case when @varKSnMode1 = 1 then sp.NAME else  '' end) ,(case when @varKSnMode1 = 1 then sp.CODE else  '' end)  
	UNION
	SELECT --
		LINK_PAYS,
		TYP_OPER, 
		[CODE] = CODE_PAYS,
		[NAME] = NAME_PAYS,
		[HOURS] = 0,
		[DAYS] = 0,
		[SUM_PAY] = SUM(CASE WHEN TYP_OPER = 1 OR TYP_OPER = 3 THEN SUMMA ELSE 0 END),
		[SUM_TAX] = SUM(CASE WHEN TYP_OPER = 2 THEN SUMMA ELSE 0 END),
		COALESCE(EKR.CODE,'') as EKR_CODE,
		LINK_KAT = CASE when @varKSnMode1 = 1	then sp.link else 0 end,
		NAME_KAT = CASE when @varKSnMode1 = 1	then sp.NAME else '' end,
		CODE_KAT = CASE when @varKSnMode1 = 1	then sp.CODE else '' end	
	FROM S_J_C_Short SJC inner join dbo.kosgu EKR on EKR.link = LINK_EKR
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = sjc.LINK_VKR
		LEFT JOIN dbo.pers_invalid I ON I.PERS_LINK = (select top 1 link_pers from SDOC_DOT_SKIDKI_FIO  where LINK =   SJC.LINK_DOC and LINK_VKR = sjc.LINK_VKR and LINK_EKR = SJC.LINK_EKR) AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,month( @varKSEND_DATE),year( SJC.MONTH_END))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
		left join SA_PFR_KATEG sp on  (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)	= sp.link2 and SJC.YEAR_END <=  sp.YEND and SJC.YEAR_END >= sp.YBEG   /*and sp.CODE like '%'   */  
	WHERE
		SJC.LINK_DEP = @DEP_LINK 
		AND COALESCE(SJC.LINK_EMPL,0) = 0 AND COALESCE(SJC.LINK_FACE,0) = 0 AND COALESCE(SJC.PERS_LINK,0) = 0 
		AND SJC.PERIOD_BEGIN >= @varKSstart_date 
		AND SJC.PERIOD_END <= @varKSEND_DATE
		AND @varKSnMode = 2 
		AND TYP_OPER = 3
		AND (
			LEN(@varKScVal2) = 0
			OR SJC.LINK_VKR IN (SELECT RECORD FROM dbo.OBJECT_VAR_SAL_SFIN WHERE LINK_UP = @varKSnOtborLink2 )
		)
	GROUP BY LINK_PAYS, TYP_OPER, CODE_PAYS, NAME_PAYS, COALESCE(EKR.CODE,'') , (case when @varKSnMode1 = 1 then sp.link else 0 end) , (case when @varKSnMode1 = 1 then sp.NAME else  '' end) ,(case when @varKSnMode1 = 1 then sp.CODE else  '' end)  

	-----
	DECLARE @SALARY_PROV_OPT4 TINYINT
	SET @SALARY_PROV_OPT4 = dbo.sa_get_option_by_code('SALARY_PROV_OPT4')
	
	SELECT 
		LINK_PAYS,
		[TYP_OPER], 
		[CODE],
		[NAME],
		[EKR] =  CASE WHEN TYP_OPER = 3 THEN
							CASE WHEN @SALARY_PROV_OPT4 = 0 THEN 
									CASE WHEN ISNULL(EKR_CODE,'213') = '211' THEN '213' ELSE ISNULL(EKR_CODE,'213') END
								ELSE 
									CASE WHEN ISNULL(EKR_CODE,'213') IN ('211', '212') THEN '213' ELSE ISNULL(EKR_CODE,'213') END
							END
						ELSE EKR_CODE
					END, 	
		[HOURS] = SUM(HOURS),
		[DAYS] = SUM(DAYS),
		[SP] = SUM(SUM_PAY),
		[SUM_TAX] = SUM(SUM_TAX),
		[SUM_PAY] = SUM(SUM_PAY),
		LINK_KAT ,
		NAME_KAT,
		CODE_KAT
	INTO #RES
	FROM #TMP 
	GROUP BY
		LINK_PAYS, 
		TYP_OPER, 
		[CODE],
		[NAME],
		[EKR_CODE],
		LINK_KAT,
		NAME_KAT,
		CODE_KAT
	ORDER BY TYP_OPER, CODE, EKR

	Select LINK_PAYS, TYP_OPER, CODE, [NAME], HOURS = sum(HOURS), DAYS = sum(DAYS), SUM_PAY= sum(SUM_PAY), SUM_TAX= sum(SUM_TAX),LINK_KAT ,	NAME_KAT, CODE_KAT
	into #RES1
	from #RES
	GROUP by LINK_PAYS, TYP_OPER, CODE, [NAME],LINK_KAT ,	NAME_KAT, CODE_KAT

	DECLARE @varKSTABLE_N VARCHAR(100)
	DECLARE @varKSTABLE_U VARCHAR(100)
	EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT
	SET @varKSTABLE_U = @varKSTABLE_N + '1'

	DECLARE @varKSCNT_N INT
	SELECT @varKSCNT_N = COUNT(DISTINCT EKR) FROM #RES 

		EXEC M_CROSS_TABLE
			'LINK_PAYS,LINK_KAT', 
			'EKR', 'VARCHAR(3)', 
			'SP', 'NUMERIC(20,2)', 'SUM(SP) AS SP',
			'#RES', @varKSTABLE_N

		if @varKSnMode1 = 1
			EXEC (' SELECT R.TYP_OPER, R.CODE, R.NAME, R.NAME_KAT, R.CODE_KAT, R.HOURS, R.DAYS,  R.SUM_PAY, R.SUM_TAX, N.* FROM #RES1 R left join ' + @varKSTABLE_N + ' N ON N.LINK_PAYS  =R.LINK_PAYS and N.LINK_KAT  =R.LINK_KAT 
					order by R.NAME_KAT, R.TYP_OPER, R.CODE,R.NAME ')
		else 
			EXEC (' SELECT R.TYP_OPER, R.CODE, R.NAME, R.NAME_KAT, R.CODE_KAT, R.HOURS, R.DAYS,  R.SUM_PAY, R.SUM_TAX, N.* FROM #RES1 R left join ' + @varKSTABLE_N + ' N ON N.LINK_PAYS  =R.LINK_PAYS and N.LINK_KAT  =R.LINK_KAT 
					order by  R.TYP_OPER, R.CODE, R.NAME ')
END






GO


GRANT EXECUTE ON dbo.[SD_REP_SVOD2] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV4_EXPORT_PFR_700_10]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV4_EXPORT_PFR_700_10]

GO

CREATE      PROCEDURE [dbo].SZV4_EXPORT_PFR_700_10 (
@buffer varchar(20)  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK FROM dbo.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER AND SID = SUSER_SID()

CREATE TABLE #SPV_ONLY(DOC_LINK INT , SPV_ONLY TINYINT )	
insert into #SPV_ONLY(DOC_LINK, SPV_ONLY)
select 
	doc_link = d.link,
	SPV_ONLY = (SELECT TOP 1 [type] FROM dbo.SA_SZV4_PACHKA WHERE link = d.Link)
from #DOC d


--  
CREATE TABLE #ADV63 (
	LINK_PU int,
	[YEAR] NUMERIC(4),
	[NGROUP] NUMERIC(5),
	[DOCCOUNT] int,
	PERS_CNT int,
	[cGRP] varchar(5),
	[OPT1] tinyint,
	[OPT2] tinyint,
	[OPT3] tinyint,
	[OPT4] tinyint,
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	REG_NOM_PF varchar(20),
	[PFNUMBER] VARCHAR(20),
	DEP_NAME VARCHAR(254),
	OKPO VARCHAR(40),
	INN VARCHAR(12),
	KPP VARCHAR(9),
	CODE VARCHAR(20),
	[PER] TINYINT,
	[PER10] TINYINT,
	[TYPE] TINYINT, 	
	[PER_EDT] TINYINT,
	[YEAR_EDT] INT,
	DATE_CRT datetime,
	DATE_DOC datetime,
	SZV TINYINT )	

CREATE TABLE #SZV61 (
	LINK_PU int,
	[YEAR] int,
	INN VARCHAR(12),
	KPP VARCHAR(9),
	OKPO VARCHAR(40),
	CODE VARCHAR(30),
	[PER] TINYINT,
	[PER10] TINYINT,
	[TYPE] TINYINT,
	[PER_EDT] TINYINT,
	[YEAR_EDT] DATETIME,
	[ID] int,
	[NGROUP] int,
	[PF_NUM] VARCHAR(20),
	[FIO] VARCHAR(254),
	[FM] VARCHAR(100),
	[IM] VARCHAR(100),
	[OT] VARCHAR(100),
	[ADDRESS] VARCHAR(254),
	[ADDRESS2] VARCHAR(254),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	[DOP] numeric(18,2),
	[ID_EX] int,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] varchar(254),
	dper_vn_m numeric(10,2),
	dper_vn_d numeric(10,2),
	[STR_VAC2] varchar(254),
	dper_oz_m numeric(10,2),
	dper_oz_d numeric(10,2),
	[TU_CODE] varchar(254),
	ter_usl varchar(254),
	ter_koef numeric(10,2),
	[OS_CODE] varchar(254),
	osob_usl varchar(254),
	osob_spis varchar(254),
	[EX_CODE] varchar(254),
	is_dop_m numeric(10,2), 
	is_dop_d numeric(10,2),
	is_dop varchar(254),
	f_is_dop varchar(254),
	[P_CODE] varchar(254),
	ud_dop_m numeric(10,2),
	ud_dop_d numeric(10,2),
	ud_dop_k numeric(10,2),
	f_ud_dop varchar(254),
	REG_NOM_PF varchar(20),
	PFNUMBER varchar(20), 
	DEP_NAME varchar(254),
	DATE_CRT datetime,
	DATE_DOC datetime )


CREATE TABLE #SZV62 (
	LINK_PU int,
	[YEAR] int, 
	INN VARCHAR(12),
	KPP VARCHAR(9),
	OKPO VARCHAR(40),
	REG_NOM_PF varchar(20),
	CODE VARCHAR(30),
	[TYPE] TINYINT,
	[PER] TINYINT,
	[PER10] TINYINT,
	[PER_EDT] TINYINT,
	[YEAR_EDT] DATETIME,
	[CNT] int,
	[ID] int,
	[NGROUP] int,
	[NDOC] int,
	[FIO] VARCHAR(254),
	[FM] VARCHAR(100),
	[IM] VARCHAR(100),
	[OT] VARCHAR(100),
	[ADDRESS] VARCHAR(254),
	[ADDRESS2] VARCHAR(254),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	PFNUMBER varchar(20), 
	DEP_NAME varchar(254),
	DATE_CRT datetime,
	DATE_DOC datetime )
---
CREATE TABLE #SPV1 (
	LINK_PU int,
	[YEAR] int,
	INN VARCHAR(12),
	KPP VARCHAR(9),
	OKPO VARCHAR(40),
	CODE VARCHAR(20),
	[PER] TINYINT,
	[PER10] TINYINT,
	[TYPE] TINYINT,
	[ID] int,
	[NGROUP] int,
	[PF_NUM] VARCHAR(20),
	[FIO] VARCHAR(254),
	[FM] VARCHAR(100),
	[IM] VARCHAR(100),
	[OT] VARCHAR(100),
	[ADDRESS] VARCHAR(254),
	[ADDRESS2] VARCHAR(254),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	[ID_EX] int,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] varchar(254),
	dper_vn_m numeric(10,2),
	dper_vn_d numeric(10,2),
	[STR_VAC2] varchar(254),
	dper_oz_m numeric(10,2),
	dper_oz_d numeric(10,2),
	[TU_CODE] varchar(254),
	ter_usl varchar(254),
	ter_koef numeric(10,2),
	[OS_CODE] varchar(254),
	osob_usl varchar(254),
	osob_spis varchar(254),
	[EX_CODE] varchar(254),
	is_dop_m numeric(10,2), 
	is_dop_d numeric(10,2),
	is_dop varchar(254),
	f_is_dop varchar(254),
	[P_CODE] varchar(254),
	ud_dop_m numeric(10,2),
	ud_dop_d numeric(10,2),
	ud_dop_k numeric(10,2),
	f_ud_dop varchar(254),
	PFNUMBER varchar(20), 
	REG_NOM_PF varchar(20),
	DEP_NAME varchar(254),
	DATE_CRT datetime,
	DATE_DOC datetime,
	DD INT, MM varchar(10), YY INT
	 )


CREATE TABLE #PERS_INFO2 (
	LINK_PU int,
	[YEAR] int,
	INN VARCHAR(12),
	KPP VARCHAR(9),
	OKPO VARCHAR(40),
	CODE VARCHAR(30),
	[PER] TINYINT,
	[PER10] TINYINT,
	[TYPE] TINYINT,
	[PER_EDT] TINYINT,
	[YEAR_EDT] DATETIME,
	[ID] int,
	[NGROUP] int,
	[PF_NUM] VARCHAR(20),
	[FIO] VARCHAR(254),
	[FM] VARCHAR(100),
	[IM] VARCHAR(100),
	[OT] VARCHAR(100),
	[ADDRESS] VARCHAR(254),
	[ADDRESS2] VARCHAR(254),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	[DOP] numeric(18,2),
	[ID_EX] int,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] varchar(254),
	dper_vn_m numeric(10,2),
	dper_vn_d numeric(10,2),
	[STR_VAC2] varchar(254),
	dper_oz_m numeric(10,2),
	dper_oz_d numeric(10,2),
	[TU_CODE] varchar(254),
	ter_usl varchar(254),
	ter_koef numeric(10,2),
	[OS_CODE] varchar(254),
	osob_usl varchar(254),
	osob_spis varchar(254),
	[EX_CODE] varchar(254),
	is_dop_m numeric(10,2), 
	is_dop_d numeric(10,2),
	is_dop varchar(254),
	f_is_dop varchar(254),
	[P_CODE] varchar(254),
	ud_dop_m numeric(10,2),
	ud_dop_d numeric(10,2),
	ud_dop_k numeric(10,2),
	f_ud_dop varchar(254),
	REG_NOM_PF varchar(20),
	PFNUMBER varchar(20), 
	DEP_NAME varchar(254),
	DATE_CRT datetime,
	DATE_DOC datetime )


--        
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old int

set @link_doc_old = 0
SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN

			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
			INSERT INTO #ADV63 (YEAR, NGROUP,DOCCOUNT,PERS_CNT,cGRP,OPT1,OPT2,OPT3,OPT4,INSUR,
								INSUR1,GAIN,GAIN1,REG_NOM_PF,DEP_NAME,OKPO,INN,KPP,CODE,PER,PER10,
								TYPE,PER_EDT,YEAR_EDT,DATE_CRT,DATE_DOC,SZV)
			exec dbo.SZV4_PRINT_ADV63 @LINK_DOC 

			UPDATE #ADV63 SET link_pu = @LINK_DOC FROM #ADV63 WHERE LINK_PU IS NULL 

					--*-*    
			if @link_doc_old <> @LINK_DOC
			begin
				UPDATE #ADV63 SET NGROUP = NGROUP + 1  FROM #ADV63 WHERE LINK_PU = @LINK_DOC
				UPDATE #ADV63 SET cGRP = REPLACE(str((cGRP + 1),5),' ','0')  FROM #ADV63 WHERE LINK_PU = @LINK_DOC
			end
		
			--    
			UPDATE #ADV63 SET PFNUMBER =  case when LEN(RTRIM(LTRIM(COALESCE(REG_NOM_PF,'')))) < 14 AND link_pu = @LINK_DOC then REPLACE(SPACE(14),'              ','000-000-000000') else  REG_NOM_PF end 			
			

			---  #SZV61
			IF ( SELECT top 1 SPV_ONLY FROM #SPV_ONLY WHERE DOC_LINK = @LINK_DOC) = 1
			BEGIN
				INSERT INTO #SZV61([YEAR],INN,KPP,OKPO,CODE,[PER],[PER10],[TYPE],[PER_EDT],[YEAR_EDT],[ID],[NGROUP],[PF_NUM],[FIO],[FM],
									[IM],[OT],[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],[DOP],[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],	
									dper_vn_m,dper_vn_d,[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,[OS_CODE],osob_usl,osob_spis,
									[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,PFNUMBER,DEP_NAME,DATE_CRT,DATE_DOC)
				exec dbo.SZV4_PRINT_SZV61 @LINK_DOC 
	
				UPDATE #SZV61 SET link_pu = @LINK_DOC FROM #SZV61 WHERE LINK_PU IS NULL 
						--*-*    
				if @link_doc_old <> @LINK_DOC
				begin
					UPDATE #SZV61 SET NGROUP = NGROUP + 1  FROM #SZV61 WHERE LINK_PU = @LINK_DOC
				end
			
				update #SZV61 set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2), f_is_dop = UPPER(f_is_dop) FROM #SZV61 WHERE link_pu = @LINK_DOC
			
				---  #SZV62
				INSERT INTO #SZV62(YEAR,INN,KPP,OKPO,REG_NOM_PF,CODE,TYPE,PER,PER10,PER_EDT,YEAR_EDT,CNT,ID,NGROUP,NDOC,FIO,FM,IM,OT,ADDRESS,
									ADDRESS2,INSUR,INSUR1,GAIN,GAIN1,DATE_BEGIN,DATE_END,PFNUMBER,DEP_NAME,DATE_CRT,DATE_DOC)
				exec dbo.SZV4_PRINT_SZV62 @LINK_DOC
				
				UPDATE #SZV62 SET link_pu = @LINK_DOC FROM #SZV62 WHERE LINK_PU IS NULL 			
						--*-*    
				if @link_doc_old <> @LINK_DOC
				begin
					UPDATE #SZV62 SET NGROUP = NGROUP + 1  FROM #SZV62 WHERE LINK_PU = @LINK_DOC
				end
								
				update #SZV62 set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) FROM #SZV62  WHERE link_pu = @LINK_DOC
		
			END

			---  #PERS_INFO2
			INSERT INTO #PERS_INFO2 (LINK_PU ,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [TYPE], [PER_EDT], [YEAR_EDT],
									[ID], [NGROUP], [PF_NUM], [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
									[INSUR], [INSUR1], [GAIN], [GAIN1], [DOP], [ID_EX], [DATE_BEGIN], [DATE_END],
									[STR_DIS], dper_vn_m, dper_vn_d, [STR_VAC2], dper_oz_m, dper_oz_d,
									[TU_CODE], ter_usl, ter_koef,
									[OS_CODE], osob_usl, osob_spis, 
									[EX_CODE], is_dop_m, is_dop_d, is_dop, f_is_dop,
									[P_CODE], ud_dop_m, ud_dop_d, ud_dop_k, f_ud_dop,REG_NOM_PF,
									PFNUMBER, DEP_NAME, DATE_CRT, DATE_DOC) 
			SELECT * FROM #SZV61	WHERE link_pu = @LINK_DOC		
			

			IF ( SELECT top 1 SPV_ONLY FROM #SPV_ONLY WHERE DOC_LINK = @LINK_DOC) = 1
			BEGIN
				--  #PERS_INFO2
				INSERT INTO #PERS_INFO2(LINK_PU,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [TYPE], [PER_EDT], [YEAR_EDT],
										[ID], [NGROUP], [PF_NUM], [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
										[INSUR], [INSUR1], [GAIN], [GAIN1], [DOP], [ID_EX], [DATE_BEGIN], [DATE_END],
										[STR_DIS], dper_vn_m, dper_vn_d, [STR_VAC2], dper_oz_m, dper_oz_d,
										[TU_CODE], ter_usl, ter_koef,
										[OS_CODE], osob_usl, osob_spis, 
										[EX_CODE], is_dop_m, is_dop_d, is_dop, f_is_dop,
										[P_CODE], ud_dop_m, ud_dop_d, ud_dop_k, f_ud_dop,
										PFNUMBER, DEP_NAME, DATE_CRT, DATE_DOC)
				SELECT	LINK_PU,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [TYPE], [PER_EDT], [YEAR_EDT],
						[ID], [NGROUP], [PF_NUM] = PFNUMBER, [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
						[INSUR], [INSUR1], [GAIN], [GAIN1], [DOP] = 0, [ID_EX]=1, [DATE_BEGIN], [DATE_END],
						[STR_DIS]=NULL, dper_vn_m=NULL, dper_vn_d=NULL, [STR_VAC2]=NULL, dper_oz_m=NULL, dper_oz_d=NULL,
						[TU_CODE]=NULL, ter_usl=NULL, ter_koef=NULL,
						[OS_CODE]=NULL, osob_usl=NULL, osob_spis=NULL, 
						[EX_CODE]=NULL, is_dop_m=NULL, is_dop_d=NULL, is_dop=NULL, f_is_dop=NULL,
						[P_CODE]=NULL, ud_dop_m=NULL, ud_dop_d=NULL, ud_dop_k=NULL, f_ud_dop=NULL,
						PFNUMBER = REG_NOM_PF, DEP_NAME, DATE_CRT, DATE_DOC	
				FROM #SZV62 WHERE link_pu = @LINK_DOC	
			END	


			---  #SPV1

			IF ( SELECT top 1 SPV_ONLY FROM #SPV_ONLY WHERE DOC_LINK = @LINK_DOC) = 2
			BEGIN
				INSERT INTO #SPV1(YEAR,INN,KPP,OKPO,CODE,PER,PER10,TYPE,ID,NGROUP,PFNUMBER,FIO,FM,IM,OT,ADDRESS,
								  ADDRESS2,INSUR,INSUR1,GAIN,GAIN1,ID_EX,DATE_BEGIN,DATE_END,STR_DIS,dper_vn_m,
								  dper_vn_d,STR_VAC2,dper_oz_m,dper_oz_d,TU_CODE,ter_usl,ter_koef,OS_CODE,osob_usl,
								  osob_spis,EX_CODE,is_dop_m,is_dop_d,is_dop,f_is_dop,P_CODE,ud_dop_m,ud_dop_d,
								  ud_dop_k,f_ud_dop,REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY)
				exec dbo.SZV4_PRINT_SPV1 @LINK_DOC
				
						
				UPDATE #SPV1 SET link_pu = @LINK_DOC FROM #SPV1 WHERE LINK_PU IS NULL 
		
						--*-*    
				if @link_doc_old <> @LINK_DOC
				begin
					UPDATE #SPV1 SET NGROUP = NGROUP + 1  FROM #SPV1 WHERE LINK_PU = @LINK_DOC
				end
						
				update #SPV1 set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_pu = @LINK_DOC 
				--  #PERS_INFO2 
				INSERT INTO #PERS_INFO2(LINK_PU,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [TYPE], [PER_EDT], [YEAR_EDT],
										[ID], [NGROUP], [PF_NUM], [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
										[INSUR], [INSUR1], [GAIN], [GAIN1], [DOP], [ID_EX], [DATE_BEGIN], [DATE_END],
										[STR_DIS], dper_vn_m, dper_vn_d, [STR_VAC2], dper_oz_m, dper_oz_d,
										[TU_CODE], ter_usl, ter_koef,
										[OS_CODE], osob_usl, osob_spis, 
										[EX_CODE], is_dop_m, is_dop_d, is_dop, f_is_dop,
										[P_CODE], ud_dop_m, ud_dop_d, ud_dop_k, f_ud_dop,
										PFNUMBER, DEP_NAME, DATE_CRT, DATE_DOC)

				SELECT	LINK_PU,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [TYPE], [PER_EDT]=0, [YEAR_EDT]=0,
						[ID], [NGROUP], [PF_NUM], [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
						[INSUR], [INSUR1], [GAIN], [GAIN1], [DOP]=0, [ID_EX], [DATE_BEGIN], [DATE_END],
						[STR_DIS], dper_vn_m, dper_vn_d, [STR_VAC2], dper_oz_m, dper_oz_d,
						[TU_CODE], ter_usl, ter_koef,
						[OS_CODE], osob_usl, osob_spis, 
						[EX_CODE], is_dop_m, is_dop_d, is_dop, f_is_dop,
						[P_CODE], ud_dop_m, ud_dop_d, ud_dop_k, f_ud_dop,
						REG_NOM_PF, DEP_NAME, DATE_CRT, DATE_DOC
				FROM #SPV1
			END	

			set @link_doc_old = @link_doc


	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0

SELECT *
INTO #PERS_INFO 
FROM #PERS_INFO2 ORDER BY link_pu, NGROUP, [ID]

DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_pu int
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_pu, NGROUP, [ID]  from #PERS_INFO order by link_pu, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_pu, @PI_NGROUP, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #PERS_INFO A 
		WHERE link_pu = @PI_link_pu and  NGROUP = @PI_NGROUP AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_pu, @PI_NGROUP, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI

--select * from #ADV63
--select * from #SZV62
--select * from #SZV61
--select * from #PERS_INFO
--select * from #SPV1
--select * from #PERS_INFO2


-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @LINK_PU INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC VARCHAR(10), 
	@INN VARCHAR(12), @KPP VARCHAR(9), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@DOCCOUNT VARCHAR(10), @TYPDOC VARCHAR(254), @PERSCNT VARCHAR(3), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4), @SZV tinyint, @TYP_SVED VARCHAR(20),
	@VID_KOR VARCHAR(20), @INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20), 
	@EGRUL varchar(15), @PER VARCHAR(1), @PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4), @TYPE VARCHAR(20),
	@KATEG VARCHAR(20), @PER_NAME VARCHAR(20), @PER_EDT_NAME VARCHAR(20)

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SA_SZV4_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


--select 	
--	/*LINK_PU,*/
--	NGROUP, 
--	FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END) + '-ORG-' + RTRIM(LTRIM(COALESCE(PFNUMBER,''))) + '-DCK-' + REPLACE(STR(COALESCE(cGRP,''),5),' ','0') + '-DPT-000000-DCK-00000.XML',
--	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
--	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
--	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
--	PFNUMBER = RTRIM(LTRIM(COALESCE(PFNUMBER,''))),
--	PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
--	DOCCOUNT = RTRIM(LTRIM(CONVERT(VARCHAR(10),DOCCOUNT))), 	
--	TYPDOC = CASE WHEN OPT2 = 1 THEN '-1' ELSE (CASE WHEN SZV = 1 THEN '-6-1' ELSE '-6-2' END) END,
--	PERSCNT = RTRIM(LTRIM(STR(PERS_CNT))),
--	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
--	DATE_DOC = CONVERT(VARCHAR(10),DATE_DOC,104),
--	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
--	SZV,
--	TYP_SVED = (CASE WHEN OPT1 = 1 THEN '' else (CASE WHEN OPT2 = 1 THEN '' else '' end) end),
--	VID_KOR = (CASE WHEN OPT3 = 1 THEN '' else (CASE WHEN OPT4 = 1 THEN '' else '' end) end),
--	INSUR = RTRIM(LTRIM(STR(COALESCE([INSUR],0),15,2))), 
--	INSUR1 = RTRIM(LTRIM(STR(COALESCE([INSUR1],0),15,2))),
--	GAIN = RTRIM(LTRIM(STR(COALESCE([GAIN],0),15,2))),
--	GAIN1 = RTRIM(LTRIM(STR(COALESCE([GAIN1],0),15,2))),
--	[PER] = CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
--	[TYPE], 
--	PER_EDT = CONVERT(VARCHAR(1),[PER_EDT]), 
--	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
--	PER_EDT_NAME = CASE PER_EDT WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END,
--	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
--	KATEG = CODE,
--	PER_NAME = CASE (CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END) WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END
--from #ADV63 order by /*LINK_PU,*/ NGROUP


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	LINK_PU,
	NGROUP, 
	FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END) + '-ORG-' + RTRIM(LTRIM(COALESCE(PFNUMBER,''))) + '-DCK-' + REPLACE(STR(COALESCE(cGRP,''),5),' ','0') + '-DPT-000000-DCK-00000.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE(PFNUMBER,''))),
	PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	DOCCOUNT = RTRIM(LTRIM(CONVERT(VARCHAR(10),DOCCOUNT))), 	
	TYPDOC = CASE WHEN OPT2 = 1 THEN '-1' ELSE (CASE WHEN SZV = 1 THEN '-6-1' ELSE '-6-2' END) END,
	PERSCNT = RTRIM(LTRIM(STR(PERS_CNT))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = CONVERT(VARCHAR(10),DATE_DOC,104),
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SZV,
	TYP_SVED = (CASE WHEN OPT1 = 1 THEN '' else (CASE WHEN OPT2 = 1 THEN '' else '' end) end),
	VID_KOR = (CASE WHEN OPT3 = 1 THEN '' else (CASE WHEN OPT4 = 1 THEN '' else '' end) end),
	INSUR = RTRIM(LTRIM(STR(COALESCE([INSUR],0),15,2))), 
	INSUR1 = RTRIM(LTRIM(STR(COALESCE([INSUR1],0),15,2))),
	GAIN = RTRIM(LTRIM(STR(COALESCE([GAIN],0),15,2))),
	GAIN1 = RTRIM(LTRIM(STR(COALESCE([GAIN1],0),15,2))),
	[PER] = CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	[TYPE], 
	PER_EDT = CONVERT(VARCHAR(1),[PER_EDT]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	PER_EDT_NAME = CASE PER_EDT WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END,
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	KATEG = CODE,
	PER_NAME = CASE (CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END) WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END
from #ADV63 order by LINK_PU,NGROUP

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK_PU,@NGROUP, @lcFNAME, @INN, @KPP, @DEP_NAME, @PFNUMBER, @PACHNUM, @DOCCOUNT, @TYPDOC, @PERSCNT, @DATE_CRT, @DATE_DOC, @YEAR,
	@SZV, @TYP_SVED, @VID_KOR, @INSUR, @INSUR1, @GAIN, @GAIN1, @PER, @TYPE, @PER_EDT, @YEAR_EDT, @PER_EDT_NAME, @TYPE, @KATEG, @PER_NAME
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF @TYPE <> ''  --   ,   --
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'OEM' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' + RTRIM(LTRIM(@lcFNAME)) + '</>'
				
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>07.00</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @NAME_PROG + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @VERS_PROG + '</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></> '
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				
				UNION ALL SELECT @lcFNAME, SPACE(1) + '< ="  " =" ">'
				  
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<____>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>1</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<> </>'
				   
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @INN + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @KPP + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @EGRUL + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PFNUMBER + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
				   
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PACHNUM + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
				   
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + '1' /*@DOCCOUNT*/ + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>_______</>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @PERSCNT + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'

				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @DATE_DOC + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @TYPE + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @KATEG + '</>'

				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + CASE WHEN @YEAR = '2010' THEN (CASE @PER WHEN '2' THEN '1' ELSE '2' END) ELSE @PER END + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @YEAR + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' 
								+	CASE WHEN @YEAR = '2010' THEN
											CASE @PER 
												WHEN '2' THEN ' 01.01.'+@YEAR+'  30.06.'+@YEAR
												WHEN '4' THEN ' 01.07.'+@YEAR+'  31.12.'+@YEAR
												ELSE ''
											END
										ELSE
											CASE @PER 
												WHEN '1' THEN ' 01.01.'+@YEAR+'  31.03.'+@YEAR
												WHEN '2' THEN ' 01.04.'+@YEAR+'  30.06.'+@YEAR
												WHEN '3' THEN ' 01.07.'+@YEAR+'  30.09.'+@YEAR
												WHEN '4' THEN ' 01.10.'+@YEAR+'  31.12.'+@YEAR
												ELSE ''
											END									
									END	+ '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'

				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' WHERE @PER_EDT <> '0'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + CASE WHEN @YEAR_EDT = '2010' THEN (CASE @PER_EDT WHEN '2' THEN '1' ELSE '2' END) ELSE @PER_EDT END + '</>' WHERE @PER_EDT <> '0'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @YEAR_EDT + '</>' WHERE @PER_EDT <> '0'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + 
									CASE WHEN @YEAR_EDT = '2010' THEN
											CASE @PER_EDT 
												WHEN '2' THEN ' 01.01.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
												WHEN '4' THEN ' 01.07.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
												ELSE ''
											END
										ELSE
											CASE @PER_EDT 
												WHEN '1' THEN ' 01.01.'+@YEAR_EDT+'  31.03.'+@YEAR_EDT
												WHEN '2' THEN ' 01.04.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
												WHEN '3' THEN ' 01.07.'+@YEAR_EDT+'  30.09.'+@YEAR_EDT
												WHEN '4' THEN ' 01.10.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
												ELSE ''
											END									
									END	+ '</>' WHERE @PER_EDT <> '0'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>' WHERE @PER_EDT <> '0'
	       
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @INSUR + '</>'  
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @INSUR1 + '</>'  
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>' 

					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' 
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @GAIN + '</>'  
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @GAIN1 + '</>'  
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'		       
					
	 
					
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '</____>'
			  END
			  ELSE  --   -
			  BEGIN
			  	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				  SELECT @lcFNAME, 'OEM' -- 
				  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
				  UNION ALL SELECT @lcFNAME, SPACE(0) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' + RTRIM(LTRIM(@lcFNAME)) + '</>'
					
					UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>07.00</>'
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></>'
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
						UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @NAME_PROG + '</>'
						UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @VERS_PROG + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></> '
					UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
					
					UNION ALL SELECT @lcFNAME, SPACE(1) + '< ="  " =" ">'
					  
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '<____>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>1</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<> </>'
					   
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
						   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @INN + '</>'
						   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @KPP + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @EGRUL + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PFNUMBER + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
					   
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PACHNUM + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
					   
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + '1' /*@DOCCOUNT*/ + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
						   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>_______</>'
						   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @PERSCNT + '</>'
						 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'

					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @DATE_DOC + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @TYPE + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @KATEG + '</>'

					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + CASE WHEN @YEAR = '2010' THEN (CASE @PER WHEN '2' THEN '1' ELSE '2' END) ELSE @PER END + '</>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @YEAR + '</>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' 
									+	CASE WHEN @YEAR = '2010' THEN
												CASE @PER 
													WHEN '2' THEN ' 01.01.'+@YEAR+'  30.06.'+@YEAR
													WHEN '4' THEN ' 01.07.'+@YEAR+'  31.12.'+@YEAR
													ELSE ''
												END
											ELSE
												CASE @PER 
													WHEN '1' THEN ' 01.01.'+@YEAR+'  31.03.'+@YEAR
													WHEN '2' THEN ' 01.04.'+@YEAR+'  30.06.'+@YEAR
													WHEN '3' THEN ' 01.07.'+@YEAR+'  30.09.'+@YEAR
													WHEN '4' THEN ' 01.10.'+@YEAR+'  31.12.'+@YEAR
													ELSE ''
												END									
										END	+ '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'

					   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' WHERE @PER_EDT <> '0'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + CASE WHEN @YEAR_EDT = '2010' THEN (CASE @PER_EDT WHEN '2' THEN '1' ELSE '2' END) ELSE @PER_EDT END + '</>' WHERE @PER_EDT <> '0'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @YEAR_EDT + '</>' WHERE @PER_EDT <> '0'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + 
										CASE WHEN @YEAR_EDT = '2010' THEN
												CASE @PER_EDT 
													WHEN '2' THEN ' 01.01.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
													WHEN '4' THEN ' 01.07.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
													ELSE ''
												END
											ELSE
												CASE @PER_EDT 
													WHEN '1' THEN ' 01.01.'+@YEAR_EDT+'  31.03.'+@YEAR_EDT
													WHEN '2' THEN ' 01.04.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
													WHEN '3' THEN ' 01.07.'+@YEAR_EDT+'  30.09.'+@YEAR_EDT
													WHEN '4' THEN ' 01.10.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
													ELSE ''
												END									
										END	+ '</>' WHERE @PER_EDT <> '0'
					   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>' WHERE @PER_EDT <> '0'
				
					  UNION ALL SELECT @lcFNAME, SPACE(2) + '</____>'
				  
			  END
		-- -6-1
		DECLARE @Cur2 CURSOR, @PERS_ID int, @PERS_INFO1 varchar(8000), @PERS_INFO2 varchar(8000)
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR 
		Select ID,
		SPACE(1) +  CHAR(10) + '<_______>'  + CHAR(10)
		+	SPACE(3) + '<>' + RTRIM(LTRIM(STR(ID+1))) + '</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+@TYPDOC+'</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+ @TYPE +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+ @PFNUMBER +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+ @DEP_NAME +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>' + CHAR(10)
		+ 		SPACE(4) + '<>' + @INN + '</>' + CHAR(10)
		+ 		SPACE(4) + '<>' + @KPP + '</>' + CHAR(10)		
		+ 	SPACE(3) + '</>' + CHAR(10)
		+ 	SPACE(3) + '<>' + @KATEG + '</>' + CHAR(10)
		+ 	SPACE(3) +  '<>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + CASE WHEN @YEAR = '2010' THEN (CASE @PER WHEN '2' THEN '1' ELSE '2' END) ELSE @PER END + '</>'+ CHAR(10)
		+ 	 SPACE(4) + '<>' + @YEAR + '</>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + 
								CASE WHEN @YEAR = '2010' THEN
										CASE @PER 
											WHEN '2' THEN ' 01.01.'+@YEAR+'  30.06.'+@YEAR
											WHEN '4' THEN ' 01.07.'+@YEAR+'  31.12.'+@YEAR
											ELSE ''
										END
									ELSE
										CASE @PER 
											WHEN '1' THEN ' 01.01.'+@YEAR+'  31.03.'+@YEAR
											WHEN '2' THEN ' 01.04.'+@YEAR+'  30.06.'+@YEAR
											WHEN '3' THEN ' 01.07.'+@YEAR+'  30.09.'+@YEAR
											WHEN '4' THEN ' 01.10.'+@YEAR+'  31.12.'+@YEAR
											ELSE ''
										END	
								END	+ '</>' + CHAR(10)
		+ 	SPACE(3) + '</>' + CHAR(10)
		+	CASE WHEN @PER_EDT <> '0' THEN
		 	SPACE(3) +  '<>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + CASE WHEN @YEAR_EDT = '2010' THEN (CASE @PER_EDT WHEN '2' THEN '1' ELSE '2' END) ELSE @PER_EDT END + '</>'+ CHAR(10)
		+ 	 SPACE(4) + '<>' + @YEAR_EDT + '</>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + 
								CASE WHEN @YEAR_EDT = '2010' THEN
										CASE @PER_EDT 
											WHEN '2' THEN ' 01.01.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
											WHEN '4' THEN ' 01.07.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
											ELSE ''
										END
									ELSE
										CASE @PER_EDT 
											WHEN '1' THEN ' 01.01.'+@YEAR_EDT+'  31.03.'+@YEAR_EDT
											WHEN '2' THEN ' 01.04.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
											WHEN '3' THEN ' 01.07.'+@YEAR_EDT+'  30.09.'+@YEAR_EDT
											WHEN '4' THEN ' 01.10.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
											ELSE ''
										END 
								END	+ '</>' + CHAR(10)
		+ 	SPACE(3) + '</>' + CHAR(10)								
			ELSE '' END
		+ 	SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(PF_NUM,''))) +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>' + CHAR(10)
		+ 		SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</>' + CHAR(10)
		+ 		SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(IM,''))) +'</>' + CHAR(10)
		+ 		SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</>' + CHAR(10)
		+ 	SPACE(3) + '</>' + CHAR(10)
		
		+ CASE WHEN @TYPE <> '' THEN
		+ CASE WHEN @TYPDOC <> '-1' THEN 
		
		 			SPACE(3) + '<>' + CHAR(10)
				+ 		SPACE(4) + '<></>' + CHAR(10)
				+ 		CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,2,',') <> '' THEN SPACE(4) + '<>'+ dbo.SA_GET_WORD_NUM(ADDRESS2,2,',') +'</>' + CHAR(10) ELSE '' END
				+ 		SPACE(4) + '<>' + CHAR(10)
				+ 			SPACE(5) + '<></>' + CHAR(10)
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,3,',') <> '' 
								THEN 	SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(Left(dbo.SA_GET_WORD_NUM(ADDRESS2,3,','),len(dbo.SA_GET_WORD_NUM(ADDRESS2,3,','))-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,3,',')),1,' '))) ) ))+'</>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,3,',')),1,' ')) ))+'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)	
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,4,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(Left(dbo.SA_GET_WORD_NUM(ADDRESS2,4,','),len(dbo.SA_GET_WORD_NUM(ADDRESS2,4,','))-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,4,',')),1,' '))) ) ))+'</>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,4,',')),1,' ')) ))+'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,5,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(Left(dbo.SA_GET_WORD_NUM(ADDRESS2,5,','),len(dbo.SA_GET_WORD_NUM(ADDRESS2,5,','))-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,5,',')),1,' '))) ) ))+'</>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,5,',')),1,' ')) ))+'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,6,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(Left(dbo.SA_GET_WORD_NUM(ADDRESS2,6,','),len(dbo.SA_GET_WORD_NUM(ADDRESS2,6,','))-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,6,',')),1,' '))) ) ))+'</>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,6,',')),1,' ')) ))+'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,7,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(Left(dbo.SA_GET_WORD_NUM(ADDRESS2,7,','),len(dbo.SA_GET_WORD_NUM(ADDRESS2,7,','))-len(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,7,',')),1,' '))) ) ))+'</>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(REVERSE(dbo.SA_GET_WORD_NUM(REVERSE(dbo.SA_GET_WORD_NUM(ADDRESS2,7,',')),1,' ')) ))+'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,8,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<></>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(dbo.SA_GET_WORD_NUM(ADDRESS2,8,','))) +'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,9,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<></>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(dbo.SA_GET_WORD_NUM(ADDRESS2,9,',')))  +'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+			CASE WHEN dbo.SA_GET_WORD_NUM(ADDRESS2,10,',') <> '' 
								THEN SPACE(5) + '<>' + CHAR(10)
									+ SPACE(6) + '<></>' + CHAR(10) 
									+ SPACE(6) + '<>'+ RTRIM(LTRIM(dbo.SA_GET_WORD_NUM(ADDRESS2,10,','))) +'</>' + CHAR(10) 
									+ SPACE(5) + '</>' + CHAR(10)
								ELSE '' END
				+ 		SPACE(4) + '</>' + CHAR(10)
				+ 	SPACE(3) + '</>' + CHAR(10)

				+ 	SPACE(3) + '<>' + CHAR(10) 
				+ 	 SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE([INSUR],0),15,2))) + '</>' + CHAR(10)  
				+ 	 SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE([INSUR1],0),15,2))) + '</>' + CHAR(10)  
				+ 	SPACE(3) + '</>' + CHAR(10)
				+ 	SPACE(3) + '<>' + CHAR(10) 
				+ 	  SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(GAIN,0),15,2))) + '</>' + CHAR(10)  
				+ 	  SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(GAIN1,0),15,2))) + '</>' + CHAR(10)  
				+ 	SPACE(3) + '</>' + CHAR(10)
			ELSE ''
			END	
		ELSE ''
		END
		+ 	SPACE(3) + '<>' + @DATE_DOC + '</>' + CHAR(10)
		+ 	CASE WHEN @TYPDOC = '-1' THEN SPACE(3) + '<>' + @DATE_DOC + '</>' ELSE '' END
		,
		--     
		---------------------------------------------------
		SPACE(1) + '</_______>'
		from #PERS_INFO where LINK_PU = @LINK_PU and NGROUP = @NGROUP and ID_EX = 1
		ORDER BY [ID]

			OPEN @Cur2
			FETCH NEXT FROM @Cur2 INTO @PERS_ID, @PERS_INFO1, @PERS_INFO2
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, @PERS_INFO1

					IF EXISTS (select * from #PERS_INFO where LINK_PU = @LINK_PU and  NGROUP = @NGROUP and ID_EX >= 1) --AND @SZV = 1 AND @TYPDOC = '-1'
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME,
						CASE WHEN @TYPE <> '' THEN			
							+	SPACE(3) + '<>' + CHAR(10)
							+		SPACE(4) + '<>' + RTRIM(LTRIM(STR(ID_EX))) + '</>' + CHAR(10)
							+		SPACE(4) + '<>' + CONVERT(VARCHAR(10),DATE_BEGIN,104) + '</>' + CHAR(10)
							+		SPACE(4) + '<>' + CONVERT(VARCHAR(10),DATE_END,104) + '</>' + CHAR(10)
							+				CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN 
							+		SPACE(4) + '<>' + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN '1' ELSE '0' END + '</>' + CHAR(10)		
							+		SPACE(4) + '<>' + CHAR(10)
							+			SPACE(5) + '<>1</>' + CHAR(10)		
							+ 			SPACE(5) + '<>' + CHAR(10)
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</>' + CHAR(10)
							+						CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) + '</>' + CHAR(10) else '' end
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(osob_usl,''))) + '</>' + CHAR(10)
							+						SPACE(8) + '<>' + UPPER(RTRIM(LTRIM(COALESCE(osob_spis,'')))) + '</>' + CHAR(10)
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END					
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</>' + CHAR(10)
							+						CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+						CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>0</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END
							+					CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN					
							+					SPACE(7) + '<>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</>' + CHAR(10)
												ELSE '' END
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</>' + CHAR(10)
							+						CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+						CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>0</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+						CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
														SPACE(8) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</>' + CHAR(10)
													ELSE '' END
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END
							+			SPACE(5) + '</>' + CHAR(10)
							+		SPACE(4) + '</>' + CHAR(10)
										ELSE '' END
							+	SPACE(3) + '</>'
						ELSE '' END
						from #PERS_INFO where LINK_PU = @LINK_PU and NGROUP = @NGROUP AND [ID] = @PERS_ID
						ORDER BY [ID]

					END

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, @PERS_INFO2
					
				END
			
				FETCH NEXT FROM @Cur2 INTO @PERS_ID, @PERS_INFO1, @PERS_INFO2
			END
			
			CLOSE @Cur2
			DEALLOCATE @Cur2
	END

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</>'	
	UNION ALL SELECT @lcFNAME, '</>'

	FETCH NEXT FROM @Cur1 INTO  @LINK_PU, @NGROUP, @lcFNAME, @INN, @KPP, @DEP_NAME, @PFNUMBER, @PACHNUM, @DOCCOUNT, @TYPDOC, @PERSCNT, @DATE_CRT, @DATE_DOC, @YEAR,
	@SZV, @TYP_SVED, @VID_KOR, @INSUR, @INSUR1, @GAIN, @GAIN1, @PER, @TYPE, @PER_EDT, @YEAR_EDT,@PER_EDT_NAME, @TYPE, @KATEG, @PER_NAME
END

CLOSE @Cur1
DEALLOCATE @Cur1


CREATE TABLE #ADV62A (
	LINK_PU INT,
	[YEAR] INT,
	[PER] TINYINT,
	[PER10] TINYINT,
	[COUNT_P] INT,
	[COUNT_PK] INT,
	[PFNUMBER] VARCHAR(20), 
	[DEP_NAME] VARCHAR(256),
	[OKPO] VARCHAR(20),
	[INN] VARCHAR(20),
	[KPP] VARCHAR(20),
	DATE_CRT DATETIME,
	DATE_DOC DATETIME
)

CREATE TABLE #ADV62B1 (
	LINK_PU INT,
	[ID] INT,
	[NGROUP] INT,
	[cGRP] VARCHAR(5),
	[CODE] VARCHAR(20),
	[INSUR] NUMERIC(20,2),
	[INSUR1] NUMERIC(20,2),
	[GAIN] NUMERIC(20,2),
	[GAIN1] NUMERIC(20,2),
	[PERS_CNT] INT,
	[FNAME] VARCHAR(256),
	[IT_ROUND] TINYINT 
)

CREATE TABLE #ADV62C1 (
	LINK_PU INT,
	[ID] INT,
	[NGROUP] INT,
	[cGRP] VARCHAR(5),
	[CODE] VARCHAR(20),
	[INSUR] NUMERIC(20,2),
	[INSUR1] NUMERIC(20,2),
	[GAIN] NUMERIC(20,2),
	[GAIN1] NUMERIC(20,2),
	sd_str NUMERIC(20,2),
	sud_str NUMERIC(20,2),
	sd_nak NUMERIC(20,2),
	sud_nak NUMERIC(20,2),
	[PERS_CNT] INT,
	[FNAME] VARCHAR(256),
	[IT_ROUND] TINYINT 
)


DECLARE @CURS2 CURSOR, @link_DOC2 int, @link_DOC2_old int 

set @LINK_DOC2_OLD = 0 
SET @CURS2 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS2
FETCH NEXT FROM @CURS2 INTO @LINK_DOC2

WHILE @@FETCH_STATUS = 0	

BEGIN
		if @link_doc2_old = 0
		begin
			set @link_doc2_old = @LINK_DOC2 
		end
		INSERT INTO #ADV62A ([YEAR],[PER],[PER10],[COUNT_P],[COUNT_PK],[PFNUMBER],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC)
		exec dbo.SZV4_PRINT_ADV62 @LINK_DOC2, 1
		UPDATE #ADV62A SET link_pu = @LINK_DOC2 FROM #ADV62A WHERE LINK_PU IS NULL 
		
		INSERT INTO #ADV62B1 ([NGROUP],[cGRP],[CODE],[INSUR],[INSUR1],[GAIN],[GAIN1],[PERS_CNT],[FNAME],[IT_ROUND])
		exec dbo.SZV4_PRINT_ADV62 @LINK_DOC2, 2
		UPDATE #ADV62B1 SET link_pu = @LINK_DOC2 FROM #ADV62B1 WHERE LINK_PU IS NULL 
				--*-*    
		if @link_doc2_old <> @LINK_DOC2
		begin
			UPDATE #ADV62B1 SET NGROUP = NGROUP + 1  FROM #ADV62B1 WHERE LINK_PU = @LINK_DOC2 and NGROUP is not null
			UPDATE #ADV62B1 SET cGRP = REPLACE(str((cGRP + 1),5),' ','0')  FROM #ADV62B1 WHERE LINK_PU = @LINK_DOC2 and NGROUP is not null
		end
		update #ADV62B1 SET  [FNAME]  = STUFF ( FNAME , 39, 5 ,cGRP) where  LINK_PU = @LINK_DOC2 and NGROUP is not null
		
		INSERT INTO #ADV62C1 ([NGROUP],[cGRP],[CODE],[INSUR],[INSUR1],[GAIN],[GAIN1], sd_str, sud_str, sd_nak, sud_nak, [PERS_CNT],[FNAME],[IT_ROUND])
		exec dbo.SZV4_PRINT_ADV62 @LINK_DOC2, 3
		UPDATE #ADV62C1 SET link_pu = @LINK_DOC2 FROM #ADV62C1 WHERE LINK_PU IS NULL 
				--*-*    
		if @link_doc2_old <> @LINK_DOC2
		begin
			UPDATE #ADV62C1 SET NGROUP = NGROUP + 1  FROM #ADV62C1 WHERE LINK_PU = @LINK_DOC2 and NGROUP is not null
			UPDATE #ADV62C1 SET cGRP = REPLACE(str((cGRP + 1),5),' ','0')  FROM #ADV62C1 WHERE LINK_PU = @LINK_DOC2 and NGROUP is not null
		end
		update #ADV62C1 SET  [FNAME]  = STUFF ( FNAME , 39, 5 ,cGRP) where  LINK_PU = @LINK_DOC2 and NGROUP is not null
		
		
		set @link_doc2_old = @link_doc2

	FETCH NEXT FROM @CURS2 INTO @LINK_DOC2
END

CLOSE @CURS2
DEALLOCATE @CURS2	


SELECT * INTO #ADV62B FROM #ADV62B1 ORDER BY link_PU, [CODE],  [NGROUP]
SELECT @NN = 0, @PN = 0, @ON = 0
UPDATE A
SET 
	@NN = @NN + 1,
	ID = @NN
FROM #ADV62B A


SELECT * INTO #ADV62C FROM #ADV62C1 ORDER BY [CODE], [NGROUP]
SELECT @NN = 0, @PN = 0, @ON = 0
UPDATE A
SET 
	@NN = @NN + 1,
	ID = @NN
FROM #ADV62C A


DECLARE @IT_ROUND_TYPE tinyint, @IT_ROUND_LEN tinyint
Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
Set @IT_ROUND_LEN = (case when @IT_ROUND_TYPE <= 1 then 2 else 0 end)
Set @IT_ROUND_TYPE = (case when @IT_ROUND_TYPE = 3 then 1 else 0 end)


DECLARE @COUNT_P VARCHAR(10), @COUNT_PK VARCHAR(10)


IF COALESCE(dbo.sa_get_option_by_code('SA_SZV4_OPT3'),0) = 1
	Set @NGROUP = COALESCE((Select MIN(NGROUP) from #ADV63),2) - 1
ELSE
	Set @NGROUP = COALESCE(@NGROUP,0) + 1


SELECT TOP 1  
	@lcFNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END) + '-ORG-' + RTRIM(LTRIM(COALESCE(PFNUMBER,''))) + '-DCK-' + REPLACE(STR(COALESCE(@NGROUP,1),5),' ','0') + '-DPT-000000-DCK-00000.XML' ,
	@INN = RTRIM(LTRIM(COALESCE(INN,''))),
	@KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	@DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	@PFNUMBER = RTRIM(LTRIM(COALESCE(PFNUMBER,''))),
	@COUNT_P = RTRIM(LTRIM(CONVERT(VARCHAR(10),sum(COUNT_P)))),
	@COUNT_PK = RTRIM(LTRIM(CONVERT(VARCHAR(10),sum(COUNT_PK)))),
	@DATE_DOC = CONVERT(VARCHAR(10),max(DATE_DOC),104),
	@PER = CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	@YEAR = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END)
from #ADV62A /*where LINK_PU = @LINK_DOC3*/ group by PFNUMBER, [PER], PER10,[YEAR],INN,KPP,DEP_NAME

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<>'
UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' + RTRIM(LTRIM(@lcFNAME)) + '</>'
UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>07.00</>'
  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></>'
  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @NAME_PROG + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @VERS_PROG + '</>'
  UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></> '
UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
UNION ALL SELECT @lcFNAME, SPACE(1) + '< ="  " =" ">'
  UNION ALL SELECT @lcFNAME, SPACE(2) + '<____>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>1</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '<> </>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
	   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @INN + '</>'
	   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @KPP + '</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @EGRUL + '</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PFNUMBER + '</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + REPLACE(STR(COALESCE(@NGROUP,1),5),' ','0') + '</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>1</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
	   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>___</>'
	   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>1</>'
	 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @DATE_DOC + '</>'
 UNION ALL SELECT @lcFNAME, SPACE(2) + '</____>'
 
 UNION ALL SELECT @lcFNAME, SPACE(2) + '<___>'
 UNION ALL SELECT @lcFNAME, SPACE(3) + '<>2</>'
---   
UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' 
UNION ALL SELECT @lcFNAME, SPACE(4) +	'<>'
UNION ALL SELECT @lcFNAME, SPACE(5) +		'<>' + @INN + '</>'
UNION ALL SELECT @lcFNAME, SPACE(5) +		'<>' + @KPP + '</>'
UNION ALL SELECT @lcFNAME, SPACE(4) +	'</>' 
UNION ALL SELECT @lcFNAME, SPACE(4) +	'<>' + @EGRUL + '</>'
UNION ALL SELECT @lcFNAME, SPACE(4) +	'<>' + @DEP_NAME + '</>' 
UNION ALL SELECT @lcFNAME, SPACE(4) +	'<>' + @DEP_NAME + '</>' 
UNION ALL SELECT @lcFNAME, SPACE(4) +	'<>' + @PFNUMBER + '</>'
UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'

UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + CASE WHEN @YEAR = '2010' THEN (CASE @PER WHEN '2' THEN '1' ELSE '2' END) ELSE @PER END + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @YEAR + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' +
								CASE WHEN @YEAR = '2010' THEN
										CASE @PER 
											WHEN '2' THEN ' 01.01.'+@YEAR+'  30.06.'+@YEAR
											WHEN '4' THEN ' 01.07.'+@YEAR+'  31.12.'+@YEAR
											ELSE ''
										END
									ELSE
										CASE @PER 
											WHEN '1' THEN ' 01.01.'+@YEAR+'  31.03.'+@YEAR
											WHEN '2' THEN ' 01.04.'+@YEAR+'  30.06.'+@YEAR
											WHEN '3' THEN ' 01.07.'+@YEAR+'  30.09.'+@YEAR
											WHEN '4' THEN ' 01.10.'+@YEAR+'  31.12.'+@YEAR
											ELSE ''
										END									
								END	
							+ '</>'
UNION ALL SELECT @lcFNAME, SPACE(3) + '</>' 

UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @COUNT_P + '</>'

UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @COUNT_PK + '</>'

UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @DATE_DOC + '</>'


DECLARE @NEXT_NUM INT, @ITER INT
SELECT @ITER = 0 SET @NEXT_NUM = 0

DECLARE @CurI CURSOR, @KATEG_CODE VARCHAR(20)
SET @CurI = CURSOR FORWARD_ONLY

FOR select DISTINCT CODE from #ADV62B /*where LINK_PU = @LINK_DOC3*/ order by CODE

OPEN @CurI
FETCH NEXT FROM @CurI INTO @KATEG_CODE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
	
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, 
		SPACE(3) + '<>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL([ID]+@ITER,0),2))) + '</>' + CHAR(10)
		+	SPACE(4) + '<> </>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(CODE)) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + CHAR(10) 
		+ 	 SPACE(5) + '<>' + RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2))) + '</>' + CHAR(10)  
		+ 	 SPACE(5) + '<>' + + RTRIM(LTRIM(STR(COALESCE(INSUR1,0),15,2))) + '</>' + CHAR(10)  
		+ 	SPACE(4) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + CHAR(10) 
		+ 	  SPACE(5) + '<>' + + RTRIM(LTRIM(STR(COALESCE(GAIN,0),15,2))) + '</>' + CHAR(10)  
		+ 	  SPACE(5) + '<>' + RTRIM(LTRIM(STR(COALESCE(GAIN1,0),15,2))) + '</>' + CHAR(10)  
		+ 	SPACE(4) + '</>' + CHAR(10)

		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL([PERS_CNT],0),5))) + '</>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM([FNAME])) + '</>' + CHAR(10)
		+SPACE(3) + '</>'
		FROM #ADV62B WHERE NGROUP IS NOT NULL AND RTRIM(LTRIM(CODE)) = @KATEG_CODE ORDER BY ID

		SET @NEXT_NUM = @NEXT_NUM + @@ROWCOUNT + 1

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, 
		SPACE(3) + '<>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(@NEXT_NUM))) + '</>' + CHAR(10)
		+	SPACE(4) + '<> </>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(CODE)) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + CHAR(10) 
		+ 	 SPACE(5) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(INSUR),0),15,2))) + '</>' + CHAR(10)  
		+ 	 SPACE(5) + '<>' + + RTRIM(LTRIM(STR(COALESCE(SUM(INSUR1),0),15,2))) + '</>' + CHAR(10)  
		+ 	SPACE(4) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + CHAR(10) 
		+ 	  SPACE(5) + '<>' + + RTRIM(LTRIM(STR(COALESCE(SUM(GAIN),0),15,2))) + '</>' + CHAR(10)  
		+ 	  SPACE(5) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(GAIN1),0),15,2))) + '</>' + CHAR(10)  
		+ 	SPACE(4) + '</>' + CHAR(10)

		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL(SUM([PERS_CNT]),0),5))) + '</>' + CHAR(10)
		+SPACE(3) + '</>'
		FROM #ADV62B T1 WHERE NGROUP IS NOT NULL  AND RTRIM(LTRIM(CODE)) = @KATEG_CODE  /*and  LINK_PU = @LINK_DOC3*/ GROUP BY [CODE]
		
		SET @ITER = @ITER + 1

	END

	FETCH NEXT FROM @CurI INTO @KATEG_CODE
END

CLOSE @CurI
DEALLOCATE @CurI

IF EXISTS (SELECT * FROM #ADV62B T1 WHERE NGROUP IS NOT NULL /*and  LINK_PU = @LINK_DOC3*/)
BEGIN

	SET @NEXT_NUM = @NEXT_NUM + 1
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, 
	SPACE(3) + '<>' + CHAR(10)
	+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(@NEXT_NUM))) + '</>' + CHAR(10)
	+	SPACE(4) + '<> </>' + CHAR(10)

	+ 	SPACE(4) + '<>' + CHAR(10) 
	+ 	 SPACE(5) + '<>' + RTRIM(LTRIM(STR(COALESCE(ROUND(CONVERT(NUMERIC(15,2),SUM(INSUR)),@IT_ROUND_LEN,@IT_ROUND_TYPE),0),15,2))) + '</>' + CHAR(10)  
	+ 	 SPACE(5) + '<>' + + RTRIM(LTRIM(STR(COALESCE(ROUND(CONVERT(NUMERIC(15,2),SUM(INSUR1)),@IT_ROUND_LEN,@IT_ROUND_TYPE),0),15,2))) + '</>' + CHAR(10)  
	+ 	SPACE(4) + '</>' + CHAR(10)

	+ 	SPACE(4) + '<>' + CHAR(10) 
	+ 	  SPACE(5) + '<>' + + RTRIM(LTRIM(STR(COALESCE(ROUND(CONVERT(NUMERIC(15,2),SUM(GAIN)),@IT_ROUND_LEN,@IT_ROUND_TYPE),0),15,2))) + '</>' + CHAR(10)  
	+ 	  SPACE(5) + '<>' + RTRIM(LTRIM(STR(COALESCE(ROUND(CONVERT(NUMERIC(15,2),SUM(GAIN1)),@IT_ROUND_LEN,@IT_ROUND_TYPE),0),15,2))) + '</>' + CHAR(10)  
	+ 	SPACE(4) + '</>' + CHAR(10)

	+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL(SUM([PERS_CNT]),0),5))) + '</>' + CHAR(10)
	+SPACE(3) + '</>'
	FROM #ADV62B T1 WHERE NGROUP IS NOT NULL /*and LINK_PU = @LINK_DOC3*/

END	

SELECT @ITER = 0 SET @NEXT_NUM = 0

SET @CurI = CURSOR FORWARD_ONLY

FOR select DISTINCT CODE from #ADV62C /*where LINK_PU = @LINK_DOC3*/ order by CODE

OPEN @CurI
FETCH NEXT FROM @CurI INTO @KATEG_CODE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, 
		SPACE(3) + '<>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL([ID]+@ITER,0),2))) + '</>' + CHAR(10)
		+	SPACE(4) + '<> </>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(CODE)) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2))) + '</>' + CHAR(10)
		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(GAIN,0),15,2))) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(INSUR1,0),15,2))) + '</>' + CHAR(10)
		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(GAIN1,0),15,2))) + '</>' + CHAR(10)

		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL([PERS_CNT],0),5))) + '</>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM([FNAME])) + '</>' + CHAR(10)
		+SPACE(3) + '</>'
		FROM #ADV62C WHERE NGROUP IS NOT NULL AND RTRIM(LTRIM(CODE)) = @KATEG_CODE /*and  LINK_PU = @LINK_DOC3*/ ORDER BY ID

		SET @NEXT_NUM = @NEXT_NUM + @@ROWCOUNT + 1

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, 
		SPACE(3) + '<>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(@NEXT_NUM))) + '</>' + CHAR(10)
		+	SPACE(4) + '<> </>' + CHAR(10)
		+	SPACE(4) + '<>' + RTRIM(LTRIM(CODE)) + '</>' + CHAR(10)

		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(INSUR),0),15,2))) + '</>' + CHAR(10)
		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(GAIN),0),15,2))) + '</>' + CHAR(10)


		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(INSUR1),0),15,2))) + '</>' + CHAR(10)
		+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(GAIN1),0),15,2))) + '</>' + CHAR(10)

		+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL(SUM([PERS_CNT]),0),5))) + '</>' + CHAR(10)
		+SPACE(3) + '</>'
		FROM #ADV62C T1 WHERE NGROUP IS NOT NULL  AND RTRIM(LTRIM(CODE)) = @KATEG_CODE /*and LINK_PU = @LINK_DOC3*/ GROUP BY [CODE]

		SET @ITER = @ITER + 1		

	END

	FETCH NEXT FROM @CurI INTO @KATEG_CODE
END

CLOSE @CurI
DEALLOCATE @CurI			

IF EXISTS (SELECT * FROM #ADV62C T1 WHERE NGROUP IS NOT NULL /*and LINK_PU = @LINK_DOC3*/)
BEGIN

	SET @NEXT_NUM = @NEXT_NUM + 1
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, 
	SPACE(3) + '<>' + CHAR(10)
	+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(@NEXT_NUM))) + '</>' + CHAR(10)
	+	SPACE(4) + '<> </>' + CHAR(10)

	+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(INSUR),0),15,2))) + '</>' + CHAR(10)
	+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(GAIN),0),15,2))) + '</>' + CHAR(10)

	+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(INSUR1),0),15,2))) + '</>' + CHAR(10)
	+ 	SPACE(4) + '<>' + RTRIM(LTRIM(STR(COALESCE(SUM(GAIN1),0),15,2))) + '</>' + CHAR(10)

	+	SPACE(4) + '<>' + RTRIM(LTRIM(STR(ISNULL(SUM([PERS_CNT]),0),5))) + '</>' + CHAR(10)
	+SPACE(3) + '</>'
	FROM #ADV62C T1 WHERE NGROUP IS NOT NULL /*and LINK_PU = @LINK_DOC3*/

END	

---------------------------------------------------------------
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
	 SELECT @lcFNAME, SPACE(2) + '</___>'
UNION 	ALL 	SELECT @lcFNAME, SPACE(1) + '</>'
UNION	ALL 	SELECT @lcFNAME, SPACE(1) + '</>'


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]









GO


GRANT EXECUTE ON dbo.[SZV4_EXPORT_PFR_700_10] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[X_SAVE_DICTIONARY_DEPARTMENT3]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[X_SAVE_DICTIONARY_DEPARTMENT3]
GO

CREATE       PROCEDURE dbo.X_SAVE_DICTIONARY_DEPARTMENT3

	@varKSparLINK				INT,
	@TFOMS_REG_NUM varchar(15) = '',
	@TFOMS_KT varchar(2) = ''	,
	@varKScEMail varchar(254) = '',
	@intBUH_TYPE_PARM	TINYINT = 0,
	@FSS_KP_P1 INT = NULL, @FSS_KP_P2 INT = NULL, @FSS_KP_P3 INT = NULL, --    
	@CORP VARCHAR(5) = '',
	@iUchrLink int = null,
	@iIsUsed tinyint = 1,
	@strPHONE	VARCHAR (254) = ''
AS
BEGIN
	DECLARE 
		@varKSSQLError	tinyint,
		@varKStrancount	int,
		@varKSEventText	varchar(254),
		@varKSObjLink    int,
		@varKSRowCount   int,
		@intBUH_TYPE	TINYINT 

	IF @FSS_KP_P1 IS NULL OR @FSS_KP_P1 = 0
		SET @FSS_KP_P1 = (SELECT TOP 1 LINK FROM dbo.SA_4FSS_KATEG_PLAT_P1 WHERE CODE = '071')

	IF @FSS_KP_P2 IS NULL OR @FSS_KP_P2 = 0
		SET @FSS_KP_P2 = (SELECT TOP 1 LINK FROM dbo.SA_4FSS_KATEG_PLAT_P2 WHERE CODE = '00')

	IF @FSS_KP_P3 IS NULL OR @FSS_KP_P3 = 0
		SET @FSS_KP_P3 = (SELECT TOP 1 LINK FROM dbo.SA_4FSS_KATEG_PLAT_P3 WHERE CODE = '00')

	SET @varKStrancount = @@TRANCOUNT
	SET IMPLICIT_TRANSACTIONS ON
	BEGIN TRAN
	COMMIT TRAN

	SELECT @intBUH_TYPE = BUH_TYPE FROM dbo.DICTIONARY_BUH_TYPE WHERE BUH_TYPE = @intBUH_TYPE_PARM
	SET @intBUH_TYPE = ISNULL (@intBUH_TYPE, 0)

	UPDATE dbo.DEPARTMENTS WITH (ROWLOCK) 
	SET 
		TFOMS_REG_NUM = @TFOMS_REG_NUM,
		TFOMS_KT = @TFOMS_KT,
		EMail = @varKScEMail,
		BUH_TYPE = @intBUH_TYPE,
		FSS_KP_P1 = @FSS_KP_P1,
		FSS_KP_P2 = @FSS_KP_P2,
		FSS_KP_P3 = @FSS_KP_P3,
		CORP = ISNULL(@CORP,''),
		UCHR_LINK = @iUchrLink,
		ISUSED = @iIsUsed,
		PHONE = LTRIM (ISNULL (@strPHONE, ''))
	WHERE LINK = @varKSparLINK
	
	SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
	IF @varKSSQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @varKSRowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END

	IF @@TRANCOUNT > @varKStrancount
		COMMIT TRAN
	RETURN 0

END



GO


GRANT EXECUTE ON dbo.[X_SAVE_DICTIONARY_DEPARTMENT3] TO PUBLIC

GO
UPDATE GI
SET ACCOUNT_AM = SA.LINK
FROM dbo.GROUP_INV GI
INNER JOIN dbo.S_ACCOUNTS SA1 ON (SA1.LINK = GI.ACCOUNT)
LEFT JOIN dbo.S_ACCOUNTS SA ON
	(SA.cSINTH = '104'
	AND SA.cSOURCE = ''
	AND SA.ZABALANS = 0
	AND SA.cANALIT = LEFT (SA1.cANALIT, 1) + '9')
WHERE GI.[SYSTEM] = 1
	AND GI.CODE LIKE '102%'
GO

	
DECLARE 
	@dDATE_BEGIN_O	DATETIME,
	@dDATE_END_O	DATETIME,
	@dDATE_BEGIN_N	DATETIME,
	@dDATE_END_N	DATETIME,
	@iSMETA			INT

--    --
SELECT 
	@dDATE_BEGIN_O	=	BEGINDATE,
	@dDATE_END_O	=	ENDDATE
FROM dbo.ADMIN_INFO

SELECT
	@iSMETA = LINK,
	@dDATE_BEGIN_N	= '17530101',
	@dDATE_END_N	= '21000101'
FROM dbo.S_OBJECTS
WHERE CODE = 'SMETA'

EXECUTE dbo.I_SET_ADMIN_DATE
	@iSMETA,
	@dDATE_BEGIN_N,
	@dDATE_BEGIN_N,
	@dDATE_END_N

-- 5.    	 --
UPDATE SA
SET
	S_ACTIVE = 1,
	S_PASSIVE = 0
FROM dbo.S_ACCOUNTS SA
WHERE SA.ZABALANS = 1

--    --
EXECUTE dbo.I_SET_ADMIN_DATE
	@iSMETA,
	@dDATE_BEGIN_O,
	@dDATE_BEGIN_O,
	@dDATE_END_O
GO
	-- COLUMN_DICT_DEP_PHONE --
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DICT_DEP_PHONE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DICT_DEP_PHONE', '', 39, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_DEPARTMENT'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DICT_DEP_PHONE', NAME = '', ORDERS = '39', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_DEPARTMENT'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DICT_DEP_PHONE'
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'CONTROLSOURCE', 'm.cAlias+''.PHONE'''
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'TYPE_FIELD_DICT', 'varchar(14)'
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.PHONE'''
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'CONTROL_NAME_EDIT', 'PageFrame1.Page4.AtxtPhone41'
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'ASPTYPE', 'TextBox'
GO
EXEC X_SET_PROP 'COLUMN_DICT_DEP_PHONE', 'ATTRIBUTES', ' style="Z-INDEX: 106; LEFT: 128px; POSITION: absolute; TOP: 184px"
Width="272px"'
GO

--- : /    (SQL_REP_CARD_MZ) --- 
DELETE FROM dbo.OBJECT_VAR WHERE LINK_SELF = (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_FIL1')
DELETE FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_FIL1'
GO
DELETE FROM dbo.OBJECT_VAR WHERE LINK_SELF = (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS1')
DELETE FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS1'
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'QUERY_SQL'), '/   ', NULL, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REPORT_CATALOG_INVENTORY'), 'SQL_REP_CARD_MZ', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_FIL1')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'QUERY_FILTER'), '   ', 0, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ'), 'SQL_REP_CARD_MZ_FIL1', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS1')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'QUERY_NASTRS'), ' ', 2, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ'), 'SQL_REP_CARD_MZ_NAS1', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_FIL11')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'OTBOR_QUERY_SQL_EMPLOYERS'), ' ', 1, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_FIL1'), 'SQL_REP_CARD_MZ_FIL11', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS11')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'NASTR_QUERY_DATEBOX_PB'), ' . ', 3, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS1'), 'SQL_REP_CARD_MZ_NAS11', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS12')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'NASTR_QUERY_DATEBOX_PE'), ' . ', 4, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS1'), 'SQL_REP_CARD_MZ_NAS12', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS13')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'NASTR_QUERY_OPTIONGROUP'), '', 5, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_CARD_MZ_NAS1'), 'SQL_REP_CARD_MZ_NAS13', NULL, NULL, 1
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'INIT_OBJECT_METHOD', 'm_print_query(nLink_Var)', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'CHECK_VALUE_IN_TABLE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'AFTER_CHANGE_PROG_NASTR', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'BEFORE_CHANGE_PROG_NASTR', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_CENTER_HEADER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_DATETIME', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_FOOTER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_FREEZEPANES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_LEFT_HEADER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_PAGES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'NASTR_XL_RIGHT_HEADER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_ADDFROM', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_ADDINTO', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_ADDSELECT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_ADDWHERE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_AFTER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_BEFORE', 'EXEC	dbo.BK_REPORT_CARD_MZ
	@dDateB1	/*  .  */,
	@dDateE1	/*  .  */,
	@nOption1	/*  */,
	@cVal1, @nOtborLink1	/*   */

	', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_DATETIME', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_DISTINCT', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_FOOTER', '="                               " & User_FIO
                                 ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_FREEZEPANES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_HEADER', '=User_Name', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_PAGES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_PROCEDURE', '#REP_CARD_MZ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_REPMAKER', 'KIRREPMAKERMULTISHEET.XLS', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_REPORT', 'IIF(@nOption1 = 1,"BOOK_MZ.XLT",IIF(@nOption1 = 2,"CARD_MZ.XLT",""))', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_REPORT_PATH', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_SQL', 'CREATE PROCEDURE #REP_CARD_MZ
	@dDateB1 datetime	/*  .  */,
	@dDateE1 datetime	/*  .  */,
	@nOption1 int	/*  */,
	@nFilterLink int	/*  */
AS
BEGIN
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*   */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_EMPLOYERS''))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))

EXEC	dbo.BK_REPORT_CARD_MZ
	@dDateB1	/*  .  */,
	@dDateE1	/*  .  */,
	@nOption1	/*  */,
	@cVal1, @nOtborLink1	/*   */

	

END', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_SYSTEM', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_TOP', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_TOTAL', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_TOTALCOL', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_TOTALROW', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_AP_LIST', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'EOD_PROTOCOL', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'AFTER_REPORT_PROG', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_ADD_MODULE', 'book_mz.bas', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_CODE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_DATE_TYPE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'SQUERY_NO_SHOW', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'QUERY_ALTERNATIVE_PRINT_METHOD', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ', 'REPORT_EXTERNAL_GENERATOR', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL1', 'QUERY_NASTR_NOTE', '   ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL1', 'QUERY_VARIANT_ID', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS1', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL11', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL11', 'QUERY_OTBOR_CHECK', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL11', 'QUERY_OTBOR_DICTIONARY_CODE', 'KU_EMPL_PLACING', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL11', 'QUERY_OTBOR_FIELD', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL11', 'QUERY_OTBOR_PARENT_CODE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_FIL11', 'QUERY_OTBOR_VALUE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'EDITABLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'SQUERY_NASTR_NON_VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'FORMAT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_CAPTION', ' . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_CONTROL', 'DATEBOX', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_NUMPARAM', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_SAVE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_SOURCE', ' , , . , . , , , . , . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_SQLPARAM', '@dDateB1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_SQLTYPE', 'datetime', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_VALUE', ' . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'QUERY_NASTR_VALUE_TEXT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS11', 'SQUERY_NASTR_OPTIONAL', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'EDITABLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'SQUERY_NASTR_NON_VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'FORMAT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_CAPTION', ' . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_CONTROL', 'DATEBOX', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_NUMPARAM', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_SAVE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_SOURCE', ' , , . , . , , , . , . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_SQLPARAM', '@dDateE1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_SQLTYPE', 'datetime', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_VALUE', ' . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'QUERY_NASTR_VALUE_TEXT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS12', 'SQUERY_NASTR_OPTIONAL', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'EDITABLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'SQUERY_NASTR_NON_VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'FORMAT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_CAPTION', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_CONTROL', 'OPTIONGROUP', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_NUMPARAM', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_SAVE', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_SOURCE', ' (. 0504042), (. 0504043)', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_SQLPARAM', '@nOption1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_SQLTYPE', 'int', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_VALUE', ' (. 0504043)', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'QUERY_NASTR_VALUE_TEXT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_CARD_MZ_NAS13', 'SQUERY_NASTR_OPTIONAL', '0', 0
GO



--  .. RA_EXPORT_FORM_STRUCT. (  2 2013  2:44:53:470PM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : -1 (            (  24  2009 .  212-))
--   : 20130101
--    :
--  : 2013-07-02 14:44:53.470
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '-1' AND [START_DATE] = '20130101'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2013-07-02 14:44:53.470',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '-1',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '-1'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20130101')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SALARY'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'            (  24  2009 .  212-)',@vcNEW_FORM_CODE,@dNEW_START_DATE,2,0,0,1,2291,'i_report_export_nalog',0,0,'19000101',NULL,''
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, 'sa_print_rsv_1_pfr_2013()','RSV_1_PFR_2013.bas','','KirRepMakerMultiSheet.XLS','RSV-1-PFR_2013.XLT','',NULL,'i_report_export_nalog',0,NULL,NULL,NULL,'          ','',NULL,NULL,'|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' ', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,0,1,1,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'',@iLINK_TABLE,1,1,2,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  ',@iLINK_TABLE,1,0,3,0,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' ',@iLINK_TABLE,1,0,4,1,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' ', @iLINK_FORM,1, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '1.      ', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'   :  ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'   :  ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'   :   -     1  58.3    24  2009 .  212-',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'   :   -     2  58.3    24  2009 .  212-',@iLINK_TABLE,1,0,6,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'   ',@iLINK_TABLE,1,0,7,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '1.      ', @iLINK_FORM,2, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '2.     ', @iLINK_FORM,3
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'    ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'        : 1 ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'        : 2 ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'        : 3 ',@iLINK_TABLE,1,0,6,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '2.     ', @iLINK_FORM,3, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '2_1.      ', @iLINK_FORM,4
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'    ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'        : 1 ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'        : 2 ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'        : 3 ',@iLINK_TABLE,1,0,6,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '2_1.      ', @iLINK_FORM,4, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '2.2.     ( 1)', @iLINK_FORM,5
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'    ',@iLINK_TABLE,0,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'        : 1 ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'        : 2 ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'        : 3 ',@iLINK_TABLE,1,0,6,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '2.2.     ( 1)', @iLINK_FORM,5, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.1. ,    ', @iLINK_FORM,6
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,100,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  ',@iLINK_TABLE,0,1,3,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' ',@iLINK_TABLE,1,1,4,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'    ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,' ..   1  . ',@iLINK_TABLE,1,0,6,6,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,' ..   2  . ',@iLINK_TABLE,1,0,7,7,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,' ..   3  . ',@iLINK_TABLE,1,0,8,8,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.1. ,    ', @iLINK_FORM,6, @iLINK_CODE_COL,1,'CALC_SMETA=exec dbo.RSA_RSV_1_12_PFR_INV @dateBeginPeriod, @dateEndPeriod, @depLink, 7, 1',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.2.  .     ', @iLINK_FORM,7
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'    ',@iLINK_TABLE,1,0,3,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'        , 1 ',@iLINK_TABLE,1,0,4,0,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'        , 2 ',@iLINK_TABLE,1,0,5,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'        , 3 ',@iLINK_TABLE,1,0,6,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.2.  .     ', @iLINK_FORM,7, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, 'P3.3.  .   , ', @iLINK_FORM,8
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,0,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'    ',@iLINK_TABLE,1,0,3,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'        , 1 ',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'        , 2 ',@iLINK_TABLE,1,0,5,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'        , 3 ',@iLINK_TABLE,1,0,6,0,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, 'P3.3.  .   , ', @iLINK_FORM,8, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.4.   .6 .1 .58  212-', @iLINK_FORM,9
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  9-  ,    ',@iLINK_TABLE,1,0,3,1,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'    () ',@iLINK_TABLE,1,0,4,2,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'      ',@iLINK_TABLE,1,1,5,5,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'     ',@iLINK_TABLE,1,1,6,6,50,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.4.   .6 .1 .58  212-', @iLINK_FORM,9, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.5.   .7 .1 . 58   212-', @iLINK_FORM,10
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' /',@iLINK_TABLE,1,1,1,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'       ',@iLINK_TABLE,1,1,2,0,254,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'',@iLINK_TABLE,1,1,3,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' ',@iLINK_TABLE,1,1,4,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'    ',@iLINK_TABLE,1,0,5,5,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,' .       -    ',@iLINK_TABLE,1,0,6,6,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'    ',@iLINK_TABLE,1,1,7,7,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,'    ',@iLINK_TABLE,1,1,8,8,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.5.   .7 .1 . 58   212-', @iLINK_FORM,10, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.6.   .8 .1. .58   212', @iLINK_FORM,11
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'   () ',@iLINK_TABLE,0,0,3,3,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.6.   .8 .1. .58   212', @iLINK_FORM,11, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.7.  . 11 . 1 . 58   2', @iLINK_FORM,12
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  ,    ',@iLINK_TABLE,1,0,3,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'    ',@iLINK_TABLE,1,0,4,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.7.  . 11 . 1 . 58   2', @iLINK_FORM,12, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '3.8.   . 13 . 1 . 58  21', @iLINK_FORM,13
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  9-  ,    ',@iLINK_TABLE,1,0,3,3,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'    () ',@iLINK_TABLE,1,0,4,4,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'   ',@iLINK_TABLE,1,1,5,5,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'',@iLINK_TABLE,1,1,6,6,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '3.8.   . 13 . 1 . 58  21', @iLINK_FORM,13, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '4.     ', @iLINK_FORM,14
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' /',@iLINK_TABLE,1,1,1,0,3,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'    ',@iLINK_TABLE,1,1,2,0,254,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,',       , ',@iLINK_TABLE,1,1,3,3,4,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,',       , ',@iLINK_TABLE,1,0,4,4,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' :   - ',@iLINK_TABLE,1,0,5,5,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,' :   -            ',@iLINK_TABLE,1,0,6,6,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'     , ',@iLINK_TABLE,1,0,7,7,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,'.   ,   :     1  58.3    24  2009 .  212-',@iLINK_TABLE,1,0,8,8,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 9,'.   ,   :     2  58.3    24  2009 .  212-',@iLINK_TABLE,1,0,9,9,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 10,'     ',@iLINK_TABLE,1,0,10,10,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '4.     ', @iLINK_FORM,14, @iLINK_CODE_COL,1,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '5.,    .1 .3 ', @iLINK_FORM,15
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' /',@iLINK_TABLE,1,1,1,0,3,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,', ,  ',@iLINK_TABLE,1,1,2,0,254,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'   (, ),    ',@iLINK_TABLE,1,1,3,0,20,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'   (, ),    ',@iLINK_TABLE,1,1,4,0,20,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'    ',@iLINK_TABLE,0,0,5,5,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'        , 1 ',@iLINK_TABLE,1,0,6,6,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'        , 2 ',@iLINK_TABLE,1,0,7,7,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,'        , 3 ',@iLINK_TABLE,1,0,8,8,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '5.,    .1 .3 ', @iLINK_FORM,15, @iLINK_CODE_COL,1,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '5_2.,    .1 .3 ', @iLINK_FORM,16
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' ',@iLINK_TABLE,1,1,1,0,254,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'   ',@iLINK_TABLE,1,1,3,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'   ',@iLINK_TABLE,1,1,4,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '5_2.,    .1 .3 ', @iLINK_FORM,16, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

DECLARE @iError INT

--    .
IF OBJECT_ID('tempdb..#R') IS NOT NULL
BEGIN
   DROP TABLE #R
END

CREATE TABLE #R([ORDERS]      SMALLINT,
                [LINK_TABLE]  INT,
                [CALC_ORDERS] SMALLINT,
                [PRINT_NULL]  TINYINT)

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #R',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN
INSERT #R VALUES (1,1,1,1)
INSERT #R VALUES (1,2,0,1)
INSERT #R VALUES (2,2,0,1)
INSERT #R VALUES (3,2,0,1)
INSERT #R VALUES (4,2,0,1)
INSERT #R VALUES (5,2,0,1)
INSERT #R VALUES (6,2,1,1)
INSERT #R VALUES (7,2,0,1)
INSERT #R VALUES (8,2,1,1)
INSERT #R VALUES (10,2,1,1)
INSERT #R VALUES (11,2,0,1)
INSERT #R VALUES (12,2,0,1)
INSERT #R VALUES (13,2,0,1)
INSERT #R VALUES (14,2,0,1)
INSERT #R VALUES (15,2,1,1)
INSERT #R VALUES (16,2,0,1)
INSERT #R VALUES (17,2,0,1)
INSERT #R VALUES (1,3,0,1)
INSERT #R VALUES (2,3,0,1)
INSERT #R VALUES (3,3,0,1)
INSERT #R VALUES (4,3,0,1)
INSERT #R VALUES (5,3,0,1)
INSERT #R VALUES (6,3,0,1)
INSERT #R VALUES (7,3,0,1)
INSERT #R VALUES (8,3,0,1)
INSERT #R VALUES (9,3,0,1)
INSERT #R VALUES (11,3,0,1)
INSERT #R VALUES (12,3,0,1)
INSERT #R VALUES (13,3,0,1)
INSERT #R VALUES (14,3,1,1)
INSERT #R VALUES (15,3,1,1)
INSERT #R VALUES (16,3,0,1)
INSERT #R VALUES (17,3,0,1)
INSERT #R VALUES (18,3,0,1)
INSERT #R VALUES (19,3,0,1)
INSERT #R VALUES (20,3,0,1)
INSERT #R VALUES (22,3,0,1)
INSERT #R VALUES (23,3,0,1)
INSERT #R VALUES (24,3,0,1)
INSERT #R VALUES (25,3,0,1)
INSERT #R VALUES (26,3,2,1)
INSERT #R VALUES (27,3,0,1)
INSERT #R VALUES (1,4,0,1)
INSERT #R VALUES (2,4,0,1)
INSERT #R VALUES (3,4,0,1)
INSERT #R VALUES (4,4,0,1)
INSERT #R VALUES (5,4,0,1)
INSERT #R VALUES (6,4,0,1)
INSERT #R VALUES (7,4,0,1)
INSERT #R VALUES (8,4,0,1)
INSERT #R VALUES (9,4,0,1)
INSERT #R VALUES (11,4,0,1)
INSERT #R VALUES (12,4,0,1)
INSERT #R VALUES (13,4,0,1)
INSERT #R VALUES (14,4,1,1)
INSERT #R VALUES (15,4,1,1)
INSERT #R VALUES (16,4,0,1)
INSERT #R VALUES (17,4,0,1)
INSERT #R VALUES (18,4,0,1)
INSERT #R VALUES (19,4,0,1)
INSERT #R VALUES (20,4,0,1)
INSERT #R VALUES (22,4,0,1)
INSERT #R VALUES (23,4,0,1)
INSERT #R VALUES (24,4,0,1)
INSERT #R VALUES (25,4,0,1)
INSERT #R VALUES (26,4,2,1)
INSERT #R VALUES (27,4,0,1)
INSERT #R VALUES (1,5,0,1)
INSERT #R VALUES (2,5,0,1)
INSERT #R VALUES (3,5,0,1)
INSERT #R VALUES (5,5,0,1)
INSERT #R VALUES (6,5,0,1)
INSERT #R VALUES (4,5,1,1)
INSERT #R VALUES (7,5,0,1)
INSERT #R VALUES (8,5,8,1)
INSERT #R VALUES (9,5,9,1)
INSERT #R VALUES (10,5,10,1)
INSERT #R VALUES (11,5,11,1)
INSERT #R VALUES (12,5,12,1)
INSERT #R VALUES (1,7,0,1)
INSERT #R VALUES (2,7,0,1)
INSERT #R VALUES (3,7,1,1)
INSERT #R VALUES (1,8,0,1)
INSERT #R VALUES (2,8,0,1)
INSERT #R VALUES (3,8,1,1)
INSERT #R VALUES (4,8,0,1)
INSERT #R VALUES (5,8,0,1)
INSERT #R VALUES (6,8,1,1)
INSERT #R VALUES (1,9,0,1)
INSERT #R VALUES (2,9,0,1)
INSERT #R VALUES (3,9,1,1)
INSERT #R VALUES (4,9,0,1)
INSERT #R VALUES (5,9,0,1)
INSERT #R VALUES (1,10,0,1)
INSERT #R VALUES (2,10,0,1)
INSERT #R VALUES (3,10,0,1)
INSERT #R VALUES (4,10,0,1)
INSERT #R VALUES (5,10,0,1)
INSERT #R VALUES (6,10,0,1)
INSERT #R VALUES (7,10,0,1)
INSERT #R VALUES (8,10,0,1)
INSERT #R VALUES (9,10,0,1)
INSERT #R VALUES (10,10,0,1)
INSERT #R VALUES (11,10,1,1)
INSERT #R VALUES (12,10,0,1)
INSERT #R VALUES (1,11,0,1)
INSERT #R VALUES (2,11,0,1)
INSERT #R VALUES (3,11,1,1)
INSERT #R VALUES (1,12,0,1)
INSERT #R VALUES (2,12,0,1)
INSERT #R VALUES (3,12,0,1)
INSERT #R VALUES (4,12,0,1)
INSERT #R VALUES (5,12,1,1)
INSERT #R VALUES (1,13,0,1)
INSERT #R VALUES (2,13,0,1)
INSERT #R VALUES (3,13,1,1)
INSERT #R VALUES (4,13,0,1)
INSERT #R VALUES (5,13,0,1)
INSERT #R VALUES (1,16,0,1)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #R) <> 119
BEGIN
   INSERT #tabErrorLog VALUES ('     #R',0)
END

ALTER TABLE dbo.[REPORT_ROWS] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_ROWS] ([ORDERS],
                          [LINK_TABLE],
                          [CALC_ORDERS],
                          [PRINT_NULL])
SELECT [C].[ORDERS],
       [B].[LINK_TABLE],
       [C].[CALC_ORDERS],
       [C].[PRINT_NULL]
FROM #tabInfo            [A]
JOIN dbo.[REPORT_TABLES] [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN #R                  [C] ON [B].[ORDERS] = [C].[LINK_TABLE]

ALTER TABLE dbo.[REPORT_ROWS] ENABLE TRIGGER ALL

DROP TABLE #R

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

--  REPORT_FORMULA.
IF OBJECT_ID('tempdb..#F') IS NOT NULL
BEGIN
   DROP TABLE #F
END

CREATE TABLE #F([ORDER_TABLE] INT,
                [ORDER_ROW]   INT,
                [ORDER_COL]   INT,
                [FORMULA]  VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #F',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
INSERT #F VALUES (1,1,1,'                                                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,1,2,'1                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (1,1,3,'1_13_() + 1_(..,1)')
INSERT #F VALUES (1,1,4,'1_(..,2)')
INSERT #F VALUES (2,1,1,'  ,      
(+) , (-)                                                                                                                                                    ')
INSERT #F VALUES (2,2,1,'                                                                                                                                                                                                             ')
INSERT #F VALUES (2,3,1,'         : 1                                                                                                                                                                                                ')
INSERT #F VALUES (2,4,1,'         2                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,5,1,'         3                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,6,1,'     3  (.111 + .112 + .113)                                                                                                                                                                                           ')
INSERT #F VALUES (2,7,1,'                                                                                                                                                                                                           ')
INSERT #F VALUES (2,10,1,'   (. 100 + . 110 + . 120)                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,11,1,'                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,12,1,'        : 1                                                                                                                                                                                                 ')
INSERT #F VALUES (2,13,1,'         2                                                                                                                                                                                                                                               ')
INSERT #F VALUES (2,14,1,'        3                                                                                                                                                                                                                                                ')
INSERT #F VALUES (2,15,1,'         (. 141 + . 142 + . 143)                                                                                                                                                                                                                      ')
INSERT #F VALUES (2,16,1,'                                                                                                                                                                                                                         ')
INSERT #F VALUES (2,17,1,'  ,  
    (.130 - .140) (+) , (-)                                                                                                                                      ')
INSERT #F VALUES (2,8,1,'    ,                                                                                                                                                                             ')
INSERT #F VALUES (2,1,2,'100                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,2,2,'110                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,3,2,'111                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,4,2,'112                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,5,2,'113                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,6,2,'114                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,7,2,'120                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,10,2,'130                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,11,2,'140                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,12,2,'141                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,13,2,'142                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,14,2,'143                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,15,2,'144                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,16,2,'145                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,17,2,'150                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,8,2,'121                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (2,1,3,'("_.303.10"," =.")')
INSERT #F VALUES (2,11,3,'("_.303.10","_.304.05,>=''211'',<=''290''"," =.") + ("_.303.10","_.201.11:_.201.21:_.201.27"," =.")')
INSERT #F VALUES (2,12,3,'("_.303.10","_.304.05,>=''211'',<=''290''"," =(1)") + ("_.303.10","_.201.11:_.201.21:_.201.27"," =(1)")')
INSERT #F VALUES (2,13,3,'("_.303.10","_.304.05,>=''211'',<=''290''"," =(2)") + ("_.303.10","_.201.11:_.201.21:_.201.27"," =(2)")')
INSERT #F VALUES (2,14,3,'("_.303.10","_.304.05,>=''211'',<=''290''"," =(3)") + ("_.303.10","_.201.11:_.201.21:_.201.27"," =(3)")')
INSERT #F VALUES (2,1,4,'("_.303.11"," =.")')
INSERT #F VALUES (2,11,4,'("_.303.11","_.304.05,>=''211'',<=''290''"," =.") + ("_.303.11","_.201.11:_.201.21:_.201.27"," =.")')
INSERT #F VALUES (2,12,4,'("_.303.11","_.304.05,>=''211'',<=''290''"," =(1)") + ("_.303.11","_.201.11:_.201.21:_.201.27"," =(1)")')
INSERT #F VALUES (2,13,4,'("_.303.11","_.304.05,>=''211'',<=''290''"," =(2)") + ("_.303.11","_.201.11:_.201.21:_.201.27"," =(2)")')
INSERT #F VALUES (2,14,4,'("_.303.11","_.304.05,>=''211'',<=''290''"," =(3)") + ("_.303.11","_.201.11:_.201.21:_.201.27"," =(3)")')
INSERT #F VALUES (2,8,4,'()')
INSERT #F VALUES (2,1,5,'1_(..,5)')
INSERT #F VALUES (2,11,5,'("_.303.09,  =kau_RSV1_s1","_.304.05,>=''211'',<=''290''"," =.") + ("_.303.09,  =kau_RSV1_s1","_.201.11:_.201.21:_.201.27"," =.")')
INSERT #F VALUES (2,12,5,'("_.303.09,  =kau_RSV1_s1","_.304.05,>=''211'',<=''290''"," =(1)") + ("_.303.09,  =kau_RSV1_s1","_.201.11:_.201.21:_.201.27"," =(1)")')
INSERT #F VALUES (2,13,5,'("_.303.09,  =kau_RSV1_s1","_.304.05,>=''211'',<=''290''"," =(2)") + ("_.303.09,  =kau_RSV1_s1","_.201.11:_.201.21:_.201.27"," =(2)")')
INSERT #F VALUES (2,14,5,'("_.303.09,  =kau_RSV1_s1","_.304.05,>=''211'',<=''290''"," =(3)") + ("_.303.09,  =kau_RSV1_s1","_.201.11:_.201.21:_.201.27"," =(3)")')
INSERT #F VALUES (2,8,5,'()')
INSERT #F VALUES (2,1,6,'1_(..,6)')
INSERT #F VALUES (2,11,6,'("_.303.09,  =kau_RSV1_s2","_.304.05,>=''211'',<=''290''"," =.") + ("_.303.09,  =kau_RSV1_s2","_.201.11:_.201.21:_.201.27"," =.")')
INSERT #F VALUES (2,12,6,'("_.303.09,  =kau_RSV1_s2","_.304.05,>=''211'',<=''290''"," =(1)") + ("_.303.09,  =kau_RSV1_s2","_.201.11:_.201.21:_.201.27"," =(1)")')
INSERT #F VALUES (2,13,6,'("_.303.09,  =kau_RSV1_s2","_.304.05,>=''211'',<=''290''"," =(2)") + ("_.303.09,  =kau_RSV1_s2","_.201.11:_.201.21:_.201.27"," =(2)")')
INSERT #F VALUES (2,14,6,'("_.303.09,  =kau_RSV1_s2","_.304.05,>=''211'',<=''290''"," =(3)") + ("_.303.09,  =kau_RSV1_s2","_.201.11:_.201.21:_.201.27"," =(3)")')
INSERT #F VALUES (2,8,6,'()')
INSERT #F VALUES (2,1,7,'("_.303.07"," =.")')
INSERT #F VALUES (2,11,7,'("_.303.07","_.304.05,>=''211'',<=''290''"," =.") + ("_.303.07","_.201.11:_.201.21:_.201.27"," =.")')
INSERT #F VALUES (2,12,7,'("_.303.07","_.304.05,>=''211'',<=''290''"," =(1)") + ("_.303.07","_.201.11:_.201.21:_.201.27"," =(1)")')
INSERT #F VALUES (2,13,7,'("_.303.07","_.304.05,>=''211'',<=''290''"," =(2)") + ("_.303.07","_.201.11:_.201.21:_.201.27"," =(2)")')
INSERT #F VALUES (2,14,7,'("_.303.07","_.304.05,>=''211'',<=''290''"," =(3)") + ("_.303.07","_.201.11:_.201.21:_.201.27"," =(3)")')
INSERT #F VALUES (2,8,7,'()')
INSERT #F VALUES (3,1,1,'    , -   .  (. 7   24  2009 .  212-): 1966 ..                                                                                                                                      ')
INSERT #F VALUES (3,2,1,'      1967 ..                                                                                                                                                                                                                                        ')
INSERT #F VALUES (3,3,1,'            ,  /                                                                                                                                                          ')
INSERT #F VALUES (3,4,1,',    . . (. 1, 2 . 9): 1966 ..                                                                                                                                                                                  ')
INSERT #F VALUES (3,5,1,'                            1967 ..                                                                                                                                                                                                                  ')
INSERT #F VALUES (3,6,1,'             ,  /                                                                                                                                                         ')
INSERT #F VALUES (3,7,1,' ,   ,     7  8    24  2009  212- : 1966 ..  : 1966 ..                                                                                                  ')
INSERT #F VALUES (3,8,1,'                            1967 ..                                                                                                                                                                                                                  ')
INSERT #F VALUES (3,9,1,'             ,  /                                                                                                                                                         ')
INSERT #F VALUES (3,11,1,',        ,  . 8  
 24  2009 .  212-: 1966 ..                                                                                          ')
INSERT #F VALUES (3,12,1,'        1967 ..                                                                                                                                                                                                                                      ')
INSERT #F VALUES (3,13,1,'            ,  /                                                                                                                                                          ')
INSERT #F VALUES (3,14,1,'        : 1966 ..   (. 201+ . 203 - . 211 - . 213 - . 221 - . 231 - . 233)                                                                                                ')
INSERT #F VALUES (3,15,1,'       1967 ..   (. 202 - . 212 - . 222 - . 232)                                                                                                                                                                                                 ')
INSERT #F VALUES (3,16,1,'    -  :                                                                                                                                                                            ')
INSERT #F VALUES (3,17,1,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (3,18,1,'        ,                                                                                                                                                                                                               ')
INSERT #F VALUES (3,19,1,'  ,            (.)                                                                                                                                                       ')
INSERT #F VALUES (3,22,1,'    ,     ,     7    24  2009 .  212-                                                            ')
INSERT #F VALUES (3,23,1,',          1, 2  9    24  2009 .  212-                                                                       ')
INSERT #F VALUES (3,24,1,' ,   ,     7  8    24  2009  212-                                                                                                                                         ')
INSERT #F VALUES (3,25,1,',        ,   8    24  2009 .  212-                                                                                                         ')
INSERT #F VALUES (3,26,1,'         (. 271 - . 272 - . 273 - . 274)                                                                                                                                           ')
INSERT #F VALUES (3,27,1,'    -                                                                                                                                                                                            ')
INSERT #F VALUES (3,20,1,'  ,      ,   8    24  2009 .  212- (.)                                                                                                          ')
INSERT #F VALUES (3,1,2,'201                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,2,2,'202                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,3,2,'203                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,4,2,'211                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,5,2,'212                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,6,2,'213                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,7,2,'221                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,8,2,'222                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,9,2,'223                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,11,2,'231                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,12,2,'232                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,13,2,'233                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,14,2,'240                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,15,2,'241                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,16,2,'250                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,17,2,'251                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,18,2,'252                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,19,2,'260                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,22,2,'271                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,23,2,'272                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,24,2,'273                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,25,2,'274                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,26,2,'275                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,27,2,'276                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,20,2,'261                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,1,3,'1_(..,3)')
INSERT #F VALUES (3,2,3,'1_(..,3)')
INSERT #F VALUES (3,3,3,'1_(..,3)')
INSERT #F VALUES (3,4,3,'1_(..,3)')
INSERT #F VALUES (3,5,3,'1_(..,3)')
INSERT #F VALUES (3,6,3,'1_(..,3)')
INSERT #F VALUES (3,7,3,'1_(..,3)')
INSERT #F VALUES (3,8,3,'1_(..,3)')
INSERT #F VALUES (3,9,3,'1_(..,3)')
INSERT #F VALUES (3,11,3,'1_(..,3)')
INSERT #F VALUES (3,12,3,'1_(..,3)')
INSERT #F VALUES (3,13,3,'1_(..,3)')
INSERT #F VALUES (3,16,3,'1_(..,3)')
INSERT #F VALUES (3,17,3,'1_(..,3)')
INSERT #F VALUES (3,18,3,'1_(..,3)')
INSERT #F VALUES (3,19,3,'1_(..,3)')
INSERT #F VALUES (3,22,3,'1_(..,3)')
INSERT #F VALUES (3,23,3,'1_(..,3)')
INSERT #F VALUES (3,24,3,'1_(..,3)')
INSERT #F VALUES (3,25,3,'1_(..,3)')
INSERT #F VALUES (3,27,3,'1_(..,3)')
INSERT #F VALUES (3,20,3,'1_(..,3)')
INSERT #F VALUES (3,1,4,'1_(..,4)')
INSERT #F VALUES (3,2,4,'1_(..,4)')
INSERT #F VALUES (3,3,4,'1_(..,4)')
INSERT #F VALUES (3,4,4,'1_(..,4)')
INSERT #F VALUES (3,5,4,'1_(..,4)')
INSERT #F VALUES (3,6,4,'1_(..,4)')
INSERT #F VALUES (3,7,4,'1_(..,4)')
INSERT #F VALUES (3,8,4,'1_(..,4)')
INSERT #F VALUES (3,9,4,'1_(..,4)')
INSERT #F VALUES (3,11,4,'1_(..,4)')
INSERT #F VALUES (3,12,4,'1_(..,4)')
INSERT #F VALUES (3,13,4,'1_(..,4)')
INSERT #F VALUES (3,16,4,'1_(..,4)')
INSERT #F VALUES (3,17,4,'1_(..,4)')
INSERT #F VALUES (3,18,4,'1_(..,4)')
INSERT #F VALUES (3,19,4,'1_(..,4)')
INSERT #F VALUES (3,22,4,'1_(..,4)')
INSERT #F VALUES (3,23,4,'1_(..,4)')
INSERT #F VALUES (3,24,4,'1_(..,4)')
INSERT #F VALUES (3,25,4,'1_(..,4)')
INSERT #F VALUES (3,27,4,'1_(..,4)')
INSERT #F VALUES (3,20,4,'1_(..,4)')
INSERT #F VALUES (3,1,5,'1_(..,5)')
INSERT #F VALUES (3,2,5,'1_(..,5)')
INSERT #F VALUES (3,3,5,'1_(..,5)')
INSERT #F VALUES (3,4,5,'1_(..,5)')
INSERT #F VALUES (3,5,5,'1_(..,5)')
INSERT #F VALUES (3,6,5,'1_(..,5)')
INSERT #F VALUES (3,7,5,'1_(..,5)')
INSERT #F VALUES (3,8,5,'1_(..,5)')
INSERT #F VALUES (3,9,5,'1_(..,5)')
INSERT #F VALUES (3,11,5,'1_(..,5)')
INSERT #F VALUES (3,12,5,'1_(..,5)')
INSERT #F VALUES (3,13,5,'1_(..,5)')
INSERT #F VALUES (3,16,5,'1_(..,5)')
INSERT #F VALUES (3,17,5,'1_(..,5)')
INSERT #F VALUES (3,18,5,'1_(..,5)')
INSERT #F VALUES (3,19,5,'1_(..,5)')
INSERT #F VALUES (3,22,5,'1_(..,5)')
INSERT #F VALUES (3,23,5,'1_(..,5)')
INSERT #F VALUES (3,24,5,'1_(..,5)')
INSERT #F VALUES (3,25,5,'1_(..,5)')
INSERT #F VALUES (3,27,5,'1_(..,5)')
INSERT #F VALUES (3,20,5,'1_(..,5)')
INSERT #F VALUES (3,1,6,'1_(..,6)')
INSERT #F VALUES (3,2,6,'1_(..,6)')
INSERT #F VALUES (3,3,6,'1_(..,6)')
INSERT #F VALUES (3,4,6,'1_(..,6)')
INSERT #F VALUES (3,5,6,'1_(..,6)')
INSERT #F VALUES (3,6,6,'1_(..,6)')
INSERT #F VALUES (3,7,6,'1_(..,6)')
INSERT #F VALUES (3,8,6,'1_(..,6)')
INSERT #F VALUES (3,9,6,'1_(..,6)')
INSERT #F VALUES (3,11,6,'1_(..,6)')
INSERT #F VALUES (3,12,6,'1_(..,6)')
INSERT #F VALUES (3,13,6,'1_(..,6)')
INSERT #F VALUES (3,16,6,'1_(..,6)')
INSERT #F VALUES (3,17,6,'1_(..,6)')
INSERT #F VALUES (3,18,6,'1_(..,6)')
INSERT #F VALUES (3,19,6,'1_(..,6)')
INSERT #F VALUES (3,22,6,'1_(..,6)')
INSERT #F VALUES (3,23,6,'1_(..,6)')
INSERT #F VALUES (3,24,6,'1_(..,6)')
INSERT #F VALUES (3,25,6,'1_(..,6)')
INSERT #F VALUES (3,27,6,'1_(..,6)')
INSERT #F VALUES (3,20,6,'1_(..,6)')
INSERT #F VALUES (4,1,1,'    , -   .  (. 7   24  2009 .  212-): 1966 ..                                                                                                                                      ')
INSERT #F VALUES (4,2,1,'      1967 ..                                                                                                                                                                                                                                        ')
INSERT #F VALUES (4,3,1,'            ,  /                                                                                                                                                          ')
INSERT #F VALUES (4,4,1,',    . . (. 1, 2 . 9): 1966 ..                                                                                                                                                                                  ')
INSERT #F VALUES (4,5,1,'                            1967 ..                                                                                                                                                                                                                  ')
INSERT #F VALUES (4,6,1,'             ,  /                                                                                                                                                         ')
INSERT #F VALUES (4,7,1,' ,   ,     7  8    24  2009  212- : 1966 ..  : 1966 ..                                                                                                  ')
INSERT #F VALUES (4,8,1,'                            1967 ..                                                                                                                                                                                                                  ')
INSERT #F VALUES (4,9,1,'             ,  /                                                                                                                                                         ')
INSERT #F VALUES (4,11,1,',        ,  . 8  
 24  2009 .  212-: 1966 ..                                                                                          ')
INSERT #F VALUES (4,12,1,'        1967 ..                                                                                                                                                                                                                                      ')
INSERT #F VALUES (4,13,1,'            ,  /                                                                                                                                                          ')
INSERT #F VALUES (4,14,1,'        : 1966 ..   (. 201+ . 203 - . 211 - . 213 - . 221 - . 231 - . 233)                                                                                                ')
INSERT #F VALUES (4,15,1,'       1967 ..   (. 202 - . 212 - . 222 - . 232)                                                                                                                                                                                                 ')
INSERT #F VALUES (4,16,1,'    -  :                                                                                                                                                                            ')
INSERT #F VALUES (4,17,1,'                                                                                                                                                                                                                                            ')
INSERT #F VALUES (4,18,1,'        ,                                                                                                                                                                                                               ')
INSERT #F VALUES (4,19,1,'  ,            (.)                                                                                                                                                       ')
INSERT #F VALUES (4,22,1,'    ,     ,     7    24  2009 .  212-                                                            ')
INSERT #F VALUES (4,23,1,',          1, 2  9    24  2009 .  212-                                                                       ')
INSERT #F VALUES (4,24,1,' ,   ,     7  8    24  2009  212-                                                                                                                                         ')
INSERT #F VALUES (4,25,1,',        ,   8    24  2009 .  212-                                                                                                         ')
INSERT #F VALUES (4,26,1,'         (. 271 - . 272 - . 273 - . 274)                                                                                                                                           ')
INSERT #F VALUES (4,27,1,'    -                                                                                                                                                                                            ')
INSERT #F VALUES (4,20,1,'  ,      ,   8    24  2009 .  212- (.)                                                                                                          ')
INSERT #F VALUES (4,1,2,'2010                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,2,2,'2020                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,3,2,'2030                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,4,2,'2110                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,5,2,'2120                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,6,2,'2130                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,7,2,'2210                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,8,2,'2220                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,9,2,'2230                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,11,2,'2310                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,12,2,'2320                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,13,2,'2330                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,14,2,'2400                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,15,2,'2410                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,16,2,'2500                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,17,2,'2510                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,18,2,'2520                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,19,2,'2600                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,22,2,'2710                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,23,2,'2720                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,24,2,'2730                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,25,2,'2740                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,26,2,'2750                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,27,2,'2760                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,20,2,'2610                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (4,1,3,'1_(..,3)')
INSERT #F VALUES (4,2,3,'1_(..,3)')
INSERT #F VALUES (4,3,3,'1_(..,3)')
INSERT #F VALUES (4,4,3,'1_(..,3)')
INSERT #F VALUES (4,5,3,'1_(..,3)')
INSERT #F VALUES (4,6,3,'1_(..,3)')
INSERT #F VALUES (4,7,3,'1_(..,3)')
INSERT #F VALUES (4,8,3,'1_(..,3)')
INSERT #F VALUES (4,9,3,'1_(..,3)')
INSERT #F VALUES (4,11,3,'1_(..,3)')
INSERT #F VALUES (4,12,3,'1_(..,3)')
INSERT #F VALUES (4,13,3,'1_(..,3)')
INSERT #F VALUES (4,16,3,'1_(..,3)')
INSERT #F VALUES (4,17,3,'1_(..,3)')
INSERT #F VALUES (4,18,3,'1_(..,3)')
INSERT #F VALUES (4,19,3,'1_(..,3)')
INSERT #F VALUES (4,22,3,'1_(..,3)')
INSERT #F VALUES (4,23,3,'1_(..,3)')
INSERT #F VALUES (4,24,3,'1_(..,3)')
INSERT #F VALUES (4,25,3,'1_(..,3)')
INSERT #F VALUES (4,27,3,'1_(..,3)')
INSERT #F VALUES (4,20,3,'1_(..,3)')
INSERT #F VALUES (4,1,4,'1_(..,4)')
INSERT #F VALUES (4,2,4,'1_(..,4)')
INSERT #F VALUES (4,3,4,'1_(..,4)')
INSERT #F VALUES (4,4,4,'1_(..,4)')
INSERT #F VALUES (4,5,4,'1_(..,4)')
INSERT #F VALUES (4,6,4,'1_(..,4)')
INSERT #F VALUES (4,7,4,'1_(..,4)')
INSERT #F VALUES (4,8,4,'1_(..,4)')
INSERT #F VALUES (4,9,4,'1_(..,4)')
INSERT #F VALUES (4,11,4,'1_(..,4)')
INSERT #F VALUES (4,12,4,'1_(..,4)')
INSERT #F VALUES (4,13,4,'1_(..,4)')
INSERT #F VALUES (4,16,4,'1_(..,4)')
INSERT #F VALUES (4,17,4,'1_(..,4)')
INSERT #F VALUES (4,18,4,'1_(..,4)')
INSERT #F VALUES (4,19,4,'1_(..,4)')
INSERT #F VALUES (4,22,4,'1_(..,4)')
INSERT #F VALUES (4,23,4,'1_(..,4)')
INSERT #F VALUES (4,24,4,'1_(..,4)')
INSERT #F VALUES (4,25,4,'1_(..,4)')
INSERT #F VALUES (4,27,4,'1_(..,4)')
INSERT #F VALUES (4,20,4,'1_(..,4)')
INSERT #F VALUES (4,1,5,'1_(..,5)')
INSERT #F VALUES (4,2,5,'1_(..,5)')
INSERT #F VALUES (4,3,5,'1_(..,5)')
INSERT #F VALUES (4,4,5,'1_(..,5)')
INSERT #F VALUES (4,5,5,'1_(..,5)')
INSERT #F VALUES (4,6,5,'1_(..,5)')
INSERT #F VALUES (4,7,5,'1_(..,5)')
INSERT #F VALUES (4,8,5,'1_(..,5)')
INSERT #F VALUES (4,9,5,'1_(..,5)')
INSERT #F VALUES (4,11,5,'1_(..,5)')
INSERT #F VALUES (4,12,5,'1_(..,5)')
INSERT #F VALUES (4,13,5,'1_(..,5)')
INSERT #F VALUES (4,16,5,'1_(..,5)')
INSERT #F VALUES (4,17,5,'1_(..,5)')
INSERT #F VALUES (4,18,5,'1_(..,5)')
INSERT #F VALUES (4,19,5,'1_(..,5)')
INSERT #F VALUES (4,22,5,'1_(..,5)')
INSERT #F VALUES (4,23,5,'1_(..,5)')
INSERT #F VALUES (4,24,5,'1_(..,5)')
INSERT #F VALUES (4,25,5,'1_(..,5)')
INSERT #F VALUES (4,27,5,'1_(..,5)')
INSERT #F VALUES (4,20,5,'1_(..,5)')
INSERT #F VALUES (4,1,6,'1_(..,6)')
INSERT #F VALUES (4,2,6,'1_(..,6)')
INSERT #F VALUES (4,3,6,'1_(..,6)')
INSERT #F VALUES (4,4,6,'1_(..,6)')
INSERT #F VALUES (4,5,6,'1_(..,6)')
INSERT #F VALUES (4,6,6,'1_(..,6)')
INSERT #F VALUES (4,7,6,'1_(..,6)')
INSERT #F VALUES (4,8,6,'1_(..,6)')
INSERT #F VALUES (4,9,6,'1_(..,6)')
INSERT #F VALUES (4,11,6,'1_(..,6)')
INSERT #F VALUES (4,12,6,'1_(..,6)')
INSERT #F VALUES (4,13,6,'1_(..,6)')
INSERT #F VALUES (4,16,6,'1_(..,6)')
INSERT #F VALUES (4,17,6,'1_(..,6)')
INSERT #F VALUES (4,18,6,'1_(..,6)')
INSERT #F VALUES (4,19,6,'1_(..,6)')
INSERT #F VALUES (4,22,6,'1_(..,6)')
INSERT #F VALUES (4,23,6,'1_(..,6)')
INSERT #F VALUES (4,24,6,'1_(..,6)')
INSERT #F VALUES (4,25,6,'1_(..,6)')
INSERT #F VALUES (4,27,6,'1_(..,6)')
INSERT #F VALUES (4,20,6,'1_(..,6)')
INSERT #F VALUES (5,1,1,'    ,     ,     7    24  2009 .  212- ( . 1)                                                                                        ')
INSERT #F VALUES (5,2,1,',    .      9    24  2009 .  212- (   1)                                                                                                                  ')
INSERT #F VALUES (5,3,1,' ,   ,     7  8    24  2009 .  212- (   1)                                                                                                                    ')
INSERT #F VALUES (5,5,1,' .   . 1     .                                                                                                                                                                   ')
INSERT #F VALUES (5,6,1,'  ,     .   .  1 .  (.)                                                                                                                                                    ')
INSERT #F VALUES (5,4,1,'     .  1  (. 280 - . 281 - . 282)                                                                                                                                                                                      ')
INSERT #F VALUES (5,7,1,'    ,     ,     7    24  2009 .  212- (   2)                                                                                        ')
INSERT #F VALUES (5,8,1,',    .      9    24  2009 .  212- (   2)                                                                                                                  ')
INSERT #F VALUES (5,9,1,' ,   ,     7  8    24  2009 .  212- (   2)                                                                                                                    ')
INSERT #F VALUES (5,10,1,'     .  2  (. 290 - . 291 - . 292)                                                                                                                                                                                      ')
INSERT #F VALUES (5,11,1,' .   .  2     .                                                                                                                                                                  ')
INSERT #F VALUES (5,12,1,'  ,     .   .  2 .  (.)                                                                                                                                                    ')
INSERT #F VALUES (5,1,2,'280                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,2,2,'281                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,3,2,'282                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,5,2,'284                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,6,2,'285                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,4,2,'283                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,7,2,'290                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,8,2,'291                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,9,2,'292                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,10,2,'293                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,11,2,'294                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,12,2,'295                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,1,3,'1_(..,3)')
INSERT #F VALUES (5,2,3,'1_(..,3)')
INSERT #F VALUES (5,3,3,'1_(..,3)')
INSERT #F VALUES (5,5,3,'1_(..,3)')
INSERT #F VALUES (5,6,3,'1_(..,3)')
INSERT #F VALUES (5,7,3,'1_(..,3)')
INSERT #F VALUES (5,8,3,'1_(..,3)')
INSERT #F VALUES (5,9,3,'1_(..,3)')
INSERT #F VALUES (5,11,3,'1_(..,3)')
INSERT #F VALUES (5,12,3,'1_(..,3)')
INSERT #F VALUES (5,1,4,'1_(..,4)')
INSERT #F VALUES (5,2,4,'1_(..,4)')
INSERT #F VALUES (5,3,4,'1_(..,4)')
INSERT #F VALUES (5,5,4,'1_(..,4)')
INSERT #F VALUES (5,6,4,'1_(..,4)')
INSERT #F VALUES (5,7,4,'1_(..,4)')
INSERT #F VALUES (5,8,4,'1_(..,4)')
INSERT #F VALUES (5,9,4,'1_(..,4)')
INSERT #F VALUES (5,11,4,'1_(..,4)')
INSERT #F VALUES (5,12,4,'1_(..,4)')
INSERT #F VALUES (5,1,5,'1_(..,5)')
INSERT #F VALUES (5,2,5,'1_(..,5)')
INSERT #F VALUES (5,3,5,'1_(..,5)')
INSERT #F VALUES (5,5,5,'1_(..,5)')
INSERT #F VALUES (5,6,5,'1_(..,5)')
INSERT #F VALUES (5,7,5,'1_(..,5)')
INSERT #F VALUES (5,8,5,'1_(..,5)')
INSERT #F VALUES (5,9,5,'1_(..,5)')
INSERT #F VALUES (5,11,5,'1_(..,5)')
INSERT #F VALUES (5,12,5,'1_(..,5)')
INSERT #F VALUES (5,1,6,'1_(..,6)')
INSERT #F VALUES (5,2,6,'1_(..,6)')
INSERT #F VALUES (5,3,6,'1_(..,6)')
INSERT #F VALUES (5,5,6,'1_(..,6)')
INSERT #F VALUES (5,6,6,'1_(..,6)')
INSERT #F VALUES (5,7,6,'1_(..,6)')
INSERT #F VALUES (5,8,6,'1_(..,6)')
INSERT #F VALUES (5,9,6,'1_(..,6)')
INSERT #F VALUES (5,11,6,'1_(..,6)')
INSERT #F VALUES (5,12,6,'1_(..,6)')
INSERT #F VALUES (7,1,1,'  ,  (.)                                                                                                                                                                                                                  ')
INSERT #F VALUES (7,2,1,'        :       (.)                                                                                                                                                                                      ')
INSERT #F VALUES (7,3,1,'            (%)
(. 322 / . 321)  100                                                                                                                                 ')
INSERT #F VALUES (7,1,2,'321                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (7,2,2,'322                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (7,3,2,'323                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,1,1,' ,  (.)                                                                                                                                                                                                                     ')
INSERT #F VALUES (8,2,1,'           :    (.)                                                                                                                                                                                                ')
INSERT #F VALUES (8,3,1,'      (%)                                                                                                                                                                                                      ')
INSERT #F VALUES (8,4,1,'  ,  ( )                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,5,1,'          :    ( )                                                                                                                                                                                                        ')
INSERT #F VALUES (8,6,1,'     (%) (. 335 / . 334)  100                                                                                                                                                                                           ')
INSERT #F VALUES (8,1,2,'331                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,2,2,'332                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,3,2,'333                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,4,2,'334                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,5,2,'335                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,6,2,'336                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (8,1,3,'1_(..,3)')
INSERT #F VALUES (8,2,3,'1_(..,3)')
INSERT #F VALUES (8,1,4,'1_(..,4)')
INSERT #F VALUES (8,2,4,'1_(..,4)')
INSERT #F VALUES (8,1,5,'1_(..,5)')
INSERT #F VALUES (8,2,5,'1_(..,5)')
INSERT #F VALUES (8,1,6,'1_(..,6)')
INSERT #F VALUES (8,2,6,'1_(..,6)')
INSERT #F VALUES (9,1,1,' ,      248    ,  ( )                                                                                                                                           ')
INSERT #F VALUES (9,2,1,'            :  ,    ,    2  2.1    2  2.2  57    24  2009 .  212- ( )                                                               ')
INSERT #F VALUES (9,3,1,' ,      5  58    24  2009 .  212- (%)
(. 342 / . 341)  100                                                                                                                  ')
INSERT #F VALUES (9,4,1,'  */
  **(.)                                                                                                                                                                              ')
INSERT #F VALUES (9,5,1,'    ,      *                                                                                                                                             ')
INSERT #F VALUES (9,1,2,'341                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (9,2,2,'342                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (9,3,2,'343                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (9,4,2,'344                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (9,5,2,'345                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (9,5,3,'()')
INSERT #F VALUES (9,5,4,'()')
INSERT #F VALUES (9,1,5,'()')
INSERT #F VALUES (9,2,5,'()')
INSERT #F VALUES (9,3,5,'()')
INSERT #F VALUES (9,4,5,'()')
INSERT #F VALUES (9,1,6,'()')
INSERT #F VALUES (9,2,6,'()')
INSERT #F VALUES (9,3,6,'()')
INSERT #F VALUES (9,4,6,'()')
INSERT #F VALUES (10,1,1,'1                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,2,1,'2                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,3,1,'3                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,4,1,'4                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,5,1,'5                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,6,1,'6                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,7,1,'7                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,8,1,'8                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,9,1,'9                                                                                                                                                                                                                                                             ')
INSERT #F VALUES (10,10,1,'10                                                                                                                                                                                                                                                            ')
INSERT #F VALUES (10,12,1,'   **                                                                                                                                                                                                                                     ')
INSERT #F VALUES (10,11,3,'    ')
INSERT #F VALUES (10,1,4,'350a                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,2,4,'350b                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,3,4,'350c                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,4,4,'350d                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,5,4,'350e                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,6,4,'350f                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,7,4,'350g                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,8,4,'350h                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,9,4,'350j                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,10,4,'350k                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,11,4,'350l                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (10,12,4,'351                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (10,12,5,'()')
INSERT #F VALUES (10,11,6,'()')
INSERT #F VALUES (10,12,6,'()')
INSERT #F VALUES (10,1,7,'()')
INSERT #F VALUES (10,2,7,'()')
INSERT #F VALUES (10,3,7,'()')
INSERT #F VALUES (10,4,7,'()')
INSERT #F VALUES (10,5,7,'()')
INSERT #F VALUES (10,6,7,'()')
INSERT #F VALUES (10,7,7,'()')
INSERT #F VALUES (10,8,7,'()')
INSERT #F VALUES (10,9,7,'()')
INSERT #F VALUES (10,10,7,'()')
INSERT #F VALUES (10,11,7,'()')
INSERT #F VALUES (10,1,8,'()')
INSERT #F VALUES (10,2,8,'()')
INSERT #F VALUES (10,3,8,'()')
INSERT #F VALUES (10,4,8,'()')
INSERT #F VALUES (10,5,8,'()')
INSERT #F VALUES (10,6,8,'()')
INSERT #F VALUES (10,7,8,'()')
INSERT #F VALUES (10,8,8,'()')
INSERT #F VALUES (10,9,8,'()')
INSERT #F VALUES (10,10,8,'()')
INSERT #F VALUES (10,11,8,'()')
INSERT #F VALUES (11,1,1,' ,      346.15    ,  ( )                                                                                                                                        ')
INSERT #F VALUES (11,2,1,' :  ,       1.4  58    24  2009 .  212- ( )                                                                                                                        ')
INSERT #F VALUES (11,3,1,' ,       1.4   58    24  2009 .  212- (%)
(. 362 / . 361)  100                                                                                                              ')
INSERT #F VALUES (11,1,2,'361                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (11,2,2,'362                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (11,3,2,'363                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (12,1,1,' ,  ( )                                                                                                                                                                                                                               ')
INSERT #F VALUES (12,2,1,' :               ,    11  1  58    24  2009 .  212-                                    ')
INSERT #F VALUES (12,3,1,'    ,    ,    11  1  58    24  2009 .  212-,      14  1  251                         ')
INSERT #F VALUES (12,4,1,'      ,     - , .4 - .6  8  1  58    24  2009 . 
 212- ( )                                                              ')
INSERT #F VALUES (12,5,1,' ,      5.1  58    24  2009 .  212- (%)
(. 372 + . 373 + .374) / . 371  100                                                                                               ')
INSERT #F VALUES (12,1,2,'371                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (12,2,2,'372                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (12,3,2,'373                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (12,4,2,'374                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (12,5,2,'375                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (13,1,1,' ,      248    ,  ( )                                                                                                                                           ')
INSERT #F VALUES (13,2,1,' :      ,      1  5.4  58    24  2009 .  212- ( )                                                                             ')
INSERT #F VALUES (13,3,1,' ,      1  5.4  58    24  2009 .  212- (%)
(. 382 / . 381)  100                                                                                                       ')
INSERT #F VALUES (13,4,1,'   (.)                                                                                                                                                                                                                         ')
INSERT #F VALUES (13,5,1,'        -   *                                                                                                                                        ')
INSERT #F VALUES (13,1,2,'381                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (13,2,2,'382                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (13,3,2,'383                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (13,4,2,'384                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (13,5,2,'385                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (16,1,1,'       ,                                                                                                                                                       ')
INSERT #F VALUES (16,1,2,'501                                                                                                                                                                                                                                                           ')

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #F) <> 528
BEGIN
   INSERT #tabErrorLog VALUES ('     #F',0)
END

ALTER TABLE dbo.[REPORT_FORMULA] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_FORMULA] ([LINK_ROW],
                             [LINK_COL],
                             [FORMULA])
SELECT [D].[LINK_ROW],
       [C].[LINK_COL],
       [E].[FORMULA]
FROM #tabInfo              [A]
JOIN dbo.[REPORT_TABLES]   [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN dbo.[REPORT_COLOUMNS] [C] ON [B].[LINK_TABLE] = [C].[LINK_TABLE]
JOIN dbo.[REPORT_ROWS]     [D] ON [B].[LINK_TABLE] = [D].[LINK_TABLE]
JOIN #F                    [E] ON [E].[ORDER_TABLE] = [B].[ORDERS] AND [E].[ORDER_COL] = [C].[ORDERS] AND [E].[ORDER_ROW] = [D].[ORDERS]

ALTER TABLE dbo.[REPORT_FORMULA] ENABLE TRIGGER ALL

DROP TABLE #F

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,1,7,0,0,0,'.2.114.3 =  .2.111.3 +  .2.112.3 +  .2.113.3',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(2,NULL,0,NULL,2,7,0,0,0,'.2.114.4 =  .2.111.4 +  .2.112.4 +  .2.113.4',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(3,NULL,0,NULL,3,7,0,0,0,'.2.114.5 =  .2.111.5 +  .2.112.5 +  .2.113.5',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(4,NULL,0,NULL,4,7,0,0,0,'.2.130.3 =  .2.100.3 +  .2.110.3 +  .2.120.3',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(5,NULL,0,NULL,5,7,0,0,0,'.2.130.4 =  .2.100.4 +  .2.110.4 +  .2.120.4',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(6,NULL,0,NULL,6,7,0,0,0,'.2.130.5 =  .2.100.5 +  .2.110.5 +  .2.120.5',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(7,NULL,0,NULL,7,7,0,0,0,'.2.144.3 =  .2.141.3 +  .2.142.3 +  .2.143.3',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(8,NULL,0,NULL,8,7,0,0,0,'.2.144.4 =  .2.141.4 +  .2.142.4 +  .2.143.4',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(9,NULL,0,NULL,9,7,0,0,0,'.2.144.5 =  .2.141.5 +  .2.142.5 +  .2.143.5',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(10,NULL,0,NULL,10,7,0,0,0,'.2.150.3 =  .2.130.3 -  .2.140.3',1,12,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(11,NULL,0,NULL,11,7,0,0,0,'.2.150.4 =  .2.130.4 -  .2.140.4',1,12,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(12,NULL,0,NULL,12,7,0,0,0,'.2.150.5 =  .2.130.5 -  .2.140.5',1,12,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(13,NULL,0,NULL,13,7,0,0,0,'.3.240.3 =  .3.201.3 +  .3.203.3 -  .3.211.3 -  .3.213.3 -  .3.221.3 -  .3.223.3 -  .3.231.3 -  .3.233.3',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(14,NULL,0,NULL,14,7,0,0,0,'.3.240.4 =  .3.201.4 +  .3.203.4 -  .3.211.4 -  .3.213.4 -  .3.221.4 -  .3.223.4 -  .3.231.4 -  .3.233.4',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(15,NULL,0,NULL,15,7,0,0,0,'.3.240.5 =  .3.201.5 +  .3.203.5 -  .3.211.5 -  .3.213.5 -  .3.221.5 -  .3.223.5 -  .3.231.5 -  .3.233.5',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(16,NULL,0,NULL,16,7,0,0,0,'.3.241.3 =  .3.202.3 -  .3.212.3 -  .3.222.3 -  .3.232.3',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(17,NULL,0,NULL,17,7,0,0,0,'.3.241.4 =  .3.202.4 -  .3.212.4 -  .3.222.4 -  .3.232.4',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(18,NULL,0,NULL,18,7,0,0,0,'.3.241.5 =  .3.202.5 -  .3.212.5 -  .3.222.5 -  .3.232.5',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(19,NULL,0,NULL,19,7,0,0,0,'.3.275.3 =  .3.271.3 -  .3.272.3 -  .3.273.3 -  .3.274.3',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(20,NULL,0,NULL,20,7,0,0,0,'.3.275.4 =  .3.271.4 -  .3.272.4 -  .3.273.4 -  .3.274.4',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(21,NULL,0,NULL,21,7,0,0,0,'.3.275.5 =  .3.271.5 -  .3.272.5 -  .3.273.5 -  .3.274.5',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(22,NULL,0,NULL,25,7,0,0,0,'.7.323.3 =  .7.322.3 /  .7.321.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(23,NULL,0,NULL,26,7,0,0,0,'.7.323.4 =  .7.322.4 /  .7.321.4 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(24,NULL,0,NULL,27,7,0,0,0,'.7.323.5 =  .7.322.5 /  .7.321.5 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(25,NULL,0,NULL,28,7,0,0,0,'.8.333.3 =  .8.332.3 /  .8.331.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(26,NULL,0,NULL,29,7,0,0,0,'.8.333.4 =  .8.332.4 /  .8.331.4 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(27,NULL,0,NULL,30,7,0,0,0,'.8.333.5 =  .8.332.5 /  .8.331.5 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(28,NULL,0,NULL,31,7,0,0,0,'.8.336.3 =  .8.335.3 /  .8.334.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(29,NULL,0,NULL,32,7,0,0,0,'.8.336.4 =  .8.335.4 /  .8.334.4 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(30,NULL,0,NULL,33,7,0,0,0,'.3.240.6 =  .3.201.6 +  .3.203.6 -  .3.211.6 -  .3.213.6 -  .3.221.6 -  .3.223.6 -  .3.231.6 -  .3.233.6',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(31,NULL,0,NULL,34,7,0,0,0,'.3.241.6 =  .3.202.6 -  .3.212.6 -  .3.222.6 -  .3.232.6',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(32,NULL,0,NULL,35,7,0,0,0,'.3.275.6 =  .3.271.6 -  .3.272.6 -  .3.273.6 -  .3.274.6',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(33,NULL,0,NULL,37,7,0,0,0,'.7.323.6 =  .7.322.6 /  .7.321.6 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(34,NULL,0,NULL,38,7,0,0,0,'.8.333.6 =  .8.332.6 /  .8.331.6 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(35,NULL,0,NULL,39,7,0,0,0,'.10.350l.5 =  .10.350a.5 +  .10.350b.5 +  .10.350c.5 +  .10.350d.5 +  .10.350e.5 +  .10.350f.5 +  .10.350g.5 +  .10.350h.5 +  .10.350j.5 +  .10.350k.5',1,1,1,'20130702','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(36,NULL,0,NULL,40,7,0,0,0,'.11.363.3 =  .11.362.3 /  .11.361.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(37,NULL,0,NULL,41,7,0,0,0,'.12.375.3 =  .12.372.3 +  .12.373.3 +  .12.374.3 /  .12.371.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(38,NULL,0,NULL,42,7,0,0,0,'.12.375.4 =  .12.372.4 +  .12.373.4 +  .12.374.4 /  .12.371.4 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(39,NULL,0,NULL,43,7,0,0,0,'.13.383.3 =  .13.382.3 /  .13.381.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(40,NULL,0,NULL,44,7,0,0,0,'.2.110.3 =  .3.250.3 +  .3.252.3 +  .4.2500.3 +  .4.2520.3',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(41,NULL,0,NULL,45,7,0,0,0,'.2.110.4 =  .3.251.3 +  .4.2510.3',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(42,NULL,0,NULL,46,7,0,0,0,'.2.110.7 =  .3.276.3 +  .4.2760.3',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(43,NULL,0,NULL,47,7,0,0,0,'.2.111.3 =  .3.250.4 +  .3.252.4 +  .4.2500.4 +  .4.2520.4',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(44,NULL,0,NULL,48,7,0,0,0,'.2.111.4 =  .3.251.4 +  .4.2510.4',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(45,NULL,0,NULL,49,7,0,0,0,'.2.111.7 =  .3.276.4 +  .4.2760.4',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(46,NULL,0,NULL,50,7,0,0,0,'.2.112.3 =  .3.250.5 +  .3.252.5 +  .4.2500.5 +  .4.2520.5',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(47,NULL,0,NULL,51,7,0,0,0,'.2.112.4 =  .3.251.5 +  .4.2510.5',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(48,NULL,0,NULL,52,7,0,0,0,'.2.112.7 =  .3.276.5 +  .4.2760.5',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(49,NULL,0,NULL,53,7,0,0,0,'.2.113.3 =  .3.250.6 +  .3.252.6 +  .4.2500.6 +  .4.2520.6',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(50,NULL,0,NULL,54,7,0,0,0,'.2.113.4 =  .3.251.6 +  .4.2510.6',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(51,NULL,0,NULL,55,7,0,0,0,'.2.113.7 =  .3.276.6 +  .4.2760.6',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(52,NULL,0,NULL,56,7,0,0,0,'.4.2400.3 =  .4.2010.3 +  .4.2030.3 -  .4.2110.3 -  .4.2130.3 -  .4.2210.3 -  .4.2230.3 -  .4.2310.3 -  .4.2330.3',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(53,NULL,0,NULL,57,7,0,0,0,'.4.2400.4 =  .4.2010.4 +  .4.2030.4 -  .4.2110.4 -  .4.2130.4 -  .4.2210.4 -  .4.2230.4 -  .4.2310.4 -  .4.2330.4',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(54,NULL,0,NULL,58,7,0,0,0,'.4.2400.5 =  .4.2010.5 +  .4.2030.5 -  .4.2110.5 -  .4.2130.5 -  .4.2210.5 -  .4.2230.5 -  .4.2310.5 -  .4.2330.5',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(55,NULL,0,NULL,59,7,0,0,0,'.4.2400.6 =  .4.2010.6 +  .4.2030.6 -  .4.2110.6 -  .4.2130.6 -  .4.2210.6 -  .4.2230.6 -  .4.2310.6 -  .4.2330.6',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(56,NULL,0,NULL,60,7,0,0,0,'.4.2410.3 =  .4.2020.3 -  .4.2120.3 -  .4.2220.3 -  .4.2320.3',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(57,NULL,0,NULL,61,7,0,0,0,'.4.2410.4 =  .4.2020.4 -  .4.2120.4 -  .4.2220.4 -  .4.2320.4',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(58,NULL,0,NULL,62,7,0,0,0,'.4.2410.5 =  .4.2020.5 -  .4.2120.5 -  .4.2220.5 -  .4.2320.5',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(59,NULL,0,NULL,63,7,0,0,0,'.4.2410.6 =  .4.2020.6 -  .4.2120.6 -  .4.2220.6 -  .4.2320.6',1,0,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(60,NULL,0,NULL,64,7,0,0,0,'.4.2750.3 =  .4.2710.3 -  .4.2720.3 -  .4.2730.3 -  .4.2740.3',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(61,NULL,0,NULL,65,7,0,0,0,'.4.2750.4 =  .4.2710.4 -  .4.2720.4 -  .4.2730.4 -  .4.2740.4',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(62,NULL,0,NULL,66,7,0,0,0,'.4.2750.5 =  .4.2710.5 -  .4.2720.5 -  .4.2730.5 -  .4.2740.5',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(63,NULL,0,NULL,67,7,0,0,0,'.4.2750.6 =  .4.2710.6 -  .4.2720.6 -  .4.2730.6 -  .4.2740.6',1,1,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(64,NULL,0,NULL,68,7,0,0,0,'.2.114.6 =  .2.111.6 +  .2.112.6 +  .2.113.6',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(65,NULL,0,NULL,69,7,0,0,0,'.2.114.7 =  .2.111.7 +  .2.112.7 +  .2.113.7',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(66,NULL,0,NULL,70,7,0,0,0,'.2.130.6 =  .2.100.6 +  .2.110.6 +  .2.120.6',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(67,NULL,0,NULL,71,7,0,0,0,'.2.130.7 =  .2.100.7 +  .2.110.7 +  .2.120.7',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(68,NULL,0,NULL,72,7,0,0,0,'.2.144.6 =  .2.141.6 +  .2.142.6 +  .2.143.6',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(69,NULL,0,NULL,73,7,0,0,0,'.2.144.7 =  .2.141.7 +  .2.142.7 +  .2.143.7',1,11,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(70,NULL,0,NULL,74,7,0,0,0,'.2.150.6 =  .2.130.6 -  .2.140.6',1,12,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(71,NULL,0,NULL,75,7,0,0,0,'.2.150.7 =  .2.130.7 -  .2.140.7',1,12,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(72,NULL,0,NULL,76,7,0,0,0,'.5.283.3 =  .5.280.3 -  .5.281.3 -  .5.282.3',1,1,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(73,NULL,0,NULL,77,7,0,0,0,'.5.283.4 =  .5.280.4 -  .5.281.4 -  .5.282.4',1,2,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(74,NULL,0,NULL,78,7,0,0,0,'.5.283.5 =  .5.280.5 -  .5.281.5 -  .5.282.5',1,3,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(75,NULL,0,NULL,79,7,0,0,0,'.5.283.6 =  .5.280.6 -  .5.281.6 -  .5.282.6',1,4,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(76,NULL,0,NULL,80,7,0,0,0,'.5.293.3 =  .5.290.3 -  .5.291.3 -  .5.292.3',1,5,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(77,NULL,0,NULL,81,7,0,0,0,'.5.293.4 =  .5.290.4 -  .5.291.4 -  .5.292.4',1,6,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(78,NULL,0,NULL,82,7,0,0,0,'.5.293.5 =  .5.290.5 -  .5.291.5 -  .5.292.5',1,7,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(79,NULL,0,NULL,83,7,0,0,0,'.5.293.6 =  .5.290.6 -  .5.291.6 -  .5.292.6',1,9,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(80,NULL,0,NULL,84,7,0,0,0,'.2.110.5 =  .5.284.3',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(81,NULL,0,NULL,85,7,0,0,0,'.2.110.6 =  .5.294.3',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(82,NULL,0,NULL,86,7,0,0,0,'.2.111.5 =  .5.284.4',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(83,NULL,0,NULL,87,7,0,0,0,'.2.111.6 =  .5.294.4',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(84,NULL,0,NULL,88,7,0,0,0,'.2.112.5 =  .5.284.5',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(85,NULL,0,NULL,89,7,0,0,0,'.2.112.6 =  .5.294.5',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(86,NULL,0,NULL,90,7,0,0,0,'.2.113.5 =  .5.284.6',1,10,1,'20130118','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(87,NULL,0,NULL,91,7,0,0,0,'.2.113.6 =  .5.294.6',1,10,1,'20130402','','','','-1','20130101','','=',1,'','')
INSERT #A VALUES(88,NULL,0,NULL,92,7,0,0,0,'.8.336.5 =  .8.335.5 /  .8.334.5 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(89,NULL,0,NULL,93,7,0,0,0,'.8.336.6 =  .8.335.6 /  .8.334.6 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(90,NULL,0,NULL,94,7,0,0,0,'.9.343.3 =  .9.342.3 /  .9.341.3 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
INSERT #A VALUES(91,NULL,0,NULL,95,7,0,0,0,'.9.343.4 =  .9.342.4 /  .9.341.4 *  100',1,0,1,'20130306','','','','-1','20130101','','=',0,'','')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 91
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','114','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','111','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','112','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','113','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','114','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(2,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','111','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','112','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(2,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','113','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','114','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(3,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','111','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','112','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(3,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','113','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','130','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(4,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','100','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','110','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(4,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','120','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','130','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(5,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','100','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','110','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(5,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','120','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','130','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(6,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','100','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','110','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(6,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','120','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','144','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(7,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','141','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','142','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(7,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','143','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','144','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(8,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','141','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','142','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(8,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','143','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','144','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(9,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','141','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','142','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(9,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','143','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','150','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(10,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','130','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(10,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','140','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','150','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(11,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','130','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(11,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','140','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','150','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(12,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','130','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(12,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','140','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','240','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(13,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','201','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','203','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','211','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','213','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','221','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','223','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','231','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(13,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','233','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','240','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(14,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','201','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','203','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','211','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','213','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','221','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','223','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','231','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(14,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','233','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','240','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(15,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','201','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','203','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','211','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','213','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','221','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','223','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','231','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(15,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','233','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','241','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(16,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','202','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','212','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','222','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(16,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','232','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','241','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(17,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','202','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','212','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','222','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(17,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','232','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','241','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(18,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','202','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','212','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','222','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(18,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','232','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','275','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(19,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','271','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','272','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','273','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(19,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','274','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','275','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(20,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','271','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','272','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','273','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(20,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','274','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','275','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(21,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','271','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','272','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','273','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(21,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','274','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','323','7',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(22,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','322','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','321','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(22,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','323','7',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(23,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','322','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','321','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(23,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','323','7',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(24,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','322','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','321','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(24,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','333','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(25,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','332','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','331','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(25,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','333','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(26,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','332','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','331','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(26,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','333','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(27,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','332','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','331','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(27,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','336','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(28,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','335','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','334','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(28,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','336','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(29,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','335','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','334','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(29,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','240','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(30,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','201','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','203','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','211','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','213','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','221','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','223','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','231','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(30,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','233','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','241','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(31,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','202','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','212','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','222','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(31,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','232','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','275','3',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(32,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','271','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','272','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','273','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(32,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','274','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','323','7',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(33,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','322','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','321','7',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(33,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','333','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(34,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','332','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','331','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(34,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350l','10',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(35,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350a','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350b','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350c','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350d','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,6,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350e','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,7,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350f','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,8,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350g','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,9,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350h','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,10,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350j','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(35,11,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','350k','10',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(36,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','363','11',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(36,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','362','11',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(36,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','361','11',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(36,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','375','12',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(37,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','372','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','373','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','374','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,5,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','371','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(37,6,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(38,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','375','12',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(38,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','372','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(38,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','373','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(38,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','374','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(38,5,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','371','12',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(38,6,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(39,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','383','13',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(39,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','382','13',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(39,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','381','13',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(39,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(40,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','110','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(40,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','250','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(40,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','252','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(40,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2500','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(40,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2520','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(41,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','110','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(41,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','251','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(41,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2510','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(42,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','110','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(42,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','276','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(42,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2760','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(43,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','111','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(43,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','250','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(43,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','252','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(43,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2500','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(43,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2520','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(44,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','111','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(44,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','251','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(44,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2510','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(45,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','111','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(45,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','276','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(45,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2760','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(46,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','112','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(46,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','250','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(46,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','252','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(46,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2500','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(46,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2520','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(47,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','112','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(47,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','251','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(47,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2510','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(48,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','112','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(48,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','276','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(48,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2760','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(49,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','113','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(49,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','250','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(49,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','252','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(49,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2500','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(49,5,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2520','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(50,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','113','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(50,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','251','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(50,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2510','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(51,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','113','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(51,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','276','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(51,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2760','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2400','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(52,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2010','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2030','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2110','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2130','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2210','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2230','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2310','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(52,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2330','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2400','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(53,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2010','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2030','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2110','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2130','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2210','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2230','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2310','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(53,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2330','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2400','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(54,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2010','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2030','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2110','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2130','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2210','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2230','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2310','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(54,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2330','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2400','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(55,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2010','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2030','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2110','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2130','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,6,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2210','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,7,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2230','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,8,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2310','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(55,9,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2330','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(56,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2410','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(56,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2020','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(56,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2120','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(56,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2220','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(56,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2320','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(57,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2410','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(57,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2020','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(57,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2120','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(57,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2220','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(57,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2320','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(58,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2410','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(58,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2020','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(58,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2120','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(58,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2220','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(58,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2320','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(59,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2410','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(59,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2020','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(59,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2120','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(59,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2220','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(59,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2320','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(60,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2750','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(60,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2710','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(60,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2720','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(60,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2730','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(60,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','2740','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(61,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2750','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(61,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2710','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(61,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2720','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(61,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2730','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(61,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','2740','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(62,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2750','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(62,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2710','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(62,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2720','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(62,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2730','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(62,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','2740','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(63,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2750','4',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(63,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2710','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(63,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2720','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(63,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2730','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(63,5,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','2740','4',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(64,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','114','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(64,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','111','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(64,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','112','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(64,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','113','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(65,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','114','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(65,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','111','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(65,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','112','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(65,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','113','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(66,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','130','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(66,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','100','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(66,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','110','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(66,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','120','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(67,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','130','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(67,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','100','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(67,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','110','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(67,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','120','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(68,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','144','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(68,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','141','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(68,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','142','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(68,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','143','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(69,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','144','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(69,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','141','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(69,3,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','142','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(69,4,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','143','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(70,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','150','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(70,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','130','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(70,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','140','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(71,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','150','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(71,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','130','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(71,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','7','140','2',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(72,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','283','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(72,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','280','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(72,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','281','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(72,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','282','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(73,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','283','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(73,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','280','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(73,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','281','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(73,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','282','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(74,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','283','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(74,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','280','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(74,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','281','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(74,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','282','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(75,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','283','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(75,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','280','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(75,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','281','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(75,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','282','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(76,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','293','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(76,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','290','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(76,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','291','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(76,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','292','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(77,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','293','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(77,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','290','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(77,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','291','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(77,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','292','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(78,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','293','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(78,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','290','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(78,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','291','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(78,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','292','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(79,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','293','5',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(79,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','290','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(79,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','291','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(79,4,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','292','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(80,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','110','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(80,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','284','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(81,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','110','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(81,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','294','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(82,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','111','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(82,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','284','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(83,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','111','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(83,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','294','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(84,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','112','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(84,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','284','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(85,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','112','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(85,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','294','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(86,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','113','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(86,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','284','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(87,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','113','2',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(87,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','294','5',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(88,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','336','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(88,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','335','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(88,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','5','334','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(88,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(89,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','336','8',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(89,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','335','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(89,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','6','334','8',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(89,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(90,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','343','9',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(90,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','342','9',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(90,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','341','9',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(90,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(91,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','343','9',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(91,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','342','9',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(91,3,0,'/',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','341','9',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(91,4,1,'*',NULL,NULL,NULL,NULL,0,100,'','','','','','','','','','','',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 406
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '3         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'3',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2013-07-02 14:44:53.470',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2013-07-02 14:44:53.470'
	BEGIN
		SELECT @vcMessage = ' -1    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' -1    ' + @vcMessage + '       2013-07-02 14:44:53.470.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503121G' AND RF.START_DATE = '20130101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503121G' AND RF.START_DATE = '20130101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503121G' AND [START_DATE] = '20130101' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_FILTER_KBK', ' ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.109.__','','',1,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '020',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','110',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '030',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','120',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '040',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','130',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '050',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','140',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '061',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','151',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '062',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','152',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '063',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','153',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','160',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '091',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','171',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '092',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','172',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '093',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','173',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '100',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.10','','180',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '161',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','211',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '162',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','212',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '163',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','213',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','221',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','222',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','223',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','224',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','225',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','226',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '191',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','231',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '192',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','232',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','241',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','242',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '231',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','251',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '232',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','252',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '233',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','253',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '241',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','261',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '242',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','262',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '243',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','263',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '261',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','271',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '262',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','272',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '263',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','273',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '270',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.20','','290',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '321',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.__','','310','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'1.106._1','','310','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'1.107._1','','310','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'1.108.5[123]','','310','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'','1.108.5[123]','','310',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'','1.101.__','','310',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'','1.106._1','','310',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'','1.107._1','','310',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '322',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.101.__','','410',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.101.__','','410','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.104._[12345678]','','410','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.106._1','','410','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.107._1','','410','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.108.5[12]','','410','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.104._[12345678]','','410',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.106._1','','410',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.107._1','','410',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.108.5[123]','','410',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.[34]_','','320','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.[34]2','','320','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.54','','320','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.102.[34]_','','320',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.106.[34]2','','320',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.108.54','','320',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '332',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.102.[34]_','','420',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.104.[35]9','','420',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.106.[34]2','','420',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.108.54','','420',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'1.108.54','','420','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'1.102.[34]_','','420','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'1.104.[35]9','','420','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,2,'1.106.[34]2','','420','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '351',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.103.__','','330','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.[14]3','','330','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.55','','330','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.106.[14]3','','330',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.108.55','','330',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.103.__','','330',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '352',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.103.__','','430',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.106.[14]3','','430',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.108.55','','430',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.103.__','','430','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.106.[14]3','','430','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.108.55','','430','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '361',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.105.__','','340','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.[34]4','','340','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.[34]3','','340','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.56','','340','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.105.__','','340',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.106.[34]4','','340',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.107.[34]3','','340',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.108.56','','340',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '362',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.105.__','','440',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.106.[34]4','','440',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.107.[34]3','','440',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.108.56','','440',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.107.[34]3','','440','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.108.56','','440','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.105.__','','440','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.106.[34]4','','440','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '411',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.__','','510','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.02','','','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.201.__','','510',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.210.02','','',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '412',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.201.__','','610',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.05','','',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.201.__','','610','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.304.05','','','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '421',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.2[123]','','520','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.204.2[123]','','520',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.2[123]','','520','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.215.2[123]','','520',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '422',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.204.2[123]','','620',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.204.2[123]','','620','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.215.2[123]','','620','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.215.2[123]','','620',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '441',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.3[1234]','','530','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.3[1234]','','530','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.204.3[1234]','','530',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.215.3[1234]','','530',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '442',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.204.3[1234]','','630',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.215.3[1234]','','630',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.204.3[1234]','','630','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.215.3[1234]','','630','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '461',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.__','','540','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.207.__','','540',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '462',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.207.__','','640',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.207.__','','640','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '471',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.5[123]','','550','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.204.5[123]','','550',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.5[123]','','550','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.215.5[123]','','550',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '472',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.204.5[123]','','650',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.204.5[123]','','650','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.215.5[123]','','650','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.215.5[123]','','650',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '481',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.205.__','','560','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.206.__','','560','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.208.__','','560','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.209.__','','560','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.0[35]','','560','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.208.__','','560',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.209.__','','560',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.210.0[35]','','560',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.205.__','','560',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.206.__','','560',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '521',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.1[1234]','','710',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.301.1[1234]','','710','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.[23]1','','710',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.301.[23]1','','710','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '522',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.301.1[1234]','','810','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.301.1[1234]','','810',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.301.[23]1','','810','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.301.[23]1','','810',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '531',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.[23]3','','720',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.301.[23]3','','720','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.4[234]','','720',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.301.4[234]','','720','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '532',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.301.[23]3','','820','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.301.[23]3','','820',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.301.4[34]','','820',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.301.4[34]','','820','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '541',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302.__','','730',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.__','','730',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.0[123]','','730',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.302.__','','730','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.303.__','','730','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.304.0[123]','','730','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.04','','',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.304.04','','','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '542',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.302.__','','830','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.303.__','','830','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.304.0[123]','','830','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.302.__','','830',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.303.__','','830',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.304.0[123]','','830',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.304.04','','','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.304.04','','',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '411',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.__','','510','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','3.201.__','','510',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '412',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.201.__','','610',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'3.201.__','','610','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '481',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.0[35]','','560','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','3.210.0[35]','','560',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '541',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.304.01','','730',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'3.304.01','','730','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '542',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.304.01','','830','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','3.304.01','','830',15,1,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '482',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.205.__','','660',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.206.__','','660',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.208.__','','660',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.209.__','','660',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.210.0[35]','','660',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.205.__','','660','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.206.__','','660','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.208.__','','660','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.209.__','','660','',15,1,'',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'1.210.0[35]','','660','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '482',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.210.0[35]','','660',15,1,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'3.210.0[35]','','660','',15,1,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '280',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.50','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.109.__','','','',1,1,'',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503130G' AND RF.START_DATE = '20130101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503130G' AND RF.START_DATE = '20130101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503130G' AND [START_DATE] = '20130101' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_FILTER_KBK', ' ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '011',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '013',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '013',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '014',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '014',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '053',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.49','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '053',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.49','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.13','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '103',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '103',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '510',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.__','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '510',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.__','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '091',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '093',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '093',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '094',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '101',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.103.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.103.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.105.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.105.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '091',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '094',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.104.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '021',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.1[1-8]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '021',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.1[1-8]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '023',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.3[1-8]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '023',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.3[1-8]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '024',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.4[1-8]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '024',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.4[1-8]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '042',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '042',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '043',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '043',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '052',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.39','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '052',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.39','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '011',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.35','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.22','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '472',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.2_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '472',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.2_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '473',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.3_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.11','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.13','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.21','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.23','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.26','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.27','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.34','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.35','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.22','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.206.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.208.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.209.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '060',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.06','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '060',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.06','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.08','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.08','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '090',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.09','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '090',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.09','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.104.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.109.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.11','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.23','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.26','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.27','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.27','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.34','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.34','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.205.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.205.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.206.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.206.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.208.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.208.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.209.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.209.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.01','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.03','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '471',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.1_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '030',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '040',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.04','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '040',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.04','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '050',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.05','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '050',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.05','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.07','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.07','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '100',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.10','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '100',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.10','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.12','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.12','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '170',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.17','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '170',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.17','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '180',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.18','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '180',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.18','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '210',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '210',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '240',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.24','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '240',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.24','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '534',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.04','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '534',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.04','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '010',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '010',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '020',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.02','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '030',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '020',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.02','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.21','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.35','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '101',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '471',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.1_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '490',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302.__','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '490',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302.__','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '511',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.01','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '511',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.01','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '512',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[26]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '512',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[26]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '513',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.03','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '513',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.03','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '514',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.04','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '514',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.04','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '515',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[23]','','',15,2,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.05','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '515',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[23]','','',15,3,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.05','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '516',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[01]','','',15,2,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[789]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '516',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[01]','','',15,3,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[789]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '531',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.304.01','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '532',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.02','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '532',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.02','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '533',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.03','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '533',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.03','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.27','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.34','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.35','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.205.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '473',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.3_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '474',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.4_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '474',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.4_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '623',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.3_','','',0,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '623',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.3_','','',0,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '624',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.4_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '624',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.4_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '625',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.5_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '625',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.5_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '130',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '130',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.14','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.14','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '150',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.15','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '150',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.15','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '160',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.16','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '160',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.16','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '190',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.19','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '190',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.19','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '200',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '200',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '220',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '220',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '250',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.25','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '250',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.25','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '104',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '104',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.109._','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.205.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.206.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.208.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.209.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.01','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.03','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '531',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.304.01','','',15,3,'',1
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503169M_' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20[5-9]','','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'1.210.01','','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20[5-9]','','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'1.210.01','','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20[5-9]','','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'1.210.01','','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20[5-9]','','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'1.210.01','','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20[5-9]','','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'1.210.01','','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20[5-9]','','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'1.210.01','','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503169M_' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9]','','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'2.210.01','','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9]','','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'2.210.01','','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9]','','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'2.210.01','','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9]','','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'2.210.01','','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9]','','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'2.210.01','','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9]','','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'2.210.01','','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503169M_' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302._','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','1.303._','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.304.0[2-4]','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302._','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','1.303._','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.304.0[2-4]','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302._','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','1.303._','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.304.0[2-4]','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302._','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','1.303._','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.304.0[2-4]','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302._','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','1.303._','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.304.0[2-4]','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302._','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','1.303._','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','1.304.0[2-4]','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503169M_' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302._','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','2.303._','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','2.304.0[2-4]','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302._','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','2.303._','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','2.304.0[2-4]','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302._','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','2.303._','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','2.304.0[2-4]','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302._','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','2.303._','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','2.304.0[2-4]','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302._','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','2.303._','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','2.304.0[2-4]','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXX000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302._','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 2,1,'','2.303._','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 3,1,'','2.304.0[2-4]','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXX000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503230G' AND RF.START_DATE = '20130101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503230G' AND RF.START_DATE = '20130101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = ''

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,''
	from dbo.REPORT_FORMS where CODE = '0503230G' AND [START_DATE] = '20130101' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_FILTER_KBK', ' ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.34','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.34','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.205.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.205.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.206.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.206.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.208.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.208.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.209.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.209.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.01','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.03','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '471',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.1_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '030',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '040',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.04','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '040',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.04','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '050',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.05','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '050',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.05','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.07','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.07','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '100',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.10','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '100',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.10','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.12','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.12','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '170',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.17','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '170',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.17','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '180',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.18','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '180',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.18','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '210',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '210',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '240',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.24','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '240',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.24','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '534',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.04','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '534',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.04','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '010',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '010',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '020',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.02','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '030',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.03','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '020',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.02','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.21','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.35','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '101',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '110',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.108.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '471',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.1_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '490',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302.__','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '490',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.302.__','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '511',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.01','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '511',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.01','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '512',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[26]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '512',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[26]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '513',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.03','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '513',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.03','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '514',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.04','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '514',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.04','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '515',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[23]','','',15,2,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.05','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '515',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[23]','','',15,3,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.05','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '516',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[01]','','',15,2,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[789]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '516',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.1[01]','','',15,3,'',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.0[789]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '531',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.304.01','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '532',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.02','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '532',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.02','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '533',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.03','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '533',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.03','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.27','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.34','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.35','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.204.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.205.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '473',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.3_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '474',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.4_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '474',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.4_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '623',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.3_','','',0,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '623',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.3_','','',0,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '624',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.4_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '624',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.4_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '625',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.5_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '625',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.5_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '130',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '130',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.14','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.14','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '150',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.15','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '150',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.15','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '160',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.16','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '160',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.16','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '190',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.19','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '190',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.19','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '200',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.20','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '200',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '220',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '220',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '250',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.25','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '250',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.25','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '104',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '104',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.109._','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '211',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '212',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '213',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.204.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '230',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.205.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.206.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.208.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.209.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.01','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '333',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.03','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '531',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','3.304.01','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '332',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.02','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '332',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.02','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '332',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.210.02','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '332',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.02','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '535',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.05','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '535',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.304.05','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '621',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.1_','','',0,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '621',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.401.1_','','',0,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '622',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.2_','','',0,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '622',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,2,'','1.401.2_','','',0,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '011',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '013',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '013',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '014',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '014',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '053',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.49','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '053',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.49','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.13','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.13','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '103',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '103',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.21','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '510',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.__','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '510',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.303.__','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '091',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '093',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '093',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '094',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '101',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.107.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.103.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '070',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.103.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.105.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.105.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '091',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '094',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.106.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.104.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '021',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.1[1-8]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '021',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.1[1-8]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '023',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.3[1-8]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '023',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.3[1-8]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '024',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.4[1-8]','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '024',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.4[1-8]','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '042',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '042',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '043',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.4_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '043',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.102.4_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '052',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.39','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '052',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.104.39','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '011',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.101.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.35','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.22','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.22','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.1_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.207.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.2_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.3_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.215.5_','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '472',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.2_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '472',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.2_','','',15,3,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '473',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','1.301.3_','','',15,2,'',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.11','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '172',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.13','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '173',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.21','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.23','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.26','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.27','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '177',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.34','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '178',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.35','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '179',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.201.22','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '260',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.206.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '291',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.1_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '292',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '293',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.207.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '310',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.208.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '320',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.209.__','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '331',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.210.01','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '371',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.2_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '372',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.3_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '373',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'3.215.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '060',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.06','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '060',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.06','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.08','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '080',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.08','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '090',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.09','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '090',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.09','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '120',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.104.5_','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '140',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.109.__','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.11','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.23','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '174',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.23','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '171',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.11','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.26','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '175',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.26','','','',15,3,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 3
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.27','','','',15,2,'',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '176',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'1.201.27','','','',15,3,'',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=2,REPORTS_ATR_VID_NAME=  '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=2,REPORTS_ATR_VID_NAME=  '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'2'
	from dbo.REPORT_FORMS where CODE = '0503769M_D' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '2', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '  ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',0,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9].__','','','',0,2,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.210.01','','','',0,2,'ddddddddddddddddddxxxxx000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.20[5-9].__','','','',0,3,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'2.210.01','','','',0,3,'ddddddddddddddddddxxxxx000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=4,REPORTS_ATR_VID_NAME=    () '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=4,REPORTS_ATR_VID_NAME=    () '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'4'
	from dbo.REPORT_FORMS where CODE = '0503769M_D' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '4', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '    () ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'4.20[5-9].__','','','',0,2,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'4.210.01','','','',0,2,'ddddddddddddddddddxxxxx000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'4.20[5-9].__','','','',0,3,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'4.210.01','','','',0,3,'ddddddddddddddddddxxxxx000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=5,REPORTS_ATR_VID_NAME=   '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=5,REPORTS_ATR_VID_NAME=   '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'5'
	from dbo.REPORT_FORMS where CODE = '0503769M_D' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '5', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '   ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'5.20[5-9].__','','','',0,3,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'5.210.01','','','',0,3,'ddddddddddddddddddxxxxx000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'5.20[5-9].__','','','',0,2,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'5.210.01','','','',0,2,'ddddddddddddddddddxxxxx000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=6,REPORTS_ATR_VID_NAME= '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=6,REPORTS_ATR_VID_NAME= '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'6'
	from dbo.REPORT_FORMS where CODE = '0503769M_D' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '6', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', ' ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'6.20[5-9].__','','','',0,2,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'6.210.01','','','',0,2,'ddddddddddddddddddxxxxx000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'6.20[5-9].__','','','',0,3,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'6.210.01','','','',0,3,'ddddddddddddddddddxxxxx000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=7,REPORTS_ATR_VID_NAME=    '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_D' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=7,REPORTS_ATR_VID_NAME=    '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'7'
	from dbo.REPORT_FORMS where CODE = '0503769M_D' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '7', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '    ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'7.20[5-9].__','','','',0,2,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'7.210.01','','','',0,2,'ddddddddddddddddddxxxxx000',0
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'7.20[5-9].__','','','',0,3,'ddddddddddddddddddxxxxx000',0
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'7.210.01','','','',0,3,'ddddddddddddddddddxxxxx000',0
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=2,REPORTS_ATR_VID_NAME=  '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=2,REPORTS_ATR_VID_NAME=  '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'2'
	from dbo.REPORT_FORMS where CODE = '0503769M_K' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '2', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '  ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.303.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.304.0[2-4]','','',0,2,'ddddddddddddddddddxxxxx000',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.302.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.303.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','2.304.0[2-4]','','',0,3,'ddddddddddddddddddxxxxx000',1
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=4,REPORTS_ATR_VID_NAME=    () '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=4,REPORTS_ATR_VID_NAME=    () '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'4'
	from dbo.REPORT_FORMS where CODE = '0503769M_K' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '4', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '    () ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','4.303.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','4.304.0[2-4]','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','4.302.__','','',0,2,'ddddddddddddddddddxxxxx000',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','4.303.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','4.304.0[2-4]','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','4.302.__','','',0,3,'ddddddddddddddddddxxxxx000',1
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=5,REPORTS_ATR_VID_NAME=   '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=5,REPORTS_ATR_VID_NAME=   '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'5'
	from dbo.REPORT_FORMS where CODE = '0503769M_K' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '5', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '   ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','5.302.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','5.303.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','5.304.0[2-4]','','',0,2,'ddddddddddddddddddxxxxx000',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','5.302.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','5.303.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','5.304.0[2-4]','','',0,3,'ddddddddddddddddddxxxxx000',1
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=6,REPORTS_ATR_VID_NAME= '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=6,REPORTS_ATR_VID_NAME= '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'6'
	from dbo.REPORT_FORMS where CODE = '0503769M_K' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '6', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', ' ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','6.302.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','6.303.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','6.304.0[2-4]','','',0,2,'ddddddddddddddddddxxxxx000',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','6.302.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','6.303.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','6.304.0[2-4]','','',0,3,'ddddddddddddddddddxxxxx000',1
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=7,REPORTS_ATR_VID_NAME=    '


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503769M_K' AND RF.START_DATE = '20121231' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VID=7,REPORTS_ATR_VID_NAME=    '

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'7'
	from dbo.REPORT_FORMS where CODE = '0503769M_K' AND [START_DATE] = '20121231' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_TYPE_ORG', '', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID', '7', NULL)
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VID_NAME', '    ', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','7.302.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','7.303.__','','',0,2,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','7.304.0[2-4]','','',0,2,'ddddddddddddddddddxxxxx000',1
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 4
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','7.302.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','7.303.__','','',0,3,'ddddddddddddddddddxxxxx000',1
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT)
		SELECT @iCalcLink, 1,1,'','7.304.0[2-4]','','',0,3,'ddddddddddddddddddxxxxx000',1
GO
